Welcome to Paint Shop Pro

Welcome to Jasc® Paint Shop™ Pro®

The most complete photo and graphics editor.

Jasc Paint Shop Pro 8 is the most complete, easy-to- use software for professional digital imaging results. Combining a unique set of automatic and precision photo editing and graphic design tools with an integrated learning system, Paint Shop Pro helps you deliver superior results with power and ease. It’s your complete solution for print and Web.

What’s New in Version 8

Learning Paint Shop Pro

Getting to Know the Program


What’s New in Version 8

Paint Shop Pro version 8 includes many new and improved features to make photo enhancements and image editing easier and more powerful.

Enhanced User Interface

Integrated Learning Tools

New Tools to Create Professional Results

New Filters and Special Effects

Share Images with Others

Automated Productivity

Dynamic Personalization


Learning Paint Shop Pro

Learn Paint Shop Pro in a variety of ways: follow the Quick Guides, view the Product Tour, or use the Help system.

For more information see:

Using the Help System

Using Quick Guides to Learn Common Tasks

Using the Jasc Learning Center

Using Web-Based resources

Viewing the Product Tour


Getting Help

With Paint Shop Pro, you have many options for getting help with the software, you can use the Help system, contact Jasc Technical Support, check out our web-based resources, or refer to the README.html file that was installed with Paint Shop Pro for the latest information about the software.

You can get help about Paint Shop Pro using the following methods:

Using the Help System

Using Web-Based Resources


Accessing Free Technical Support

When you buy Paint Shop Pro, you have free access to Jasc’s staff of technical support personnel. Contact us to get assistance in any of the following ways:

US / Canada Contact Method | Address or Number
Call Technical Support | 952-930-9171 (8am - 5pm CST, Monday - Friday)
Technical Support on the Web | www.jasc.com/custcare/support.asp
Fax Technical Support | 952-930-9172
Call Customer Service | 800-622-2793 (8am - 5pm CST, Monday - Friday)
Go to the Jasc website | www.jasc.com

International Contact Method | Address or Number
Find your local country contact details on the Web | www.jasc.com/world
International e-mail | intl@jasc.com
Call International Customer Service (English only) | +1-952-930-9800 (8am - 5pm GMT-6:00, Monday - Friday)
Fax International Customer Service | +1-952-930-9172


Getting to Know The Program

The Paint Shop Pro workspace includes menus, tools, and palettes that you can use to create and edit images. Navigate this workspace to accomplish your painting, drawing, and photo editing tasks.

Starting and Exiting Paint Shop Pro

Exploring the User Interface

Using Toolbars and Palettes

Viewing Images

Viewing Image Information

Working with Dialogs

Using Shortcut and Function Keys


Exploring the User Interface

When you open Paint Shop Pro, it displays the main program window. This window is your work area. It contains the commands and tools used to create, edit, print, and export your images.

Save time by saving workspaces: Did you know that you can save entire workspaces, not just images? The workspace includes open images and their magnifications and screen positions, as well as positions and preferences of palettes, toolbars, dialogs, and windows. For more information, see Using Custom Workspaces.

The Paint Shop Pro workspace includes the following components:

Menu bar The menu bar displays commands for performing tasks. Menus are organized by topic. For example, the Effects menu contains commands for applying effects to images.

Toolbars The toolbars display buttons for common commands. See Using Toolbars.

Palettes The palettes display information and help you select tools, modify options, manage layers, select colors, and perform other editing tasks. See Using Palettes.

Status bar The Status bar displays text about the selected tool or menu command as well as image information, including the dimensions and color depth. See Viewing Image Information.

Browser Displays thumbnail previews of image files. You can open, delete, copy, and perform other file commands in the Browser. For more information, see Using the Paint Shop Pro Browser.

Print Layout window Displays a page on which you can arrange and size multiple images, and then print the images. For more information, see Printing Multiple Images on a Page.

Related Topics

Using Context Menus

Using Toolbars

Using Palettes

Using the Overview Palette

The Status Bar

Using Tools

Setting Tool Options


Starting and Exiting Paint Shop Pro

The first time you start Paint Shop Pro, the program displays the File Format Associations dialog. This dialog lets you assign file formats to the program so that your computer always uses Paint Shop Pro to open files in those formats. You can change associations at any time by choosing the File > Preferences > File Format Associations menu commands. For more information, see Setting File Format Associations.

To start Paint Shop Pro:

  • If you chose to place the Paint Shop Pro icon on your desktop during installation, you can start the program by double-clicking this icon.

  • If you chose not to place the Paint Shop Pro icon on your desktop, start the program by clicking the Start button and choosing Programs > Jasc Software > Jasc Paint Shop Pro 8.

To exit paint Shop Pro:

  • Click the close button in the upper right-hand corner of the program window.

  • Click the Paint Shop Pro icon in the upper left-hand corner of the title bar and choose close.

Note: If you have any images that need to be saved, Paint Shop Pro displays a messages asking if you want to save the images before closing the program.

Related Topics

Using Context Menus

Using Toolbars

Using Palettes

Using the Overview Palette

The Status Bar

Using Tools

Setting Tool Options


Using Shortcut and Function Keys

To work quickly and easily in Paint Shop Pro, learn the shortcut and function keys for common tasks. Key combinations like Ctrl + Z (Undo) and Ctrl + C (Copy) become second nature as you work, and they save time over using the mouse.

Here are the ways you can use shortcut and function keys in Paint Shop Pro:

  • Use shortcut keys to execute menu commands, display palettes, edit nodes on vector objects, and execute Browser commands. All menu commands list their shortcut keys on the menu. Shortcut keys for palettes are listed on the View > Palettes menu.

  • Use shortcut keys to select tools. Move the cursor over a tool to display a ToolTip with its shortcut key in parentheses.

  • Use function keys to display a menu by pressing Alt plus the underlined letter of the menu name (for example, press Alt + F for the File menu). Then, press the underlined letter of a menu command or scroll through menus using the arrow keys. Press ESC to return to your image without executing a command.

To display all default shortcut keys, choose Help > Keyboard Map. To view all assigned keys, including custom shortcuts, choose Help > Keyboard Map.

Customizing Shortcut Keys: If you don’t like the assigned function keys, you can customize the function keys to suit your needs. See Assigning Shortcut Keys.

Related Topics

Using Context Menus

Using Toolbars

Using Palettes

Using the Overview Palette

The Status Bar

Using Tools

Setting Tool Options


Using Toolbars and Palettes

The Paint Shop Pro workspace tools, and palettes. You can customize your workspace by docking and floating, resizing, and moving the toolbars and palettes. The following describes the features that are common to both toolbars and palettes.

To dock a toolbar or palette:

  • Drag its title bar to one edge of the workspace. The toolbar or palette snaps into place.

  • Double-click its title bar.

To float a toolbar or palette:

  • Drag the handle [image] to move the toolbar or palette away from the edge of the workspace. Note: The drag handle size and position will vary depending on the size of the palette and whether the palette is vertical or horizontal.

  • Double-click its title bar.

To move an undocked toolbar or palette:

Drag its title bar to a new position.

To resize a toolbar or palette:

Click and drag the sides or corners of a toolbar or palette to change its size.

To display all toolbars and palettes:

Press Ctrl + Shift +T.

Note:

  • To hide a specific palette, click the close button on its title bar.

  • Press and hold Ctrl while dragging a palette to prevent it from docking.

Related Topics

Using Context Menus

Using Toolbars

Using Palettes

Using the Overview Palette

The Status Bar

Using Tools

Setting Tool Options


Working with Dialogs

Dialogs are windows that open when you choose certain Paint Shop Pro commands. Use them to select and preview command options. All dialogs remember where you last positioned them on the screen and re-open in the same location.

Most dialogs have the following features in common:

Preview windows Zoom and navigate to see before and after views of changes. See Using Preview Windows.

Presets Saved settings, or scripts, that you can use to make quick changes to images. Use the presets that come with Paint Shop Pro or create your own. For more information on creating and using presets, please refer to Using and Creating Presets.

Numeric edit controls The controls that you use to select a value. See Editing Numerical Values.

Color boxes The box you click to select a color. See Using Color Boxes.

Randomize parameters button A button you click to try out random settings in the dialog. See Randomizing Parameters.

Resize Handle A handle in the lower right corner of the dialog used to change the size of the dialog. See Resizing a Dialog.

Related Topics

Using Context Menus

Using Toolbars

Using Palettes

Using the Overview Palette

The Status Bar

Using Tools

Setting Tool Options


Viewing Images

The image window displays your image. You can move or size the image window or open the same image in multiple image windows (for example, to see the image at different magnifications).

The title bar at the top of the image window shows the file name and the magnification percentage. An asterisk after the filename indicates the image has been modified since you last saved it.

To see a thumbnail of the entire image, display the Overview palette. See Using the Overview Palette.

Does the image have a watermark? If the image has an embedded watermark, a copyright symbol is displayed in front of its name. For more information on watermarks, Using Digital Watermarks.

To move an image window:

Click and drag the title bar to move an image to a new position in the workspace.

To resize an image window:

Click an edge or a corner of the image window and drag it to a new position.

If the image is larger than the window, use the scrollbars to view another area of the image.

Note: When you resize an image window, you are changing the window only, not the image itself. To resize the image (make it larger or smaller), see Resizing Images.

To open multiple views of the same image:

Choose Window > New Window or press Shift + W.

A new window opens with another view of the active image. When you make changes in one window, the other is updated.

To arrange multiple windows:

Do either of the following:

  • Choose Window > Cascade to display windows stacked and cascading from the upper left to the lower right of the workspace.

  • Choose Window > Tile Vertically or Window > Tile Horizontally to display windows side by side vertically or horizontally. Windows are resized to fit within the workspace.

To close an image window:

Do either of the following:

  • To close an active window, choose File > Close or click the Close button [image] on the title bar of the image.

  • To close all windows, choose Window > Close All.

If there are any unsaved changes in the images, you will be prompted to save the files.

To view another area of the image:

Do one of the following:

  • On the Tools toolbar, choose the Pan tool [image], and then click and drag in the image.

  • Click and drag the horizontal or vertical scroll bar.

  • Press the arrow keys to move the image by small increments.

  • Display the Overview palette (choose View > Palettes > Overview), and then drag the preview rectangle to a new position.

To fit the window to the image:

Choose Window > Fit to Image or press Ctrl + W.

To see a list of all open windows:

Choose Window. All open windows display at the bottom of the Window menu in the order they were last viewed.

Save time by saving workspaces: Did you know that you can save entire workspaces, not just images? The workspace includes open images, their magnifications and screen positions, as well as the positions of palettes, toolbars, and windows. For more information, see Using Custom Workspaces.

Related Topics

Using Context Menus

Using Toolbars

Using Palettes

Using the Overview Palette

The Status Bar

Using Tools

Setting Tool Options


Viewing Image Information

As you work with an image, you may want to view information about it.

To view general image information:

  • Look at the Status bar (at the bottom of the Paint Shop Pro workspace) to see the cursor position, image height and width in pixels, and the color depth.

  • Display the Info tab of the Overview palette to view information about the image. Choose View > Palettes > Overview, and then click the Info tab. The information displayed depends on what tool is selected.

Note: Use this command also to enter creator information, such as the artist name and copyright.

To view image color information:

Choose Image > Count Image Colors to display the number of unique colors in the image.

To view detailed image information:

  1. Choose Image > Image Information, or press Shift + I.

  2. Do one of the following:

  3. Click the Image Information tab to view the file name and format, image dimensions, resolution, and color depth, modification status, number of layers and alpha channels, and the amount of RAM and disk space used for the image as well as its selections, masks, alpha channels, and undo storage.

  4. Click the Creator Information tab to view or edit the image title, artist name, copyright, description, date created, and date modified.

  5. Click the EXIF Information tab to view information for images taken with digital cameras. In the Section group box, mark the check boxes for the information you want to display: Input Device, Artist, Date, Image, Shot Conditions, and GPS.

To view layer color information:

Choose Layer > Count Layer Colors to display the number of unique colors in the current layer.

Related Topics

Using Context Menus

Using Toolbars

Using Palettes

Using the Overview Palette

The Status Bar

Using Tools

Setting Tool Options


Getting Images into Paint Shop Pro

You can get images into Paint Shop Pro in a variety of ways: import from a digital camera, card reader, or scanner, capture images from the computer screen, duplicate an existing image or layer, or create a new raster or vector image.

Opening Existing Images

Creating Images

Importing Images from Digital Cameras and Scanners

Capturing Images from the Computer Screen

Using the Paint Shop Pro Browser

Saving Image Files

Opening Frames from Animation Shop


Importing Images from Digital Cameras and Scanners

With Paint Shop Pro you can access and manage your images while they are in your digital camera. You can also load the images directly into Paint Shop Pro.

Before you can view and download images from a digital camera, card reader, or scanner you must install the special software (called drivers) that enables your computer to connect to the camera, card reader, or scanner. You must install this software before connecting the camera, card reader, or scanner to the computer. Refer to the documentation supplied with your camera, card reader, or scanner for more information about this software.

Determine which type of connection your camera, card reader, or scanner uses:

  • WIA The default for WIA compatible computers running the Windows XP and ME operating systems. Your camera, card reader, or scanner must support WIA. See Downloading Images Using Windows XP and USB Cable.

  • Mounted Drive The default for non-WIA computers, and the most common type of connection. Some cameras and scanners, and most card readers are viewed as an additional disk drive when they are connected to the USB port of your computer. See Downloading Images from a Mounted Drive.

  • TWAIN Most cameras and scanners are TWAIN-compliant. Use this setting if your camera, scanner, or card reader is TWAIN-compliant. See Importing Images Using the TWAIN Interface.

Running scanning software: In addition to running the scanning software from Paint Shop Pro, you can also run the software from the Windows Start menu. After you perform the scan, you then need to run Paint Shop Pro.

Related Topics

Capturing Images from a Computer Screen

Setting Screen Capture Options

Creating Images

Importing Images from Digital Cameras and Scanners

Saving Images

Using the Paint Shop Pro Browser


Opening Existing Images

You can open images in a variety of file formats. The list of formats you can open in Paint Shop Pro appear in the Open dialog.

You can select which formats Paint Shop Pro displays as available to open. See Setting File Format Associations.

You can open a file using the Open dialog or the Browser or by choosing a recently used file from the File > Recent Files menu. With the Open dialog, you can view a preview of each image file that you select. With the Browser, you can view previews of all image files within a folder. When you open a file via the Browser, the Browser window stays open until you close it.

To open an image file using the Open dialog:

  1. Do one of the following:

  2. Choose File > Open.

  3. Click the Open button [image].

  4. Press Ctrl + O.

  2. In the Look in drop-down list, select the folder where the file is stored.

  3. Click the name of the file you want to open. To select multiple files, press Ctrl and click each name.

  4. To view information or a preview of the image, choose an option:

Details Click this button to open a pop-up that displays information about the selected image. Click OK to close this pop-up.

Show preview Mark this check box to display the selected image in the preview area. If you have selected multiple files, no preview is displayed; use the Browse window instead.

  5. Click Open.

To open an image file using the Browser:

  1. Do one of the following:

  2. Choose File > Browse.

  3. Click the Browse button [image].

  4. Press Ctrl + B.

The Browse window opens. Note that the main menu displays commands specific to the Browse window. The Browse menu is active until you open a new file or click an open image.

  2. In the left panel of the Browse window, select the folder that contains the file you want to open. The right panel displays thumbnails of image files located in the selected folder.

  3. Select files using one of these methods:

  4. Click a thumbnail image.

  5. To select more than one file, press Ctrl and click each file.

  6. To select sequential files, click the first file, press Shift, and click the last file.

Note: To deselect a file, press Ctrl and click its thumbnail.

  4. Open the selected file(s) using one of these methods:

  5. Double-click a single file’s thumbnail or Ctrl + double-click one thumbnail when multiple files are selected.

  6. Select a file or multiple files and then drag them onto a blank part of the work space.

  7. Press Enter.

  8. Right-click and select Open from the context menu.

  9. Choose Image File > Open.

After the file or files open, you can close the Browse window by clicking its Close button or leave the Browse window open in the work space.

To open a recently used file:

Choose File > Recent Files and then choose the file name.

By default, the Recent Files menu lists four recently used files. You can include up to 10 files. For more information, see Miscellaneous Preferences.

Related Topics

Capturing Images from a Computer Screen

Setting Screen Capture Options

Creating Images

Importing Images from Digital Cameras and Scanners

Saving Images

Using the Paint Shop Pro Browser

Opening Frames from Animation Shop


Creating Images

You can create a new image by creating a blank image or by using another image as a starting point.

For information on using other images, see Creating New Images from Existing Images.

When you create a new blank image, you select the image size and resolution, along with the color depth and background color and material. It’s important to choose a size and resolution that fits with your desired output type and output quality. For more information, see About Image Size, Resolution, and Color Depth.

To create a new image:

  1. Do one of the following:

  2. Choose File > New.

  3. Press Ctrl + N.

  4. Click the New Image button [image] on the toolbar to open the New Image dialog.

  2. Choose the image dimensions:

  3. To select a preset size for the new image, in the Presets drop-down list choose a standard size for print materials (such as 4” x 6” or letter) or computer screens (such as 640 x 480 pixels).
    The Presets list defaults to the Last Used option, which specifies the settings that were used the last time you created a new image.

  4. To create an image using specific dimensions, in the Image Dimensions group box, set the following options:

Units The units of the dimensions (pixels, inches, or centimeters).

Width The width of the new image.

Height The height of the new image.

Resolution The resolution of the new image. Specify the resolution units (pixels/inch or pixels/cm) in the drop-down list.

  3. In the Image Characteristics group box, select from these options:

Raster Background or Vector Background. The type of the bottommost layer: raster or vector. Choose a raster background for most photographic applications. Choose a vector layer if you are creating vector graphics.

Color depth The color depth, or number of bits per pixel, of the image. For more information on color depth, see About Image Size, Resolution, and Color Depth.

Background The background color or material.

  • For raster images, click the color box to select from the Material dialog (for 16 million color images) or the image palette (for images of all other color depths). To choose a transparent background (for greyscale or 16 million color images only), mark the Transparent check box.
    For more information on choosing colors or materials, see Using the Materials Palette.

  • For vector images, you only need to choose the color depth. Vector images start with a transparent vector layer.

Note: The Memory Required field displays the amount of memory required for the image. Your computer should have at least two to three times this amount of RAM. To reduce the memory requirement, reduce the resolution or the dimensions of the image.

  4. Click OK. The new image opens in the work space.

Related Topics

Capturing Images from a Computer Screen

Setting Screen Capture Options

Creating Images

Importing Images from Digital Cameras and Scanners

Saving Images

Using the Paint Shop Pro Browser


Capturing Images from the Computer Screen

You can take a picture, called a screen capture, of all or part of the computer screen. You can then edit and save the screen capture in Paint Shop Pro. Before you capture screens you should configure the screen capture options.

Add the capture icons to a toolbar: If you frequently capture screens, you may want to create a new toolbar containing the icons for the screen capture command, see Creating a New Toolbar.

To capture a screen:

  1. Configure screen capture options. For more information, see Setting Screen Capture Options.

  2. Open or display Paint Shop Pro.

  3. To start the screen capture feature, do one of the following:

  4. Choose File > Import > Screen Capture > Start.

  5. Press Shift + C.

Paint Shop Pro minimizes to the Windows task bar.

  4. Open or display the image or window that you want to capture.

  5. To activate the screen capture, right-click or press the hot key (such as F10) you chose during setup.
    If you chose Full Screen, Client Area, or Window during setup, the screen, area, or window is captured.

  6. For Area and Object captures, select the area or object to capture:

  7. For Area captures, click at the starting point of the area you want to capture, then move the cursor to the end point and click again. As you move the cursor a rectangle displays the selection area.

  8. For Object captures, move the cursor until the area you want is highlighted (with a black rectangle around it), then click to activate the capture.

  7. If you selected to take multiple captures during setup, you can now take another capture. Right-click or press the hot key for each screen capture. When you are finished, click the Paint Shop Pro button in the Windows task bar.

  8. When you are finished, you can edit the screen captures as needed and save the image in Paint Shop Pro. For information about saving images, see Saving Image Files.

Related Topics

Setting Screen Capture Options

Creating Images

Importing Images from Digital Cameras and Scanners

Saving Images

Using the Paint Shop Pro Browser

Opening Frames from Animation Shop


Opening Frames from Animation Shop

Paint Shop Pro allows you to bring in selected frames from Jasc Animation Shop. After exporting the frames, you can use Paint Shop Pro's image editing arsenal to modify the frames before sending them back to Animation Shop.

Before opening Animation Shop frames in Paint Shop Pro, be aware of the Export option in the Animation Shop Preferences (this option affects how selected animation frames open in Paint Shop Pro).

To set the export options in Animation Shop:

  1. In Animation Shop, choose File > Preferences > General Program Preferences, and choose the Layered Files tab. The first option is a check box labeled "Export frames to Paint Shop Pro as layered images"

  2. Your choices are:

  3. If you mark this check box, when you subsequently select multiple animation frames for export to Paint Shop Pro, the frames will be contained as individual layers within one Paint Shop Pro image.

  4. If you do NOT mark this check box, when you subsequently select multiple animation frames for export to Paint Shop Pro, each frame will open as its own Paint Shop Pro image file.

To open frames from Animation Shop:

  1. In Animation Shop, select the frames you want to export to Paint Shop Pro. Only selected frames will be exported.

  2. Choose File > Export Frames > To Paint Shop Pro.

  3. If Paint Shop Pro is already open, it will become the active application, and the selected frame(s) will appear. If Paint Shop Pro was not open, it will start up, and the selected frame(s) will appear.

Important Notes about Interactivity

  • While animation frames are open in Paint Shop Pro, the two programs are “linked,” meaning that modifications made on the frames in Paint Shop Pro can be automatically updated to the associated animation in Animation Shop. (To do so, in Paint Shop Pro, choose Edit > Update Back to Animation Shop). You can, however, break this link. To do so, in Animation Shop, choose File > Export Frames > Break Link with Exported Frames. You can also break the link by closing the images in Paint Shop Pro without saving changes.

  • If you also have Paint Shop Pro version 7, be aware that Animation Shop will export selected frames to the most recently used version of Paint Shop Pro.

Related Topics

Capturing Images from a Computer Screen

Setting Screen Capture Options

Creating Images

Importing Images from Digital Cameras and Scanners

Saving Images

Using the Paint Shop Pro Browser


Using the Paint Shop Pro Browser

With the Paint Shop Pro Browser, you can view, open, and manage your files.

When you open the Browse window, you have a variety of options for selecting files to open and for renaming, moving, copying, and deleting the image files. You can use the Browse window just as you would Windows Explorer—with the additional help of being able to see the image files you are managing.

To open the Browser:

Choose File > Browse or press Ctrl + B.

For more information about using the Browser, see:

Selecting Files Using the Browser

Changing the Order of Thumbnails

Renaming Files Using the Browser

Pasting Files from the Browser into Another Application

Moving and Deleting Files Using the Browser

Updating Thumbnails

Rotating Images Using the Browser

Related Topics

Capturing Images from a Computer Screen

Setting Screen Capture Options

Creating Images

Importing Images from Digital Cameras and Scanners

Saving Images


Closing Images

To close an Image, choose File > Close, or click the Close button [image] on the image window.

Related Topics

Capturing Images from a Computer Screen

Setting Screen Capture Options

Creating Images

Importing Images from Digital Cameras and Scanners

Saving Images

Using the Paint Shop Pro Browser


Saving Image Files

Paint Shop Pro has a native .PspImage format that supports layers, alpha channels, and other features you use to create images. You will find it convenient to save an image in this format while you are working on it and then convert it to a different format after you have finished.

Always save a .PspImage version of your file: To be able to use all Paint Shop Pro features, we recommend you save and edit your files in .PspImage format with a color depth of 16 million colors. You can then use the Save As or Export command to save a copy of the file in the desired output format. Your original image stays intact in case you need to make changes to it later.

For more information, see:

Using AutoSave

Compressing .PspImage Files

Saving an Image

Saving a New Image File

Saving an Image File in its Original Format

Saving an Image File in a New File Format

Saving a Copy of an Image

Related Topics

Capturing Images from a Computer Screen

Setting Screen Capture Options

Creating Images

Importing Images from Digital Cameras and Scanners

Using the Paint Shop Pro Browser


About Raster and Vector Graphics

Computer graphics are of two types: raster (also called bitmap) or vector. With Paint Shop Pro, you create both raster and vector images. You can also create an image with both raster and vector layers. It’s important to understand the differences between the two data types.

Raster Images

Raster images are composed of individual elements, called pixels, arranged in a grid. Each pixel has a specific location and color. If you magnify raster data, you can see the individual pixels as squares of colors.

An object in a raster image is defined by its pixels. For example, the front door in an image of a house is made up of a mosaic of pixels at certain locations in the image. In bitmap images you edit pixels rather than objects or shapes.

Raster images can display subtle changes in tones and colors, so they are most often used for images like photographs and digital artwork. Raster images contain a fixed number of pixels, so when you magnify the image you are magnifying the display size of the pixels. As a result, raster images can display jagged rather than smooth edges if magnified on screen or printed at a large magnification.

Vector Graphics

Vector graphics or images use geometric characteristics—lines, curves, and their locations—to define objects. For example, a door in a graphic of a house is made up of a rectangle with a certain width and height at a specific location and filled with a certain color. In vector images you edit objects or shapes rather than pixels.

Vector graphics do not lose clarity or detail when scaled to any size or printed at any resolution. They work well for technical illustrations or corporate logos.

Choosing Raster or Vector

In Paint Shop Pro, you create and edit raster and vector data on separate layers. With some tools you create raster data (like brush strokes with the Paint tool) and with other tools (like the Text and Preset Shapes tools) you can choose whether you want to create raster or vector data.

In general, use vector objects when you’ll need to edit the object as an element separate from other parts of the image. For example, if you add a star to an image, you may want to change its size, color or location. This is easier if the star is a vector object. You can create raster data on separate layers so you can easily edit or move them.

To apply tools or commands to vector objects that work only on raster data (such as the painting tools or the effects commands), you can create a raster selection of a vector object. Then, paste the selection to a new raster layer.

Related Topics

Capturing Images from a Computer Screen

Setting Screen Capture Options

Creating Images

Importing Images from Digital Cameras and Scanners

Saving Images

Using the Paint Shop Pro Browser


About Image Size, Resolution, and Color Depth

Before you create a new image, think about how you will use it. For example, will you display the image on a Web site, send it as an e-mail attachment, or print it? How you use the image helps you determine the image’s size, resolution, and color depth. All three elements also contribute to the file size of the image.

Image Size The physical dimensions of the image. In Paint Shop Pro you define image height and width in pixels, inches, or centimeters.

  • For printed images for which you know the size you need, use inches or centimeters. By starting with the final image dimensions, you can produce an image that will fit the page.

  • For printed images that you will import into another software package (such as a word processor) and resize as needed, use whichever unit is easiest for you.

  • For images to be displayed on screen, use pixels.

You can resize an image after you have created it, but doing so may result in loss of image data. For more information, see Resizing Images.

Image Resolution The number of pixels per inch (ppi) or pixels per centimeter in images. It is important to select an appropriate resolution. Too low a resolution causes pixelation, or large pixels that produce coarse output. Too high a resolution adds to an image’s memory requirements without producing a proportional increase in its quality.

Typical image resolutions are as follows:

  • For images displayed on Web pages, use 72 ppi.

  • For images printed to a high-quality printer, set the image resolution to one-half to one-quarter of the actual printer resolution. For example, for a laser printer with a resolution of 600 dots per inch (dpi), use an image resolution of 150 to 300 ppi.

Color Depth The number of colors that a pixel can display. Each pixel’s color information is stored in a certain number of computer bits—from 1 bit to 24 bits. In a 1-bit image, each pixel can display only one of two colors (black or white). In a 24-bit image, each pixel can display one of 16 million colors. Images with a color depth of 16 million colors look best because they contain the most colors, but they also require the most memory to store and edit. Not all computer monitors can display 16 million colors, so some file formats limit the number of supported colors. For example, GIF images, a popular format for the Web, contain up to 256 colors (8-bit depth).

Many of Paint Shop Pro’s effect and correction commands work on 16 million color images only. Therefore, its best to create most images using 16 million colors. When you have finished working on the image, you can decrease its color depth and save it in another format.

For more information, see Understanding Color Depth.

Related Topics

Capturing Images from a Computer Screen

Setting Screen Capture Options

Creating Images

Importing Images from Digital Cameras and Scanners

Saving Images

Using the Paint Shop Pro Browser


Improving Photographs

Once you have photos in Paint Shop Pro, the next step is to correct any problems with the images. Sometimes the problems are obvious, such as when the subject is too dark. Sometimes, you know that the picture could look better, but you don’t know what to fix. This chapter will help you determine what needs improvement in a photo and show you how to improve it.

Important: All commands mentioned in this chapter work on 16 million color and greyscale images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

Basic Steps in Improving Photographs

How to Approach Color, Contrast, and Saturation Adjustments

Common Problems and How to Solve Them

Improving Colors

Improving Contrast

Improving Saturation

Removing Source Defects

Removing Image Defects and Noise

Correcting Image Distortions

Retouching Photographs

Improving Image Clarity


Basic Steps in Improving Photographs

Paint Shop Pro contains many features you can use to enhance your photos. Whenever you work on photos, you should follow the same basic steps in a specific order to get the best results. This is necessary because some later actions remove image data that is needed to successfully complete earlier steps.

To improve photographs:

  1. Calibrate your monitor to ensure that screen and print images match as closely as possible and that colors are consistent from image to image. For more information, see Calibrating Your Monitor.

  2. Improve colors, contrast, and saturation. Use Paint Shop Pro’s automatic adjustment commands or use the manual adjustments to make initial corrections to your images. See How to Approach Color, Contrast, and Saturation Adjustments.

  3. Correct defects caused by the image source, including unwanted patterns on scanned images and undesirable lines on video frames. See Removing Source Defects.

  4. Correct image defects, such as black or white specks, and image distortions caused by camera lenses. See Removing Image Defects and Noise and Correcting Image Distortions.

  5. Retouch photos, including removing scratches and red-eye effects on people and animals. During this step you can also remove unwanted highlights and objects from your photos. See Retouching Photographs.

  6. Clarify and sharpen images. See Improving Image Clarity.

Analyzing images using the histogram: For image editing professionals, the histogram and its accompanying adjustment features are powerful tools for understanding and correcting images—especially those with contrast or brightness problems. For casual users, getting familiar with the histogram may not be necessary because Paint Shop Pro offers many simpler ways to adjust images. For information about using the histogram to analyze your photos, see Using the Histogram to Analyze Images.

Related Topics

Basic Steps in Improving Photographs

How to Approach Color, Contrast, and Saturation Adjustments

Common Problems and How to Solve Them

Improving Colors

Improving Contrast

Improving Saturation

Removing Source Defects

Removing Image Defects and Noise

Correcting Image Distortions

Retouching Photographs

Improving Image Clarity


How to Approach Color, Contrast, and Saturation Adjustments

The color, contrast, and saturation have the most influence on our perception of a photograph’s quality. If the colors are washed out or the contrast is low, the photo doesn’t look right.

Paint Shop Pro’s adjustments modify the basic components of color: hue, saturation, and lightness. Hue is the color (such as red or yellow). Saturation is the vividness of the color. Lightness is the intensity of light in the color.

Note: Because greyscale and black-and-white photos have no color, you can adjust only the contrast. See Improving Contrast.

Make adjustments in this order:

  • For most photos, first adjust the color and then adjust the contrast. (Contrast adjustment can result in a loss of image information that is needed for color adjustments.)

  • For images that are extremely dark or light, first adjust the contrast to make the colors more visible, then adjust the color. If necessary, adjust the contrast again.

  • Always adjust the saturation last.

Each color, contrast, and saturation adjustment can be made automatically or manually. For automatic adjustments, you choose a few settings and Paint Shop Pro does the rest. For manual adjustments, you analyze the photo and decide what adjustments it needs.

Important: When correcting color photographs, start with the automatic adjustments, and see if you like the result. If the photo still isn’t right, use the manual adjustments. For more information about the qualities of color, see Understanding Color and Color Models.


Fixing Photos in One Step

Use the One Step Photo Fix command to automatically adjust the color balance, contrast, clarity, saturation, smooth edges, and sharpen an image.

To fix a photo in one step:

On the Photo toolbar, choose One Step Quick Fix to automatically fix a photo.

Note: To view the Photo toolbar, choose View > Toolbars > Photo.

Related Topics

Basic Steps in Improving Photographs

How to Approach Color, Contrast, and Saturation Adjustments

Common Problems and How to Solve Them

Improving Colors

Improving Saturation

Removing Source Defects

Removing Image Defects and Noise

Correcting Image Distortions

Retouching Photographs

Improving Image Clarity


Common Problems and How to Solve Them

While each of your photos is unique, they may have problems in common. How do you know how to go about making them look their best?

Here are before-and-after photos that will help you in determining what you need to do with your photos.

Problem | How to Solve It
Entire photo too dark (underexposed) or too light (overexposed) | Choose Adjust > Brightness and Contrast > Automatic Contrast Enhancement. See Automatically Enhancing Contrast.
Subject too dark or too light | First, choose Adjust > Color Balance > Automatic Color Balance. See Automatically Balancing Colors. Next, choose Adjust > Brightness and Contrast > Automatic Contrast Enhancement. See Automatically Enhancing Contrast. Then, choose Adjust > Hue and Saturation > Automatic Saturation Enhancement. See Automatically Enhancing Saturation.
Contrast too low or too high | Choose Adjust > Brightness and Contrast > Automatic Contrast Enhancement to or use specific commands to improve the contrast manually. See Improving Contrast.
Unnatural colors (photo taken indoors without a flash) | Choose Adjust > Color Balance > Automatic Color Balance. See Automatically Balancing Colors.
Unnatural skin tones | Choose Adjust > Color Balance > Manual Color Correction. See Using Source and Target Colors to Correct Colors Manually.
Scratches | Choose Adjust > Noise > Automatic Small Scratch Removal or use the Scratch Remover tool. See Removing Scratches with the Automatic Small Scratch Remover Command or Removing Scratches with the Scratch Remover Tool.
Specks or noise | Choose Adjust > Noise > and then a command. See Removing Image Defects and Noise.
Red eyes | Choose Adjust > Red-eye Removal. See Removing Red Eyes.
Foggy or hazy image | Choose Adjust > Sharpness > Clarify. See Improving Image Clarity.
Subject out of focus | Choose Adjust > Sharpness > one of the Sharpening commands. See Improving Image Clarity.
Distorted image from digital camera | Choose Adjust > Lens Correction > and then the Barrel, Fisheye, or Pincushion Distortion Correction. See Correcting Image Distortions.
Unwanted pattern on scanned image | Choose Adjust > Noise > Moiré Pattern Removal. See Removing Undesirable Patterns in Scanned Images.
Old, faded photo | Choose Adjust > Color Balance > Fade Correction. See Correcting Faded Images.


Correcting Image Distortions

Camera lenses can create distortions in photographs. You see these distortions most often in wide-angle photographs, in close-up photographs taken with cameras with fixed focal ranges, and in cameras with inexpensive lenses (such as disposable cameras).

Important: These effects work on greyscale and 16 million color (24-bit) images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

Types of Lens Distortions:

Barrel distortion If your image has a barrel distortion, it looks pushed out at the center. Lines that should be straight are curved. You must correct lens distortions before cropping the image. For distortion corrections to work properly, the axis of the camera lens must coincide with the center of the image. See Correcting Barrel Distortions.

Fisheye distortion If your image has a fisheye distortion, it looks as though it has been pasted onto a sphere or blown up like a balloon. Lines that should be straight are curved and the edges of the image look compressed. See Correcting Fisheye Distortions

Pincushion distortion If your image has a pincushion distortion, it looks pushed in at the center. Lines that should be straight are curved. See Correcting Pincushion Distortions.

Related Topics

Basic Steps in Improving Photographs

How to Approach Color, Contrast, and Saturation Adjustments

Common Problems and How to Solve Them

Improving Colors

Improving Contrast

Improving Saturation

Removing Source Defects

Removing Image Defects and Noise

Correcting Image Distortions

Retouching Photographs

Improving Image Clarity


Improving Colors

To improve your photographs, start by adjusting the colors. Different types of lighting, photographic equipment, and photo processing can cause incorrect coloring in images. In addition, scanned images or digital camera images can have unnatural color casts.

Important: These commands work on 16 million color images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

Ways to correct colors:

Automatically Balancing Colors This command works best for correcting images with several colors rather than images with variations of one color. See Automatically Balancing Colors.

Using Source and Target Colors to Correct Colors Manually Use this command when the image has skin tones that need to be corrected or when you want to get a specific color exactly right. This adjustment also works well for images with grossly incorrect colors. See Using Source and Target Colors to Correct Colors Manually.

Using Greyworld to Adjust Colors Like the Automatic Color Balance command, the Grey World Color Balance command corrects image colors, but it uses a different mathematical algorithm. See Using Greyworld to Adjust Colors.

Correcting Faded Images Use the Fade Correction command to restore color and contrast to faded photographic images. See Correcting Faded Images.

Related Topics

Basic Steps in Improving Photographs

How to Approach Color, Contrast, and Saturation Adjustments

Common Problems and How to Solve Them

Improving Contrast

Improving Saturation

Removing Source Defects

Removing Image Defects and Noise

Correcting Image Distortions

Retouching Photographs

Improving Image Clarity

Related Topics

Basic Steps in Improving Photographs

How to Approach Color, Contrast, and Saturation Adjustments

Common Problems and How to Solve Them

Improving Colors

Improving Contrast

Improving Saturation

Removing Source Defects

Removing Image Defects and Noise

Correcting Image Distortions

Retouching Photographs

Improving Image Clarity


Improving Contrast

Contrast is the variation of dark and light intensities within an image. To look its best, an image must have the proper balance between highlights, midtones, and shadows.

Brightness is a term often associated with contrast. Brightness is the overall lightness of an image. If the image has a high brightness, all colors are bright. If the image has a low brightness, all colors are dark. Several of Paint Shop Pro’s contrast adjustments also affect the brightness of images.

Important: This command works on 16 million color and greyscale images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

To adjust an image’s overall lightness and intensity and to balance its highlights, midtones, and shadows, use the Automatic Contrast Enhancement command. You can apply the command to a selection or an entire image.

Note: If you apply this command to a selection on an image, the contrast adjustment may not be as effective because all the image information is not available.

To automatically adjust contrast:

  1. Choose Adjust > Brightness and Contrast > Automatic Contrast Enhancement.

  2. In the preview window; center an important part of the image. Pan the image by clicking and dragging in the preview window; zoom in or out as necessary.

  3. Adjust the Bias The brightness of the correction: Lighter, Neutral, or Darker.

  4. Adjust the Strength The strength of correction for the image: Normal or Mild.

  5. Adjust the Appearance The appearance of the contrast correction: Flat (a slight difference between light and dark areas); Natural (an average difference between light and dark areas); and Bold (a striking difference between light and dark areas).

  6. Click OK.

Related Topics

Basic Steps in Improving Photographs

How to Approach Color, Contrast, and Saturation Adjustments

Common Problems and How to Solve Them

Improving Colors

Improving Saturation

Removing Source Defects

Removing Image Defects and Noise

Correcting Image Distortions

Retouching Photographs

Improving Image Clarity


Improving Image Clarity

Improving image clarity is the final step in image correction. Use the Clarify, Sharpen, and Edge commands to clarify and sharpen your images.

Important: These commands work on 16 million color or greyscale images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

Ways to improve clarity:

Clarifying Images Makes a hazy, foggy, or slightly out of focus image look clearer.

Sharpen and Sharpen More Focus the image and improve its clarity by increasing the contrast between adjacent pixels where there are significant color contrasts, usually at the edges of objects. The Sharpen More command sharpens with a stronger effect than the Sharpen command. See Sharpening Images.

Unsharp Mask Sharpens the mid- to high-contrast edges in the image without enhancing noise. This command is typically used in professional color corrections. See Sharpening Images Unsharp Mask Command.

Accentuating Edges and Contrast Areas Edge effects to clarify your image and to accentuate the edges and contrast areas in your image. See Accentuating Edges and Contrast Areas.

Related Topics

Basic Steps in Improving Photographs

How to Approach Color, Contrast, and Saturation Adjustments

Common Problems and How to Solve Them

Improving Colors

Improving Contrast

Improving Saturation

Removing Source Defects

Removing Image Defects and Noise

Correcting Image Distortions

Retouching Photographs

Improving Image Clarity


Improving Saturation

After you have corrected the color balance and contrast of your image, adjust the saturation. Saturation is the vividness of colors that results from the amount of grey in each color. Saturated colors, such as fire-engine red, appear bright and brilliant. Desaturated colors, such as pastels, appear subdued or washed-out.

To adjust the overall color saturation of your image automatically, use the Automatic Saturation Enhancement command. You can apply the command to a selection or an entire layer .If you apply this command to a selection (rather than the entire image), the saturation adjustment may not be as effective because all image information is not available.

Important: This command works on 16 million color and greyscale images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

This command has no effect on greyscale images because they have no color, it can be used on sepia or duotone images.

To automatically enhance saturation:

  1. Choose Adjust > Hue and Saturation > Automatic Saturation Enhancement.

  2. In the preview window, center an important part of the image (such as a face). Pan the image by clicking and dragging in the preview window; zoom in or out as necessary.

  3. Adjust the Bias The vividness of the corrected colors: Less colorful, Normal, or More colorful.

  4. Adjust the Strength The strength of correction: Weak, Normal, or Strong.

  5. Mark the Skintones present check box if significant amounts of skintones are present in the selection or image. Marking this check box gives people more natural coloring. Clear the check box if the image has few or no skintones.

  6. Click OK.

Related Topics

Basic Steps in Improving Photographs

How to Approach Color, Contrast, and Saturation Adjustments

Common Problems and How to Solve Them

Improving Colors

Improving Contrast

Removing Source Defects

Removing Image Defects and Noise

Correcting Image Distortions

Retouching Photographs

Improving Image Clarity


Removing Image Defects and Noise

Sometimes images have defects that are called noise—black, white, or colored specks ranging in size from very tiny to relatively large or all-over noise that gives surfaces a grainy look. You can use Paint Shop Pro’s Noise commands to remove noise from images. Before you decide which command to use, determine the type of noise that your image contains.

Important: These commands work on 16 million color and greyscale images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

Ways to remove image defects and noise:

Removing Single-Pixel Specks This command analyzes the brightness of each pixel and compares it to the surrounding pixels to determine if it should be removed. See Removing Single-Pixel Specks.

Removing Multiple-Pixel Black or White Specks Use the Salt and Pepper Filter command to remove multiple-pixel black or white specks, such as those caused by dust on film or video. See Removing Multiple-Pixel Black or White Specks.

Removing Noise While Preserving Edge Details Use the Edge Preserving Smooth command to remove noise in an image without losing edge details. See Removing Noise While Preserving Edge Details.

Removing Small Areas of Noise Use the Median Filter command to remove small random specks or areas of noise that are distinctly different from the surrounding area. See Removing Small Areas of Noise

Removing Noise While Keeping Texture Details Use the Texture Preserving Smooth command to remove noise or specks in an image while preserving texture details. See Removing Noise While Keeping Texture Details.

Softening the Image The three Softness commands are Soft Focus, Soften, Soften More. Soften applies a uniform blur to your image. Soften More applies the Soften command with more intensity. The Soft Focus command makes the image look as though it was taken with a camera using a soft focus filter. See Softening the Image.

Related Topics

Basic Steps in Improving Photographs

How to Approach Color, Contrast, and Saturation Adjustments

Common Problems and How to Solve Them

Improving Colors

Improving Contrast

Improving Saturation

Removing Source Defects

Correcting Image Distortions

Retouching Photographs

Improving Image Clarity


Removing Source Defects

Images can contain defects that come from the process of scanning or capturing them

Important: These commands, work on 16 million color and greyscale images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

Ways to correct source defects:

Fixing Line Problems in Video Images Use the Deinterlace command to eliminate missing or misaligned lines from your image and to reconstruct missing information. If the image contains noise, it may become more visible after removing scan lines. See Fixing Line Problems in Video Images.

Removing Artifacts from JPEG Images Use the JPEG Artifact Removal command to restore a JPEG image to its original appearance. See Removing Artifacts from JPEG Images.

Removing Undesirable Patterns in Scanned Images The Moiré Pattern Removal command removes undesirable patterns from scanned images. See Removing Undesirable Patterns in Scanned Images.

Related Topics

Basic Steps in Improving Photographs

How to Approach Color, Contrast, and Saturation Adjustments

Common Problems and How to Solve Them

Improving Colors

Improving Contrast

Improving Saturation

Removing Image Defects and Noise

Correcting Image Distortions

Retouching Photographs

Improving Image Clarity


Retouching Photographs

Paint Shop Pro offers many options for retouching your photos. You can remove red eyes from people, or the green eye of animals using the Red Eye tool. If there are scratches, cracks, and other unwanted defects on a relatively smooth background, use the Scratch Remover tool. If there are many small scratches or creases, use the Automatic Small Scratch Remover command. If there are elements you want to remove, use the Clone Brush tool. Use the retouch tools to lighten, darken, emboss, change colors, and apply other retouches to parts of the image.

Important: These commands work on 16 million color images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

Ways to retouch photographs:

Removing Red Eyes When you take a flash picture of people or animals, sometimes their eyes look red—the result of the flash’s light reflecting off the retina of the eye. Use the Red-Eye Removal command to return eyes to natural colors. See Removing Red Eyes.

Removing Scratches The Scratch Remover tool is one way to remove scratches, cracks, and other defects from your images. This tool works best for scratches on relatively smooth backgrounds. Removing Scratches with the Scratch Remover Tool.

Removing Scratches with the Automatic Small Scratch Removal Command The Automatic Small Scratch Remover command finds and eliminates small, line-shaped defects that are either lighter or darker than the surrounding area. Removing Scratches with the Automatic Small Scratch Removal Command.

Related Topics

Basic Steps in Improving Photographs

How to Approach Color, Contrast, and Saturation Adjustments

Common Problems and How to Solve Them

Improving Colors

Improving Contrast

Improving Saturation

Removing Source Defects

Removing Image Defects and Noise

Correcting Image Distortions

Improving Image Clarity


Working with Colors and Materials

Whether you are applying color to an image or adjusting photographic colors, it’s important to understand how Paint Shop Pro works with color. This chapter describes how to choose colors and materials that you can use to paint, draw, or fill. It also discusses the basics of color—how it is displayed on screen and printed—as well as image color depth.

Using the Materials Palette

Understanding Color and Color Models

How Monitor and Print Colors Differ

Working with Color Channels

Understanding Color Depth

Working with Image Palettes

Making a Palette Color Transparent


Basics of Using the Materials palette

The Materials palette offers a variety of ways to choose colors, styles, and materials.

To display or hide the Materials palette:

Choose View > Materials palette or press F6, to close the palette you can click the Close button [image]. When the Materials palette is floating

To choose a foreground or background solid color:

  1. On the Materials palette, do one of the following choose a foreground color, click the Foreground Color box.

  2. To choose a background color, click the Background Color box. The Color dialog opens.

Note: You can also click the Foreground Material box or the Background Material box to display the Material dialog, and then click the Color tab.

  2. Choose a color from the Jasc Color Picker or the image palette, see Choosing Colors.

To choose a foreground or background material (color, gradient, pattern, or texture):

  1. On the Materials palette, do one of the following:

  2. To choose a foreground material, click the Foreground Material box.

  3. To choose a background material, click the Background Material box.

The Material dialog opens. On this dialog, you can choose from all of Paint Shop Pros colors, gradients, patterns, and textures.

  2. To choose the style, click the Color, Gradient, or Pattern tab and select the appropriate settings. For more information, see Choosing Colors, Choosing Gradients, or Choosing Patterns.

  3. To choose a texture, mark the Texture check box and select a texture. For more information, see Choosing Textures.

  4. Click OK.

To choose from recently used materials:

On the Materials palette, right-click a Color or Material box to display the Recent Materials dialog, and then choose a material.

On the Recent Materials dialog you can click the Other button to display the Material dialog and choose or create a material from all of Paint Shop Pros colors, gradients, patterns, and textures.

To choose a color from the Available Colors panel:

  1. On the Materials palette, click the Colors tab [image].

  2. Move the cursor over the Available Colors panel. A ToolTip displays the color value.

  3. Do one of the following:

  4. To choose the foreground color, left-click in the Available Colors panel.

  5. To choose the background color, right-click in the Available Colors panel.

The Foreground or Background Color box displays the selected color. If the Style button is set to Gradient [image] or Pattern [image], change it to Color [image] so that the material is updated with the color.

To apply the current materials to all tools:

On the Materials palette, mark the All tools check box.

If you clear this check box, the current materials are applied to the active tool only.

To reverse the foreground and background colors:

Click the Swap Colors icon [image].

To reverse the foreground and background materials:

Click the Swap Materials icon [image].

Related Topics

Using the Materials Palette

Understanding Color and Color Models

How Monitor and Print Colors Differ

Working with Color Channels

Understanding Color Depth

Working with Image Palettes

Making a Palette Color Transparent


Using the Materials Palette

With Paint Shop Pro you can paint, draw, and fill with a variety of colors, styles, and materials: solid colors, gradients, patterns, and textures. A style is the color, gradient, or pattern. A material is the style plus the optional texture. You select materials on the Materials palette.

In general you use foreground materials for brush strokes and background materials for fills. When you paint with a brush, right-clicking the brush paints with the background material, and for fill tools, left-clicking fills with the foreground material. For text and preset shapes, the foreground color is the stroke (or outline) of the text or shape and the background color is the fill of the text or shape.

About the relationship between the Material and Color boxes: Since you can select colors by clicking the Material boxes, you may wonder why the Materials palette includes Color boxes too. With the Foreground or Background Color box, you can select a new color even when the Material box displays a gradient or a pattern. The Color boxes provide a quick way to change colors without changing the other parts of the material.

In general, its best to select the tool you want to use, select the material on the Materials palette, and then apply the tool.

The main components of the Materials palette:

Colors tab Displays the Available Colors panel, where you can click to select a color. At the bottom of the tab you can click to select white, black, or three shades of grey.

Swatches tab Displays swatches, which are materials you can save to use again. For more information, see Working with Swatches.

Foreground and Background Color boxes Display the current foreground or background color.

Foreground and Background Material boxes Display the current foreground or background material (the style color, gradient, or pattern plus the texture).

Style button [image] Specifies which style is currently selected, color [image], gradient [image], or pattern [image]. To change between the most recently selected color, gradient, or pattern, click the Style button and select a new style. To define a new color, gradient, or pattern, click a Material box.

Texture button [image] Turns the current texture on or off. To choose a new texture, click the Foreground Material box or the Background Material box.

Transparency button [image] Specifies whether the foreground or background material is transparent (in other words, it has no style or texture). You use a transparent material primarily with vector objects and text a transparent foreground has no outline (the objects or letters are filled only) and a transparent background has no fill (the objects or letters are outlined only). This button is unavailable for tools that require a foreground or background color.

All Tools check box If the check box is marked, the selected foreground and background materials apply to all tools. If the check box is cleared, the selected materials apply only to the active tool (such as the Paintbrush tool or the Preset Shapes tool).

Note: The All Tools check box does not apply to the Edit Text command.

Related Topics

Basics of Using the Materials Palette

Understanding Color and Color Models

How Monitor and Print Colors Differ

Working with Color Channels

Understanding Color Depth

Working with Image Palettes

Making a Palette Color Transparent


How Monitor and Print Colors Differ

Computer monitor colors and printed colors may often be quite different—which is a challenge when you are trying to match a certain color. Colors can also appear different from monitor to monitor.

Image colors on a monitor are influenced by a variety of factors: the color range, called the color gamut, of the input device (such as the scanner or camera), the manufacturer and age of the monitor, and the monitor’s brightness and contrast settings.

When you print an image, you introduce other factors that influence color: the quality and absorption properties of the paper, the color gamut of the printer, and the conversion of RGB values from the monitor to the CMYK values of the printer’s ink.

This conversion is a challenge because of the different approaches to color between monitors and printers. Because monitors use light to display color, they use additive colors—when you add them together, they produce white. Conversely, when you remove all monitor colors you produce black. Because printers use ink to display color, they use subtractive colors—when you remove colors, you produce white, and when you add all printer colors you produce black. As a result, monitors and printers have different color gamuts. Although they share many of the same colors, there are some colors a monitor can display that a printer can’t print and some colors a printer can print that a monitor can’t display.

Given all the factors that go into producing colors, how do you go about making colors accurate and consistent? Try these options:

  • Calibrate your monitor every few months. See Calibrating Your Monitor.

  • Get to know the typical differences between your monitor’s colors and your printer’s colors so that you can adjust your images as needed. Print out several photographs or other images and compare them to the screen. Are there typical results? For example, your printer may always print colors darker than your monitor displays them. Knowing this, you can modify the lightness of your images accordingly.

  • Consider using Windows Color Management, which helps to improve color consistency across devices. See Adjusting Monitor Display Options.

Related Topics

Using the Materials Palette

Understanding Color and Color Models

How Monitor and Print Colors Differ

Working with Color Channels

Understanding Color Depth

Working with Image Palettes

Making a Palette Color Transparent


Understanding Color and Color Models

We usually think of color as a quality inherent in an object—a red car or a green frog. But color is really what we see as a result of three factors interacting: light, the object, and the observer. As rays of light hit the object, the object absorbs some light and reflects some light. We see the reflected light and perceive it as color. Different colors reflect light of different wavelengths. Human eyes are able to perceive thousands of colors in the visible spectrum of light.

When you apply ink to paper, the colors we see result from the light that the ink reflects. Computer monitors use emitted light rather than reflected light—the colors we see result from light emitted from the screen.

To describe how color is produced or perceived, we use color models. Computer monitors display colors by producing varying amounts of red, green, and blue light—the RGB color model. Human eyes perceive color by its hue, saturation, and lightness levels—the HSL color model. With Paint Shop Pro you can select colors using either the RGB or HSL color model. You can also output images using the CMYK (Cyan, Magenta, Yellow, Black) model, which is used for high-end printing applications.

Selecting the color model: RGB is the default color model. To change your color model preference, see Display and Caching Preferences. Paint Shop Pro uses your preferred color model (RGB or HSL) whenever color values are displayed, such as with the Dropper tool. When you select colors from the Jasc Color Picker, you are able to enter RGB or HSL values regardless of your preference setting. The color model used to display color values on-screen has no effect on how colors are printed. Choose a color model preference that is easier for you to use.

About the color models:

RGB

HSL

CMYK

Related Topics

Using the Materials Palette

Understanding Color and Color Models

How Monitor and Print Colors Differ

Working with Color Channels

Understanding Color Depth

Working with Image Palettes

Making a Palette Color Transparent


Understanding Color Depth

Color depth, also called bit depth, refers to the number of colors each pixel (and therefore its image) can display. As the color depth increases, the number of colors an image can display increases. Each pixel’s color information is stored in a certain number of computer bits—from 1 bit to 24 bits. In a 1-bit image, each pixel can display only one of two colors (black or white). In a 24-bit image, each pixel can display one of 16 million colors (224 or 2 colors for each bit). Images with a color depth of 16 million colors look best because they contain the most colors, but they also require the most memory to store and edit.

In Paint Shop Pro, you can create 2 color (1-bit), 16 color (4-bit), greyscale (8-bit), 256 color (8-bit), and 16 million color (24-bit) images. Many of Paint Shop Pro’s effect and correction commands work on 16 million color images only. Therefore, it is best to create most images using 16 million colors. After you finish working on an image, you can decrease its color depth and save it in another format.

Computer monitors also have a color depth that is determined by the monitor’s capabilities as well as the selected color setting. If you display an image with a higher color depth than the monitor can display, the image will have some color distortion. Some file formats limit the number of supported colors so that images display correctly on a variety of monitor types. For example, GIF images, a popular format for the Web, contain up to 256 colors (8-bit depth).

The number of colors actually used in an image is usually less than the color depth. For example, in a 16 million color image, the image is capable of displaying that many colors but may only use 50,000 colors. You can use the Image > Count Colors Used command to count the number of colors in a layer of the image.

To view the color depth of an image:

Do one of the following:

  • Look at the Status bar, which displays the active image’s pixel dimensions (the first two numbers) and color depth (the third number).

  • Press F9 to display the Overview palette, click the Info tab, and then view the Color Depth field.

  • Choose Image > Image Information, then look at the Pixel Depth/Color field.

To view the color depth of a monitor:

  1. Choose Help > About Paint Shop Pro.

  2. Click the System Info button.

  3. Scroll down to the Video Driver Information section and look at the Number of Colors field.

To view the number of colors in a layer:

  1. On the Layer palette, click the layer name that you want to check.

  2. Choose Image > Count Image Colors.

Related Topics

Increasing the Color Depth of an Image

Decreasing Color Depth to 16 Colors (4-bit)

Decreasing Color Depth to 2 Colors (1-bit)

Decreasing Color Depth to 256 Colors (8-bit)

Decreasing Color Depth to 32K or 64K Colors (24-bit)

Decreasing Color Depth to a Selected Number of Colors


Choosing Colors

When you edit images in Paint Shop Pro, you often need to choose a color before you paint, draw, or fill. When making manual color corrections, or when choosing a background for a new image. You choose colors as follows:

  • For images with 16 million colors, choose from the Jasc Color Picker.

  • With images with 2 to 256 colors, choose from the image palette.

  • For all images, you can choose a color from an open image or from any displayed color.

Choose a color from the Available Colors panel of the Materials palette left-click to choose the foreground color or right-click to choose the background color.

Ways to choose colors:

Choosing Colors from an Image or the Desktop

Choosing Colors from the Image Palette

Choosing Colors from the Jasc Color Picker

Specifying the HTML Code for Colors

Related Topics

Using the Materials Palette

Understanding Color and Color Models

How Monitor and Print Colors Differ

Working with Color Channels

Understanding Color Depth

Working with Image Palettes

Making a Palette Color Transparent


Choosing Patterns

You can paint, draw, or fill patterns to create interesting effects. Paint Shop Pro includes many patterns (such as bricks, stained glass, and zebra stripes). You can create your own as well. You can also use an entire image or part of an image as a pattern.

Patterns are a great way to add creative flair to your images. You can apply patterned brush strokes, create objects with patterned fills or edges, and create patterned text. You can use patterns to create stationary to use when sending e-mail or to create tiled images for Web pages. Patterns are especially helpful for projects that require an interesting background such as a CD covers, calendars, or greeting cards. You choose patterns on the Patterns tab of the Material dialog.

Important: Patterns are available for greyscale and 16 million color images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

To choose a foreground or background pattern:

  1. On the Materials palette, do one of the following:

  2. To choose a foreground pattern, click the Foreground Material box.

  3. To choose a background pattern, click the Background Material box.

The Material dialog opens.

  2. Click the Pattern tab.

  3. Click the Pattern Type drop-down list and select a type of pattern.

  4. Select the options for the pattern:

Angle The angle (or direction) of the pattern, from 0 to 359 degrees. You can also click and drag the control needle on the pattern to change the angle.

Scale The scale from 10 to 250 percent of the images actual size. At smaller values, the image is repeated more frequently throughout the pattern. At larger values, the image may be cropped and may lose detail and become blurry.

  5. To save this pattern as a swatch that you can access later, click the Add to Swatches button, type a name, and press Enter.

  6. Click OK.

To use an image as a pattern:

  1. Open the image you want to use.

  2. To select a part of the image as the pattern, make a selection in the image.

  3. Follow the same steps as above for choosing a pattern and choose the image from the Pattern Type drop-down list. If the image has a selection, the selection rather than the entire image is available as a pattern.

To create a new pattern:

  1. Create an image (in Paint Shop Pro or another application).

  2. Save the image as a file in the Patterns folder of the Paint Shop Pro program folder.

Note: To change the default location of pattern files, on the Material dialog click the Edit Paths button. See, Setting File Locations.

Related Topics

Using the Materials Palette

Understanding Color and Color Models

How Monitor and Print Colors Differ

Working with Color Channels

Understanding Color Depth

Working with Image Palettes

Making a Palette Color Transparent


Choosing Gradients

Gradients are gradual blends between two or more colors. You can paint, draw, or fill with gradients to create interesting effects or helpful color transitions. Use gradients to create Web buttons with shadows and highlights, to make objects look shiny or glowing, or to add dimension to objects. Use gradients to fade Web page graphics into other content or use a black-to-white gradient as a mask. You choose gradients on the Gradient tab of the Material dialog.

Important: Gradients are available for greyscale and 16 million color images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

To choose a foreground or background gradient:

  1. On the Materials palette, do one of the following

  2. To choose a foreground gradient, click the Foreground Material box.

  3. To choose a background gradient, click the Background Material box.

The Material dialog opens.

  2. Click the Gradient tab.

  3. Click the Edit button to open the Gradient Editor dialog. Select a gradient, and configure the options. For more information, see Editing Gradients.

  4. Select the options for the gradient:

Style The style for the gradient: Linear [image], Rectangular [image], Sunburst [image], and Radial [image].

Angle (Linear, rectangular, and radial gradients only) The angle or direction of the gradient, from 0 to 359 degrees.

Repeats The number of times (from 0 to 100) to repeat the gradient pattern.

Invert Mark to invert the colors of the gradient.

Center Point (Rectangular, sunburst, and radial gradients only) The horizontal and vertical coordinates of the point from which the gradient disperses or radiates. The distance is measured as a percentage of the fill areas width. Change the center point to create fills in circles or other shapes where the center of the gradient is not at the center of the object.

Focal Point (Rectangular and sunburst gradients only) The horizontal and vertical coordinates of the point where the foreground color of the gradient begins. The distance is measured as a percentage of the fill areas width. Change the focal point to create fills in circles or other shapes where the effective light source is not at the center of the object. This option is available only when the Link Center and Focal Points check box is cleared.

The examples below show the effect of varying the center point and the focal point.

Link center and focal points (Rectangular and sunburst gradients) Mark this check box to have the center and focal points be the same values. Clear the check box to edit the focal point separately from the center point.

Note: You can also move the center point by dragging the control needle or cross-hairs in the Gradient Type drop-down list. If you clear the Link Center and Focal Points check box, you can move the focal point by dragging the cross-hairs on the gradient.

  5. To edit the colors, transition points, and opacity of the gradient, click the Edit button. For more information, see Editing Gradients.

  6. To save this gradient as a swatch that you can access later, click the Add to swatches button, type a name, and press Enter.

  7. Click OK.

Related Topics

Using the Materials Palette

Understanding Color and Color Models

How Monitor and Print Colors Differ

Working with Color Channels

Understanding Color Depth

Working with Image Palettes

Making a Palette Color Transparent


Choosing Textures

You can paint, draw, or fill with a texture to create interesting effects. Textures give your images the effect of having a textured canvas or paper. Paint Shop Pro includes many textures, such as clouds, cracked cement, and old paper, and you can create your own as well. You use textures with the current style (solid color, gradient, or pattern) for foreground and background strokes or fills. You can apply strokes or fills multiple times to gradually darken and fill in the texture.

Note: For a comparison of patterns and textures, see Understanding the Difference Between Patterns and Textures.

To select the current texture for the foreground or background material:

On the Materials palette, click the Texture button [image] on the Foreground Material box or the Background Material box. The most recently chosen texture becomes active.

To choose a new texture:

  1. On the Materials palette, do one of the following:

  2. To choose a foreground texture, click the Foreground Material box.

  3. To choose a background texture, click the Background Material box.

The Material dialog opens.

  2. Mark the Texture check box.

  3. Click the Texture Type drop-down list and select a type of texture.

  4. Select the options for the texture:

Angle The angle (or direction) of the pattern, from 0 to 359 degrees. You can also click and drag the control needle to change the angle.

Scale The scale from 10 to 250 percent of the images actual size. At smaller values, the image is repeated more frequently throughout the texture. At larger values, the image may be cropped and may lose detail and become blurry.

As you modify the options, the Current color box displays the resulting material (the style plus the texture).

  5. To change the style of the material, click the Color, Gradient, or Pattern tab and specify the options.

  6. Click OK.

To create a new texture:

  1. Create an image (in Paint Shop Pro or another application).

  2. Save the image as a file in the Textures folder of the Paint Shop Pro program folder.

Note: To change the default location of pattern files, on the Material dialog click the Edit Paths button, see Setting File Locations.

Related Topics

Using the Materials Palette

Understanding Color and Color Models

How Monitor and Print Colors Differ

Working with Color Channels

Understanding Color Depth

Working with Image Palettes

Making a Palette Color Transparent


Working with Swatches

Swatches are materials that you can save to use again. For example, if you create a material that is a certain shade of green with a fog texture, you can save it as a swatch. Swatches are displayed on the Swatches tab of the Materials palette.

To create a new swatch:

  1. On the Materials palette, click the Swatches tab [image].

  2. Click the Create New Swatch button [image]. You can also click the More Options button [image] and choose New Swatch.

  3. Type a name for the swatch. This name appears as a ToolTip when you hold the cursor over the swatch on the Materials palette.

  4. Press Enter. The Material dialog opens.

  5. Select the style (color, gradient, or pattern) and the texture for the material.

  6. Click OK.

To select a swatch:

  1. On the Materials palette, click the Swatches tab [image].

  2. Do one of the following:

  3. To select a swatch as the foreground material, left-click the swatch you want to use.

  4. To select a swatch as the background material, right-click the swatch you want to use.

To edit a swatch:

  1. On the Materials palette, click the Swatches tab [image].

  2. Double-click the swatch you want to edit. You can also click the swatch, click the More Options button [image], and then choose Edit Swatch. The Material dialog opens.

  3. Edit the style (color, gradient, or pattern) or the texture for the material.

  4. Click OK.

To delete a swatch:

  1. On the Materials palette, click the Swatches tab [image].

  2. Click the swatch you want to delete.

  3. Click the Delete Swatch button [image] or click the More Options button [image] and choose Delete Swatch.

To rename a swatch:

  1. On the Materials palette, click the Swatches tab [image].

  2. Click the swatch you want to rename.

  3. Click the More Options button [image] and choose Rename Swatch.

To change how swatches are displayed:

  1. On the Materials palette, click the Swatches tab [image].

  2. Do one of the following:

  3. To select which swatch types are displayed, click the View button and choose All [image], Colors [image], Gradients [image], or Patterns [image]. You can also click the More Options button [image], choose View, and then choose the swatch type to display.

  4. To change how swatches are sorted, click the More Options button [image], choose Sort, and then choose By Style or By Name. By default, the swatches are sorted by style.

  5. To change between small and large thumbnails of the swatches, click the More Options button [image] and choose Small Thumbnails or Large Thumbnails. By default, small thumbnails are displayed.

Related Topics

Using the Materials Palette

Understanding Color and Color Models

How Monitor and Print Colors Differ

Working with Color Channels

Understanding Color Depth

Working with Image Palettes

Making a Palette Color Transparent


Making a Palette Color Transparent

Paletted images (those with 256 or fewer colors, such as GIF or PNG files) do not support transparent backgrounds, but you often need a way to make part of your image transparent when displayed on a Web page. For example, you may have a round logo and you want the background of the Web page to display around the logo.

Most Web browsers can choose not to display one color, effectively making it transparent. In Paint Shop Pro you have two ways to make one color transparent:

  • Use the Set Palette Transparency command to make one color in an image palette transparent. The color can be the background color or any color from the image. To set a transparent color, the image must have one layer only and must use an image palette, which means the image must have a color depth less than 16 million colors (24-bit).

  • Edit the image in 16 million colors (saving it in .PspImage format), then use the GIF or PNG optimizer to export a copy of the image. With these optimizers you can set the transparency of the image. We recommend this alternative because it does not change the color depth or flatten the layers of your original .PspImage file and keeps all Paint Shop Pro effect and commands available. For more information, see Saving Images for the Web.

If you decide to make one color transparent in your image, use the Set Palette Transparency command to select the color, and then use the View Palette Transparency command to display the transparent color in your image. You can also use the Set Palette Transparency command to change or undo the transparency of a color.

To make one image color transparent:

  1. Choose Image > Palette > Set Palette Transparency.

  2. If you are prompted to reduce the color depth and number of layers, click Yes to continue and then choose the options for decreasing color depth. For more information, see Decreasing Color Depth to 256 Colors (8-Bit).

  3. On the Set Palette Transparency dialog, select an option:

  4. To undo the transparency of a color, select No Transparency.

  5. To make the background color transparent, select Set the transparency value to the current background color.

  6. To assign a specific color to be transparent, click the color on the image itself, enter a value in the edit box of the Set the transparency value to a palette entry option, or click the color box to select from the current color picker.

  4. To view the transparency on the image, click the Proof button.

  5. Click OK. The color is now transparent; however, it may still be displayed until you hide it.

To view or hide the transparency of a color:

Choose Image > Palette > View Palette Transparency.

Related Topics

Using the Materials Palette

Understanding Color and Color Models

How Monitor and Print Colors Differ

Working with Color Channels

Understanding Color Depth

Working with Image Palettes

Making a Palette Color Transparent


Working with Color Channels

Image files store their color information in channels, or planes, of colors. You can separate (or “split”) an image into RGB, HSL, or CMYK color channels. An RGB image has three channels: red, green, and blue. An HSL image has three channels: hue, saturation, and lightness. Although you cannot create or edit an image using the CMYK model, you can still split the image to four channels: cyan, magenta, yellow, and black.

The Split Channel command creates a new greyscale image for each color channel; the original image is not affected. For example, an HSL image is split into separate greyscale images named “Hue,” “Saturation,” and “Lightness.” Each greyscale image represents the percentage and location of a color (such as red) or a characteristic (such as lightness) within the image.

You can edit the greyscale images and use them to create interesting effects or masks. You can combine them again using the Combine Channel command. If you split an image into CMYK channels, you can then send the four greyscale images to a printing service. You can also print CMYK separations directly; see Printing with CMYK Color Separations.

To split color channels:

  1. Open the image.

  2. Choose Colors > Split Channel and choose RGB, HSL, or CMYK.
    A new greyscale image opens for each color channel.

To combine color channels:

  1. Open each color channel file.

  2. Choose Colors > Combine Channel and choose Combine from RGB, Combine from HSL, or Combine from CMYK.

  3. For each Channel source drop-down list, select the name of the file that contains that channel. For example, in the Combine RGB dialog, you might select the file Red1 as the red channel source.

Note: If you are combining channels that you split with the Split Channels command, mark the Sync check box to have Paint Shop Pro automatically fill in the Channel Source boxes with matching file names.

  4. Click OK. Paint Shop Pro displays a new image file that combines the color channels you selected.

Related Topics

Using the Materials Palette

Understanding Color and Color Models

How Monitor and Print Colors Differ

Understanding Color Depth

Working with Image Palettes

Making a Palette Color Transparent


Working with Image Palettes

An image palette is a collection of colors that an image uses—similar to a painter’s palette of paints. An image palette is a subset of all the colors your monitor can display.

Images with color depths of 16 to 256 colors have an image palette that contains those colors that are used in the image. You can edit this palette to fine-tune colors or create interesting color effects.

Images with a color depth of 16 million colors do not have an image palette because they can contain all the colors your computer can display. For these images, you can load an image palette to decrease the image’s color depth to 256 colors or 8-bit. Loading a palette produces the same result as using the Decrease Color Depth command, except that you are controlling which colors are used in the converted image. For more information on color depth, see Understanding Color Depth.

Paint Shop Pro also includes a Safety palette for creating Web images that can be viewed without color distortion on most monitors. Using this palette produces the same result as using the Decrease Color Depth > 256 Colors (8-bit) command and selecting the Standard/Web-safe palette option. For more information, see Using the Web-Safe Color Palette.

You can also create and save your own palettes. Preset palettes are located in the Palettes folder of the Paint Shop Pro program folder. You can store your custom palettes there as well.

To edit an image palette of 16 to 256 color images:

  1. Choose Image > Palette > Edit Palette.

Note: This command is not available for 16 million color images.

  2. To change the sort order (or arrangement) of colors, select an option from the Sort Order drop-down list: Palette Order (in order by the way the palette stores the colors), By Luminance (in order by lightness) or By Hue (in order by color).

  3. To replace a color, double-click it. The Color dialog opens and displays the Jasc Color Picker. For more information, see Choosing Colors from the Jasc Color Picker. Make your selection and click OK. Notice that the image updates with the new color. To return the palette to its original colors, on the Edit Palette dialog click the Revert button.

  4. Click OK.

To save an image palette:

  1. Choose Image > Palette > Save Palette.

  2. Select the folder where you want to save the palette. It’s most convenient to save it in the Palettes folder of the Paint Shop Pro program folder, where the preset image palettes are saved.

  3. In the File name edit box, type a name for the palette. Paint Shop Pro automatically adds the .PspPalette extension when you save the file.

  4. In the Save as type box, select a palette format: Jasc palette (the default) or Microsoft (for use with other applications).

  5. Click Save.

To load an image palette:

  1. Choose Image > Palette > Load Palette.

  2. Select the folder which contains the palette you want to load. Preset image palettes are stored in the Palettes folder of the Paint Shop Pro program folder.

  3. Select the palette.

  4. In the Apply palette using group box, select an option:

Nearest color matching Changes each image color to the color in the palette that is the closest match.

Error diffusion dithering Attempts to maintain the image’s appearance by dithering colors that are not in the palette. Dithering places pixels of different colors next to each other to simulate missing colors.

Maintain indexes Assigns each color in the palette a sequential index number and does the same for each color in the image, then changes each color in the image to the like-numbered color in the palette.

  5. Click Open. The palette is loaded and the image’s colors are updated.

Related Topics

Using the Materials Palette

Understanding Color and Color Models

How Monitor and Print Colors Differ

Working with Color Channels

Understanding Color Depth

Working with Image Palettes

Making a Palette Color Transparent


Editing Images

Edit your images in many ways: copy from one image to another, crop or resize an image, flip, mirror, or rotate an image, or change an image’s scale or perspective.

Cutting, Copying, and Pasting

Deleting Images

Using Undo/Redo

Repeating Commands

Using Rulers, Grids, and Guides

Cropping Images

Resizing Images

Changing Canvas Size

Rotating Images

Scaling and Transforming Images

Correcting Image Perspective

Warping Images

Adding Borders to Images

Flipping and Mirroring Images

Combining Two Images


Adding Borders to Images

Use the Add Borders command to add a colored frame around an image. The border increases the dimensions of the image by the width of the border.

For multi-layer images, Paint Shop Pro prompts you to flatten the image first. To add colored borders without flattening an image, use the Canvas Size command instead; see Changing Canvas Size.

To add borders:

  1. Choose Image > Add Borders to open the Add Borders dialog.

  2. Mark the Symmetric check box to create an equal width border on all sides. Clear the check box to enter each border width independently.

  3. In the Size in pixels group box, select the dimensions of the border.

Note: To change the dimensions from pixels, select the units in the drop-down list in the Original Dimensions group box.

  4. Click the Color box to choose the color for the border. Note: Right-click the color box to pick from the Recent Colors dialog.

  5. Click OK.

Related Topics

Applying Art Media Effects

Applying Artistic Effects

Applying Distortion Effects

Applying Edge Effects

Applying Geometric Effects

Applying Illumination Effects

Applying Image Effects

Applying Reflection Effects

Applying Texture Effects


Changing Canvas Size

The image canvas is the work area of the image and defines the image’s dimensions—for example, 200 by 300 pixels. Sometimes you need more canvas to add elements to an image; other times you want to make the canvas size smaller.

Note: Reducing the canvas size is not always the same as cropping an image. For images with layers, reducing the canvas size does not delete the pixels outside the new canvas area, it just shows less of the layer. Background layer information will always be deleted, even when there are other layers in the image.

Other resize options: You can also change the image size by resizing, cropping, or printing at a different size. For a comparison of these options, see Other ways to change an image’s size.

To change the image’s canvas size:

  1. Choose Image > Canvas Size to open the Canvas Size dialog.

  2. Choose settings from the New Dimensions group box:

Width, Height Enter values for the new canvas size.

Units Use this drop-down list to change the measurement system.

Lock aspect ratio Mark this check box to constrain the new canvas size to the current image proportions. The numeric edit control (below the check box) indicates the image’s current width-to-height ratio. Change this value to create a different aspect ratio.

Background Click in the color box and pick a color for any added canvas. Or, mark the Transparent check box to have any added canvas be transparent. Right-click the color box to pick from the Recent Colors dialog. Note: You must choose a color for any canvas added to the background layer.

  3. Set the placement of the image in the new canvas. In the Placement group box, click a placement button. The fields to the right of the placement buttons will show the amount of canvas added or subtracted from each edge.

Note: You can also enter values in the fields to control image placement.

  4. Click OK.

Related Topics

Adding Borders to Images

Changing the Canvas Size

Combining Two Images

Correcting Image Perspective

Flipping and Mirroring Images

Scaling and Transforming Images

Warping Images


Combining Two Images

Paint Shop Pro can combine two images into a third image. The new image is the product of the color data from the two source images. The color data from the two images is combined on a pixel-by-pixel basis according to the function you select.

To combine two images:

  1. Open the two images you want to combine.

  2. Choose Image > Arithmetic to open the Image Arithmetic dialog.

  3. Choose an image for Image #1 from the drop-down list. The size of Image #1 determines the size of the new image.

  4. Choose an image for Image #2 from the drop-down list.

  5. From the Function group box, select a method for combining the images:

Add Image 1 Value + Image 2 Value

Subtract Image 1 Value - Image 2 Value

Multiply Image 1 Value x Image 2 Value

Difference Absolute Value of (Image 1 Value - Image 2 Value)

Lightest Maximum of (Image 1 Value, Image 2 Value)

Darkest Minimum of (Image 1 Value, Image 2 Value)

Average (Image 1 value + Image 2 Value)/2

OR Binary Or

AND Binary And

XOR Binary And/Or

  6. From the Channel group box, select the color channel from each image to use for combination. Mark the All channels check box to use all the color channels in both images. This will produce a 24-bit image.

  7. In the Modifiers group box, choose modifier options. The modifiers are applied to the color values produced by the Function and the Channel selections.

Divisor This number is used to divide the color values. It can reduce the effects of the other selections.

Bias This number shifts each color value by a fixed amount. The number is added to the color value produced by the Function, Channel, and Divisor selections.

Clip color values This check box determines how Paint Shop Pro handles final color values greater than 255 and less than 0.

Clip Color Values | Value less than 0 | Value more than 255
Marked | Value = 0 | Value = 255
Cleared | Value = Value + 256 | Value = Value - 256

  8. Click OK.

Related Topics

Changing the Canvas Size

Resizing Images

Rotating Images

Scaling and Transforming Images

Using Rulers, Grids, and Guides

Warping Images

Editing Images


Correcting Image Perspective

When you take pictures of tall objects, the resulting photographs may have perspective distortion—the objects seem to be leaning or angled. This distortion happens when the camera is at an angle to the subjects.

Fix perspective distortion with two tools:

Tool | How to Use | Applies to...
Deform tool | Drag the corner handles of a bounding box around an entire layer to interactively change the perspective. See To use the Deform tool to correct perspective:. | The current layer only. Raster layers only.
Perspective Correction tool | Drag a bounding box around a feature within the image (such as a building) that is supposed to be rectangular but is angled. Paint Shop Pro adjusts the perspective to make the selected feature rectangular. See To use the Perspective Correction tool to correct perspective:. | The current layer only. Raster layers only.


Cropping Images

Crop images to create stronger compositions and change the image focus. Cropping can reduce the memory needed to edit the image. Also, by eliminating extraneous areas of color, cropping can improve color corrections.

Use the Crop tool to select the crop area—a rectangle with edge and corner handles that defines what part of the image to keep.

Note: Cropping permanently removes the parts of the image outside the crop area.

For information about other ways to crop images, see:

Cropping Based on Opaque Areas

Cropping with a Selection

To define the crop area:

  1. On the Tools toolbar, click the Crop tool [image].

  2. Select the area by doing any of the following:

  3. Click and drag the crop area rectangle over the image.

  4. On the Tool Options palette, enter values for the Height and Width of the crop area. Change measurement systems with the Units drop-down list.

  5. On the Tool Options palette, enter positions for the Top, Bottom, Left, and Right sides of the crop area.

  3. To adjust the crop area, do any of the following:

  4. Click and drag an edge or corner handle.

  5. Click and drag within the crop area to move the whole rectangle.

  6. Adjust the Height and Width values.

  7. Adjust the Top, Bottom, Left, and Right sides of the crop area.

  8. To remove the crop area and start over, right-click anywhere in the image.

Note: To constrain the crop area to its current proportions, mark the Maintain aspect ratio check box on the Tool Options palette.

To crop an image for printing:

  1. On the Tools toolbar, click the Crop tool [image].

  2. Define the crop area.

  3. On the Tool Options palette, mark the Specify Print Size check box.

Note: When Specify Print Size is marked, the image resolution changes when you change the Height and Width. The current resolution displays to the right of the Units drop-down list.

  4. In the Units drop-down list, select inches or centimeters. You cannot use pixels for this method of cropping.

  5. Enter the desired Height and Width for the final image. The program will fit the final crop area into this size (reducing or increasing the image resolution as needed).

  6. To adjust the crop area, do any of the following:

  7. Click and drag an edge or corner handle.

  8. Click and drag within the crop area to move the whole rectangle.

  9. On the Tool Options palette, enter positions for the Top, Bottom, Left, and Right sides of the crop area.

  7. To crop the image, double-click the image or click Apply [image].

To crop an image for on-screen display:

  1. On the Tools toolbar, click the Crop tool [image].

  2. On the Tool Options palette, clear the Specify Print Size check box.

  3. Define and adjust the crop area.

  4. To crop the image, double-click the image or click Apply [image].

Related Topics

Cropping Based on Opaque Areas

Resizing Images


Cutting, Copying, and Pasting

You can cut or copy a selection or an entire layer to the Windows clipboard and then paste the contents of the clipboard into the same image or another image. The basic commands are:

Cut Removes a selection or a layer to the clipboard and replaces it with the selected background color or transparency, see Cutting a Selection or Layer.

Copy Copies a selection or a layer to the clipboard. Copy Merged Copies a flattened (merged) version of all the layers in a selection to the clipboard. For information about copying images, see:

  • Copying a Selection or Layer

  • Copying One Image into Another Using the Browser

  • Copying Paint Shop Pro Images into Other Applications

Paste Pastes a cut or copied selection or layer as a new image, a selection, a new layer, or into the current layer. For Information about Pasting Images, see:

  • Pasting a Cut or Copied Selection as a New Image

  • Pasting a Cut or Copied Selection as a New Layer

  • Pasting a Cut or Copied Selection into a Layer

Cutting vs. deleting: The Cut command places your data in the Windows clipboard so that you can paste it. The Clear command throws away the data.

Related Topics

Pasting a Cut or Copied Selection as a New Image

Pasting a Cut or Copied Selection as a New Layer

Pasting a Cut or Copied Selection into a Layer


Deleting Images

In Paint Shop Pro you can delete image files from the main workspace or using the Browser.

To delete the current image in the workspace:

Choose File > Delete or press Ctrl + Delete.

To delete an image using the Browser:

  1. Display the Browser, choose File > Browse or press Ctrl + B.

  2. Navigate to the folder containing the file you want to delete.

  3. Select the image to be deleted.

  4. Choose File > Delete or press Ctrl + Delete.

Related Topics

Cutting, Copying, and Pasting

Resizing Images

Using the Command History to Undo/Redo Actions


Flipping and Mirroring Images

Use the Flip command to reverse an image along its horizontal axis—the on top becomes the bottom and vice versa. Use the Mirror command to reverse the image along its vertical axis—the left side becomes the right and vice versa.

Note: To flip or mirror all layers in an image, make them all part of the same layer group.

To flip a selection, layer, or image:

Choose Image > Flip or press Ctrl + I. Flipping a selection converts it into a floating selection, leaving the original layer unchanged.

To mirror a selection, layer, or image:

Choose Image > Mirror or press Ctrl + M. Mirroring a selection converts it into a floating selection, leaving the original layer unchanged.

Related Topics

Adding Borders to Images

Changing the Canvas Size

Combining Two Images

Correcting Image Perspective

Scaling and Transforming Images

Warping Images


Repeating Commands

Choose Edit > Repeat to apply the same command to multiple images or to apply a command multiple times to the same image. This command allows you to apply the same effect or correction without opening a dialog each time.

The last command that can be repeated always displays in the Edit menu. If the previous command cannot be repeated, the Repeat command is inactive.

To repeat a command:

Choose Edit > Repeat or press Ctrl + Y.

Note: Holding down Shift while selecting any toolbar button or menu item bypasses the dialog and runs the command with the last used setting.

To repeat multiple actions: Record a script and run it on each image. For more information on using scripts, please see Scripting Basics.

Related Topics

Using Undo/Redo

Using the Command History to Undo/Redo Actions


Resizing Images

After scanning or importing an image, you can adjust its size using Image > Resize.

Pixels have no set, physical size. Each pixel just represents one area of a single color. Resizing can reduce or increase the number of pixels in the image (resampling the image). This reduces or increases the file size.

Resolution is the number of pixels printed per inch. More pixels per inch (ppi), will create smaller printed pixels and a smaller printed image. Fewer ppi, will create larger printed pixels and a larger printed image. Resizing can also change the image’s resolution, leaving the number of pixels in an image (and the file size) unchanged.

For best results:

  • Don’t increase an image’s size more than 25 percent. Increasing the size of an image causes a loss of detail and sharpness.

  • Only resize an image once. If your first resize is not correct, undo it and try again.

  • Correct and retouch images before resizing.

To increase or decrease the pixels in an image:

  1. Choose Image > Resize (Shift + S) to open the Resize dialog.

  2. To resize the current layer only, clear the Resize all Layers check box.

  3. Mark the Resample using check box and select a resampling type:

Note: Bilinear, bicubic, and weighted average resampling are available only for greyscale and 16 million color images.

Smart Size Use this type in most cases. Based on the new pixel dimensions you set, Paint Shop Pro chooses the best algorithm listed below.

Weighted Average Uses a weighted-average color value of neighboring pixels to determine how newly created pixels will appear. Use this type when reducing photo-realistic, irregular, or complex images.

Bilinear Uses the two nearest pixels around each existing pixel to determine how newly created pixels will appear.

Bicubic Minimizes the jaggedness that often results from expanding an image by estimating how the newly created pixels will appear. Use this type when enlarging photo-realistic, irregular, or complex images.

Pixel Resize Duplicates or removes pixels as necessary to achieve the selected width and height of the image. Use this type with hard-edged images and simple graphics.

  4. To constrain the new image dimensions to the image’s current proportions, mark the Lock Aspect Ratio check box. The aspect (width-to-height) ratio defaults to the ratio of the active image. Changing the aspect ratio distorts the image by stretching or contracting it in one dimension more than the other.

  5. To keep the image’s current print size, mark the Maintain original print size check box. The image resolution will change, keeping the print size constant. For information on selecting image resolution, see About Image Size, Resolution, and Color Depth.

  6. In the Pixel Dimensions group box, enter the new Width and Height values. From the drop-down list, choose whether to enter values in pixels or as a percent of the original size.

  7. Click OK.

To change the resolution (print size) of an image:

  1. Choose Image > Resize (Shift + S) to open the Resize dialog.

  2. Clear the Resample using check box.

  3. In the Print Size group box, enter the new Width and Height values or the new Resolution value. Choose measurement systems from the drop-down lists. For information on selecting image resolution, see About Image Size, Resolution, and Color Depth.

  4. Click OK.

Related Topics

Adding Borders to Images

Changing the Canvas Size

Combining Two Images

Correcting Image Perspective

Flipping and Mirroring Images

Warping Images


Rotating Images

Rotating an image turns it around its pivot point. Rotating can straighten an image that was scanned at a slight angle. Use the Rotate command, the Deform tool, or the Straighten tool, as shown in the table.

Command or Tool

How to Use

Applies to...

Free Rotate command

Choose the rotation angle from a dialog and then apply the rotation.
See To Free Rotate.

A selection, the current layer, or all layers of the image.

Rotate 90 degree commands

Rotate image 90 degrees clockwise or counter clockwise. See To rotate all layers 90 degrees.

All layers of the image.

Deform tool

Drag the rotation handle to see the effect of the rotation immediately.
See To rotate with the Deform tool.

The current layer only.

Raster layers only.

Straighten tool

Specify a line along an image feature that is supposed to be straight. Paint Shop Pro aligns the image with this rotation line.

Use this tool when the image has a strong vertical or horizontal feature (such as a building or a horizon). See To rotate with the Straighten tool.

The current layer or all layers in the image.

Raster layers only.


Scaling and Transforming Images

The Deform tool gives you the power to transform images interactively. Use the tool to scale, shear, distort, apply perspective, or rotate a layer as follows:

  • Scaling resizes the selection or layer horizontally, vertically, or proportionally.

  • Shearing skews a selection or layer vertically or horizontally.

  • Distorting stretches or contracts a selection or layer in any direction.

  • Applying perspective corrects the perspective or applies a false perspective on a selection or layer. For specific directions, see Correcting Image Perspective.

  • Rotating moves a selection or a layer around a pivot point. For specific directions, see Rotating Images.

Note: The Deform tool works on greyscale and 16 million color images only. To increase the color depth of an image, see Increasing the Color Depth of an Image and on raster layers only. To deform vector objects or text in similar ways, see Resizing and Reshaping Vector Objects or Scaling and Transforming Text.

To deform an image:

  1. Choose a layer by clicking its name on the Layer palette.

  2. On the Tools toolbar, select the Deform tool [image].
    A bounding box with handles appears on the selection or the layer.

  3. To deform the image by clicking and dragging in the image, do one or more of the following:

  4. To resize, click and drag one of the corner or edge handles.

  5. To resize while keeping the current proportions, right-click and drag a corner handle.

  6. To move the entire image within the canvas, click and drag anywhere within the bounding box.

  7. To change the center of rotation, drag the rotation pivot point.

  8. To rotate, drag the rotation handle.

  9. To change perspective symmetrically, press Ctrl and drag a corner handle horizontally or vertically.

  10. To change perspective asymmetrically, press Shift and drag a corner handle.

  11. To shear, press Shift while dragging a side handle.

  12. To distort, press Ctrl and Shift while dragging a handle.

Note: To make the deform handles on a layer easier to see, drag the corner of the image window to make it larger than the image.

  4. Adjust the deformation or view the deformation settings on the Tool Options palette. For more information on these settings, see More Deform Options.

  5. To cancel previous deformations, choose Edit > Undo (Ctrl Z).

Note: By default, you must press the Shift and Ctrl keys to deform an image. To apply a deform operation without having to hold down keys, choose a different Mode from the Tool Options Palette:

Scale The default setting; you must hold down a key or keys.

Shear (Shift) Allows you to shear without holding down Shift.

Perspective (Ctrl) Allows you to change perspective without holding down Ctrl.

Free (Shift + Ctrl) Allows you to distort without holding down Ctrl + Shift.

Related Topics

Adding Borders to Images

Changing the Canvas Size

Combining Two Images

Correcting Image Perspective

Flipping and Mirroring Images

Warping Images


Using Rulers, Grids, and Guides

Use the rulers, grids, and guides to align and arrange artwork and image elements.

Note: You must save your image in .PspImage format to save your grid and guide settings. For information about using rulers, grids and guides, see:

Using Rulers

Using Grids

Using Guides

Snapping to Grids and Guides

Related Topics

Adding Borders to Images

Changing the Canvas Size

Combining Two Images

Correcting Image Perspective

Flipping and Mirroring Images

Warping Images


Using Undo/Redo

You can undo most actions as you edit an image. Use the Undo command to remove brush strokes, color adjustments, effects, etc. Use the Redo command to reapply a command that you have undone.

Use the Command History dialog to view which actions you have performed and to revert to a previous state of the image. You can also revert to the last saved version of an image, see Using the Command History to Undo/Redo Actions.

What you can’t undo: In Paint Shop Pro you can undo most actions—with these exceptions: renaming files, saving files, opening and closing files, changes that are program-wide and not specific to the current image (such as changes to color settings and preferences), and actions that do not change image pixels (such as zooming and scrolling).

To undo the last action:

Click the Undo button [image], choose Edit > Undo, or press Ctrl + Z.

If the action can’t be undone, the Undo button and menu command are inactive.

To redo the last action:

Click the Redo button [image], choose Edit > Redo, or press Ctrl + Alt + Z.

To revert to the last saved version of an image:

Choose File > Revert.

To free memory used by the Undo/Redo commands:

Use this command only when the stored information is so large it noticeably slows down Paint Shop Pro’s performance. This action permanently clears from memory all information stored in the Command History. It cannot be undone.

  1. Choose Edit > Command History.

  2. Click the Clear button in the Command History dialog.

Related Topics

Repeating Commands

Using the Command History to Undo/Redo Actions


Warping Images

The warp brushes create strokes that produce a warping effect on image pixels. You can twirl areas of images, contract or expand parts of images, and create many interesting effects.

Note: To reset brush options to their default values, on the Tool Options palette click the Presets drop-down list and choose Default, or click the Reset to Default button [image].

To use the Warp Brush:

  1. On the Tool palette, choose the Warp Brush [image] . (It may be hidden under the Paint Brush or Airbrush.)

  2. Specify the brush options such as shape, size, and hardness. See Setting Brush and Paint Options.

  3. For the Strength value, enter a percentage (0 to 100) that specifies how strong the warping effect is. Full strength is 100%; minimum strength is 1%.

  4. Under Warp Modes, choose the type of warp:

Push [image] pushes pixels in the direction of the stroke (similar to smearing paint) in a time-independent way.

Expand [image] pushes pixels away from the center of the brush in a time-dependent way.

Contract [image] pulls pixels into the center of the brush in a time-dependent way.

Right Twirl [image] rotates pixels clockwise around the center of the brush in a time-dependent way.

Left Twirl [image] rotates pixels counter-clockwise around the center of the brush in a time-dependent way.

Noise [image] causes random movements of pixels under the brush in a time-dependent way.

Iron Out [image] removes unapplied warps in a time-independent way.

Unwarp [image] removes unapplied warps in a time-dependent way.

  5. Select an Edge mode, a Draft mode quality, and Final apply mode quality.

  6. Do one or both of the following to warp the image:

  7. Click and drag in the image.

  8. For the time-dependent modes, place the cursor at one position and hold down the mouse button to repeat the effect at one area.

  7. To unwarp an area, choose the Iron Out or Unwarp option under Warp Mode, and then click over the area you want to restore. Continue clicking or holding the mouse button down until the original pixel position is restored.

For information on using deformation maps, please see Saving and Loading Deformation Maps.

Related Topics

Cloning Parts of Images

Creating Brush Tips

Erasing

Painting with the Paint Brush or Airbrush

Replacing Colors

Setting Brush and Paint Options

Using Brush Tips


Making Selections in Images

Selecting the parts of images to edit is an important step in modifying images. After you create a selection, you can edit it while leaving the rest of the image unchanged. You can use tools (such as painting or drawing) or apply commands (such as flipping, copying, or cropping) to the selection.

The border of a selection is identified by black and white dashes called a marquee.

Using the Selection Tools

Using Edit Selection

Working with Standard and Floating Selections

Adjusting Selection Borders

Modifying Selections

Moving Selections within an Image

Converting a Selection into a Layer

Creating Custom Patterns from Selections

Saving and Loading Selections


Adjusting Selection Borders

After you make a selection in your image, you may want to modify or edit the selection borders.

Moving the Selection Marquee

To change or fine-tune the area the selection encloses, you can use the Mover tool to move the marquee.

To move the selection marquee:

  1. On the Tools toolbar, click the Mover tool [image].

  2. Right-click inside or on the marquee and drag the marquee to a new position.

Hiding and Viewing the Selection Marquee

The selection marquee is normally visible. Sometimes when working with a selection it is helpful to hide the marquee temporarily without disabling the selection. For example, you may want to see the results of pasting a selection or feathering a selection’s edges.

To hide or view the marquee:

Choose Selections > Hide Marquee or press Ctrl + Shift + M.

Selecting Everything Outside the Selection

Sometimes the easiest way to select a complicated part of an image is to select the part of the image that you don’t want and then invert the selection. For example, if you have a picture of a person against a solid color background, you can select the background and then invert the selection to select the person.

To invert a selection:

  1. Make a selection in the image.

  2. Choose Selections > Invert. The marquee changes to enclose the opposite area of the image.

Related Topics

Converting a Selection into a Layer

Adjusting Selection Borders

Creating Custom Patterns from Selections

Moving Selections within an Image

Saving and Loading Selections

Using Edit Selection

Working with Standard and Floating Selections


Converting a Selection into a Layer

To convert a selection into a layer, use the Promote to Layer command on the Selections menu. The original selection contents are unchanged; a copy of the selection becomes a new layer. By converting the selection into a layer, you can modify it without changing the original image data.

Important: This command works on 16 million color and greyscale images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

To promote a selection to a layer:

  1. Make a selection in the image.

  2. Choose Selections > Promote to Layer.

The new layer is placed above the original selection’s layer and is named Promoted Selection.

Note: To place a selection as a layer within another image, copy the selection, open the other image, and choose Edit > Paste > As New Layer.

Related Topics

Adjusting Selection Borders

Creating Custom Patterns from Selections

Moving Selections within an Image

Saving and Loading Selections

Using Edit Selection

Working with Standard and Floating Selections


Creating Custom Patterns from Selections

You can turn a selection into a custom, seamless pattern which you can use for applications like painting, adding text, or creating Web page backgrounds.

To create a custom pattern:

  1. Make a selection in the image.

  2. Choose Effects > Image Effects > Seamless Tiling to open the Seamless Tiling dialog.

  3. Choose the tiling method, direction, settings, and corner style, and then click OK.

Note: To use the pattern that you create, save it in the Patterns folder of the Paint Shop Pro program folder and select it as your foreground or background material, see Choosing Patterns. You can then use the pattern to paint, create text, or fill an entire image.

Related Topics

Converting a Selection into a Layer

Adjusting Selection Borders

Moving Selections within an Image

Saving and Loading Selections

Using Edit Selection

Working with Standard and Floating Selections


Modifying Selections

After you make a selection in your image, you may want to modify or edit the selection. You can add to or subtract from a selection, change the feathering, add or remove colors, and clean up the edges of a selection. You can remove specks and holes, smooth the boundary, and recover or apply anti-aliasing.

Ways to modify selections:

Adding to a Selection You can add to the selection area using the selection tools, either the same selection tool you used to make the original selection or a different selection tool.

Subtracting from a Selection You can subtract from the selection area using the selection tools, either the same selection tool you used to make the original selection or a different selection tool. You can also use the Contract command to contract a selection by a specific number of pixels.

Changing the Feathering of a Selection Feathering specifies a width in pixels (0 to 200) that the selection is faded along the edges. When you move or paste the selection, feathering helps blend the selection into the surrounding area and makes it appear more natural. The higher the Feather value, the softer the edges. Set the width to 0 to create a selection with no feathering and distinct edges.

Adding or Removing a Color from a Selection To add or remove a color from a selection, use the Select Color Range command. You can choose to add or remove a color from the selection border. The color that you choose is either added or removed, and the selection border changes.

Cleaning Up the Edges of a Selection When you move or copy a selection, some of the pixels surrounding the border are included, especially when the selection is anti-aliased or feathered. Matting cleans up the border by removing these pixels. There are three Matting commands: Remove Black Matte, Remove White Matte, and Defringe. Use the Remove Black Matte or Remove White Matte command when the selection is from an image with a black or white background. These commands remove the black or white pixels at the selection edges.

Removing Specks and Holes from a Selection To fill the specks and holes that may occur in a selection. The Remove Specks and Holes dialog removes specks and holes from the area that you define in square pixels.

Smoothing the Boundary of a Selection Use the Smooth command to smooth the edges of a selection.

Recovering the Anti-alias Use the Recover Anti-alias command when you want to restore the original anti-aliasing of an object that was pasted into an image.

Shape-Based Anti-aliasing Use the Shape-Based Anti-alias command to anti-alias a selection based on its shape.

Modifying the Select Selection Borders Use the Select Selection Borders command to add a border around the selection. This command is useful when you want to add a border around the selection, and then fill that border using the Flood Fill tool.

Related Topics

Converting a Selection into a Layer

Adjusting Selection Borders

Creating Custom Patterns from Selections

Moving Selections within an Image

Using Edit Selection

Working with Standard and Floating Selections


Moving Selections within an Image

You can move a selection and leave the space empty or you can move a copy of the selection and leave the original data.

To move a selection:

Do one of the following:

  • To move a selection by cutting it from a layer and leaving a transparent area or area of background color, use the selection tool (Selection, Freehand, or Magic Wand tool) to drag the selection.

  • To move a copy of the selection while leaving the original unchanged, float the selection before moving it or press Alt while using the selection tool to drag the selection.

  • To move the selection one pixel at a time, press Shift while pressing the up, down, left, or right arrow key.

  • To move the selection 10 pixels at a time, press Shift while pressing the Page Up, Page Down, Home, or End keys.

When you move the selection with any of these methods, it becomes a floating selection. For more information, see Working with Standard and Floating Selections.

Related Topics

Converting a Selection into a Layer

Adjusting Selection Borders

Creating Custom Patterns from Selections

Saving and Loading Selections

Using Edit Selection

Working with Standard and Floating Selections


Saving and Loading Selections

It’s helpful to save complicated selections that you may use again or to save selections to use in other images to create effects. Save a selection in one of two ways:

  • Save the selection as a file with a .PspSelection extension on a hard disk or removable disk; see Saving Selections to Disk. To load this selection file into Paint Shop Pro, see Loading Selections from Disk.

  • Save the selection as an alpha channel within the image. The selection is stored as part of the image, not as a separate file. See Saving Selections to Alpha Channels. To load the selection into the same or a different image, see Loading Selections from Alpha Channels.

Related Topics

Converting a Selection into a Layer

Adjusting Selection Borders

Creating Custom Patterns from Selections

Moving Selections within an Image

Using Edit Selection

Working with Standard and Floating Selections


Using Edit Selection

Use the Edit Selection command to create a selection from a brush stroke, or to apply an effect to only the selection marquee.

To create a selection:

  1. Choose Selection > Edit Selection, or click the Edit Selection button [image] on the Layer palette. A selection layer is added to the Layer palette.

  2. Select a painting tool from the Tools toolbar. For more information, see Painting.

  3. Set the options for the painting tool in the Tool Options palette and the Variance palette.

  4. Paint on the image. A ruby overlay displays the brush strokes.

  5. Choose Selection > Edit Selection, or click the Edit Selection button [image] on the Layer palette. The selection marquee displays the selected area.

To apply tools and effects to the selection marquee:

  1. Make a selection on the image. See Using the Selection Tools.

  2. Choose Selection > Edit Selection, or click the Edit Selection button [image] on the Layer palette. A ruby overlay displays in the selected area.

  3. Apply a tool or effect to the selection area. For more information, see Painting, or Applying Effects.

  4. When finished editing the selection, choose Selection > Edit Selection to display the selection marquee.

To turn off the selection marquee choose Selections > Select None.

Related Topics

Converting a Selection into a Layer

Adjusting Selection Borders

Creating Custom Patterns from Selections

Moving Selections within an Image

Working with Standard and Floating Selections


Using the Selection Tools

The way in which you select part of the image depends upon the type of layer: raster or vector. For more information on data types, see About Raster and Vector Graphics. Paint Shop Pro contains selection tools that create raster (or pixel) selections as well as vector selection tools that select vector objects. For photographic images, use the raster selection tools.

Note: You can make an initial selection with one selection tool, and then switch to another selection tool to add to or subtract from the selection. For more information, see Modifying Selections, or Subtracting from a Selection.

The following selection tools create raster selections:

Selection tool [image] Makes a selection of a specific shape, such as a rectangle, circle, or star. See Making Selections with the Selection Tool.

Freehand Selection tool [image] Makes a selection of an irregular shape or around the edges of an object, such as the petals of a flower or a child’s hand. See Making Selections with the Freehand Selection Tool.

Magic Wand tool [image] Makes a selection based on a color, brightness, or opacity. See Making Selections with the Magic Wand Tool.

These selection tools are grouped together on the Tools toolbar, so one tool is displayed at a time. Click the down arrow to the right of the tool to see the other selection tools.

Although these selection tools create raster selections, you can use them on vector layers; they create raster selections from the vector objects. For example, if you copy the selection and paste it as a new image, the object is copied as individual pixels (rather than a vector object) onto a raster layer.

To select vector objects and vector text (without turning them into raster selections), use these tools:

Object Selection tool [image] Selects vector objects or vector text. See Selecting Vector Objects.

Text tool [image] Creates a selection in the shape of text. See Selecting Text.

Related Topics

Converting a Selection into a Layer

Adjusting Selection Borders

Creating Custom Patterns from Selections

Moving Selections within an Image

Using Edit Selection

Working with Standard and Floating Selections


Working with Standard and Floating Selections

A selection can be either standard (non-floating raster selections) or floating. A standard selection is part of a layer or image. When you edit a standard selection, you modify the image itself. Standard selections are what you create when you use the Selection, Freehand, and Magic Wand tools.

A floating selection temporarily rests above the image or layer. The Layer palette displays a Floating Selection icon [image] to indicate that the layer contains a floating selection.

Floating applies to raster selections only. Selections are automatically floated when you do one of the following:

  • Move a selection with one of the selection tools (Selection, Freehand, or Magic Wand tool).

  • Paste a selection by choosing Edit > Paste > As New Selection.

  • Select the Floating option when creating text.

Floating selections are automatically defloated to the nearest raster layer, or promoted to a raster layer, when you deselect the selection, create a new selection, or add to or subtract from the selection. As a result, much of the time you do not have to be aware of whether a selection is floating or standard—Paint Shop Pro takes care of it for you.

However, you can also float a selection using the Float command, which creates a copy of the selection that you can move or modify without changing the original image. When you finish editing the floating selection, use the Defloat command to defloat it.

To float a selection:

  1. Make a pixel selection in the image using the Selection, Freehand, or Magic Wand tools.

  2. Choose Selections > Float or press Ctrl + F.

To defloat a selection:

Choose Selections > Defloat or press Ctrl +Shift + F.

Related Topics

Converting a Selection into a Layer

Adjusting Selection Borders

Creating Custom Patterns from Selections

Moving Selections within an Image

Using Edit Selection

Working with Standard and Floating Selections


Making Color and Tonal Corrections

Paint Shop Pro provides advanced and flexible commands that aid in color and tonal corrections and create interesting and dramatic effects.

Start your corrections with Paint Shop Pro’s automatic commands and then use the advanced correction commands if your images still need adjusting. For an introduction to color and tonal corrections, see How to Approach Color, Contrast, and Saturation Adjustments. For an overview of steps that help you improve your photographs, see Basic Steps in Improving Photographs.

Key Points to Know Before Making Corrections

How Color and Tonal Corrections Apply to Images of Different Color Depths

Adjusting the Color Balance

Adjusting Brightness and Contrast

Reducing or Removing Colors

Using the Histogram to Analyze Images


Adjusting Brightness and Contrast

There are numerous methods for correcting the brightness and contrast of an image. Analyze the image with the histogram and then use the histogram commands to adjust the image. Use the Brightness/Contrast command to adjust the brightness or contrast individually. Use the Curves command to change the brightness values of individual pixels. Use the Gamma Correction command to change the image’s gamma, which adjusts the brightness and contrast in unison. Adjust the brightness of highlights, midtones, and shadows to improve contrast and bring out detail in light or dark areas. Use the Levels command to adjust the lightness of the image.

Automatic adjustment: Choose Adjust > Brightness and Contrast > Automatic Contrast Enhancement to adjust the contrast with several easy-to-use options.

Ways to Adjust Brightness and Contrast:

Using the Histogram to Fix Contrast Problems Use the Histogram Adjustment command to edit the luminosity (or lightness) channel, To average image brightness, and to increase contrast. See Using the Histogram to Fix Contrast Problems.

Manually Adjusting Brightness and Contrast Manually adjust the brightness and contrast of an image using the Brightness/Contrast command. See Manually Adjusting Brightness and Contrast.

Adjusting Individual Brightness Values Use the Curves command to adjust the individual brightness values of your image. See Adjusting Individual Brightness Values.

Adjusting the Brightness and Contrast in Unison Use the Gamma Correction command to adjust the brightness and contrast of an image in unison. The gamma of an image is a standard measure of its contrast and brightness. See Adjusting the Brightness and Contrast in Unison.

Adjusting the Brightness of Highlights, Midtones, and Shadows Use the Highlight/Midtone/Shadow command to separately adjust the light, middle, and dark values (the tonal values) of a photograph. See Adjusting the Brightness of the Highlights, Midtones, and Shadows.

Adjusting the Lightness Levels Use the Levels command to make adjustments to the brightness, contrast, and gamma in the image. Adjusting the gamma changes the brightness values of middle grey tones. See Adjusting the Lightness Levels.


Adjusting the Color Balance

In technical terms, color balance refers to the balance of red, green, and blue in your images. In common usage, balancing colors means creating natural looking images without color casts (an overall imbalance of colors in an image). Use Paint Shop Pro to correct color balance and also to change the balance to create dramatic effects. For a quick and easy way to balance colors, use the Automatic Color Balance command. See Automatically Balancing Colors.

Ways to adjust color balance:

Changing the Overall Color Balance Use the Red/Green/Blue command to adjust the amount of red, green, and blue in your image to make color corrections by changing the overall color cast. See Changing the Overall Color Balance

Changing the Color Balance of Shadows, Midtones, and Highlights Use the Hue/Saturation/Lightness command to shift all colors in an image and change their strength and lightness. See Changing the Color Balance of Shadows, Midtones, and Highlights.

Adjusting the Hue, Saturation, and Lightness in Unison Use the Hue/Saturation/Lightness command to shift all colors in an image and change their strength and lightness. See Adjusting the Hue Saturation and Lightness in Unison.

Correcting Colors by Setting Black and White Points If an image has a color cast, an effective way to correct it is to select those points that you know are supposed to be black or white and shift all colors based on resetting these points to true black and true white. See Correcting Colors by Setting Black and White Points.

Adjusting the Color Channels Use the Channel Mixer command to increase or decrease the red, blue, or green color channel by a percentage of itself and the other two channels. See Adjusting Color Channels.


How Color and Tonal Corrections Apply to Images of Different Color Depths

The following table shows you which correction commands and adjustment layers are available for images of different color depths and which color depths can apply commands to selections.

Color Depth | Commands that Apply to Entire Layer or Image | Commands available for Selections | Available Adjustment Layers
2 color (1-bit) | Greyscale, Negative Image | None | None
16 color (4-bit) | Greyscale, Posterize, Solarize, and Sepia, plus all commands on the Adjust menu | None | None
256 color (8-bit) | Same as 16 color (4-bit), plus the Histogram commands Equalize and Stretch | None | None
Greyscale (8-bit) | All commands that correct the brightness or contrast | The same commands that work on the layer or image | Brightness/Contrast, Curves, Invert, Levels, Posterize, Threshold
16 million, 32K, or 64K color (24-bit) | All correction commands | All correction commands | All adjustment layers


Key Points to Know Before Making Corrections

All the Paint Shop Pro correction command dialogs have common ways of adjusting color and lightness. Keep the following key things in mind:

  • Lightness levels are specified in a scale from zero (no light, black) to 255 (100% light, white).

  • Image files store their color information in channels, or planes, of color. A color channel specifies the amount of a certain color in each pixel of the image. Many correction dialogs let you to edit the red, green and blue channels. The histogram also displays the hue, saturation, lightness, and greyscale channels. Colors are specified on a scale from zero (no color) to 255 (100% of the color).

  • Hue settings are displayed on a color wheel or they use values that represent positions on the color wheel. For a visual representation, look at the Jasc Color Picker. Although actual hue values range from 0 to 255, some correction dialogs use degrees to represent hues on the color wheel (from 0 to 359 degrees counter-clockwise starting at the top).

  • When you first open a correction dialog, reset the settings by choosing Default in the Presets drop-down list. Otherwise, the dialog uses the settings from the previous correction.

  • If there’s an adjustment layer available for a correction command, use it. That way the original pixels are left unchanged. If you change your mind or want to revise the correction, it’s much easier when you use an adjustment layer. See, Using Adjustment Layers

  • Depending upon the color depth of your image, some correction commands may not be available. It’s always best to work with images of 16 million (24-bit) colors. If needed you can reduce the color depth when you finish editing the image. For more information, see How Color and Tonal Corrections Apply to Images of Different Color Depths.


Reducing or Removing Colors

In Paint Shop Pro you can reduce or remove colors in several ways. You can create black-and-white, greyscale, duotone (two-color), colorized, and sepia images. You can also create a negative image or create a positive image from a photographic negative.

Ways to reduce or remove colors:

Creating Black and White Images To create a black-and-white image, use the Threshold command. See Creating Black and White Images.

Creating Greyscale Images A greyscale image looks like a traditional black-and-white photograph. See Creating Greyscale Images.

Creating Sepia-Tone Images Sepia tones are the browns of old black-and-white photographs and newsprint. See Creating Sepia-Tone Images.

Reducing the Number of Lightness Levels Use the Posterize command to reduce the number of lightness levels in the image and create interesting effects. See Reducing the Number of Lightness Levels.

Creating Negative Images Use the Negative Image command to replace each pixel color with its opposite on the color wheel, use an Invert adjustment layer command to create an adjustment layer that has the same effect as the Negative Image command but doesn’t change the original image pixels, or use the Solarize command to produce a negative image in which you control the threshold level. See Creating Negative Images.

Changing Individual Colors You can also use the Hue Map command to change the saturation or the lightness of the image. When you adjust these values, all colors (original and shifted colors) are adjusted. For example, you can shift all greens to blues. See Changing Individual Colors.

Colorizing Images Use the Colorize command to replace all colors in a selection or an image with a single color and saturation while leaving the lightness values unchanged. You can use this command to create sepia tones (the brown seen in old photographs) and other single-color effects. See Colorizing Images.


Using the Histogram to Analyze Images

The histogram displays a graph of the distribution of red, green, blue, greyscale, hue, saturation, and lightness values in an image. You can analyze the distribution of detail in the shadows (shown in the left part of the histogram), in the midtones (shown in the middle), and the highlights (shown in the right part) and decide how to make corrections.

After you analyze the histogram, you can correct the image with Paint Shop Pro’s color and contrast correction commands or you can use commands that adjust your image based on its histogram features: Equalize, Histogram Adjustment, and Stretch.

Do I need the histogram? For image editing professionals, the histogram is a powerful tool for understanding and correcting images. For casual users, getting familiar with the histogram may not be necessary. Paint Shop Pro offers many simpler ways to adjust images. For information on how to begin correcting your photos, see How to Approach Color, Contrast, and Saturation Adjustments.

To display the histogram for an image:

  1. To limit the histogram data to a specific area, make a selection in the image. See Using the Selection Tools.

  2. Choose View > Palettes > Histogram or press F7.

The graph represents how many pixels are at each value of the selected channels. The vertical axis represents the number of pixels and ranges from zero pixels to the highest number of pixels in the graph. The horizontal axis represents the value from zero to 255 of a selected channel: Red, Green, Blue, Greyscale, Hue, Saturation, and Lightness.

For detailed information on the graph, see Understanding Histogram Values and Guidelines for Analyzing the Histogram.

  3. Mark or clear the check boxes below the graph to display or hide the values for the channels.

  4. Choose the image data that is graphed:

Sample merged If this check box is marked, the histogram graphs all layers in the image. If this check box is cleared, the histogram graphs only the current layer.

Selection only If this check box is marked, the histogram graphs only the active selection. If the check box is cleared, the histogram graphs the entire layer or image.

  5. Do one of the following:

  6. To view information about a specific value, place the cursor at that point on the histogram.

  7. To select a range of values, click and drag in the graph. When you release the mouse, the range is deselected.

These fields show information about the selected point or range

Value(s) The value or range of values (from 0 to 255) of the point over which the cursor is positioned in the graph.

% in Range The percent of image pixels that are the value(s) of the selected point or range. The number in parentheses is the number of pixels that are the selected value(s).

% Above The percent of image pixels that are above the value(s) of the selected point or range.

% Below The percent of image pixels that are below the value(s) of the selected point or range.

  6. To view the mean and median values for a channel, in the Display channel drop-down list choose a channel: Red, Green, Blue, Hue, Saturation, Lightness, or Greyscale. The Mean field displays the average value for the selected channel. The Median field displays the middle value in the range of values for the selected channel.

Note: The Display Channel has no effect on what is graphed in the histogram and also does not affect the four statistics immediately below it.

.

Related Topics

Adjusting Individual Brightness Values

Adjusting the Brightness and Contrast in Unison

Adjusting the Brightness of the Highlights, Midtones, and Shadows

Adjusting the Lightness Levels

Manually Adjusting Brightness and Contrast


Painting

Painting changes the pixels in your images. Dragging a painting tool across an image changes the pixels under the brush stroke. These tools give you endless options to get creative with your images. Apply soft or hard-edged brush strokes of any color or material, paint with another image as a source, retouch images to correct colors or contrast, replace colors, or paint with picture tubes. You can also erase pixels to transparency.

All painting tools work on raster layers only. The painting tools are fully effective on greyscale or 16 million color images, but can be applied with limited results to images of other color depths.

You can also make a selection in an image and then use the painting tool to change only the pixels within the selection. For more information on selections, see Using the Selection Tools.

Painting with the Paint Brush or Airbrush

Using Brush Tips

Saving and Sharing Brush Tips

Creating Brush Tips

Setting Brush and Paint Options

Erasing

Cloning Parts of Images

Retouching Images

Filling Areas with Colors, Gradients, Patterns, or Textures

Replacing Colors

Painting with Picture Tubes


Cloning Parts of Images

The Clone Brush tool is a fun and powerful way to edit your images by using parts of an image as a paint source. You can remove elements within your image by painting over them with another part of the image. The paint source can be part of the same layer, another layer in the image, a merged image, or a layer from another image.

To use the Clone Brush:

  1. On the Tool palette, choose the Clone Brush tool [image].

  2. On the Tool Options palette, choose the brush tip, size, opacity, and other options. See Setting Brush and Paint Options.

  3. Mark the Aligned mode check box to have the Clone Brush tool paint from the point of the source area relative to the first point you clicked on the target area each time you stop and start painting again. You can keep clicking and dragging over the target area to fill in the source image.
    Clear the check box to have every stroke copy the same data.

  4. Mark the Sample merged check box to clone data from all layers merged together. Clear the check box to clone data from the current layer only.

  5. On the source image, right-click or press Shift and click the center point of the source area.

  6. Click and drag on the image you want to change to paint the cloned area.

Related Topics

Creating Brush Tips

Erasing

Painting with the Paint Brush or Airbrush

Replacing Colors

Setting Brush and Paint Options

Using Brush Tips


Setting Brush and Paint Options

The brush and paint options help you create hundreds of different brush strokes. Play with the options until you get the effect you want.

Opacity How well the paint covers the image surface. At 100% opacity, the paint covers everything. At 1% opacity, the paint is almost transparent.

Blend How painted pixels are blended with pixels on underlying layers. The blend modes are the same as layer blend modes; for more information, see About Blend Modes.

Continuous Stroke Specifies whether paint builds up as you apply multiple strokes of less than 100% opacity over the same area. If this check box is marked, paint maintains a continuous color and repainting an area has no effect. If this check box is cleared (the default), each brush stroke over the same area applies more paint; the color darkens until it reaches 100% opacity.

Wet Look Paint Mimics wet paint, with soft color inside and a darker ring near the edge. Decrease the Hardness setting from its maximum of 100% to see the effect.

Paint Behind Works on layered images only. When a layer is selected, Paint Behind paints behind the data currently on that layer. No paint will be visible when the topmost layer and active layer are both fully opaque.

Once you have set brush options, set additional options on the Brush Variance palette, see Using the Brush Variance Palette.

Related Topics

Cloning Parts of Images

Creating Brush Tips

Erasing

Painting with the Paint Brush or Airbrush

Replacing Colors

Using Brush Tips


Painting with the Paint Brush or Airbrush

The Paint Brush and the Airbrush work in similar ways. Both create strokes of color in a selection or an image and have a variety of options for changing the brush stroke.

The Paint Brush tool creates strokes of color that simulates an artist’s paint brush. Brush strokes can have hard or soft edges. The Airbrush simulates an airbrush or spray can, and is time-dependent, meaning, the longer you hold the brush over an area, the more the brush produces the effect.

To use the Paint Brush or Air Brush:

  1. On the Tool palette, choose the tool: Paint Brush [image] or Airbrush [image]. (One tool may be hidden under the other.)

  2. Choose the foreground and background colors and materials. See Basics of Using the Materials palette.

  3. On the Tool Options palette, choose a shape: round [image], or square [image]. For information on creating your own brush tips, see Creating Brush Tips.

Note: To create rectangular, elliptical, or angled brush tips, start with the round or square shape and modify it using the Thickness and Rotation options.

  4. Specify the brush options such as size, opacity, hardness, thickness, and rotation. See Setting Brush and Paint Options.

  5. For the Airbrush, in the Rate edit box select the rate at which the brush applies paint (from 0 to 50). Use a value of 0 if want to apply a consistent amount of paint. Use higher values if you want more paint applied when you drag the mouse slowly or pause the mouse.

Note: To reset brush options to their default values, on the Tool Options palette click the Presets drop-down list and choose Default.

  6. Drag in the image to paint as follows:

  7. For all painting tools, to apply the foreground material, drag with the left mouse button.

  8. For all painting tools, to apply the background material, drag with the right mouse button.

  9. For all painting tools, to paint a straight line, click once at the beginning point, then press Shift and click the end point. To continue the straight line, move to the next point and press Shift and click.

  10. For the Airbrush, to build up color in one area click and hold the mouse at one position.

Undoing paint strokes: When you are applying paint strokes, the Undo command can be your best friend. To remove the most recent stroke, click the Undo button or press Ctrl + Z. To undo multiple brush strokes, press Ctrl + Z multiple times or choose Edit > Command History. If you undo too many strokes, click the Redo button or press Ctrl + Alt + Z.

Related Topics

Saving and Sharing Brush Tips

Cloning Parts of Images

Creating Brush Tips

Erasing

Replacing Colors

Setting Brush and Paint Options

Using Brush Tips


Using Brush Tips

You can choose from many artistic Brush Tips or create, save, and share your own.

To reset Brush Tip options to their default values, on the Tool Options palette click the Presets drop-down list and choose Default, or click the Reset to Default button [image]. For more information on presets, see Using and Creating Presets.

To use a Brush Tip:

  1. Choose a brush type from the Tools Tool palette.

  2. Choose the foreground and background colors and materials. See Basics of Using the Materials palette.

  3. On the Tool Options palette, choose a shape: round [image], or square [image]. For information on creating your own brush tips, see Creating Brush Tips. Note: To create rectangular, elliptical, or angled brush tips, start with the round or square shape and modify it using the Thickness and Rotation options.

  4. Specify the brush options such as size, opacity, hardness, thickness, and rotation. See Setting Brush and Paint Options and Using the Brush Variance Palette.

  5. For the Airbrush, in the Rate edit box select the rate at which the brush applies paint (from 0 to 50). Use a value of 0 if want to apply a consistent amount of paint. Use higher values if you want more paint applied when you drag the mouse slowly or pause the mouse. Note: To reset brush options to their default values, on the Tool Options palette click the Presets drop-down list and choose Default.

  6. Drag in the image to paint as follows:

  • For all painting tools, to apply the foreground material, drag with the left mouse button.

  • For all painting tools, to apply the background material, drag with the right mouse button.

  • For all painting tools, to paint a straight line, click once at the beginning point, then press Shift and click the end point. To continue the straight line, move to the next point and press Shift and click.

  • For the Airbrush, to build up color in one area click and hold the mouse at one position.

Related Topics

Using the Brush Variance Palette

Cloning Parts of Images

Creating Brush Tips

Erasing

Painting with the Paint Brush or Airbrush

Replacing Colors

Setting Brush and Paint Options


Creating Brush Tips

You can create your own brush tips to use with painting tools. Select a brush, modify the brush options and variance settings, and then save the brush tip in the Brushes folder of the Paint Shop Pro program folder. The next time you want to paint with that brush tip, simply select it from the Brush Tip drop-down list.

You can also make a selection, and then turn that selection into a custom brush with a width and height up to 500 by 500 pixels.

To create a brush tip:

  1. On the Tool palette, choose a painting tool such as the Paint Brush, Air Brush, or Color Replacer.

  2. Modify the settings for the brush in the Tool Options palette.

  3. On the Tool Options palette, click the Brush Tip drop-down list [image]. Current brush tips are displayed.

  4. Click the Create Brush Tip button [image], or choose File > Export > Custom Brushes to open the Create Brush Tip dialog.

Note: To save the new brush in a folder other than the default Brushes folder, click the Edit Paths button [image]. For more information on changing file locations, see Setting File Locations.

  5. Complete the fields on the Create Brush Tip dialog, and then click OK.
    You can now use the new brush with one of the painting tools.

To create a brush from a selection:

  1. Make a selection of the area you want to convert into a custom brush. The selection must be on a raster layer. For more information on selections, see Using the Selection Tools.

  2. On the Tool palette, choose a painting tool such as the Paint Brush, Air Brush, or Color Replacer.

  3. On the Tool Options palette, click the Brush Tip drop-down list [image]. Current brush tips are displayed.

  4. Click the Create Brush Tip from Selection button [image]. A preview of the new brush appears in the Create Brush Tip from Selection dialog.

Note: To save the new brush in a folder other than the default Brushes folder, click the Edit Paths button. For more information on changing file locations, see Setting File Locations.

  5. Enter a name for the brush in the Name field.

  6. To set a default step value, select a step value.

  7. Click OK, to use the new brush tip with one of the painting tools.

To import a custom brush:

  1. Choose File > Import > Custom Brush to open the Import Custom Brush dialog.

  2. Click the Open button to open the Open dialog, select the brush file that you want to import, and then click the Open button.

  3. In the Import Custom Brush dialog, select the custom brushes that you want to import, and then click the Add button. If you want to import multiple brushes, click the Add All button.

  4. Click OK to import the custom brushes.

To delete a custom brush:

  1. On the Tool palette, choose a painting tool such as the Paint Brush, Air Brush, or Color Replacer.

  2. On the Tool Options palette, click the Brush Tip drop-down list . Current brush tips are displayed.

  3. In the list of brush tips, select the brush tip that you want to delete, and then click Delete [image].

Related Topics

Cloning Parts of Images

Erasing

Painting with the Paint Brush or Airbrush

Replacing Colors

Setting Brush and Paint Options

Using Brush Tips


Saving and Sharing Brush Tips

Once you create a custom Brush Tip you can save it in the Brushes folder in the Paint Shop Pro program directory. You can then share your brush presets with others by sending them the brush file. If the brush uses a custom shape, you will have to share both the brush file and the custom shape file for that brush.

To save Brush Tip settings:

  1. Click down-arrow on the Presets button, and then click the Save preset button [image] to open the Save Preset dialog.

  2. Type a name for the Brush Tip. Note: You cannot use the names “Default” or “Last Used”.

  3. To enter additional Preset information, click the Options button, and then enter information in the Author, Copyright, and Description fields.

  4. The Preset includes group box shows the data saved with this Preset. To omit any of these items from the Preset, click the Save icon (a red X will appear over it) associated with the data.

  5. Click OK.

To share Brush Tips:

  1. Navigate to the brushes folder in the Paint Shop Pro program directory.

  2. Provide the brush file or files (brush files have a .PspBrush extension) to the person with whom you want to share the Brush Tip. They should place the brush files in the Brushes folder in the Paint Shop Pro program directory.

Note: If you are sharing a preset for a custom brush (brushes created from selections) then you will need to select both the .PspBrush file and the associated Jasc PSP Script file.

Related Topics

Cloning Parts of Images

Creating Brush Tips

Erasing

Painting with the Paint Brush or Airbrush

Replacing Colors

Setting Brush and Paint Options


Using the Brush Variance Palette

Use the Brush Variance palette to customize the brush settings in the Tool Options palette. The variance settings modify the Tool Option settings by applying adjustments to the settings for a particular tool option. Adjustments can be random by increasing the Jitter percentage.

Note: If you have a variance loaded with a brush, then load another brush without loading its variance, it can take on the variance settings from the previous brush. Click the Reset [image] button on the Brush Variance palette to remove any variance settings.

To open the Brush Variance palette:

Choose View > Palettes > Brush Variance, or press F11.

To use the Brush Variance palette:

  1. Choose a brush type from the Tool palette.

  2. Configure the brush options in the Tool Options palette.

  3. On the Brush Variance palette, set brush variance for each option (Color blend, Hue, Saturation, Lightness, Size, Opacity, Thickness, Rotation, Density):

Normal No variance applied.

Pressure The pressure applied from a tablet stylus.

Altitude The angle between the stylus and tablet.

Azimuth Determines the rotation angle of the tip.

Twist The rotation angle around the stylus (for 4D mouse only).

Fingerwheel Applies to the wheel on an airbrush stylus.

Z-Wheel Used with a 4D mouse wheel with the wheel configuration set to application defined behavior.

Direction The angle between consecutive mouse points on a path.

Fade In Fades the brush impression from small to large.

Repeating Fade In Repeatedly fades the brush impression from small to large.

Fade Out Fades the brush impression from large to small.

Oscillating Fade Repeatedly fades the brush impression in and out from small to large to small.

Note: Options in the Variance palette marked with an asterisk * apply only to users with a pressure sensitive tablet. The options available will depend on the type of tablet being used.

  4. For the Fade rate (pixels) select the number of pixels over which the fade in and fade out will occur. Lower values produce a faster fade, while higher values produce a slower fade.

  5. For the Position Jitter (%) select a percentage for randomly adjusting the brush impression location. Mark the Scale check box if you want the jitter to scale with the brush size.

  6. For Impressions per step, indicate how many brush impressions are made per step of the brush stroke.

Note: To reset brush variance options to their default values, click the Reset to Default button [image] on the Brush Variance palette.

Related Topics

Cloning Parts of Images

Creating Brush Tips

Erasing

Painting with the Paint Brush or Airbrush

Replacing Colors

Setting Brush and Paint Options

Using Brush Tips


Filling Areas with Colors, Gradients, Patterns, or Textures

Use the Flood Fill tool to fill a selection or a layer with the foreground or background color and material. You can fill all pixels or fill only those pixels that match options that you specify. When you click in the image, the Flood Fill tool finds and fills all contiguous (or adjacent) pixels that match the pixel you select.

To use the Flood Fill tool:

  1. On the Tool palette, choose the Flood Fill tool [image] .

  2. Choose the foreground or background color and material to fill the area with. See Basics of Using the Materials palette.

  3. On the Tool Options palette, specify the Match Mode options to determine which pixels are filled:

Match Mode How pixels that match the pixel you click are chosen and filled:

None has no matching criteria and so fills all pixels.

RGB fills contiguous pixels that match the red, green, and blue values.

Color fills contiguous pixels that match the hue and saturation values.

Hue fills contiguous pixels that match the hue value.

Brightness fills contiguous pixels that match the brightness.

All Opaque fills all pixels that are opaque (not transparent).

Opacity fills contiguous pixels that match the opacity.

Tolerance How closely the selected pixels must match the initial pixel you click. The range is 0 to 200. At lower settings, only pixels with very similar colors are filled. At higher settings, more pixels are filled.

Sample Merged Mark this check box to choose pixels to fill based on matching pixels from all layers merged together. Clear this check box to choose matching pixels to fill in only the current layer.

  4. Select the Blend Mode options to set how pixels are filled:

Blend Mode How filled pixels are blended with pixels of underlying layers. The blend modes are the same as the Layer blend modes; for more information, see About Blend Modes.

Opacity The opacity for the fill. At 100% opacity, the paint covers everything; at 1% opacity, the paint is almost transparent.

  5. Position the cursor over the area of the selection or image that you want to fill, and then do one of the following:

  6. To fill with the foreground material, click the left mouse button.

  7. To fill with the background material, click the right mouse button.

If the Match Mode is None, all pixels on the current layer are filled. For all other Match Mode settings, the Flood Fill tool fills matching pixels that are contiguous to the pixel you click.

Related Topics

Cloning Parts of Images

Creating Brush Tips

Erasing

Painting with the Paint Brush or Airbrush

Replacing Colors

Setting Brush and Paint Options

Using Brush Tips


Erasing

Use the Eraser tool to erase areas of a layer to transparency or to the background color. Use the Background Eraser tool to selectively erase to transparency—with options that determine which pixels get erased.

Related Topics

Cloning Parts of Images

Creating Brush Tips

Painting with the Paint Brush or Airbrush

Replacing Colors

Setting Brush and Paint Options

Using Brush Tips


Painting with Picture Tubes

Use the Picture Tube tool to paint with a collection of objects without having to draw them. You can add butterflies and beetles to a picnic setting, fill an aquarium with fish, or frame a picture with holly. Use one of the picture tubes included with Paint Shop Pro or create your own.

Picture tubes are .PspTube files. Each picture tube file is made up of a series of images arranged in rows and columns that are called cells. Picture tubes may have any number of cells. As you paint with the Picture Tube tool, Paint Shop Pro paints one image of a picture tube after another. Many picture tubes create discrete images (such as traffic signs), while some create the effect of a continuous image (such as crepe paper).

Note:

  • The Picture Tube tool paints raster objects on raster layers. You cannot use the tool on vector layers. To make picture tube elements easier to edit, it is helpful to paint them on a separate layer.

  • To use Paint Shop Pro version 8 picture tubes with Paint Shop Pro version 7, copy the version 8 tubes with the .PspTube extension to the picture tube directory in version 7, and then re-name the files with the .TUB extension.

To paint with a picture tube:

  1. On the Tool Palette, choose the Picture Tube tool [image].

  2. On the Tool Options palette, click the Picture Tube drop-down list and select a picture tube.

Note: Most picture tube previews show one image rather than all images in the picture tube. To view all images, paint with the picture tube, or open the .PspTube file with the Browser.

  3. If necessary, adjust the following options:

Scale The percentage (10 to 250%) to reduce or enlarge each image in the picture tube and scale the step.

Step The distance in pixels (1 to 500) between the centers of each picture tube image that you paint.

Placement mode The way images are placed: Continuous evenly spaced by step size or Random spacing between 1 pixel and the step size.

Selection mode How Paint Shop Pro selects images to paint from the cells within the picture tube: Random selects images randomly; Incremental selects images one by one from top left to the bottom right; Angular selects images based on the direction you drag the cursor as you paint; Pressure selects images based on the pressure you apply on a pressure-sensitive tablet; Velocity selects images based on the speed you drag the cursor as you paint.

  4. To paint one image of the picture tube, click once in the image. To paint multiple images, drag in the image.

Related Topics

Cloning Parts of Images

Creating Brush Tips

Erasing

Painting with the Paint Brush or Airbrush

Replacing Colors

Setting Brush and Paint Options

Using Brush Tips


Creating Picture Tubes

To create your own picture tubes, create a grid of cells and then fill each cell with an image. The cells can be any size, but picture tubes with larger cells require more memory to use.

Important: This tool works only on raster layers in greyscale and 16 million color images. To convert a vector layer to a raster layer, choose Layers > Convert to Raster Layer. To increase the color depth of an image, see Increasing the Color Depth of an Image.

To create a picture tube:

  1. Choose View > Change Grid, Guide, and Snap Properties, click the Grid tab, set the current horizontal and vertical grids, then click OK. The grid positions are the value in pixels that the width and height of cells will be. Images can be no larger than this cell size.

  2. Choose File > New to open the New Image dialog.

  3. Set the following options:

Image Dimensions Choose a width and height (in pixels) that are multiples of the horizontal and vertical grid spacing. The width and height of the image determine the total number of cells in the image. For example, if the grid spacing is 100 pixels, create an image of 400 pixels wide by 300 pixels high to have 12 cells (four across and three down).

Image Characteristics Choose Raster Background as the layer type and mark the Transparent check box.

  4. Click OK.

  5. If the grid is not visible, choose View > Grid.

  6. Create one image in each grid square. These squares are the picture tube cells.

Note: To change the size of cells, change the grid size and then use the Canvas Size command to change the canvas size.

  7. Choose File > Export > Picture Tube to open the Export Picture Tube dialog.

  8. Set the following options:

Cell arrangement Enter the number of cells across and down.

Placement options Choose the default options for this picture tube. You can change these options when you apply the picture tube.

Tube name Enter the file name of the tube. The extension .PsPTube is automatically added to the file name.

Note: By default, picture tube files are stored in the Picture Tubes folder of the Paint Shop Pro program folder. For information on changing this location, see Setting File Locations.

  9. Click OK. The picture tube is saved.

  10. Close the image file. To edit it later, save it as a .PspImage or other format file.

Related Topics

Cloning Parts of Images

Erasing

Painting with the Paint Brush or Airbrush

Replacing Colors

Setting Brush and Paint Options

Using Brush Tips


Replacing Colors

Use the Color Replacer tool to replace one color in a selection or layer with another color. You can use brush strokes to replace only those pixels that the brush touches or you can replace all pixels of a certain color in a selection or a layer. You can set a tolerance value so that the Color Replacer changes similar, not just identical, colors.

To use the Color Replacer tool:

  1. On the Tool palette, choose the Color Replacer tool [image]. The tool may be hidden under the Eye Dropper tool.

  2. Choose the color to replace as the foreground or background color. See Basics of Using the Materials palette or Choosing Colors from an Image or the Desktop.

  3. Choose the color to substitute as the other color (foreground or background).

  4. To replace colors using brush strokes (rather than all colors in the layer), on the Tool Options palette choose the brush tip, size, opacity, and other options. See Setting Brush and Paint Options.

  5. In the Tolerance edit box, specify a value that sets how closely the selected pixels must match the initial pixel you click. The range is 0 to 200. At lower settings, only pixels with very similar colors are replaced. At higher settings, more pixels are replaced.

  6. Position the cursor over the area of a selection or layer that contains the color you want to replace, and then do one of the following:

  7. To replace all occurrences of a color, double-click.

  8. To replace using brush strokes, drag in the image.

For both options, use the left mouse button to replace the background color with the foreground color and use the right mouse button to replace the foreground color with the background color.

Related Topics

Cloning Parts of Images

Creating Brush Tips

Erasing

Painting with the Paint Brush or Airbrush

Setting Brush and Paint Options

Using Brush Tips


Retouching Images

You can retouch images with Paint Shop Pro’s retouch brushes, which apply changes with brush strokes. Some retouch brushes mimic photographic effects while others change pixels based on their lightness, saturation, hue, or color values. Some retouch brushes create similar effects to Paint Shop Pro’s color correction commands. For more information about individual retouch brushes, see Description of Retouch Brushes.

To use a retouch brush:

  1. On the Tool palette, choose the retouch brush: Dodge [image], Burn [image], Smudge [image], Push [image], Soften [image], Sharpen [image], Emboss [image], Lighten/Darken [image], Saturation [image], Hue [image], or Change to Target [image].

  2. On the Tool Options palette, choose the brush tip, size, opacity, and other options. See Setting Brush and Paint Options.

  3. Depending upon the tool, select from the following options:

Swap mouse buttons Mark this check box to swap the functions of the left (up) and right (down) mouse buttons.

Sample merged (Smudge, Push, Soften, Sharpen, Emboss) Mark this check box to retouch data from all layers merged together. Clear this check box to retouch data on the current layer only.

Mode drop-down list (Lighten/Darken) Choose what is lightened or darkened: RGB values or Lightness values.

Mode drop-down list (Change to Target) Choose the characteristic of the foreground color to target: Color (RGB value; luminance is not changed), Hue, Lightness, or Saturation.

Limit drop-down list Choose which option you want to limit for the Dodge and Burn tools, either None, Shadows, Midtones, or Highlights.

  4. Drag in the image to apply the tool. If the tool has two functions (such as Soften/Sharpen), drag with the left mouse to apply the first function and drag with the right mouse button to apply the second function.

Related Topics

Cloning Parts of Images

Creating Brush Tips

Erasing

Painting with the Paint Brush or Airbrush

Replacing Colors

Setting Brush and Paint Options

Using Brush Tips


Drawing and Editing Objects

Use Paint Shop Pro drawing tools to create objects in a variety of styles. Draw anything from simple lines and shapes to complex illustrations.

About Objects

Drawing Objects

Creating New Preset Shapes

Creating Custom Line Styles

Editing Vector Object Properties

Aligning and Arranging Vector Objects

Resizing and Reshaping Vector Objects

Editing Paths and Contours

Adding and Closing Contours

Editing Nodes


About Objects

An object is anything you create with the Pen or Preset Shape tool. Use the Preset Shape tool to create standard shapes (circles, squares, and stars). Or, create your own custom shapes using the Pen tool. Both tools can create raster or vector objects. For overview information on vector and raster data, see About Raster and Vector Graphics. The Text tool can also create vector objects. For more information, see About Vector, Floating, and Selection Text.

Raster Objects When you use the Preset Shapes or Pen tool to draw raster objects, you are really painting on a raster layer. Even though you create a raster object in the same way as a vector object, your finished shape is not a vector object. Once the shape is complete, it becomes pixels on a layer. You can only edit the pixels with raster editing tools.

Note: You can only draw raster objects on raster layers. If you try to draw a raster object on a vector layer, Paint Shop Pro will create a new raster layer for your object.

Vector Objects When you use the Preset Shapes or Pen tool to draw vector objects, you are creating objects that can be edited later. A vector object’s properties (outline color, fill color, size, location and more) can all be easily changed over and over. You can also edit the paths, contours, line segments, and nodes that make up vector objects.

Note: You can only draw vector objects on vector layers. If you try to draw a vector object on a raster layer, Paint Shop Pro will create a new vector layer for your object.

Related Topics

Drawing and Editing Objects

Drawing Lines and Custom Shapes

Editing Vector Object Properties

Grouping and Ungrouping Vector Objects


Drawing Objects

Use the drawing tool to draw single lines, freehand lines, Bezier curves, and point to point lines, as raster objects on raster layers, or vector objects on vector layers. When you use the Drawing too in vector mode, the objects can be moved, deformed, and edited after they are created, without affecting the rest of the image.

To draw objects:

  1. On the Tools toolbar, select the Pen tool [image] or the Preset Shapes [image] tool.

  2. Configure the line options, see Setting Line Options.

  3. Decide what you want to draw, see Drawing Preset Shapes or Drawing Lines and Custom Shapes.

Related Topics

Changing Curves and Lines

Creating Custom Line Shapes

Drawing Lines and Custom Shapes

Drawing Curved and Straight Lines

Setting Line Options


Creating Custom Line Styles

You can edit the default line styles or design your own line styles. Saved styles appear in the Line Style drop-down window on the Tool Options palette for the Pen, Preset Shapes, and Text tools.

To create and save a customized line style:

  1. Choose the Pen, Preset Shapes, or Text tool.

  2. On the Tool Options palette, click the Line Style drop-down window.

Note: If you want to copy an existing line style to create a new style, or if you want to edit or delete an existing line style, select that style in the Line Style drop-down window.

  3. Click the Custom button to open the Styled Lines dialog.

  4. In the Caps group box, choose end cap settings for the line segments. For details, see End Cap Styles.

  5. In the Style group box, choose dash and gap lengths. For details, see Dash Segment Style.

  6. When you are finished, do one of the following:

  7. If you are creating a new line, click Save As New. Type a unique name in the Styled Line Name field. Click OK.

  8. If you are editing an existing line, click Save.

  9. To close the dialog without saving changes, click Cancel.

Note: To reset the dialog back to the style you started with, click the Reset button [image].

Related Topics

Changing Curves and Lines

Drawing Curved and Straight Lines

Drawing Lines and Custom Shapes

Setting Line Options


Editing Vector Object Properties

Drawing lines and shapes as vector objects gives you the flexibility of editing them after they are drawn.

Note: All of the commands in the Objects menu appear in a context menu that opens when you right-click on objects, contours, or nodes.

Selecting vector objects: Use the Object Selection tool to select vector objects. Press Shift and to select multiple vector objects. For more information, see Selecting Vector Objects.

To delete a vector object:

  1. Select the vector object to delete. Note: To delete one object within a group, you must click its name on the Layer palette.

  2. Press the Delete key or choose Edit > Clear.

To edit the colors and materials of vector objects:

  1. Select the vector object(s) you want to edit.

  2. On the Materials palette, choose a new foreground or background color or material. The background color controls an object’s fill color. The foreground color controls an object’s line color. For more information, see Using the Materials Palette.

Editing Vector Object Properties

Vector properties include the basics of vector objects such as line width, line style, and anti-aliasing. You can also change the name of the object (as it appears on the Layer palette) and change whether the object is visible or not.

To edit vector properties:

Object editing tip: You can also edit a vector object’s properties, by selecting the object and choosing the Pen tool. Changing the settings in the Tool Options palette will modify the selected object.

  1. Select the vector object(s) you want to edit.

  2. Click Properties [image] on the Tool Options palette or choose Objects > Properties to open the Property dialog. Note: You can also open the dialog by double-clicking the object’s name on the Layer palette.

  3. Choose the line options (stroke width, join, miter, line style, and anti-alias). For more information, see Drawing Objects.

  4. Choose stroke (line) and fill settings:

Stroke Clear the check box to choose no line. Mark the check box and pick a color from the color box to choose line color.

Fill Clear the check box to choose no fill. Mark the check box and pick a color from the color box to choose fill color.

  5. In the Name field, change the name of the object as it appears on the Layer palette. If more than one object is selected, you must change their names using the Layer palette.

  6. To make the selected object(s) invisible or visible, clear or mark the Visible check box. (You can also do this by clicking the Visibility Toggle on the Layer palette.) Invisible objects are often used as paths for text.

  7. Click OK.

Change object names from the layer palette: On the Layer palette, right-click the object name and choose Rename from the context menu.

Related Topics

Moving a Vector Object

Grouping and Ungrouping Vector Objects

Distributing Vector Objects

Positioning Vector Objects on the Canvas

Arranging Vector Object on the Canvas


Adding and Closing Contours

You can add new contours to any existing object, even objects you created with the Preset Shapes tool. The new contour will have the same properties (including color, material, line style, and so on) as the selected object. You can also duplicate contours. To add nodes to a contour, see Adding or Removing Nodes on a Contour.

To add a contour to an object:

  1. From the Tools toolbar, select the Pen tool [image].

  2. From the Tool Options palette, select Edit Mode [image].

  3. Click on an object to select it.

  4. From the Tool Options palette, select Drawing Mode [image].

  5. Select a Segment Type and draw the new contour. For more information, see Drawing Lines and Custom Shapes.

  6. When you finish drawing the contour, do one of the following:

  7. To continue editing the contour, select Edit Mode from the Tool Options palette.

  8. To finish this object, choose another tool.

Note: You can paste a contour into a selected contour.

To close a contour:

  1. From the Tools toolbar, select the Pen tool [image].

  2. From the Tool Options palette, select Edit Mode [image].

  3. Click on an contour to select it.

  4. Do one of the following:

  5. Choose Objects > Edit > Close (Ctrl+Shift+C).

  6. Right-click on the contour and select Edit > Close from the context menu

  7. On the Tool Options palette, click Close Selected open contours [image].

Note: When you close a contour, Paint Shop Pro draws a segment from the contour’s start to its end node.

To duplicate a contour:

  1. From the Tools toolbar, select the Pen tool [image].

  2. From the Tool Options palette, select Edit Mode [image].

  3. Select one node on the contour.

  4. From Objects > Edit choose:

Duplicate (Ctrl+D) Copies the selected contour and pastes it directly on top of the original contour.

Note: The overlapping nodes will all show node-on-node indicators.

Duplicate & Offset (Ctrl+Shift+D) Copies the selected contour and pastes it at an offset from the original contour. The default offset is 10 pixels in the X and Y directions.

Note: To adjust the number of pixels contours are offset, type new settings in the Duplication X and Duplication Y fields of the Tool Options palette (for the Pen Tool).

Related Topics

Adding or Removing Nodes on a Contour

Breaking Contours

Editing Paths and Contours

Reversing the Direction of Contours or Paths

Joining Contours

Duplicating a Contour


Aligning and Arranging Vector Objects

Align and arrange vector objects in a variety of ways: align their edges, distribute them evenly, center them on the image canvas, and arrange their order (from top to bottom) on a layer.

For more information see:

Moving a Vector Object

Grouping and Ungrouping Vector Objects

Aligning Vector Objects

Distributing Vector Objects

Positioning Vector Objects on the Canvas

Arranging Vector Object on the Canvas

Note: All of the commands in the Objects menu appear in a context menu that opens when you right-click on objects, contours, or nodes.

Related Topics

Moving a Vector Object

Grouping and Ungrouping Vector Objects

Aligning Vector Objects

Distributing Vector Objects

Positioning Vector Objects on the Canvas

Arranging Vector Object on the Canvas


Resizing and Reshaping Vector Objects

The Object Selection tool gives you the power to transform vector objects and vector text interactively. Select an object and drag the handles on the bounding box to resize, rotate, shear, distort, or apply perspective. You can also resize and reshape a vector object by editing its nodes and contours using the Pen tool. For instructions, see Editing Paths and Contours.

Quick steps for proportional scaling: To resize a vector object and keep the same proportions, select the object with the Object Selection tool and right-click and drag a corner handle of the bounding box.

Note: All of the commands in the Objects menu appear in a context menu that opens when you right-click on objects, contours, or nodes.

To resize and reshape vector objects:

  1. Use the Object Selection, Preset Shape, or Text tool to select an object.

  2. Do one or more of the following:

  3. To resize, click and drag one of the corner or edge handles.

  4. To resize while keeping the current proportions, right-click and drag a corner handle.

  5. To change perspective symmetrically, press Ctrl and drag a corner handle horizontally or vertically.

  6. To change perspective asymmetrically, press Shift and drag a corner handle.

  7. To shear, press Shift while dragging a side handle.

  8. To distort, press Ctrl and Shift while dragging a handle.

To rotate vector objects:

  1. Use the Object Selection tool [image] to select an object.

  2. Click and drag the rotation handle. Note: To change the center of rotation, press Ctrl while clicking and dragging the rotation pivot point to a new location.

Making Vector Objects the Same Size

You can make all objects you select the same size (height, width, or both). The dimensions of the first object selected are used for resizing.

To make vector objects the same size:

  1. On the Tools toolbar, choose the Object Selection tool [image].

  2. Click the first vector object. The first object controls how all the other selections will be resized.

  3. Press the Shift key and click the objects that you want to resize.

  4. On the Tool Options palette, choose a Make Same Size option:

  5. Make Same Height

  6. Make Same Width

  7. Make Same Width and Height

Note: All these commands are also available by choosing Objects > Make Same Size.

Related Topics

Moving a Vector Object

Grouping and Ungrouping Vector Objects

Aligning Vector Objects

Distributing Vector Objects

Positioning Vector Objects on the Canvas

Arranging Vector Object on the Canvas


Editing Paths and Contours

To fine-tune or completely transform vector objects, edit their nodes, contours, and paths. For more detail on paths and contours see, The Anatomy of a Vector Object. For more detail on types of nodes, see Editing Nodes.

Note: All of the commands in the Objects menu appear in a context menu that opens when you right-click on objects, contours, or nodes.

To edit a contour:

  1. From the Tools toolbar, select the Pen tool [image].

  2. From the Tool Options palette, select Edit Mode [image].

  3. Click on a contour, then double-click one node to select all nodes.

  4. Choose Objects > Edit and select a command:

Cut Removes the selected contour to the Windows clipboard. If the object has only one contour, the command removes the entire object.

Copy Copies the selected contour to the Windows clipboard.

Paste Pastes a cut or copied contour into the current object.

Delete Deletes the selected contour.

Select All (Ctrl+A) Selects all nodes in the path.

Select None (Ctrl+Shift+A) Deselects any selected nodes.

Invert Selection (Ctrl+I) Selects all deselected nodes and deselects all selected nodes.

To delete a contour:

  1. From the Tools toolbar, select the Pen tool [image].

  2. From the Tool Options palette, select Edit Mode [image].

  3. Click on a contour, then double-click one node to select all nodes.

  4. Press Delete or choose Edit > Clear. Note: You cannot delete a path. A path is deleted with its object or when all its contours are deleted.

To move a path:

  1. From the Tools toolbar, select the Pen tool [image].

  2. From the Tool Options palette, select Edit Mode [image].

  3. To select the path, click on any contour in the path.

  4. To move all the contours in the object (the path), click and drag any contour.

To move a contour:

  1. From the Tools toolbar, select the Pen tool [image].

  2. From the Tool Options palette, select Edit Mode [image].

  3. Do one of the following:

  4. Hold down Shift and move the cursor over the contour. The cursor will display “SUB.” Click and drag the contour.

  5. Click on a contour or path, then double-click one node to select all nodes. Click and drag one of the nodes.

Related Topics

Adding and Closing Contours

Adding or Removing Nodes on a Contour

Breaking Contours

Reversing the Direction of Contours or Paths

Joining Contours

Duplicating a Contour


Editing Nodes

A node is a point on a contour that define the contour’s shape at that point. The Nodes have zero, one, or two control arms extending from them. The length and direction of the control arms determines the shape of the contour at the node. Click on the control handles to adjust control arms. The straight or curved line between two nodes is a line segment. For information about the types of nodes, see Node Types.

For more information, see:

Moving Nodes

Changing Curves and Lines

Adding Nodes on a Contour

Deleting or Merging Nodes

Transforming Nodes


Creating New Preset Shapes

You can save any vector object (lines, shapes, or text) as a preset shape used by the Preset Shape tool.

Preset shapes are stored in files called shape libraries, which contain one or more vector objects. Paint Shop Pro’s default shape libraries are located in the Preset Shapes folder of the Paint Shop Pro program folder. By default, your custom preset shapes are saved in the Preset Shapes folder of your My PSP8 Files folder in your My Documents folder. To choose another folder for your preset shapes, see Setting File Locations.

To create a new preset shape:

  1. Create an image with the vector objects that you want to save as preset objects.

  2. Give each object a unique name that will help you identify it. You cannot export multiple objects with the same name. To name objects, see Editing Vector Object Properties.

  3. Use the Object Selection tool [image] to select one or more objects to save as preset shapes. To export all objects, make sure none are selected.

  4. To open the Export Shape Library dialog:

  5. Choose File > Export > Shape.

  6. Right-click and choose Export > Shape from the context menu.

  5. Type a name for the library file and click OK.

The library file (.PspShape extension) saves to the default Preset Shapes folder, see Editing File Locations.

To modify a library:

  1. Use File > Open to open the library file in Paint Shop Pro.

  2. Modify, add, or delete objects in the file.

  3. Save and close the library file.

Note: You will have to restart Paint Shop Pro to use the modified preset objects.

To delete a entire library:

Delete the library file from the Preset Shapes folder.

Related Topics

Creating Custom Line Styles

Drawing Lines and Custom Shapes


Working with Layers

Layers are fundamental to creating and editing images in Paint Shop Pro. Use layers to add elements to your images, create artistic effects and illustrations, and make editing images easier. You can add or delete layers, rearrange their stacking order (the order from top to bottom), and blend their pixels in a variety of ways. Unless you merge the layers, each one remains independent; you can edit it without affecting the others.

About Layers

Using the Layer palette

Adding New Layers to Images

Editing Layer Properties

Modifying Layers

Using Adjustment Layers


About Layers

When you create or import an image in Paint Shop Pro, the image has a single layer. For simple retouches and corrections, you do not have to add any layers. However, if you want to add new elements to your image, use layers to make changes and artistic effects easier.

Each layer that you add begins as a transparent sheet over the background. As you add brush strokes, objects, or text, you cover up parts of the Background layer. Transparent parts allow you to see through to underlying layers. Stack up multiple layers to create whatever effect you’d like—such as artistic compositions, photo collages, or complex illustrations. For more information about using layers, see: Types of Layers

Ways to use layers:

For descriptions of the many tasks you can accomplish with layers, refer to the following topics:

  • Using Layers with Photographic Images

  • Using Layers with Illustrations


Adding New Layers to Images

There are many ways to add layers to images. Create a new layer, promote the background to a regular layer, duplicate an existing layer, or make a selection and turn it into a layer.

Note: An image must be greyscale or 16 million color to create adjustment layers or more than one raster layer. If you have an image of another color depth, Paint Shop Pro prompts you to convert it to 16 million colors when you try to add a new adjustment or raster layer.

Ways to add new layers to an image:

Creating New Layers

Duplicating Layers

Creating Raster Layers from Selections

Promoting a Background Layer to a Regular Raster Layer

Using Adjustment Layers


Editing Layer Properties

Layer properties are everything you see on the Layer palette: the name, layer grouping and linking, layer opacity, blending, transparency protection, and layer icon highlight colors.

To change properties:

  • Choose Layers > Properties to open the Layer Properties dialog.

  • Double-click a layer name to display the Layer Properties dialog.

  • Make changes in the right panel of the Layer palette.

Note: For information about editing an adjustment layer, see Editing an Adjustment Layer.

Ways to edit layer properties:

Renaming Layers

Showing and Hiding Layers, Groups, and Vector Objects

Grouping Layers

Linking Layers and Layer Groups

Changing Opacity of Layers

Blending Layers

Protecting Transparent Areas

Setting Icon Highlight Colors


Modifying Layers

Modify layers to change the look of your image. Arrange the stacking order, move layers within the image canvas, merge layers, clean up edges of layers created from selections, or delete layers.

Ways to modify layers:

Arranging the Stacking Order of Layers

Moving Layers within the Image Canvas

Merging Layers

Cleaning up the Edges of Layers Created from Selections

Deleting Layers or their Contents


Adding Adjustment Layers

Using Adjustment Layers

Adjustment layers are correction layers that adjust the color or tone of underlying layers, without modifying their pixels directly. Choose from these types of adjustment layers: Brightness/Contrast, Channel Mixer, Color Balance, Curves, Hue/Saturation/Lightness, Invert, Levels, Posterize, and Threshold.

All adjustment levels have equivalent commands on the Colors > Adjust menu. The advantage of an adjustment layer is that you do not modify the image layers themselves, so it’s easier to make quick changes to the color and tonal adjustments. Add adjustment layers to test various color corrections or to see how several corrections look when you combine them. Hide, delete, or edit adjustment layers.

An adjustment layer applies to all layers below it that are at the same level, as follows:

  • If the adjustment layer is at the main level (rather than in a layer group), it applies to all layers below it in the stacking order.

  • If an adjustment layer is in a layer group, it applies only to layers within the group that are lower in the stacking order.

To add an adjustment layer:

  1. On the Layer palette, click the layer above which you want to create the adjustment layer.

  2. To apply the adjustment layer to a selection, make a selection.

  3. Choose Layers > New Adjustment Layer, and then select the type of adjustment layer.
    A dialog with the name of the adjustment layer opens. The preview windows show the image before and after changes. The Adjustment tab shows the color and tonal correction settings to change.

Note: The General tab includes layer properties such as layer name, blend mode, and opacity. Change these properties here or on the Layer palette. For more information, see Editing Layer Properties.

  4. To reset values to default settings, in the Presets drop-down list choose Default. Or, double-click the adjustment layer to open the Properties dialog, and click the Reset to Default button [image].

  5. Modify the settings on the Adjustment tab, and then click OK. The adjustment layer is added just above the previously selected layer.

Related Topics

Creating New Layers

Duplicating Layers

Creating Raster Layers from Selections

Promoting a Background Layer to a Regular Raster Layer

Adding Adjustment Layers


Using the Layer Palette

The Layer palette lists all layers in an image. The order of layers on the palette is the order of layers in the image. The top layer is listed first and the bottom layer is listed last. Change this stacking order by dragging a layer to a new position on the Layer palette.

Note: Adjustment and mask layers cannot be the bottom layer. Vector objects cannot be moved from their layer group.

Create layer groups to organize the Layer palette. Link layers or groups so they move together when you use the Move tool in the image.

The left panel of the Layer palette displays the names of layers and layer groups. The icon to the left of each name indicates the type of layer (background, raster, vector, mask, adjustment, group, or floating selection). When there are more layers than the palette can display, use the scroll bars on the right side to move the list of layers up or down.

The right panel of the Layer palette displays options for the layer, including visibility, opacity, blend mode, link set, and lock transparency.

The Layer palette toolbar includes buttons for command tasks, such as adding a new raster or vector layer. To add and remove toolbar buttons, see Customizing Toolbars and Menus.

Related Topics

Deleting Layers or their Contents

Displaying the Layer Palette

Expanding and Contracting Layers and Layer Groups

Viewing the Contents of Layers


Working with Masks

A mask is a greyscale image that is applied to a layer. Use mask layers to hide and show parts of a layer, fade between layers, and create other special effects. A mask can be created from a selection, from an alpha channel, or an existing image. Masks can completely cover a layer, or cover a layer with varying levels of opacity.

About Masks

Creating Masks

Editing Masks

Saving Masks

Loading Masks

Deleting Masks


About Masks

A mask layer covers parts of another layer completely or with varying levels of opacity. Use masks to fade between layers or to create special effects with precision. For example, mask all details around the main subject in a photograph, or use a mask to create a Web page navigation bar that fades away.

You can create a new mask layer that you can paint on, use the mask layer to hide or show underlying layers, or create a mask layer from an image, a selection, or the luminance of an image. In addition, use one of the sample masks (stored in the Masks folder of the Paint Shop Pro program folder) and apply it as is, or customize it.

Mask layers function similar to other types of layers. Turn the visibility of the mask layer on or off, change the overall opacity of the mask layer, or link the mask layer to other layers. For more information, see Editing Layer Properties.

Mask layers are automatically saved with the image in the .PspImage format. You can also save a mask to an alpha channel or as a separate image file on a disk. For more information, see Saving Masks.

Important: Masks work with greyscale with transparency and 16 million color images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

How Masks Affect Underlying Layers

A mask layer applies to all layers below it that are at the same level, as follows:

  • If a mask layer is in a layer group, it applies only to layers within the group that are lower in the stacking order.

  • If the mask layer is at the main level (rather than in a layer group), it applies to all layers below it in the stacking order.

To change which underlying layers the mask applies to, on the Layer palette drag the mask layer to a new position in the stacking order. For more information, see Arranging the Stacking Order of Layers.

Mask layers can never be the bottom layer in the image or in a layer group.

Mask Layers as Greyscale Raster Layers

Masks are greyscale raster layers—they contain pixels that can display 256 shades of grey. Rather than applying grey paint to the image, however, the levels of grey correspond to levels of opacity, or masking. White pixels show underlying layers, black pixels hide underlying layers, and grey pixels show varying amounts of underlying layers. The darker the grey, the more the underlying pixels are masked.

Even though masks are raster layers, you can create masks that hide or show portions of vector layers.

When you select a mask layer, the Materials palette displays black, white, and 254 shades of grey as available colors. Paint on the mask layer to change the visibility of underlying pixels. All tools and commands that work on greyscale raster layers work on masks. For the Line, Preset Shapes, and Text tools, which can create raster or vector objects, use the tools to create raster objects on mask layers.

Note: To see what the mask layer looks like, position the cursor over the layer name on the Layer palette. A thumbnail displays the greyscale mask layer.


Creating Masks

There are several ways to add a mask to an image. You can create a new mask layer completely showing or hiding the underlying layers. You can also create a mask from an image, or a selection.

Note: Upon selecting the background layer to create a new mask, you are prompted to promote the background to a full layer. When the background layer is selected when you create a new mask, you are prompted to promote the background to a full layer.

Ways to create masks:

Creating New Mask Layers

Creating Masks from Images

Creating Masks from Selections

Creating Masks from Images

Creating Masks from Channels

Displaying the Mask Overlay


Deleting Masks

Delete a mask entirely from an image, or merge the mask with the underlying layer and then delete the mask layer. If you merge the mask, you can no longer edit it independently.

A mask saved to an alpha channel is not deleted when you delete the mask layer.

To delete a mask:

  1. Delete the mask in either of these ways:

  2. On the Layer palette, right-click the name of the mask layer and choose Delete.

  3. On the Layer palette, click the name of the mask layer, and then choose Layers > Delete, or click the Delete button [image].

Paint Shop Pro displays a message asking if you want to merge the mask with the underlying layer.

  2. Do either of the following:

  3. To merge the mask with the layer, click Yes. Paint Shop Pro merges the layers and deletes the mask layer.

  4. To remove the mask from the image without affecting the underlying layer, click No. Paint Shop Pro deletes the mask layer.

Deleting Masks from Alpha Channels

If you saved selections to alpha channels that you no longer need, you can delete them. Delete alpha channels from the current image only.

To delete an alpha channel:

  1. Choose Image > Delete Alpha Channel to open the Delete Alpha Channel dialog.

  2. Select the alpha channel that you want to delete, or mark the Delete all alpha channels check box.

  3. Click Delete.

How do I view the alpha channels? To see what masks and selections are saved to alpha channels in an image, choose Selections > Delete Alpha Channel. Click the Alpha Channel drop-down list to list all alpha channels in the current image. When you finish, click Cancel.

Related Topics

Creating New Mask Layers

Creating Masks from Images

Creating Masks from Selections

Creating Masks from Images

Creating Masks from Channels

Displaying the Mask Overlay


Editing Masks

Edit a mask the same way you edit any greyscale raster layer. Select a mask layer on the Layer palette, and then use the painting tools or the effects commands to modify the mask. When you edit a mask, you change either the areas or the degree of masking. For example, painting over an object to mask it changes the area, while applying a gradient fill edits the degree of masking.

Remember that a mask layer is a greyscale layer with 256 levels of grey that correspond to levels of masking. When you select a mask layer, the Materials palette displays the greyscale palette. Apply black or white to mask or erase the mask at 100 percent. Apply greys to vary the level of masking.

Edit the layer properties of a mask, such as the name, visibility, or opacity, in the same way you do any type of layer. For more information, see Editing Layer Properties.

Ways to edit masks:

Changing the Mask Overlay Color

Inverting Masks

Creating Gradient, Pattern or Texture Masks


Loading Masks

Once you saved a mask to a hard disk or a removable disk, you can load the mask into images without opening the original image.

Ways to load masks:

Loading Masks from Disk

Loading Masks from Alpha Channels


Saving Masks

Paint Shop Pro automatically saves mask layers in .PspImage format. When you want to share a mask with others, or use a mask in another image, save the mask to your hard drive or to an alpha channel.

Ways to save masks:

Saving Masks to Disk

Saving Masks to Alpha Channels


Working with Text

Create both raster and vector text, and edit vector text using the Text tool. Choose the font, style, size, and color of the text. Apply any of Paint Shop Pro’s effects making text in your images stand out.

Creating Text

Formatting Text

Moving Text

Editing Text

Scaling and Transforming Text

Applying Effects to Text

Creating Text with Image Patterns

Creating Text on Object Paths

Converting Text to Curves


Creating Text

Use the Text tool to create text in an image. Choose text colors on the Materials palette and text options on the Tool Options palette, then click in the image and enter text in the Text Entry dialog.

To create text:

  1. On the Tools toolbar, choose the Text tool [image].

  2. On the Materials palette, choose the foreground material as the text outline and the background material as the text fill (the area within characters). See Basics of Using the Materials palette.
    For standard text with no outline, set the Stroke width on the Tool Options palette to 0 or click the Foreground Material box’s Transparent button. For hollow text, click the Background Material box’s Transparent button [image].

  3. On the Tool Options palette, in the Create as drop-down list choose the type of text: Vector, Selection, or Floating. For more information, see About Vector, Floating, and Selection Text.

  4. Choose the text formatting options, such as font, point size, stroke width, and alignment. See Formatting Text.

  5. Click in the image where you want to place the text. The Text Entry dialog opens.

  6. Type the text. As you type in the dialog, the text displays on the image. To add a line break, press Enter.

  7. To change any of the text formatting options, in the Text Entry dialog, highlight the words or characters that you want to change, and then make changes on the Tool Options palette. For more information about editing, see Editing Text.

  8. Mark the Remember Text check box to display the entered text the next time you open the Text Entry dialog.

  9. Click Apply. The text displays on the image.

Related Topics

About Vector Floating and Selection Text

Aligning and Spacing Text on Object Paths

Applying Effects to Text

Converting Text to Curves

Creating Text on Object Paths

Creating Text with Image Patterns

Editing Text

Formatting Text

Moving Text

Scaling and Transforming Text


Formatting Text

When you enter or edit text with the Text tool, select from the following formatting options on the Tool Options palette:

Font A set of characters (letters, numbers, and symbols) that share a common look. Click the Font drop-down list to see the font family name (such as Arial or Times New Roman) displayed in the font itself.

Size The point size of the text. How small or large a font looks in the image depends upon the image’s resolution. 72-point text is approximately 1 inch high in a 72-dpi image, but will be smaller in images with higher resolution.

Stroke Width The text outline pixel width. Choose 0 pixels to have no outline.

Anti-alias Anti-aliasing smooths the jagged edges of text by softening the color transition between edge pixels and background pixels. Anti-aliasing greatly increases the number of colors in the image. This makes it challenging to reduce the number of colors and thus reduce file size. Anti-aliasing may cause stray colors to appear along the edges of text.

Alignment How text is aligned in relation to the initial cursor position—where you clicked in the image to insert the text.

  • Aligns the left edge of each text line to the initial cursor position.

  • Aligns the center of each text line to the initial cursor position.

  • Aligns the right edge of each text line to the initial cursor position.

Type Style The style of text; choose [image] bold, [image] italic, or both.

Underline or Strikethrough Click [image] to underline text. Click [image] to place a horizontal line through text.

Line Options Define the look of the text outline (stroke). Options include Line Style (such as solid or dashed), Join, and Miter Limit. For details, see Drawing Objects. For information on Custom line styles, see Creating Custom Line Styles.

Auto Kern Mark this check box to have Paint Shop Pro use the kerning of the font as the spacing between characters.

Kerning The horizontal space between characters, measured in em’s. A value of 0 uses the font’s automatic kerning. Use a positive value to increase the spacing or a negative value to decrease the spacing. Paint Shop Pro uses the Kerning value only when you clear the Auto Kern check box.

Leading The vertical space between lines of text, measured in em’s. Use a positive value to increase the spacing or a negative value to decrease the spacing. When creating text on a path or a shape, use positive values to position the text above the path and negative values to position the text below the path.

Related Topics

About Vector Floating and Selection Text

Aligning and Spacing Text on Object Paths

Applying Effects to Text

Converting Text to Curves

Creating Text

Creating Text on Object Paths

Creating Text with Image Patterns

Moving Text

Scaling and Transforming Text


Editing Text

Use the Text tool to edit vector text. Edit the characters, and/or any properties used to define the appearance of the text.

Note: You cannot edit the characters or formatting of raster text. To modify Raster text, use the Deform tool.

To edit text:

  1. To open the Text Entry dialog, do one of the following:

  2. On the Tools toolbar, click the Text tool [image], position the cursor over the text in the image until the cursor turns to [image], then click.

  3. Right-click and select Edit Text.

  4. On the Layer palette double-click the layer containing text, or right-click on the layer and select Edit Text.

  2. The Text Entry dialog opens with the text highlighted.
    At this dialog, Paint Shop Pro changes only highlighted text. If no text is highlighted when you choose options, the options affect new text you type at the cursor position.

  3. Edit the text in any of these ways:

  4. To format all text, keep it all highlighted and choose options on the Tool Options palette or choose new colors or materials on the Materials palette.

  5. To format one or more characters, click and drag to highlight the text you want to change, and choose options on the Tool Options or Materials palette.

  6. To add new text, click where you want to insert it and begin typing.

  7. To delete text, highlight the text and press Delete.

Related Topics

About Vector Floating and Selection Text

Aligning and Spacing Text on Object Paths

Applying Effects to Text

Converting Text to Curves

Creating Text

Creating Text on Object Paths

Creating Text with Image Patterns

Formatting Text

Moving Text

Scaling and Transforming Text


Moving Text

To move or position vector text on a layer, use the Object Selection tool. To move raster text, use a selection tool like the Magic Wand tool to select and move it.

Note: To move text to another layer, select the text, then cut and paste the text to another layer.

To move vector text:

  1. On the Tools toolbar, click the Object Selection tool [image] .

  2. Select the text you want to move. A bounding box surrounds the text, click inside the bounding box, the cursor changes to [image] .

  3. Click and drag the text anywhere within the image.

To move raster text:

  1. On the Tools toolbar, select one of the Selection tools. For details, see Using the Selection Tools.

  2. Select the text you want to move. A bounding box surrounds the text, click inside the bounding box, the cursor changes to [image] .

Note: If you move the cursor outside of the bounding box, the cursor changes to the selection tool cursor.

  3. Click and drag the text anywhere within the image.

Related Topics

About Vector Floating and Selection Text

Aligning and Spacing Text on Object Paths

Applying Effects to Text

Converting Text to Curves

Creating Text

Creating Text on Object Paths

Creating Text with Image Patterns

Formatting Text

Scaling and Transforming Text


Applying Effects to Text

Apply any of Paint Shop Pro’s effects to raster text to create an endless variety of looks. Apply a drop shadow or a beveled edge, turn text into brush strokes or colored chalk. For vector text, convert it into a raster selection, and then apply effects.

Type of Text | How to Apply Effects
Raster | Create the raster text on a transparent layer, separate from other raster data in the image. Select the text on the layer using the Magic Wand tool, and then apply any of the commands on the Effects menu.
Vector | Use the Object Selection tool to select the text. Choose Selections > From Vector Object to create a raster selection of the text, then choose Paste > As New Layer. Follow the steps above for raster text. Turn off the visibility of the vector text, but keep the vector text in case you want to edit it.

Related Topics

About Vector Floating and Selection Text

Aligning and Spacing Text on Object Paths

Converting Text to Curves

Creating Text

Creating Text on Object Paths

Creating Text with Image Patterns

Editing Text

Formatting Text

Moving Text

Scaling and Transforming Text


Converting Text to Curves

To edit vector text as a vector object, convert it to curves. You can then move or add nodes, change the angles of line segments, and perform other edits using the Node Edit or Line tool. Use this feature to create interesting text.

Convert each letter into its own object, or convert the entire text into one object with each letter as a separate contour with the object path.

After you convert text to curves, it is no longer text—so you cannot change the characters, change its font or leading, or do any other text edits.

To convert text to curves:

  1. Use the Object Selection tool [image] to select the text.

  2. Do one of the following:

  3. To convert the entire text object into one vector object, choose Objects > Convert Text to Curves > As Single Shape. This produces one path containing a contour for each letter.

  4. To convert each letter into a separate vector object with its own path, choose Objects > Convert Text to Curves > As Character Shapes to convert each letter of the text string into a separate vector object with its own path. Note that to edit the nodes of the text, you must select the letters individually.

  3. To edit the nodes, use the Node Edit tool. For more information, see Editing Paths and Contours.

Related Topics

About Vector Floating and Selection Text

Aligning and Spacing Text on Object Paths

Applying Effects to Text

Creating Text

Creating Text on Object Paths

Creating Text with Image Patterns

Editing Text

Formatting Text

Moving Text

Scaling and Transforming Text


Creating Text on Object Paths

Create text that fits any vector object—line or shape. Every vector object in Paint Shop Pro has a path (or outline) that defines its shape. Use this object path to create text with interesting variations.

Note: You cannot create deformed text on a path, Paint Shop Pro will remove the deformation when placing the text on the path.

There are two ways to create text on a path:

  • Create the path (a line or shape), then create new text on the path.

  • Create the path and the text as separate objects, then fit the text to the path.

To create new text on a path:

  1. Use the Line or Preset Shapes tool to create a vector line or vector shape.

  2. Click the Text tool [image].

  3. On the Tool Options palette, in the Create as drop-down list choose Vector.

  4. Select other options (font, size, alignment and so on) as desired.

  5. Move the cursor over the line or shape until the cursor changes to [image], and then click. The Text Entry dialog displays.

  6. Enter the text and click OK. The text displays along the path of the shape.

Note: To change the distance between the text and the object path, change the text leading; see Formatting Text.

To fit existing text to a path:

  1. Choose the Object Selection tool [image] .

  2. Click the text to select it.

  3. Press Shift and click the vector object to select it also.

  4. Choose Objects > Fit Text to Path. The text aligns along the object.

Make the object disappear: After you align text to a vector object, you can make the object invisible. On the Layer palette, click the Visibility button of the object. See Aligning and Spacing Text on Object Paths.

Related Topics

About Vector Floating and Selection Text

Aligning and Spacing Text on Object Paths

Applying Effects to Text

Converting Text to Curves

Creating Text

Creating Text with Image Patterns

Editing Text

Formatting Text

Moving Text

Scaling and Transforming Text


Creating Text with Image Patterns

There are several ways to create text that is filled with an image:

Effect | How to do it
Fill text with a repeated image | Open the image you want to use to fill the text, click the Background Material box on the Materials palette, click the Pattern tab, and select the image from the drop-down list. Use this background material to create new vector or raster text, or to edit existing vector text. For existing raster text, paint or fill the text with the background material.
Fill text with one image | Open a copy of the image. Create new text as a selection on the image (on the Text tool’s Tool Options palette, in the Create As drop-down list choose Selection). Then copy the selection to a new image.

Related Topics

About Vector Floating and Selection Text

Aligning and Spacing Text on Object Paths

Applying Effects to Text

Converting Text to Curves

Creating Text

Creating Text on Object Paths

Editing Text

Formatting Text

Moving Text

Scaling and Transforming Text


Scaling and Transforming Text

To scale (resize) and transform text:

  • For vector text, use the Object Selection tool to scale, rotate, shear, distort, or apply perspective to text. For more information, see Resizing and Reshaping Vector Objects.

  • For raster text, use the Deform tool to scale, rotate, shear, distort, or apply perspective to a raster selection or a layer. For more information, see Scaling and Transforming Images.

Related Topics

About Vector Floating and Selection Text

Aligning and Spacing Text on Object Paths

Applying Effects to Text

Converting Text to Curves

Creating Text

Creating Text on Object Paths

Creating Text with Image Patterns

Formatting Text

Moving Text


Applying Effects

Paint Shop Pro has many special effects you can apply to your images, including 3D, artistic, geometric, illumination, reflection, and texture effects. Blur or distort images to create subtle or dramatic effects.

Choosing Effects

Using the Effects Browser

Adding Noise

Adding Picture Frames

Mathematically Combining Two Images

Creating Your Own Effects


Choosing Effects

Choose Paint Shop Pro’s effects in one of two ways: through a menu command or through the Effect Browser, For more information, see Using the Effect Browser.

To choose an effect through a menu:

  1. From the main menu, choose Effects, choose one of the sub-menus listed below, and then choose an effect. For example, choose Effects > Distortion Effects > Twirl.

Applying 3D Effects

Applying Art Media Effects

Applying Artistic Effects

Applying Distortion Effects

Applying Edge Effects

Applying Geometric Effects

Applying Illumination Effects

Applying Image Effects

Applying Reflection Effects

Applying Texture Effects

  2. For most effects, a dialog with preview windows opens. Modify the settings and click OK.

Related Topics

Applying Art Media Effects

Applying Artistic Effects

Applying Distortion Effects

Applying Edge Effects

Applying Geometric Effects

Applying Illumination Effects

Applying Image Effects

Applying Reflection Effects

Applying Texture Effects

Adding a Picture Frames


Using the Effect Browser

Use the Effect Browser when you want to try out multiple effects before applying them to your image. The Effect Browser displays presets, both the default ones and any that you create.

To choose an effect using the Effect Browser:

  1. Choose Effects > Effect Browser. The Effect Browser opens.

The left panel shows the Effects Presets folders, which are located in the Presets folder of the Paint Shop Pro program folder. Paint Shop Pro scans the folders and creates thumbnails of your image with each effect applied to it.

About effects presets: To display the thumbnail previews that you see in the Effect Browser, Paint Shop Pro applies an effect’s default preset and any presets you have saved to the image. This preset is a script file (.PspScript).

  2. To preview all effects on the image, click the Presets folder.

  3. To preview types of effects, click one of the Effect folders (such as 3D Effects, Artistic Effects, or Blur).

  4. To select an effect preset, click the thumbnail image in the right panel.

  5. Do either of the following:

  6. To apply the selected preset effect, click the Apply button.

  7. To display a dialog where you can modify the selected preset effect, click the Modify button. (If this button is greyed out, the effect does not have adjustable settings.)

Related Topics

Applying 3D Effects

Applying Art Media Effects

Applying Artistic Effects

Applying Distortion Effects

Applying Edge Effects

Applying Geometric Effects

Applying Illumination Effects

Applying Image Effects

Applying Reflection Effects

Applying Texture Effects


Using Effect Dialogs

Most effects open a dialog in which you adjust settings to customize the effect. These dialogs contain several common features:

  • Use the preview windows to view the original image and the image with the effect applied to it. For more information on using these preview windows, see Using Preview Windows.

  • To reset settings to default values, in the Presets drop-down list select Default.

  • When you first open a dialog, Paint Shop Pro displays the last-used settings. (The Presets drop-down list is set to Last Used.) Use this preset to apply the same effect to multiple images without having to adjust the settings each time.

  • To save and load your own preset effects, see Using and Creating Presets.

  • For general information on dialogs, see Working with Dialogs.

Related Topics

Choosing Effects

Using the Effects Browser

Adding Noise

Adding Picture Frames

Mathematically Combining Two Images

Creating Your Own Effects


Adding Noise

Use the Add Noise effect to reduce the detail in an image and add a grainy texture. This effect can also be used for image correction. By adding a small percentage of noise to an image, you can reduce the appearance of small imperfections and scratches.

To use the Add Noise effect:

  1. Choose Adjust > Add/ Remove Noise > Add Noise to open the Add Noise dialog.

  2. Choose the pattern of the noise: Random, Uniform, or Gaussian. With Uniform noise, the color of the noise resembles the original pixels. With gaussian noise, the majority of the noise values are even closer to the original.

  3. In the Add Noise edit box, select the percentage of noise to add.

  4. To use black and white noise pixels, mark the Monochrome check box. To use colored pixels, clear the check box.

  5. Click OK.

Related Topics

Choosing Effects

Using the Effects Browser

Adding Noise

Adding Picture Frames

Mathematically Combining Two Images

Creating Your Own Effects


Adding Picture Frames

Add any of Paint Shop Pro’s many picture frames as a separate layer on your image. Choose from square or oval frames, modern or classic styles, stained glass or metal, or a variety of other styles. After you add a picture frame, you can edit it as you can any layer—move it with the Move tool, turns its visibility on and off, or change its opacity, color, etc.

Important: This effect works on greyscale and 16 million color (24-bit) images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

To add a picture frame:

  1. Choose Image > Picture Frame to open the Picture Frame dialog.

  2. Select a frame from the drop-down list.

  3. If the frame has transparent areas (for example, round or oval frames), in the Transparency color group box choose your options:

  • To have the transparent areas remain transparent, mark the Keep Transparency check box.

  • To use a color for transparency areas, clear the Keep transparent check box and click the color box to select a color.

Note: If you apply a picture frame with transparent areas to a background layer and place the frame outside the image, the transparent areas are the current background color rather than transparent because the background layer does not support transparency.

  4. In the Orientation panel, select the frame placement: Frame inside of the image or Frame outside of the image.

  5. If you select an inside frame, Paint Shop Pro resizes the frame to fit within the image canvas.

  6. If you select an outside frame, Paint Shop Pro increases the canvas size to accommodate the frame. The added canvas uses the current background color. However, the area will be transparent if it is a layer and you mark the Transparent check box.

Loading picture frames: To change the folder to load picture frames from, click the Edit paths button. By default, picture frames are stored in the Frames folder of the Paint Shop Pro program folder. For more information, see Setting File Locations.

  5. Choose from the other orientation options: Flip frame (reverse the frame along its horizontal axis), Mirror frame (reverse the frame along its vertical axis), or Rotate frame 90 CW (rotate clockwise).

  6. Click OK. Paint Shop Pro adds the frame to the image as a new layer named Picture Frame. Note: If the width and height differ by a considerable amount, the frame appears thicker along the shorter sides.

Note: After you add a picture frame, you can edit it as you can any layer—move it with the Move tool, turns its visibility on and off, or change its opacity, color, etc.

Related Topics

Applying 3D Effects

Applying Art Media Effects

Applying Artistic Effects

Applying Distortion Effects

Applying Edge Effects

Applying Geometric Effects

Applying Illumination Effects

Applying Image Effects

Applying Reflection Effects

Applying Texture Effects


Creating Your Own Effects

To create your own effects (or filters, as they are also known), use the User Defined command.

The easiest way to create your own effects: On the User Defined Filter dialog, click the Randomize button [image] to automatically adjust the coefficients and create unusual effects. Just keep clicking the Randomize button until you find an effect that you like

To create your own effects:

  1. Choose Effects > User Defined to open the User Defined Filter dialog.
    The edit boxes in the Filter matrix group box show coefficients that process pixels to create the effect.

  2. In the Presets drop-down list, select a filter to use as a starting point. Choose Default for default settings or select one of the other filters.

  3. After you make changes, click OK. Paint Shop Pro applies the effect to the image.

Related Topics

Choosing Effects

Mathematically Combining Two Images

Adding a Picture Frames


Mathematically Combining Two Images

Paint Shop Pro can create a variety of effects using the Arithmetic effect, which combines two images to produce a third one that is determined by settings the user selects.

To combine images using the Arithmetic command:

  1. Open the two images you want to combine.

  2. Choose Image > Arithmetic to open the Image Arithmetic dialog.

  3. In the Source image #1 and Source image #2 drop-down boxes, select the images to combine. The size of Source image #1 determines the size of the new image.

  4. In the Function group box, select a method for combining the images. The color data from the two images is combined on a pixel-by-pixel basis according to the function.

Function | New Color Value Equals
Add | Image 1 Value + Image 2 Value
Subtract | Image 1 Value - Image 2 Value
Multiply | Image 1 Value x Image 2 Value
Difference | Absolute Value of (Image 1 Value - Image 2 Value)
Lightest | Maximum of (Image 1 Value, Image 2 Value)
Darkest | Minimum of (Image 1 Value, Image 2 Value)
Average | (Image 1 value + Image 2 Value) / 2
Or | Binary Or
And | Binary And

  5. From the Channel panel, select the color channels to combine:

  6. Mark the All channels check box to use all the color channels in both images. This will produce a 24-bit image.

  7. Select a specific color channel for each image to produce a greyscale image.

  6. Set the Divisor and Bias modifiers. The modifiers are applied to the color values produced by the Formula and the Channel selections.

  7. The Divisor number is used to divide the color values. It can reduce the effects of the other selections.

  8. The Bias number shifts each color value by a fixed amount. The number is added to the color value produced by the Formula, Channel, and Divisor selections.

  7. Mark or clear the Clip color values check box to determine how Paint Shop Pro handles final color values greater than 255 and less than 0.

Check box Setting | If value is less than 0 | If Value is more than 0
Selected | value = 0 | value = 255
Cleared | value = 256 + value | value = value - 256

  8. Click OK.

Related Topics

Choosing Effects

Using the Effects Browser

Adding Noise

Adding Picture Frames

Creating Your Own Effects


Creating Images for the Web

Using the Web Tools

Use the Web tools to create backgrounds for your Web pages, map and slice images to create hotspots or rollovers. Optimize images for the Web to reduce the image file size and make images load more quickly. Share and protect your images by sending them via e-mail, and adding watermark with creator and copyright information.

Sending Images via E-Mail

Uploading Images to a Photo Sharing Service

Previewing Images in a Web Browser

Mapping Images

Creating Image Rollovers

Slicing Images

Saving Images for the Web

Using Digital Watermarks


Sending Images via E-Mail

Use Paint Shop Pro to e-mail any open image to friends, family, or colleague using an e-mail program. The image is in its current file format whenever possible.

Important: In order to send images via e-mail your computer must have a default e-mail application that supports the MAPI standard such as Microsoft Outlook, or Outlook Express.

To send the image via e-mail:

Choose File > Send or click the Send Mail button on the toolbar.

Your current mail program opens with the file attached. Enter the recipient and type a message, then send it.

Related Topics

Saving Images for the Web

Embedding a Digital Watermark

Previewing images in a Web Browser


Uploading Images to a Photo Sharing Service

Use Paint Shop Pro to easily upload your images to a photo sharing service. Photo sharing services allow you to upload and store your images online, order high-quality prints and greeting cards, and share your images online.

Using Other Photo Sharing Services: As Paint Shop Pro is updated, support for additional photo sharing services may be included. To find out if support for additional photo sharing services is available, be sure your computer is connected to the Internet, and then choose Help > Jasc Software Online > Check for Updates. To change your service choose File > Preferences > General Program Preferences, click the PhotoSharing tab, and then choose the photo sharing service from the list of available services.

You can use Paint Shop Pro to upload images to a photo sharing service. Before you can add, share, and print pictures at a photo sharing service, you must enroll. Signing up is free and gives you space to store, print, and share your images. Visit the Web site for the photo sharing to obtain your user name and password.

To upload images to a photo sharing service:

  1. Open the Paint Shop Pro Browser. Choose File > Browse, or click the Browse button [image] on the toolbar.

  2. Select the images that you want to upload to a photo sharing service.

  3. Click the PhotoSharing button [image] on the Browser toolbar, choose File > Export > PhotoSharing, or right-click to display a context menu and select PhotoSharing to open the PhotoSharing dialog.

  4. The Upload Album field displays the name of the album where the images will be stored on the PhotoSharing site. By default the album is named with the current date, but you can enter a different name for the album.

  5. In the Connection Info group box, enter the user name (e-mail address) and password for the photo sharing service.

Note: Mark the Remember Password check box if you want the system to remember the login information.

  6. Click the Upload button to upload the images to the photo sharing site.

  7. Once the images are uploaded, you will be prompted to visit the photo sharing site, click Yes to automatically access the web site for the photo sharing service.

Related Topics

Saving Images for the Web

Embedding a Digital Watermark

Previewing images in a Web Browser

Notes about Uploading

If you are unable to log-in to a photo sharing service, first make sure that your computer is connected to the Internet, and that you have entered the correct e-mail address and password on the login screen.

If you are unable to log-in and are using Paint Shop Pro in a corporate environment, you may need to modify the Proxy Server settings. Check with your Network Administrator to get the Proxy Server information for your corporate network.


Saving Images for the Web

Because the majority of Web browsers recognize GIF and JPEG images, these two formats are used most often for saving Web images. Newer versions of the Web browsers can also recognize the more recent PNG format, and many Web browsers also support Windows Wireless Bitmap (WBMP) and iMode formats, which are popular to display when using wireless devices.

When you save images for the Web, there are three major issues to consider: layers, color depth, and file size.

Layers

Because none of the current Web browsers can display layered images, you need to flatten an image before saving it for the Web. Flatten it by choosing Layers > Merge > Merge All (Flatten).

Color Depth

Some computers are only capable of displaying up to 256 colors. If an image on a Web page contains more colors, the Web browser uses its own dithering method to display the image. This can produce color distortion. If you reduce the color depth of the image to 8 bits (256 colors) before placing it on your Web page, its appearance will be more consistent.

File Size

File size affects the majority of users accessing a Web page. As the size of an image file increases, it takes more time to download, so viewers have a longer wait. Use a file format that reduces the image size most efficiently while keeping the quality as high as possible.

Web File Formats

Choose from the following file formats when saving image for use on the Web:

  • GIF Use this format to compress line art and images with areas of similar colors. It supports 8-bit (256) color. There are two versions of GIF: 89a, which can save transparency and animation information, and 87a, which cannot. Both are recognized by most browsers and use lossless compression.

  • JPEG Use this format to compress photographic images. It supports 24-bit (16.7 million) color, uses lossy compression, and is recognized by most browsers.

  • PNG This format compresses most images efficiently. It supports up to 24-bit (16.7 million) color and uses lossless compression, but it is recognized by most browsers, however many features of this format are not available.

  • Wireless Bitmap (WBMP) This format is used with many wireless devices. The images are black and white and have lossless compression.

Lossy vs. Lossless compression: Lossy compression is a compression method that eliminates data to reduce the file size, while lossless compression retains all of the original image data and reduces the file size by storing patterns of pixels in the image.

Related Topics

Embedding a Digital Watermark

Previewing images in a Web Browser

Saving Images for use with Animation Shop


Saving Images for use with Animation Shop

If you want to save an image for use in Animation Shop, you must be aware of the following:

  • Animation Shop can only open .PspImage format images saved with the PSP 7 or earlier compatibility option. In the Save As dialog, first choose the .PspImage format, click Options, and then choose an earlier PSP version compatibility option.

  • Animation Shop also supports popular file formats such as GIF and JPG. Note that JPEG 2000 is not supported by Animation Shop.

Related Topics

Embedding a Digital Watermark

Previewing images in a Web Browser


Previewing Images in a Web Browser

If you have a Web browser installed on your computer, you can use the Web Browser feature to see how your active image will look on the Web. Paint Shop Pro creates an HTML page that displays your image in Windows Bitmap, GIF, JPEG, or PNG format.

To preview image files in Web browsers:

  1. Choose View > Preview in Web Browser. The Preview in Web Browser dialog opens.

  2. To change or add Web browsers, click the Edit Web Browsers button. For more information, see Setting File Locations. You can select up to three browsers.

  3. In the Select image formats list, click each format in which you want to preview your image.

  4. To select a background color for the Web page, left-click the Background color box to choose from the Color dialog or right-click it to choose a recently used color.

  5. In the Image size group box, mark the Use default check box to keep the original image dimension. Clear the check box to enter new image dimensions (in pixels) in the Width and Height edit boxes. Note that the resizing is done using HTML and not by Paint Shop Pro.

  6. Click the Preview button. If you selected to preview only the Bitmap format, the program launches the Web Browser and displays the image. If you selected any other format, the program opens the appropriate Optimization dialog. Select your choices for optimizing the image and click OK.

The Web browser or browsers display your image in the selected formats. You may need to scroll to see them. For each format, the browser displays the file size, color depth, and approximate download times at different modem speeds.

Related Topics

Saving Images for the Web

Embedding a Digital Watermark

Previewing images in a Web Browser


Creating Image Rollovers

A rollover is an image or section of an image that changes appearance when the user activates it. Web designers frequently create rollovers for the buttons of a navigation bar. When a user clicks a button, the browser displays the linked Web page (or file), and the rollover area displays a different button.

You can assign a rollover to both a sliced and mapped image by choosing a file for the slice or area to display when the user performs a specific mouse action.

To create image rollovers:

  1. Choose File > Export > Image Mapper or Image Slicer to open the Image Mapper or Image Slicer dialog.

  2. Select the Pan tool [image], and then click the region where you want to add a rollover.

  3. Click the Rollover Creator button to open the Rollover Creator dialog.

Viewing a Preview: Click the Preview button [image] to view your work in a Web browser window.

  4. Select the check box of the action you want used to activate the rollover: Mouse over, Mouse out, Mouse click, Mouse double-click, Mouse up, Mouse down, and then click the Open button [image] to open the Select Rollover dialog.

  5. Navigate to and select the graphics file you want to use.

  6. Click Open. On the Rollover Creator dialog, the File box displays the file path.

  7. For each action you want associated with a rollover, mark the check box and choose a rollover file.
    Note:     If you do not select a file, then the original file is used.

  8. Click Close to return to the Image Mapper or Image Slicer dialog.

Related Topics

Setting Map Preferences

Saving and Load the Map Settings

Saving the Image Maps

Saving Images for the Web

Embedding a Digital Watermark

Previewing images in a Web Browser


Mapping Images

Use the Image Mapper dialog to create image maps for your Web pages. An image map is a graphic that contains a mapped area (called a region), that links to a URL. The cell can be a circle, rectangle, or irregular shape. When user moves the mouse over the cell, the cursor changes to a hand indicating that you can click that area to jump to another Web page.

Follow these main steps to map an image:

Create the map area (region)

Assign Map Area Properties

Set Map Preferences

Save and Load the Map Settings

Save the Image Maps


Slicing Images

When you slice an image, you divide it into several smaller images that you can save in different formats or at different levels of optimization. Because these optimized images can take less time to download than one large image, your Web pages may load more quickly.

Slicing an image also can reduce the number of graphics you need to save. If your Web site displays the same logo or other graphic in more than one image, you only need to save that section once if you slice the images; you reload the same logo or graphic section into all the images.

The Imager Slicer works by creating a table from the image, saving the location of each sliced section as a region in the table, and generating the HTML code for the column and cells. Copy this code into your source files so that the image can be reassembled when the user downloads the Web page.

The Image Slicer can also create rollovers, which are areas that display secondary images when the user clicks or moves a mouse over them.

Follow these main steps to slice an image:

Creating and Editing Cells

Assigning Slice Cell Properties

Setting Slice Preferences

Saving and Loading Slice Settings

Saving Image Slices to the Clipboard

Saving Slices


Using Digital Watermarks

A digital watermark is a permanent proof of authenticity for an image. While a computer can detect it, it is invisible to the viewer. A watermark contains information about the creator, the copyright, and the image. When a viewer chooses to see this information, the program opens a dialog that contains a link to the Digimarc web page, which displays contact information for the artist.

Important: A layer can contain only one watermark. You cannot embed a new watermark in a layer that already contains one.

Embedding a Digital Watermark

Reading a Digital Watermark


Printing Images

With Paint Shop Pro you can print one image on a page, print several images on a page, or print selected images within a folder. You can also create templates that save the size and placement of images.

About Printing

Saving Images for Printing

Printing a Single Image

About Printing Options

Printing Multiple Images on a Page

Printing Images Using a Template

Printing Images from the Browser

Printing with CMYK Color Separations


About Printing

There are several ways to ways to print in Paint Shop Pro:

  • Print a single image. For more information, see Printing a Single Image.

  • Print multiple images on one page. Arrange and size images in any way you like. For more information, see Printing Multiple Images on a Page.

  • Print images from the Browser as thumbnails or in any arrangement. For more information, see Printing Images from the Browser.

Related Topics

Saving Images for Printing

Printing a Single Image

About Printing Options

Printing Multiple Images on a Page

Printing Images Using a Template

Printing Images from the Browser

Printing with CMYK Color Separations


Choosing Print Setup Options

How to access Print options: From the main Paint Shop Pro workspace, choose File > Print, or press Ctrl + P. From the Print Layout window, choose File > Print Setup, or click the Print Setup button.

Note: You can script most print options. However, all printer settings may not be scriptable due to variations in printer drivers.

The following printing options are available when printing a single image. Most of the options are also available when printing multiple images from the Print Layout window.

Choosing print setup options:

  1. In the Printer group box, choose the printer to send the image to. Click the Printer button to select a different printer. Click the Properties button to view or change printer properties. For more information, refer to your printer documentation.

  2. Print to File Mark this check box to save the image to a file instead of sending it to a printer. When you click the Print button to print the image, Paint Shop Pro prompts you for a file name.

  3. Enter the number of copies to print in the Number of Copies field.

  4. In the Orientation group box choose either the portrait or landscape orientation.

  5. In the Print Output group box, choose the type of output: Color, Greyscale, or CMYK Separations. For more information on printing CMYK color separations, see Printing with CMYK Color Separations.

  6. In the Color options group box, choose an option:

  7. Negative Mark this check box to print a negative of the image.

  8. Background Mark this check box to print a color background around the image, and then click the color box to choose the background color.

  7. In the Print Marks group box, choose from the following options:

  8. Corner Crop Marks Mark this check box to print crop marks at the corners of the image.

  9. Center Crop Marks Mark this check box to print crop marks at the center of the image edges.

  10. Registration Marks Mark this check box to print registration marks at the corners of the image.

  11. CMYK Plate Labels Mark this check box to print labels (Cyan, Magenta, Yellow, or Black) on each color plate (or page). This check box is available only when you select the CMYK Separations option.

  12. Image Name Mark this check box to print the image file name below the image.

  8. Mark the Header check box to include header text at the top of the page, and then type the text in the edit box.

  9. Mark the Footer check box to include footer text at the bottom of the page, and then type the text in the edit box.

  10. Click Close to apply the settings and close the Print Setup dialog.

Related Topics

About Printing

Saving Images for Printing

Printing a Single Image

About Printing Options

Printing Multiple Images on a Page

Printing Images Using a Template

Printing Images from the Browser

Printing with CMYK Color Separations


Printing Multiple Images on a Page

Use Paint Shop Pro’s Print Layout window to print multiple images in a variety of ways. For example, print nine wallet-size copies of the same image, print two different images on the same page, or arrange an image to print on labels.

Note: After you arrange a layout, save the layout as a template that you can use later. For more information, see Saving a Page Layout. Paint Shop Pro includes many templates to use or modify. For more information, see Printing Images Using a Template.

To print multiple images in a Print Layout:

  1. Open the Print Layout window:

  • From the Paint Shop Pro workspace, open each of the images you want to print, and then choose File > Print Layout.

  • From the Paint Shop Pro Browser, select the thumbnail of each image you want to print, and then choose File > Print Layout.

  2. Thumbnails of all open images display on the left side. The page layout to be printed displays in the center of a gray area (the print layout workspace).

Note: To select more images from the Print Layout window, choose File > Open Image or click the Open an Image button [image].

  3. Drag the images that you want to print into the layout.

Note: To locate an image that is out of view in the Print Layout window, use the scrollbars to scroll through the workspace and locate the image, or choose Preferences > Auto Arrange. Paint Shop Pro arranges all images in the workspace onto the page. If the image is still out of view, choose Zoom > Zoom to Page.

  4. Set the Print Layout Preferences, see Setting Print Layout Preferences, or Setting Print Layout Options.

  5. Choose File > Print, or press Ctrl + P to open the Print dialog, or click Print [image] to print the page with the current print settings.

Note: To change the print setup options, choose File > Print Setup to open the Print Setup window and make changes to the settings. For more details, see Choosing Print Setup Options.

  6. To close the Print Layout window, choose File > Close or click the Close button [image].

Related Topics

Automatically Arranging Images in a Layout

Positioning and Sizing Images in a Layout

Setting Print Layout Options

Using the Print Layout Zoom Commands


Printing a Single Image

To print the active image:

  1. Choose File > Print, click Print [image], or press Ctrl + P to open the Print dialog.

  2. Do any or all of the following:

  3. In the Printer group box, select the printer and whether to print to file.

  4. On the Placement tab, choose the number of copies, the page orientation, and the size and position of the image.

  5. On the Options tab, choose the print output, color options, and print marks.

  6. On the Template tab, choose to print a template with images or fill a template with the current image.

Selected options display on the image preview. For more information on the options, see About Printing Options.

  3. Click the Print button to print the image. Or, click the Close button to save the print options without printing the image.

Related Topics

About Printing

Saving Images for Printing

Printing a Single Image

About Printing Options

Printing Multiple Images on a Page

Printing Images Using a Template

Printing Images from the Browser

Printing with CMYK Color Separations


Printing Images from the Browser

Use the Paint Shop Pro Browser to print all images within a folder, or only selected images. Print the images as thumbnails, or print them any size using a template.

When you print from the Browser, Paint Shop Pro automatically includes the file name under each image, as well as the folder name at the top of the page, and a page number at the bottom.

To print images from the Browser:

  1. Choose File > Browse or press Ctrl + B.
    The Browse window opens and the main menu updates with Browse commands.

  2. Navigate to the folder that contains the files you want to print.

  3. Select files using one of these methods:

  4. Click the file’s thumbnail.

  5. To select more than one file, press Ctrl and click each file.

  6. To select sequential files, click the first file, then press Shift and click the last file.

Note: To deselect a file, press Ctrl and click its thumbnail.

  4. Choose File > Print to open the Browser Print dialog.

  5. Choose options from the Printer and Copies group boxes.
    For more information, see About Printing Options.

  6. Choose a thumbnail option:

Use Thumbnails Mark the check box to use thumbnail images, which print faster but are lower resolution and fuzzy. Clear the check box to print the images at normal resolution.

  7. Choose template options:

Use the standard template

  • Mark this box to print all the images at thumbnail size.

  • Clear this box to choose a template from the drop down list. The Browser will use the template to format your images for printing. To change the folder where Paint Shop Pro loads templates from, click the Edit Paths button. For more information, see Setting File Locations.

  8. Choose a Print Range option:

All Prints all the pages the Browser has created for printing.

Pages Prints only the page range you enter in the from and to fields.

Selection Prints only the images you selected in the Browser window instead of all the images in the current folder.

  9. Click the Print button to print. Or, click the Close button to save the print options without printing the images.

Related Topics

About Printing

Saving Images for Printing

Printing a Single Image

About Printing Options

Printing Multiple Images on a Page

Printing Images Using a Template

Printing Images from the Browser

Printing with CMYK Color Separations


Printing Images Using a Template

Use templates to simplify image placement and sizing. Templates, by default, do not contain any specific images. However, Paint Shop Pro can save templates with links to images.

Save your own templates (created from page layouts) or use any of Paint Shop Pro’s many templates.

By default, sample templates are stored in the Print Templates folder of Paint Shop Pro program folder. To change where Paint Shop Pro stores and searches for templates, click the Edit template file locations button [image] or choose File > Template locations. For more information, see Setting File Locations.

To print images using a template:

  1. Open the Print Layout window:

  2. From the Paint Shop Pro workspace, open each of the images you want to print, and then choose File > Print Layout.

  3. From the Paint Shop Pro Browser, select the thumbnail of each image you want to print, and then choose File > Print Layout.

  2. In the Print Layout window, choose File > Open Template or click Open Template [image] to open the Templates dialog.

  3. Choose a category from the Select a category list. Thumbnails of the templates in each category are shown in the window to the left. Templates that have images saved with them will show colored template cells. Note: When you save custom templates, they will appear under the User Defined category.

  4. Select the thumbnail of the template you want to open, and then click OK to open the template in the Print Layout window.

Note: If you saved images with the template, the images will appear in the template cells and in the thumbnail list. Templates that have images missing will display a greyed out cell in the template thumbnail.

Once you have selected a template, you can drag multiple images, or multiple copies of the same image into the cells of the template. Use the Placement options to position the images in the cells.

  5. Place the images in the cells of the template:

  6. Place multiple images by dragging each thumbnail into a template cell.

  7. Fill the template with copies of the same image, by dragging one image thumbnail onto any cell and then choosing Templates > Fill Template with Image or clicking the Fill template with image button [image].
    Paint Shop Pro fills all cells with the image.

Note: To remove an image from a template, select the image, and then press Delete, or choose Image > Remove.

  6. Choose an cell placement method from the Print Layout window toolbar or from Image > Placement.

  7. Free format [image] Allows you to freely resize and position the image in the cell.

  8. Size and Center [image] The image size is not changed to match the cell. You can resize the image and the image will always stay centered in the cell.

  9. Fill Cell with the image [image] Centers the image in the cell and scales the image to fill the cell. The image aspect ratio is maintained, but parts of the image may not be visible.

  10. Fit and center [image] Scales the image to fit entirely inside the cell and centers the image in the cell. The image aspect ratio is maintained.

  11. Fit and adjust left [image] Scales the image to fit entirely inside the cell and aligns the image to the left side of the cell. The image aspect ratio is maintained.

  12. Fit and adjust right [image] Scales the image to fit entirely inside the cell and aligns the image to the right side of the cell. The image aspect ratio is maintained.

  13. Fit and adjust top [image] Scales the image to fit entirely inside the cell and aligns the image to the top of the cell. The image aspect ratio is maintained.

  14. Fit and adjust bottom [image] Scales the image to fit entirely inside the cell and aligns the image to the bottom of the cell. The image aspect ratio is maintained.

  7. Choose File > Print, or click the Print button [image] on the toolbar.

Related Topics

About Printing

Saving Images for Printing

Printing a Single Image

About Printing Options

Printing Multiple Images on a Page

Printing Images Using a Template

Printing Images from the Browser

Printing with CMYK Color Separations


Printing with CMYK Color Separations

When you print using CMYK separations, Paint Shop Pro prints four pages representing the levels of Cyan, Magenta, Yellow, and Black in the image.

Note

Printing CMYK separations is the opposite of the Colors > Split Channels > Split to CMYK command. When you split channels Paint Shop Pro treats white as full color and black as no color (brighter equals more color). When you print CMYK separations, Paint Shop Pro treats black as full color and white as no color (darker equals more color).

To modify the default CMYK conversion preferences, see Defining CMYK Profiles or Modifying the CMYK Profile.

To print CMYK color separations:

  1. Choose File > Print to open the Print dialog.

  2. Click the Options tab.

  3. In the Print Output group box, choose CMYK Separations.

  4. Choose other print options as desired. For more information, see Choosing Print Setup Options.

  5. Click the Print button.

Related Topics

About Printing

Saving Images for Printing

Printing a Single Image

About Printing Options

Printing Multiple Images on a Page

Printing Images Using a Template

Printing Images from the Browser

Printing with CMYK Color Separations


Saving Images for Printing

If you are printing your image on a personal printer, save it in the .PspImage format. This gives you the most flexibility. Paint Shop Pro prints all the layers in an image, so you don’t need to flatten it (merge all layers). If you are using a black-and-white printer, choose the Greyscale option in the Print dialog.

If you are sending the image to a printing service, flatten the image before saving it. When you save an image in most formats other than .PspImage, Paint Shop Pro automatically flattens the image. Ask your printer about the requirements for file format, resolution, and color depth. If you need CMYK color separations, choose that option in the Print dialog.

Related Topics

About Printing

Saving Images for Printing

Printing a Single Image

About Printing Options

Printing Multiple Images on a Page

Printing Images Using a Template

Printing Images from the Browser

Printing with CMYK Color Separations


Automating Tasks

Automating a lengthy task or set of tasks is one of the many exciting benefits of Paint Shop Pro 8. This chapter describes four important time-saving features:

  • Automated Productivity Scripts let you automate an action or set of actions that you apply to images.

  • Presets allow you to save settings for a dialog or tool for subsequent use.

  • The Batch Process feature lets you, among other things, convert multiple files from one file format to another.

  • The Batch Rename feature lets you rename multiple files simultaneously.

Scripting Basics

Recording and Saving a Script

Running a Saved Script

Stopping or Undoing a Script

About BoundScripts

About Protected Script Mode

Editing Scripts Using Paint Shop Pro

Editing Scripts Via the Text Editor

Using and Creating Presets

Processing Multiple Files

Renaming Multiple Files


Using and Creating Presets

Presets are essentially scripts that define the behavior, properties, or settings of a dialog or tool. Many dialogs and tools come with predefined, ready to use Presets. But you can also design and save your own Presets.

Be aware that if a particular setting you may use frequently is not listed in a tool’s or dialog’s Presets, you can always make the setting and then save it as a Preset. It will then appear in the list.

Most Paint Shop Pro dialogs and the Tool Options palette have the following default presets:

  • Last Used These are the settings last used in this dialog. Each time the dialog opens, Paint Shop Pro displays the Last Used preset settings.

  • Default These are the default, out-of-the-box settings for this dialog or tool. The default settings can provide a good starting point for your work.

To choose a preset:

In the Presets drop-down list, select the desired Preset from the list.

To reset values to default settings:

In the Presets drop-down list, choose Default, or click the Reset button [image] . To reset the dialog to the settings that displayed when you opened the dialog, hold down Shift and then click the Reset button.

To save settings as a preset:

  1. Modify the dialog’s or tool’s settings.

  2. Click the Save preset button [image]. The Save Preset dialog opens.

  3. Type a name for the Preset. You cannot use the names "Default" or "Last Used".

  4. To enter additional Preset information, click the Options button, and then enter information in the Author, Copyright, and Description fields.

  5. The Preset includes group box shows the data saved with this Preset. To omit any of these items from the Preset, click the Save button (a red X will appear over it) associated with the data.

  6. Click OK.

To edit a preset:

To edit a Preset, select it, modify the dialog or tool settings, click the Save Preset button, and type the same preset name. When you are prompted to replace the current Preset, choose Yes.

To delete a preset:

  1. In the Presets drop-down list, select the preset you want to delete. Note: You cannot delete the Last Used or Default presets.

  2. Click the Delete preset button [image].

  3. At the prompt to confirm deletion, click Yes.

Related Topics

Scripting Basics

Recording and Saving a Script

Running a Saved Script

Stopping or Undoing a Script

About BoundScripts

About Protected Script Mode

Editing Scripts Using Paint Shop Pro

Editing Scripts Via the Text Editor

Processing Multiple Files

Renaming Multiple Files


Processing Multiple Files

To process multiple files use the Batch Process feature. Depending on your settings in the Batch Process dialog, Paint Shop Pro can make copies of original files, convert and then save the copies in the output folder you select..

To use the Batch Process feature:

  1. Open the Batch Process dialog by choosing File > Batch > Process.

  2. Navigate to the folder containing the source (original) files.

  3. In the Save Mode group box, choose one of the following options:

  4. New Type: This is the most basic option, requiring only that a new output type be set in the Type field of the Save Options group box. You can also choose to run a script with this Save Mode. This option will: a) read in the file, b) run the script (if defined) against the file, c) save the file to its new location and/or name, and d) convert it to the new file format. With this option selected, all Save Options group box settings will be available.

  5. Copy: This option requires that a script is defined in the Script group box. This option will: a) read in the file, b) run the script against the file, and c) save the file to a new location and/or name. With this option selected, the Type field and Options button of the Save Options group box will be disabled.

  6. Overwrite: This option requires that a script is defined in the Script group box. This option will: a) read in the file, b) run the script against the file, and c) save the file to its original location (the original file is overwritten). With this option selected, all Save Options group box settings are disabled.

  7. Obey Script: This option requires that a script is defined in the Script group box. This option will: a) read in the file, and b) run the script against the file. With this option selected, all Save Options group box settings are disabled.

Note: Since no save is performed, you should only use this option when you know the script performs a save. If not, this option will not have any effect.

  4. In the Save Options group box, you can set the following (as mentioned in step 3 above, your Save Mode setting affects what is available in this group box):

  5. Click the Type drop-down list to select a new file format. If a format has save options, the Options button is accessible. Click it to open the Save Options dialog. Select the format options and click OK to return to the Batch Process dialog.

  6. Unless you specify another output folder, Paint Shop Pro saves the converted files in the same folder as the source files. Optionally, you can designate another output (destination) folder for the new files by typing a path in the Folder field, or by clicking the Browse button next to this field and navigating to another folder.

  7. You also have the option of renaming the converted files. To do so, click Modify to open the Modify Filename Format dialog. The Rename Options list displays the choices for renaming your files. Select an option and click Add to move it into the Included list. Choose from the following options:

  8. Custom Text When you choose this option, the program displays a Custom text field below the Included list. In this field type the name you want applied to the converted files.

  9. Date The current date is added to the name.

  10. Document Name Include the original name in the new name, but also allows for case changes (upper, lower, etc.).

  11. Sequence The position of a file in the renaming process is added to each file.

  12. Time The current time is added to the name.

A preview of the new file naming scheme appears at the bottom of the dialog. Click OK to go back to the Batch Process dialog.

  5. To stop the conversion process if Paint Shop Pro encounters an error, mark the Stop on error check box. If you don’t select it, the program processes all the images without stopping. The error messages appear in a Batch Conversion Status dialog.

Note: If you will be overwriting files during processing, particularly many files, you may want to leave this box unchecked to avoid having to confirm the overwriting of each file.

  6. Use the Script group box to run a script on all the files before converting them. In the text entry box, enter the path for the script, or click Browse and then navigate to where the script resides. Mark the Run script in silent mode check box to ensure the script runs in this mode.

  7. If you’ve already selected files to process, click Start. If you haven’t already selected the files to process, do one of the following:

  8. To process specific files, press Shift while selecting contiguous files or Ctrl while selecting non-contiguous files, and then click Start.

  9. To process all files displayed, click Select All.

The Batch Progress dialog opens, and the batch conversion starts. The Current Step pane displays each filename and whether it is converted, while the Job Progress bar indicates the conversion progress. To stop the conversion, click Abort.

During the conversion, Paint Shop Pro might open other dialogs requesting more information if you have selected Meta, PostScript, Photo-CD, or RAW files.

After the files have been converted, either click OK to close the dialog, or click Save Log to save the progress messages to a text file. Clicking Save Log opens the Save As dialog. Type a name for the file and click Save. Paint Shop Pro saves the information with a .log file extension.

Related Topics

Scripting Basics

Recording and Saving a Script

Running a Saved Script

Stopping or Undoing a Script

About BoundScripts

About Protected Script Mode

Editing Scripts Using Paint Shop Pro

Editing Scripts Via the Text Editor

Using and Creating Presets

Renaming Multiple Files


Renaming Multiple Files

To rename multiple files, use the Batch Rename feature.

To use the Batch Rename feature:

  1. Open the Batch Rename dialog by choosing File > Batch > Rename.

  2. Navigate to the folder containing the source (original) files.

  3. If necessary, use the Files of type field to display particular file formats residing the folder from step 2. Choose All Files to display the folder’s entire contents.

  4. To define a new name for the files, click Modify to open the Modify Filename Format dialog. The Rename Options list displays the choices for renaming your files. Select an option and click Add to move it into the Included list. Choose from the following options:

  5. Custom Text When you choose this option, the program displays a Custom text field below the Included list. In this field type the name you want applied to the converted files.

  6. Date The current date is added to the name.

  7. Document Name Include the original name in the new name, but also allows for case changes (upper, lower, etc.).

  8. Sequence The position of a file in the renaming process is added to each file.

  9. Time The current time is added to the name.

A preview of the new file naming scheme appears at the bottom of the dialog. Click OK to go back to the Batch Rename dialog.

  5. Optionally, you can stop the renaming process if Paint Shop Pro encounters an error by marking the Stop on error check box. If you don’t select it, the program renames all files without stopping.

  6. If you’ve already selected files to rename, click Start. If you haven’t already selected the files to rename, do one of the following:

  7. To rename specific files, press Shift while selecting contiguous files or Ctrl while selecting non-contiguous files, and then click Start.

  8. To rename all files displayed, click Select All.

Note: To verify the files have been renamed as desired, browse to the folder.

Related Topics

Scripting Basics

Recording and Saving a Script

Running a Saved Script

Stopping or Undoing a Script

About BoundScripts

About Protected Script Mode

Editing Scripts Using Paint Shop Pro

Editing Scripts Via the Text Editor

Using and Creating Presets

Processing Multiple Files


About BoundScripts

Paint Shop Pro allows you to create up to nine special scripts called BoundScripts. Because these scripts are essentially commands, you can drag them into a toolbar, a menu, or assign them a keyboard shortcut.

Creating a BoundScript

A BoundScript is created just like any other type of script. However, you must name it “BoundScriptn”, where n is a number ranging from 1 to 9. Before creating a BoundScript, you may want to delete the specific Jasc-supplied sample BoundScript of the same name as this will ensure you’ll be using your new script.

Adding a BoundScript to a Toolbar

Add a BoundScript to a toolbar or menu just like you would any other command button. Refer to Customizing Paint Shop Pro for more information on user interface customization. Shown below is a section of the Customize dialog’s Commands tab. When you select BoundScripts in the Categories list, the buttons for the nine BoundScripts appear in the Commands list. Simply drag the desired button into a toolbar or menu.

Related Topics

Displaying the Script Toolbar

About the Script Toolbar Buttons

Using the File > Script Menu Items

Recording and Saving a Script

Running a Saved Script

Stopping or Undoing a Script

Editing Scripts Using Paint Shop Pro

Editing Scripts Via the Text Editor


About Protected Script Mode

The scripts in Paint Shop Pro 8 are created in the Python programming language, which can unfortunately also be used to create and execute malicious scripts. Because of this potential danger, Paint Shop Pro includes two explicit directory sets that reside inside the path \Program Files\Jasc Software Inc\Paint Shop Pro 8. These directories are:

  • Scripts - Restricted: any script residing here is restricted (see Restriction information below)

  • Scripts - Trusted: any script residing here is trusted

What is Restricted?

Some general notes about Restricted scripts:

  • If a Restricted script calls a Trusted script, the Trusted script runs as Restricted. If a Trusted script calls a Restricted script, the Restricted script remains Restricted. Following the return of the Restricted script, the Trusted script is trusted again.

  • When the application searches for scripts, Restricted scripts are searched before Trusted scripts. In the Script toolbar’s Select Script drop-down list, the two sets of scripts are intermingled and listed alphabetically.

  • When saving a script, the path defaults to the Restricted directory for the first time this is done with the application. After that, it defaults to the most recently used directory.

  • If a script is run from an unconfigured path, it is treated as Restricted.

  • If a path appears in both the Restricted and Trusted lists, it is treated as Restricted.

  • Presets, Material palette Swatches, and Print Layout Templates (which are essentially scripts) are treated as Restricted.

  • Additionally, the following commands are not allowed when run from a Restricted script: FileSave, FileSaveAs, FileSaveCopyAs, GIFExport, PNGExport, JPEGExport, FileLocations, FileClose, FileCloseAll, FileSend, BatchConvert, BatchRename, Mapper, Slicer, FileExit.

Related Topics

Displaying the script Toolbar

About the Script Toolbar Buttons

Using the File > Script Menu Items

Recording and Saving a Script

Running a Saved Script

Stopping or Undoing a Script

Editing Scripts Using Paint Shop Pro

Editing Scripts Via the Text Editor


Scripting Basics

One of the more powerful new features in Paint Shop Pro 8 is Scripting. Paint Shop Pro 8 has a full-featured scripting engine based on the Python programming language (see http://www.python.org/ for more information on this language). Although you can write your own scripts using Python syntax, Paint Shop Pro’s built-in script recorder can do this work for you, allowing you to script almost any action within the application.

If, however, you choose to write a script in the Python language, note that Python uses indentation to determine scoping, thus you must be very careful about mixing spaces and tabs. We recommend that you use a Python-aware editor such as PythonWin or Idle if you choose to write your own scripts.

For more information about scripting, see:

Displaying the script Toolbar

About the Script Toolbar Buttons

Using the Script Menu Items

Recording and Saving a Script

Running a Saved Script

Stopping or Undoing a Script

Editing Scripts Using Paint Shop Pro

Editing Scripts Via the Text Editor


Running a Saved Script

You can run a saved script by selecting the script from the Select Script drop-down, or by navigating to the folder where the script is located.

To run a script listed in the Select Script drop-down:

  1. Click the drop-down button to display the list.

  2. Click the script that you want to run.

  3. To run the script, click Run Selected Script [image].

To run a script not listed in the Select Script drop-down:

  1. Click Run Script [image] to display the Run Script dialog.

  2. Navigate to the folder containing the script that you want to run.

  3. Select the script and click Open to execute the script.

To run a script on all open images: Using one of the methods on the right, run the script on the first image. Make another image active, and then press Ctrl + Y. Repeat this for each open image.

Related Topics

Displaying the Script Toolbar

About the Script Toolbar Buttons

Using the File > Script Menu Items

Recording and Saving a Script

Stopping or Undoing a Script

Editing Scripts Using Paint Shop Pro

Editing Scripts Via the Text Editor


Stopping or Undoing a Script

Stopping a Running Script

To stop a script while it is running , click Stop Script [image]. The Stop Script button is only active while the script is running. Depending on the script, this may only be a few seconds.

Undoing an Applied Script

Like any other action applied to an image, you can always undo an applied script by clicking Undo [image] on the standard Toolbar.

Related Topics

Displaying the Script Toolbar

About the Script Toolbar Buttons

Using the File > Script Menu Items

Recording and Saving a Script

Running a Saved Script

Editing Scripts Using Paint Shop Pro

Editing Scripts Via the Text Editor


Editing Scripts Using Paint Shop Pro

Scripts can be edited via the Paint Shop Pro user interface, or by editing the script’s Python code in a text editor application, for more information, see Editing Scripts Via the Text Editor.

To edit the currently selected script:

  1. Click the Edit Selected Script button [image]. The Script Editor dialog will appear, listing the actions that comprise the script, as well as some basic information.

Notes:

  • If the script you wish to edit is not in the Select Script drop-down, choose File > Script > Edit to display the Open dialog. Navigate to where the script resides. When you open the script, its information will appear in the Script Editor dialog.

  • If the Script Editor cannot open the script (e.g. the format is unreadable, or perhaps the script was created or edited manually in a text editor), the script will open in the default text editor application set in the File Locations dialog. Refer to the section “Editing Via a Text Editor” below.

  2. In the Scripts Commands section, you can do the following:

  3. Mark the check box on the left to use that portion of the script.

  4. Use the Mode drop-down to set a mode for the script’s actions. Mode options are Default, Silent, or Interactive. Choose Silent to skip all dialogs — the commands in the script are executed (utilizing their settings chosen when the script was created) without showing any of the user interface. Choose Interactive to allow for user interaction with dialogs and other settings. Choose Default to execute the command based on what the execution environment has set for its preference.

  5. To display and/or modify a command’s settings, select the command and then click Edit, or double-click the command. Be aware that command names show in italics with the words “NOT editable” cannot be selected for editing.

Note: There are a small number of commands that can only be edited when an image is open in the workspace.

  • To remove commands from the script, select the command and click Delete. To select multiple commands, use the standard Shift-click or Ctrl-click methods.

  3. To view and/or edit the Python code associated with the script, click the Text Editor button. The editor assigned via the File > Preferences > File Locations dialog will open the script. Until you specify another application, the default editor is Notepad.

  4. To save your edits, click Save, and then click Close.

Want to author your own Python language scripts? On the Paint Shop Pro 8 CD, browse for a directory labeled “Script Authoring.” Inside you’ll find documents detailing sample scripts, instructions for writing scripts, and an API document.

Related Topics

Displaying the Script Toolbar

About the Script Toolbar Buttons

Using the File > Script Menu Items

Recording and Saving a Script

Running a Saved Script

Stopping or Undoing a Script

Editing Scripts Via the Text Editor


Recording and Saving a Script

Before you begin recording a script, be aware of these general rules as to what actions can actually be recorded within Paint Shop Pro 8:

  • You cannot script user interface customizations, CMYK profile creation/editing, operations inside the Browser, operations inside of Print Layout, gradient creation, or the floating/docking/arranging of toolbars, palettes and windows.

  • Materials palette operations and Tool Palette selections can be scripted but are not recorded — these actions need to be written via a text editor application. Plug-ins are scriptable, but plug-ins that do not support scripting cannot be scripted.

  • Outside of the above restrictions, anything you do in Paint Shop Pro 8 should be scriptable.

Scripting rules of thumb: The longer a task takes to complete, the more desirable it is to have a script for it. However, if a task only takes two or three mouse clicks to complete, creating and running a script for those few actions may not save you any time.

To record and save a Script

  1. Make a note of or write down the specific actions you wish to record. Ideally, your actions should be as efficient as possible.

  2. To begin recording, click Start Script Recording [image].

  3. Perform the actions that comprise the script.

  4. Click Save Script Recording [image]. In the Save As dialog, navigate (if necessary) to where the script will reside, enter a name for the script, and then click Save.

Want to author your own Python language scripts? On the Paint Shop Pro 8 CD, browse for a directory labeled “Script Authoring.” Inside you’ll find documents detailing sample scripts, instructions for writing scripts, and an API document.

Related Topics

Displaying the Script Toolbar

About the Script Toolbar Buttons

Using the File > Script Menu Items

Running a Saved Script

Stopping or Undoing a Script

Editing Scripts Using Paint Shop Pro

Editing Scripts Via the Text Editor


Customizing Paint Shop Pro

By setting up Paint Shop Pro to appear and respond in ways that best suit your work, you’ll not only create a better user experience, but you’ll likely find yourself working faster and more efficiently. This chapter describes the various ways you can customize Paint Shop Pro. Note: CMYK Conversion Preferences are covered in Printing Images.

Setting General Program Preferences

Resetting Application Preferences

Using Custom Workspaces

Setting File Locations

Setting File Format Associations

Setting Autosave Preferences

Setting File Format Preferences

Customizing Toolbars and Menus

Adjusting Monitor Display Options


Using Custom Workspaces

The Paint Shop Pro workspace is made up of all the program’s palettes, toolbars, and open images. You may find that the way you arrange the workspace while editing photos may differ from the arrangement while using the Web tools. Fortunately, Paint Shop Pro allows you to save any number of workspace arrangements, allowing you to load the specific workspace that best suits the work you intend to do.

Paint Shop Pro also contains sample workspaces, such as one that duplicates the Paint Shop Pro 7 workspace.

Saving Custom Workspaces

Deleting Saved Workspaces

Loading Custom Workspaces

Related Topics

Setting General Program Preferences

Resetting Application Preferences

Setting File Locations

Setting File Format Associations

Setting Autosave Preferences

Setting File Format Preferences

Customizing Toolbars and Menus

Adjusting Monitor Display Options


Customizing Toolbars and Menus

Paint Shop Pro 8 gives you almost total control over the program’s toolbars, allowing you to:

  • Move commands from toolbar to toolbar.

  • Add almost any command to any toolbar.

  • Add your own custom scripts to toolbars, see Scripting Basics

  • Create your own custom toolbar.

Ways to customize Paint Shop Pro:

Customizing Commands

Customizing Toolbars

Assigning and Viewing Shortcut Keys

Customizing Menus

Customizing Additional Options


Setting General Program Preferences

General Program Preferences define the behavior of various features.

To set General Program Preferences:

  1. Choose File > Preferences > General Program Preferences to open the Paint Shop Pro Preferences dialog.

  2. Click the tab containing the preference information you want to change.

Undo/Redo Preferences

View Preferences

Display and Caching Preferences

Palettes Preferences

Browser Preferences

Units Preferences

Transparency Preferences

Warnings Preferences

Photo Sharing Preferences

Auto Action Preferences

Miscellaneous Preferences

  3. Modify the desired settings, and then click OK.

Related Topics

Resetting Application Preferences

Using Custom Workspaces

Setting File Locations

Setting File Format Associations

Setting Autosave Preferences

Setting File Format Preferences

Customizing Toolbars and Menus

Adjusting Monitor Display Options


Setting Autosave Preferences

Paint Shop Pro can automatically save all open images on a set schedule. These autosaved files can help you recover your work if your computer crashes. When Paint Shop Pro starts after a crash, it will open any autosaved files it finds.

Note: To find out where Paint Shop Pro saves the autosaved files, select File > Preferences > File Locations and select the Undo/Temporary Files folder from the File Type list.

To set the autosave preferences:

  1. Choose File > Preferences > Autosave Settings to open the Autosave dialog.

  2. Set the options:

  3. Enable autosave Mark this check box to activate the autosave feature.

  4. Minutes Set the number of minutes between each autosave.

Related Topics

Undo/Redo Preferences

View Preferences

Display and Caching Preferences

Palettes Preferences

Browser Preferences

Units Preferences

Transparency Preferences

Warnings Preferences

Photo Sharing Preferences

Auto Action Preferences

Miscellaneous Preferences


Setting File Locations

Paint Shop Pro saves and searches for items in several default folders on your computer. By changing File Locations preferences, you can change where Paint Shop Pro looks for and saves important items. You can also control how plug-ins are used and which Web browsers are used to preview your images. The File Locations dialog controls where Paint Shop Pro looks for and saves important files.

Note: By default, all new files you create are saved in the appropriate folder of the My Paint Shop Pro 8 Files folder in your My Documents folder. Most default program files are stored in the appropriate folder in the path \Program Files\Jasc Software Inc\Paint Shop Pro 8.

Ways to edit file locations:

Changing File Locations

Adding or Deleting File Locations

Setting Plug-in Locations

Selecting a Web Browser

Related Topics

Setting General Program Preferences

Resetting Application Preferences

Using Custom Workspaces

Setting File Format Associations

Setting Autosave Preferences

Setting File Format Preferences

Customizing Toolbars and Menus

Adjusting Monitor Display Options


Setting File Format Preferences

You can specify how PSP handles images in the following formats: Kodak PhotoCD, PostScript, RAW, and Windows Meta File. For a list of supported file formats, see Paint Shop Pro 8 Supported File Formats.

To set file format preferences, see:

Setting Kodak PhotoCD Preferences

Setting Postscript File Preferences

Setting RAW File Preferences

Setting Metafile Preferences

Related Topics

Setting General Program Preferences

Resetting Application Preferences

Using Custom Workspaces

Setting File Locations

Setting File Format Associations

Setting Autosave Preferences

Customizing Toolbars and Menus

Adjusting Monitor Display Options


Setting File Format Associations

File format associations control how Paint Shop Pro will interact with many types of file formats. You can have certain file formats automatically open in Paint Shop Pro. For example, when you associate the JPEG file format with Paint Shop Pro, all JPEG files will open in Paint Shop Pro when you double-click them from the Windows desktop. The associated JPEG files will also display Paint Shop Pro icons. For a list of supported file formats, see Paint Shop Pro 8 Supported File Formats.

Ways to set file format associations:

A dding and Removing File Format Associations

Changing File Format Associations

Related Topics

Setting General Program Preferences

Resetting Application Preferences

Using Custom Workspaces

Setting File Locations

Setting File Format Associations

Setting Autosave Preferences

Customizing Toolbars and Menus

Adjusting Monitor Display Options


Resetting Application Preferences

Various program preferences can be reverted back to their defaults.

To reset application preferences:

  1. Choose File > Preferences > Reset Preferences to open the Reset the Application dialog.

  2. Select from these choices:

  3. Reset file locations Mark this check box to reset all file location settings to the program defaults.

  4. Reset workspace to default configuration Mark this check box to reset the current workspace to the program defaults.

  5. Reset dialog positions and last used settings When you mark this check box, any dialogs that open will appear in their default locations. Also, Paint Shop Pro will forget the last settings you used in all dialogs.

  6. Delete all cache files Mark this check box to delete (reset) all existing cache files. Paint Shop Pro saves cache files on your computer to improve program performance. Cache files can become corrupted by computer errors.

  7. Make all toolbars/palettes visible and on screen Mark this check box to view all toolbars and palettes.

  3. Click OK.

Related Topics

Setting General Program Preferences

Resetting Application Preferences

Using Custom Workspaces

Setting File Locations

Setting File Format Associations

Setting Autosave Preferences

Setting File Format Preferences

Customizing Toolbars and Menus

Adjusting Monitor Display Options


Adjusting Monitor Display Options

Paint Shop Pro’s monitor gamma setting adjusts how colors display in Paint Shop Pro. This setting does not affect how your monitor displays colors in other applications. Before you adjust the monitor gamma, you should calibrate your monitor, see Calibrating Your Monitor.

Most users should not adjust the monitor gamma setting. If you make color corrections after you change the monitor gamma, the colors may look distorted on other monitors or in applications other than Paint Shop Pro.

Note about Color Management: If you enable Windows Color Management, Paint Shop Pro ignores the monitor gamma preference setting.

To adjust the monitor gamma:

  1. Choose File > Preferences > Monitor Gamma to open the Monitor Gamma Adjustment dialog.

  2. Lean away from your monitor and look at the red, green, blue, and grey rectangles. Each color contains an inner, solid color rectangle and outer, patterned rectangles. On a correctly adjusted monitor, the inner rectangles are difficult to distinguish from the outer rectangles.

  3. Do one of the following:

  4. To adjust the red, green, and blue values in unison, mark the Link channels check box.

  5. To adjust the values individually, clear the Link channels check box.

  4. For each color (or for all colors if they are linked), drag the slider until the inner rectangle seems to blend into the outer rectangle.

Note: If you have difficulty getting the inner rectangle to blend into the outer rectangle, your monitor may be too old and faded.

  5. Click OK.

Note: Click Reset to return no gamma adjustment (1.00).

Related Topics

Setting General Program Preferences

Resetting Application Preferences

Using Custom Workspaces

Setting File Locations

Setting File Format Associations

Setting Autosave Preferences

Setting File Format Preferences

Customizing Toolbars and Menus


Acknowledgements

Copyright © 2003 by Jasc Software, Inc. All rights reserved. No portion of the contents of this publication may be reproduced or transmitted in any form or by any means without the express written permission of Jasc Software, Inc.

Trademark Information

Animation Shop, ImageCommander, Media Center Plus, Paint Shop and the Jasc orbit logo are trademarks of Jasc Software, Inc. Jasc, Paint Shop Pro, and The Power to Create are registered trademarks of Jasc Software, Inc. Acrobat, PostScript, Photoshop, Photoshop Elements are either registered trademarks or trademarks of Adobe Systems Incorporated. The Postscript language is copyrighted by Adobe Systems Incorporated. Macintosh is a registered trademark of Apple Computer, Inc. Autodesk is a registered trademark of Autodesk, Inc. MacPaint is a product and trademark of Claris Corporation. GIF is a service mark property and Graphic Interchange Format is copyright property of CompuServe Inc. CorelDRAW, Ventura Publisher, WordPerfect are either registered trademarks or trademarks of Corel Corporation. GEM, GEM Paint are either registered trademarks or trademarks of Digital Research Inc. Digimarc is a registered trademark of Digimarc Corporation. Deluxe Paint is a registered trademark of Electronic Arts. Kodak Photo CD is registered trademark of Eastman Kodak Company. OS/2, Lotus 1-2-3 are registered trademarks of International Business Machines Corporation. Dr. Halo is a registered trademark of Media Cybernetics. Micrografx Draw is registered trademark of Micrografx, Inc. Microsoft, Windows, Microsoft Paint, Microsoft Word, Video For Windows are either registered trademarks or trademarks of Microsoft Corporation. CT is a registered trademark of Scitex Corporation. ZSoft Paintbrush is a registered trademark of ZSoft Corporation. All other trademarks or registered trademarks are the property of their respective owners.

We have done our best to ensure that the material found in this publication is both useful and accurate. However, please be aware that errors may exist in this publication, and that neither the authors nor Jasc Software, Inc. make any guarantees concerning the accuracy of the information found here or in the use to which it may be put.


Paint Shop Pro 8 Supported File Formats

Format | Description | Support
AFX | AutoFX | Read only
BMP | Windows Bitmap | Read/Write
BRK | Brooktrout Fax | Read/Write
CAL | CALS Raster | Read/Write
CDR | CorelDraw Drawing | Read only
CGM | Computer Graphics Metafile | Read only
CLP | Windows Clipboard | Read/Write
CMX | Corel Clipart | Read only
CUR | Windows Cursor | Read only
CUT | Dr. Halo | Read/Write
DCX | Zsoft Multipage Paintbrush | Read only
DGN | MicroStation Drawing | Read only
DIB | Windows DIB | Read/Write
DRW | Micrografx Draw | Read only
DWG | AutoCAD Drawing | Read only
DXF | Autodesk Drawing Interchange | Read only
EMF | Windows Enhanced Metafile | Read/Write
EPS | Encapsulated PostScript | Read/Write
FPX | Flashpix | Read/Write
GEM | Ventura/GEM Drawing | Read only
GIF | Compuserve Graphics Interchange | Read/Write
HPGL | HP Graphics Language | Read only
IFF | Amiga | Read/Write
IMG | GEM Paint | Read/Write
JP2 | JPEG 2000 | Read/Write
JPG | JPEG – JFIF Compliant | Read/Write
KDC | Kodak Digital Camera File | Read only
KFX | Kofax | Read only
LBM | Deluxe Paint | Read/Write
LV | Lazer View | Read only
MAC | MacPaint | Read/Write
MSP | Microsoft Paint | Read/Write
NCR | NCR G4 | Read/Write
PBM | Portable Bitmap | Read/Write
PCD | Kodak Photo CD | Read only
PCT (PICT) | Macintosh PICT | Read/Write
PCX | Zsoft Paintbrush | Read/Write
PDF | Portable Document File | Read only
PGM | Portable Greymap | Read/Write
PIC (Lotus) | Lotus PIC | Read only
PIC (PC Paint) | PC Paint | Read/Write
PNG | Portable Network Graphics | Read/Write
PPM | Portable Pixelmap | Read/Write
PSD | Photoshop | Read/Write
PSP | Paint Shop Pro Image | Read/Write
RAS | Sun Raster Image | Read/Write
RAW | Raw File Format | Read/Write
RLE | Windows or CompuServe RLE | Read/Write
SCT | SciTex Continous Tone | Read/Write
SGI/RGB | SGI Image File | Read/Write
SVG | Scalable vector Graphics | Read only
TGA | Truevision Targa | Read/Write
TIF | Tagged Image File Format | Read/Write
WBMP | Wireless Bitmap | Read/Write
WMF | Windows Meta File | Read/Write
XBM | X Windows Bitmap | Read/Write
XPM | X Windows Pixmap | Read/Write
XWD | X Windows Dump | Read/Write
WPG | Wordperfect Bitmap/Vector | Read/Write


Applying 3D Effects

The 3D effects create images or selections that appear to have three dimensions. These effects are particularly useful for creating images for Web pages.

  • To see the appropriate effect for the Buttonize, Chisel, Cutout, Drop Shadow, Inner Bevel, and Outer Bevel effects, first make a selection in the image.

  • To apply an effect, choose it from the Effects Browser or choose Effects > 3D Effects and select one of the following effects.

  • To apply these effects to an entire layer, increase the canvas size to add pixels around the edges.

Important: These effects work on greyscale and 16 million color (24-bit) images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

To apply an effect:

Choose the effect from the Effects Browser or choose Effects > Geometric Effects and select one of the following effects:

Buttonize

Chisel

Cutout

Drop Shadow

Inner Bevel

Outer Bevel

Related Topics

Applying Art Media Effects

Applying Artistic Effects

Applying Distortion Effects

Applying Edge Effects

Applying Geometric Effects

Applying Illumination Effects

Applying Image Effects

Applying Reflection Effects

Applying Texture Effects

Adding a Picture Frames

Adding a Picture Frames


Applying Art Media Effects

Apply art media effects to make an image look like it was painted or drawn using pencil, charcoal, or chalk. To limit an effect to a specific area, make a selection before applying the effect.

Important: These effects work on greyscale and 16 million color (24-bit) images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

To apply an effect:

Choose the effect from the Effects Browser or choose Effects > Art Media Effects and select one of the following effects:

Black Pencil

Brush Strokes

Charcoal

Colored Chalk

Colored Pencil

Pencil

Related Topics

Applying 3D Effects

Applying Art Media Effects

Applying Artistic Effects

Applying Distortion Effects

Applying Edge Effects

Applying Geometric Effects

Applying Illumination Effects

Applying Image Effects

Applying Reflection Effects

Applying Texture Effects

Adding a Picture Frames


Applying Artistic Effects

Apply artistic effects to age a photograph or to create a variety of artistic results. To limit an effect to a specific area, make a selection before applying the effect.

Important: These effects work on greyscale and 16 million color (24-bit) images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

To apply an effect:

Choose the effect from the Effects Browser or choose Effects > Artistic Effects and select one of the following effects:

Aged Newspaper

Balls and Bubbles

Chrome

Colored Edges

Colored Foil

Contours

Enamel

Glowing Edges

Halftone

Hot Wax Coating

Magnifying Lens

Neon Glow

Posterize

Sepia

Solarize

Topography

Related Topics

Applying 3D Effects

Applying Art Media Effects

Applying Artistic Effects

Applying Distortion Effects

Applying Edge Effects

Applying Geometric Effects

Applying Illumination Effects

Applying Image Effects

Applying Reflection Effects

Applying Texture Effects

Adding a Picture Frames


Applying Distortion Effects

Apply distortion effects to distort an image. To limit an effect to a specific area, make a selection before applying the effect.

Important: These effects work on greyscale and 16 million color (24-bit) images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

To apply an effect:

Choose the effect from the Effects Browser or choose Effects > Distortion Effects and select one of the following effects:

Curlicues

Lens Distortion

Pinch

Pixelate

Polar Coordinates

Punch

Ripple

Spiky Halo

Twirl

Warp

Wave

Wind

Related Topics

Applying 3D Effects

Applying Art Media Effects

Applying Artistic Effects

Applying Distortion Effects

Applying Edge Effects

Applying Geometric Effects

Applying Illumination Effects

Applying Image Effects

Applying Reflection Effects

Applying Texture Effects

Adding a Picture Frames


Applying Edge Effects

The edge effects turn the edges apply to the edges of an image. You can dilate, enhance, erode, find, and trace the edges in an image to create interesting effects. To limit an effect to a specific area, make a selection before applying the effect.

Important: These effects work on greyscale and 16 million color (24-bit) images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

To apply an effect:

Choose the effect from the Effects Browser or choose Effects > Edge Effects and select one of the following effects:

Dilate

Enhance

Enhance More

Erode

Find All

Find Horizontal

Find Vertical

Trace Contour

Related Topics

Applying 3D Effects

Applying Art Media Effects

Applying Artistic Effects

Applying Distortion Effects

Applying Edge Effects

Applying Geometric Effects

Applying Illumination Effects

Applying Image Effects

Applying Reflection Effects

Applying Texture Effects

Adding a Picture Frames


Applying Geometric Effects

The geometric effects include such effects as turning an image into a sphere or cylinder, adding a page curl or ripples, or creating a seamless pattern. To limit an effect to a specific area, make a selection before applying the effect.

Important: These effects work on greyscale and 16 million color (24-bit) images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

To apply an effect:

Choose the effect from the Effects Browser or choose Effects > Geometric Effects and select one of the following effects:

Circle

Cylinder - Horizontal

Cylinder - Vertical

Pentagon

Perspective - Vertical

Perspective - Horizontal

Skew

Sphereize

Related Topics

Applying 3D Effects

Applying Art Media Effects

Applying Artistic Effects

Applying Distortion Effects

Applying Edge Effects

Applying Geometric Effects

Applying Illumination Effects

Applying Image Effects

Applying Reflection Effects

Applying Texture Effects

Adding a Picture Frames


Applying Illumination Effects

The illumination effects apply a sunburst or spotlights to images. To limit an effect to a specific area, make a selection before applying the effect.

Important: These effects work on greyscale and 16 million color (24-bit) images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

To apply an effect, choose it from the Effects Browser, or choose Effects > Illumination Effects and select one of the following effects.

Sunburst

Lights

Related Topics

Applying 3D Effects

Applying Art Media Effects

Applying Artistic Effects

Applying Distortion Effects

Applying Edge Effects

Applying Geometric Effects

Applying Illumination Effects

Applying Image Effects

Applying Reflection Effects

Applying Texture Effects

Adding a Picture Frames


Applying Image Effects

The Image effects are Offset, Page Curl, and Seamless Tiling. To limit an effect to a specific area, make a selection before applying the effect.

Important: These effects work on greyscale and 16 million color (24-bit) images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

To apply an effect, choose it from the Effects Browser, or choose Effects > Image Effects and select one of the following effects.

Offset

Page Curl

Seamless Tiling

Related Topics

Applying 3D Effects

Applying Art Media Effects

Applying Artistic Effects

Applying Distortion Effects

Applying Edge Effects

Applying Geometric Effects

Applying Illumination Effects

Applying Image Effects

Applying Reflection Effects

Applying Texture Effects

Adding a Picture Frames


Applying Reflection Effects

The reflection effects include such effects as creating a kaleidoscope or an intricate pattern. To limit an effect to a specific area, make a selection before applying the effect.

Important: These effects work on greyscale and 16 million color (24-bit) images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

To apply an effect, choose it from the Effects Browser, or choose Effects > Reflection Effects and select one of the following effects.

Feedback

Kaleidoscope

Pattern

Rotating Mirror

Related Topics

Applying 3D Effects

Applying Art Media Effects

Applying Artistic Effects

Applying Distortion Effects

Applying Edge Effects

Applying Geometric Effects

Applying Illumination Effects

Applying Image Effects

Applying Reflection Effects

Applying Texture Effects

Adding a Picture Frames


Applying Texture Effects

The texture effects turn images into a variety of textures, such as leather, mosaic tiles, and polished stone. To limit an effect to a specific area, make a selection before applying the effect.

Important: These effects work on greyscale and 16 million color (24-bit) images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

To apply an effect, choose it from the Effects Browser, or choose Effects > Texture Effects and select one of the following effects.

Blinds

Emboss

Fine Leather

Fur

Mosaic-Antique

Mosaic Glass

Polished Stone

Rough Leather

Sandstone

Sculpture

Soft Plastic

Straw Wall

Texture

Tiles

Weave

Related Topics

Applying 3D Effects

Applying Art Media Effects

Applying Artistic Effects

Applying Distortion Effects

Applying Edge Effects

Applying Geometric Effects

Applying Illumination Effects

Applying Image Effects

Applying Reflection Effects

Applying Texture Effects

Adding a Picture Frames


Adding Noise

Before | After


Adding Picture Frames

Before | After


Aged Newspaper

Before | After


Balls and Bubbles

Before | After


Black Pencil

Before | After


Blinds

Before | After


Brush Strokes

Before | After


Buttonize

Before | After


Charcoal

Before | After


Chisel

Before | After


Chrome

Before | After


Circle

Before | After


Colored Chalk

Before | After


Colored Edges

Before | After


Colored Foil

Before | After


Colored Pencil

Before | After


Contours

Before | After


Curlicues

Before | After


Cutout

Before | After


Cylinder-Vertical

Before | After


Dialate

Before | After


Drop Shadow

Before | After


Emboss

Before | After


Enamel

Before | After


Enhance

Before | After


Enhance More

Before | After


Erode

Before | After

.


Feedback

Before | After


Find All

Before | After


Find Horizontal

Before | After


Find Vertical

Before | After


Fine Leather

Before | After


Fur

Before | After


Glowing Edges

Before | After


Halftone

Before | After


Hot Wax Coating

Before | After


Inner Bevel

Before | After


Kaleidoscope

Before | After


Lens Distortion

Before | After


Lights

Before | After


Magnifying Lens

Before | After


Mosaic-Antique

Before | After


Mosaic Glass

Before | After


Neon Glow

Before | After


Offset

Before | After


Outer Bevel

Before | After


Page Curl

Before | After


Pattern

Before | After


Pencil

Before | After


Pentagon

Before | After


Perspective Horizontal

Before | After


Perspective Vertical

Before | After


Pinch

Before | After


Pixelate

Before | After


Polar Coordinates

Before | After


Polished Stone

Before | After


Posterize

Before | After


Punch

Before | After


Ripple

Before | After


Rotating Mirror

Before | After


Rough Leather

Before | After


Sandstone

Before | After


Sculpture

Before | After


Seamless Tiling

Before | After


Sepia

Before | After


Skew

Before | After


Soft Plastic

Before | After


Solarize

Before | After


Spherize

Before | After


Spiky Halo

Before | After


Straw Wall

Before | After


Sunburst

Before | After


Texture

Before | After


Tiles

Before | After


Topography

Before | After


Trace Contour

Before | After


Twirl

Before | After


Warp

Before | After


Wave

Before | After


Weave

Before | After


Wind

Before | After


About the Script Toolbar Buttons

The following describes the buttons in the Script toolbar:

  • Select Script drop-down [image]. By default, this drop-down lists the scripts saved in Paint Shop Pro 8’s Scripts-Trusted and Scripts-Restricted folders. Using the File Locations dialog, you can set this drop-down to display any folder’s scripts.

  • Run Selected Script [image]. Click this button to run the script displayed in the Select Script drop-down.

  • Edit Selected Script [image]. Click this button to edit the script displayed in the Select Script drop-down.

  • Interactive Script Playback Toggle [image]. Click this button to switch between Silent and Interactive mode when running scripts. When the button shows a border, it is set to Interactive mode.

  • Run Script [image]. Click this button to display the Run Script dialog. Navigate (if necessary) to and select the script you wish to load, and then click Open.

  • Stop Script [image]. Click this button to stop the running script. Note that this button will only be active while the script is running.

  • Start Script Recording [image]. Click this button to begin recording actions that will comprise a script.

  • Pause Script Recording [image]. Click this button to pause the recording of a script.

  • Cancel Script Recording [image]. Click this button to cancel script recording.

  • Save Script Recording [image]. Click this button to display the Save As dialog. If necessary, navigate to the desired folder, enter a name for the script, and then click Save. Note that this button is only active after you have completed a “scriptable” action.

Related Topics

Displaying the script Toolbar

Using the File > Script Menu Items

Recording and Saving a Script

Running a Saved Script

Stopping or Undoing a Script

Editing Scripts Using Paint Shop Pro

Editing Scripts Via the Text Editor


Displaying the Script Toolbar

You’ll find it much easier and faster working with scripts via the Script toolbar. If it is not already displayed, choose View > Toolbars > Script to view the Script toolbar.

Related Topics

About the Script Toolbar Buttons

Using the File > Script Menu Items

Recording and Saving a Script

Running a Saved Script

Stopping or Undoing a Script

Editing Scripts Using Paint Shop Pro

Editing Scripts Via the Text Editor


Editing Scripts Via the Text Editor

With the Script Editor dialog displayed, you can edit the Python code for your script by clicking the Text Editor button. (Be aware that if you’ve already modified the script in the Script Editor dialog, you’ll be prompted to save or discard changes prior to switching to the text editor application.) The editor application designated for script editing will open.

Changing Text Editor Applications

  1. To change the application designated by Paint Shop Pro for editing Python script code Choose File > Preferences > File Locations to open the File Locations dialog.

  2. In the File Types list, choose Python Source Editor.

  3. On the right side of the dialog, enter the path for the editor application you wish to use. Click Browse if you need to navigate for the correct path.

Want to author your own Python language scripts? In the Paint Shop Pro 8 program folder, browse for a folder called Learning Center. In side this folder is an API zip file called Paint Shop Pro 8 Script Command API.zip. The PDF's sub-folder contains a document called Scripting HowTo.pdf that contains sample scripts, and instructions for writing scripts.

Related Topics

Displaying the Script Toolbar

About the Script Toolbar Buttons

Using the File > Script Menu Items

Recording and Saving a Script

Running a Saved Script

Stopping or Undoing a Script

Editing Scripts Using Paint Shop Pro


Toggling Interactive Script Playback Mode

To toggle between Interactive and Silent script playback mode, simply click the Interactive Script Playback Toggle button [image] on the Script toolbar. When the button has a border around it, it is in Interactive mode. Note that if part or all of a script has been set to run in either Silent or Interactive mode, this button’s state will not override that setting. If all or part of a script is set to Default mode, however, the state of this button will override the Default setting.

Related Topics

Displaying the Script Toolbar

About the Script Toolbar Buttons

Using the File > Script Menu Items

Recording and Saving a Script

Running a Saved Script

Stopping or Undoing a Script

Editing Scripts Using Paint Shop Pro

Editing Scripts Via the Text Editor


Using the Script Menu Items

Most of the Script toolbar buttons have equivalent menu commands accessed by choosing File > Script.

The Clear Output Window command, however, can only be chosen from this menu path. Use this command to clear out the text displayed in the Script Output window. You can also clear this window by right-clicking it and choosing Clear from the context menu.

About the Script Output Window

To display this window, choose View > Palettes > Script Output. Note, however, that this window may automatically appear to display information such as:

  • Commands that are executed when running a script.

  • Script error information such as Python syntax errors or runtime errors.

  • Statements output from hand-written scripts containing a Print command.

Text in this window can be selected and copied to the clipboard. This can be helpful if you need to report error information.

Related Topics

Displaying the Script Toolbar

About the Script Toolbar Buttons

Recording and Saving a Script

Running a Saved Script

Stopping or Undoing a Script

Editing Scripts Using Paint Shop Pro

Editing Scripts Via the Text Editor


Examples of Presets

Shown below are two examples of Presets, one from the Crop tool, and one from the New Image dialog.


Assigning Map Area Properties

After you have created the map areas (or regions), use the settings in the region Properties group box to assign URLs, alternate text, and targets.

Viewing a Preview: Click the Preview button [image] to view your work in a Web browser window.

To assign map area properties:

  1. Make a map area active by clicking inside it with the Pan or Move tool. Its boundaries are displayed in the lower portion of the Cell Properties group box.

  2. In the URL box, either type the address of the Web page that you want to link to (example: http//www.jasc.com), or select an address from the drop-down list. If you do not want to link to a Web page, type #.

Note: The addresses that you type in the URL drop-down box are remembered by the program.

  3. In the Alt text box, type the text that displays if image doesn't load or if the user has images disabled in their Web browser. This text also appears as a ToolTip in some versions of Internet Explorer.

  4. In the Target box, select the target frame in which to open the linked page:

_blank Loads the linked page in a new browser window.

_parent Loads the linked page in the parent frameset of the link. If the link is not in a nested frame, the image loads in the full browser window.

_self Loads the linked page in the same frame as the link.

_top Loads the linked page in the full browser window and removes all frames.

  5. To assign a rollover to a map area, click the Rollover Creator button, see Creating Image Rollovers.

Related Topics

Setting Map Preferences

Saving and Load the Map Settings

Saving the Image Maps

Saving Images for the Web

Embedding a Digital Watermark

Previewing images in a Web Browser


Assigning Slice Cell Properties

After you have created sliced cells, use the settings in the Cell Properties group box to assign URLs, alternate text, and targets to each cell. You also set whether the cell should appear in the downloaded image. By omitting cells, you can add cells from other images (such as logos or text) and create images in non-rectangular shapes.

To assign cell properties:

  1. Choose the Pan tool [image] , then click inside the cell to make it active. The cell boundary information displays in the lower portion of the Cell Properties group box.

  2. In the URL drop-down box, type the address of the Web page where you want the cell to appear. Click the arrow in the box to display and select addresses already used in the image.

  3. In the Alt text box, type alternate text that the browser can display while the cell is downloading, if the cell doesn't download, or if the user has images disabled in the Web browser. This text also appears as a ToolTip in some versions of Internet Explorer.

  4. In the Target box, select the target frame or window in which you want the image to open:

_blank Loads the linked page in a new browser window.

_parent Loads the linked page in the parent window or frameset of the link. If the link is not in a nested frame, the image loads in the full browser window.

_self Loads the linked page in the same window or frame as the link.

_top Loads the linked page in the full browser window and removes all frames.

  5. To omit the cell from the downloaded image, clear the Include cell in table check box. No image will be saved for that cell.
    By default, this check box is marked and the cell appears in the image.

  6. To assign a rollover to a map area, click the Rollover Creator button. For more information, see Creating Image Rollovers.

Related Topics

Setting Slice Preferences

Saving and Loading Slice Settings

Saving Image Slices to the Clipboard

Saving Slices


Choosing GIF Optimizer Settings

The GIF Optimizer dialog contains four tabs where you configure the transparency, color, and format options of the file. The fifth tab displays estimated download times of the image at various modem speeds.

For information about these tabs, see:

GIF Optimizer Colors tab

GIF Optimizer Format tab

GIF Optimizer Transparency tab

GIF Optimizer Partial Transparency tab

GIF Optimizer Download Times tab


Choosing JPEG Optimizer Settings

The JPEG Optimizer dialog contains two tabs where you configure the settings and a third that displays estimated download times of the image at various Internet speeds once you have optimized the image, you'll need to save it. Each time you open and save the JPEG image data is discarded, so it is a good idea to keep a copy of the original image.

For information about these tabs, see:

JPEG Optimizer Quality tab

JPEG Optimizer Format tab

JPEG Optimizer Download times tab

Saving the JPEG File


Choosing PNG Optimizer Settings

The PNG Optimizer dialog contains three tabs where you configure the color, transparency, and format options of the file. The fourth page displays estimated download times of the image at various modem speeds.

For information about these tabs, see:

PNG Optimizer Colors tab

PNG Optimizer Transparency tab

PNG Optimizer Format tab

PNG Optimizer Download Times tab


Creating and Editing Cells

In the Image Slicer dialog, use the tools in the Tools group box to divide the image into cells and to edit the cell boundaries. The Grid tool creates a grid of evenly spaced cells, either over the entire image or within another cell. The Line tool creates a horizontal or vertical line.

Before you begin:
Use the Pan tool drag the image in the preview to view hidden areas of the image.
Increase the size of the dialog to view more of the image in the preview area.
Use the Zoom buttons to magnify a specific area of the image.

To create the cells:

  1. Choose File > Export > Image Slicer to open the Image Slicer dialog.

  2. Do either of the following:

  3. To create evenly spaced and sized cells, click the Grid [image]. Click in the image. The Grid Size dialog opens. Set the number of Rows and Columns.

  4. To isolate a specific area, such as a logo, click the Slice tool [image]. Click and drag in the image where you want a line to appear. To create a vertical line, click and drag vertically; to create a horizontal line, click and drag horizontally.

To move a line or grid border:

  1. Choose either the Pan tool [image] or Slice tool [image].

  2. Move the cursor over a line.

  3. When the cursor changes to the double-sided arrow [image], click and drag the line to a new position. To move only the segment within the current cell, press the Shift key before clicking the line.

Note: You can move lines up, but not across adjacent parallel lines. You can move individual lines and lines that are part of a grid. As you drag a line, Paint Shop Pro moves the longest segment that can be repositioned without creating a non-rectangular cell.

To delete a line or grid border:

  1. Select the Eraser tool [image] and move the cursor over the line.

  2. When the cursor changes to the Eraser, click to delete the line. If deleting the line would create an invalid area, Paint Shop Pro displays an icon [image] to indicate that you cannot erase the line.

Related Topics

Creating and Editing Cells

Assigning Slice Cell Properties

Setting Slice Preferences

Saving and Loading Slice Settings

Saving Image Slices to the Clipboard

Saving Slices


Creating Map Areas

On the Image Mapper dialog, use the tools in the Tools group box to create and edit the image map areas.

Before you begin:
Use the Pan tool drag the image in the preview to view hidden areas of the image.
Increase the size of the dialog to view more of the image in the preview area.
Use the Zoom buttons to magnify a specific area of the image.

To create a map area:

  1. Choose File > Export > Image Mapper to open the Image Mapper dialog.

  2. Choose the shape of the hotspot.
    The Rectangle tool creates square or rectangular map areas, the Circle tool creates circular map areas, and the Polygon tool creates map areas enclosed with multiple straight line segments.

  3. Do either of the following:

  4. With the Rectangle or Circle tool, click the image in the preview window (not the original image) and drag the cursor until the area you want to make into the hotspot is enclosed.

  5. With the Polygon tool, click the image in the preview window to set the starting point, move the cursor to where you want the line to change directions, and click the image. Continue clicking new positions in the image to change the direction of the line. To complete the polygon, left-click on or near the starting point, or right-click the image.

To change the shape of a map area:

Select the Pan tool [image], and then:

  • Click and drag any point on a rectangle or a polygon.

  • Click and drag a circle by the dot at its upper left or lower right.

To move the entire map area:

Select the Move tool [image], click inside the map area, and then drag it to a new position.

To remove a map area from the image:

Select the Eraser tool [image], and then click inside the map area.

To remove all of the map areas:

Click the Clear button.

Related Topics

Setting Map Preferences

Saving and Load the Map Settings

Saving the Image Maps

Saving Images for the Web

Embedding a Digital Watermark

Previewing images in a Web Browser


Embedding a Digital Watermark

A digital watermark can only be embedded on a layer once. Because its quality may be degraded by further changes to the layer. If you try to embed a watermark in a layered image, Paint Shop Pro displays a message recommending that you flatten the image before proceeding.

When you embed a watermark, you can select the following options: creator ID, image copyright dates, image attributes and restrictions on use, and watermark durability. You can change the copyright date, image attributes, and durability each time you embed a watermark. You only need to configure the creator ID the first time you embed a watermark.

Important: A layer can contain only one watermark. You cannot embed a new watermark in a layer that already contains one.

To embed a watermark:

  1. Choose Image > Watermarking > Embed Watermark. The Embed Watermark dialog opens.

  2. Choose the information you want the watermark to contain:

  3. Creator ID The identification of the creator of the image. Initially set to “Jasc Watermark Demo.” To receive your own Creator ID, register with Digimarc; click the Personalize button. See Personalizing the Creator ID.

  4. Copyright year(s) Type either one or two years in the copyright boxes. Digimarc accepts years from 1922 to the present.

  5. Image Attributes The Image Attributes are the restrictions shown when the program displays the watermark information. Mark the check boxes of the attributes you want to apply to the image: Restricted Use, Do Not Copy, or Adult Content.

  6. Watermark Durability The durability indicates how visible watermarks are on the image. For more information, see Setting the Watermark Durability.

  3. Click OK.

Related Topics

Saving Images for the Web

Previewing images in a Web Browser


GIF Optimizer Colors Tab

GIF images have an 8-bit color depth, which means they can display up to 256 colors. Because these colors are stored in a palette, an image containing 256 or fewer colors is called a paletted image. To reduce file size, you can have fewer than 256 colors. Use the options in this tab to select the colors and type of palette used.

  1. Choose how many colors you want the saved image to contain. As you remove colors, the size of the file decreases, but so does the quality of the image. Use the preview windows to help you determine the best balance between file size and image quality.

  2. Choose the amount of Dithering, which refers to the way Paint Shop Pro arranges pixels in an image to compensate for missing colors in the adjacent pixels.

  3. Choose a method of color selection for the palette that will be used for the image:

  4. Choose the Existing Palette option if your image is already paletted and you want to use its palette.

  5. Choose the Standard/Web-safe option if your image will be used on the Web.

  6. Choose the Optimized Median Cut option if you need to reduce the image to only a few colors.

  7. Choose the Optimized Octree option if your original image contains only a few colors.

Note: Depending on your needs, you may want to try both “Optimized” options and choose the one that gives you the best looking result or the smallest file size.

  4. In the Options group box, mark Boost selected colors to give them more weight by a factor of the value you enter. The selected colors stand out from the rest of the image. To boost colors, make a selection of an area that contains these colors and then select this option. Mark the Include Windows’ colors check box to include the 16 standard Windows colors in the palette. If the image will be used on the Web, mark the check box.

Related Topics

Optimizing GIF Files

Saving Images for the Web

Embedding a Digital Watermark

Previewing images in a Web Browser


GIF Optimizer Download Times Tab

This tab displays the size of the compressed file and an estimate of the download time at four Internet speeds. If the file size is too large, decrease it by clicking the Colors tab and reducing the number of colors.

Saving the GIF File

  1. After you have selected the options, click OK to open the Save As dialog.

  2. Navigate to the folder in which you want to save the new image and type a name for the file.

  3. Click Save, Paint Shop Pro saves a copy of the image as a GIF file.

Related Topics

Optimizing GIF Files

Saving Images for the Web

Embedding a Digital Watermark

Previewing images in a Web Browser


GIF Optimizer Format Tab

  1. Under What type of file do you want?, select an interlacing option to determine how the image is displayed as it downloads:

  2. Non-interlaced: The image downloads one line at a time, starting from the top.

  3. Interlaced: The image is displayed incrementally in several passes, and detail is added each time. Use this option with larger images so that the viewer can get an idea of how the image looks while waiting for it to download.

  2. Choose a version for the file. Choose the Version 89a option to save transparency information. It is selected automatically if the image contains transparent pixels. Version 87a is available only if the image does not contain a transparency.

Related Topics

Optimizing GIF Files

Saving Images for the Web

Embedding a Digital Watermark

Previewing images in a Web Browser


GIF Optimizer Partial Transparency Tab

A GIF file cannot contain partially transparent pixels. All pixels must be either transparent or opaque (visible). Original images may contain partially transparent pixels if the image does not have a background layer, and you have reduced the opacity of a layer, added a mask, feathered a selection, or used a brush at a reduced opacity setting. Use the options in the Partial Transparency tab to determine whether the partially transparent pixels become transparent or opaque, and whether they are blended with another color. If you chose the None option in the Transparency tab, the options in this tab are unavailable.

  1. To determine how Paint Shop Pro represents partially transparent pixels, choose from these options:

  2. Use Full Transparency for Pixels Below x% Opacity Pixels below the opacity value you enter become transparent. Pixels above the opacity value become opaque. As you lower the value, you reduce the number of transparent pixels.

  3. Use a 50% Dither Pattern Paint Shop Pro makes partially transparent pixels opaque using either the color chosen for blending or the image color (depending on the blending option), then applies a 50% dither pattern to make colors look more natural.

  4. Use Error Diffusion Dither Paint Shop Pro makes partially transparent pixels opaque using either the color chosen for blending or the image color (depending on the blending option), then applies an error diffusion dither to make colors look more natural.

  2. To determine how partially transparent pixels are blended, choose one of these options:

  3. Yes Blends the partially transparent pixels with the color in the Blend color box. To choose a new color, click in the color box to choose from the Color dialog. Partially transparent pixels below the value you entered above are blended with this color.

  4. No Uses the existing image color at 100% opacity.

Related Topics

Optimizing GIF Files

Saving Images for the Web

Embedding a Digital Watermark

Previewing images in a Web Browser


GIF Optimizer Transparency Tab

The option you choose in this tab determines which area of the image becomes transparent:

  • None Produces a GIF file that does not contain one color set to transparency.

  • Existing Image or Layer Transparency Uses the current transparency information from the image.

  • Inside the Current Selection For images with a selection, this option makes everything within the selection transparent.

  • Outside the Current Selection For images with a selection, this option makes everything outside the selection transparent.

  • Areas that Match this Color Click the color box to select any color. Or, to choose a color from the image, move the cursor over the image, and click the color. In the Tolerance edit box, set a tolerance factor that indicates how closely colors must match the selected color before they become transparent.

Related Topics

Optimizing GIF Files

Saving Images for the Web

Embedding a Digital Watermark

Previewing images in a Web Browser


JPEG Optimizer Download Times Tab

This tab displays the size of the compressed file and an estimate of the download time at four modem speeds. To change the file size, click the Quality tab and increase or reduce the compression value.

Related Topics

Optimizing JPEG Files

Saving Images for the Web

Embedding a Digital Watermark

Previewing images in a Web Browser


JPEG Optimizer Format Tab

The options on this tab determine how an image appears as it is being loaded:

  • Standard The image downloads one line a time, starting from the top.

  • Progressive The image is displayed incrementally in several passes, and detail is added each time. Use this option with larger images so that the viewer can get an idea of how the image looks while waiting for it to download.

Related Topics

Optimizing JPEG Files

Saving Images for the Web

Embedding a Digital Watermark

Previewing images in a Web Browser


JPEG Optimizer Quality Tab

Use this tab to set a compression value and chroma subsampling for the file.

  • The compression action reduces the file size by deleting image information. This means that as you increase the compression, you lower the quality of the image. Use the image preview window to help you find the best balance between the two.

  • With chroma subsampling the file size of the JPEG is reduced by averaging the color information for every 2 x 2 square of pixels. You can change this setting to have a larger area of color information averaged.

Related Topics

Optimizing JPEG Files

Saving Images for the Web

Embedding a Digital Watermark

Previewing images in a Web Browser


Optimizing GIF Files

Use the Paint Shop Pro GIF Optimizer feature to save GIF files that maximize quality while minimizing file size. You can save images with or without transparency, depending on how you want to display them on your Web pages.

Paletted images (those with 256 or fewer colors, such as GIF or PNG files) do not support transparent backgrounds, but you often need to make part of your image transparent when displayed on a Web page. For example, you may have a round logo and you want the background of the Web page to display around the logo.

Most Web browsers can choose not to display one color, effectively making that color transparent. Use the GIF optimizer to choose the color to make transparent.

To optimize and save a GIF file:

  1. Choose File > Export > GIF Optimizer to open the GIF Optimizer dialog. The preview windows show the current image on the left and the resulting GIF file on the right.

  2. Do one of the following:

  3. Configure the settings on the Transparency, Partial Transparency, Colors, and Format tabs. For more information, see Choosing GIF Optimizer Settings.

  4. Click the Use Wizard button to let Paint Shop Pro guide you through the process. For more information see, Using the GIF Wizard.

Related Topics

Saving Images for the Web

Embedding a Digital Watermark

Previewing images in a Web Browser


Optimizing JPEG Files

Paint Shop Pro provides a JPEG Optimizer feature to assist you in saving JPEG and files that maximize quality while minimizing file size.

Lossy vs. Lossless compression: Lossy Compression is a compression method that eliminates data to reduce the file size, while lossless compression retains all of the original image data and reduces the file size by storing patterns of pixels in the image.

To optimize and save a JPEG file:

  1. Choose File > Export > JPEG Optimizer. The JPEG Optimizer dialog opens. The preview windows show the current image on the left and the resulting JPEG file on the right.

  2. Do one of the following:

  3. Configure the settings on the Quality and Format tabs, and view estimated download times on the Download Times tab. For more information, see Choosing JPEG Optimizer Settings.

  4. Click the Use Wizard button to let Paint Shop Pro guide you through the process. For more information, see Using the JPEG Wizard.

Related Topics

Saving Images for the Web

Embedding a Digital Watermark

Previewing images in a Web Browser


Optimizing PNG Files

Paint Shop Pro provides a PNG Optimizer feature to assist you in saving PNG files that maximize quality while minimizing file size.

To optimize and save a PNG file:

  1. Choose File > Export > PNG Optimizer to open the PNG Optimizer dialog. The preview windows show the current image on the left and the resulting PNG file on the right.

  2. Do one of the following:

  3. Configure the settings on the Colors, Transparency, and Format tabs, and view estimated download times on the Download Times tab. For more information, see Choosing PNG Optimizer Settings.

  4. Click the Use Wizard button to let Paint Shop Pro guide you through the process. For more information, see Using the PNG Wizard.

Related Topics

Saving Images for the Web

Embedding a Digital Watermark

Previewing images in a Web Browser


Personalizing the Creator ID

Initially, Paint Shop Pro’s watermark Creator ID is set to “Jasc Watermark Demo.” Customizing the watermark with your own identification number is a two-step process:

  • First, register with Digimarc to obtain your own ID number.

  • Second, enter the information in the Personalize Creator ID dialog.

To personalize the Creator ID:

  1. Display the Embed Watermark dialog; see Embedding a Digital Watermark.

  2. Click the Personalize button. The Personalize Creator ID dialog opens.

  3. To register with Digimarc, do one of the following:

  4. If your computer has Web access, do the following to obtain a personal identification number: Click Register. Your Web browser opens and navigates to the Digimarc Web page. Follow the on-screen instructions to receive a Creator ID number, a PIN number, and a password. You should write them down for later use. Close the browser to return to the Personalize Creator ID dialog.

  5. If your computer does not have Web access, phone Digimarc using the toll-free number to register and receive your Creator ID number, a PIN number, and a password.

  4. Type the PIN and Creator ID numbers in the appropriate boxes.

  5. Click OK. The Embed Watermark dialog opens.

  6. Click OK.

If the “Verify” check box is selected, the Embed Watermark: Verify dialog opens. It lets you know that the watermark has been embedded and displays the creator, copyright, image attribute, and durability information from the Embed Watermark dialog.

Related Topics

Embedding a Digital Watermark

Setting Watermark Durability

Reading a Digital Watermark

Previewing Images in a Web Browser


PNG Optimizer Colors Tab

Use this tab to select a color depth for your PNG image and, for paletted images, the method of color reduction, number of colors, and amount of dithering.

  1. Select the image type to determine whether the saved image is Palette-Based (256 colors or less), Greyscale (8-bit), or 16 million color (24-bit). Remember that a 24-bit image is larger and takes more time to download than an 8-bit image. If you want to use the Alpha Transparency option (on the Transparency tab) with your image, you must choose either the Greyscale or 24-bit color option. Paletted images cannot display alpha transparency.

Note: When you choose to create a Palette-Based image, the other options on this tab become available.

  2. Choose how many colors you want the image to contain. As mentioned, a paletted image contains 256 or fewer colors. As you remove colors, the size of the file decreases, but so does the quality of the image. Use the preview windows to help you determine how small you can make the image without compromising quality.

  3. Choose how much dithering you want in the image. This refers to the way the program arranges pixels to compensate for missing colors in the adjacent pixels. Use the preview windows to help you determine the best setting.

  4. Select a method of color selection to determine how Paint Shop Pro reduces the number of colors in the image:

  5. Select Existing Palette if your image is paletted and you want to use its palette.

  6. Select Standard/Web-safe if your image will be used on the Web.

  7. Select Optimized Median Cut if you need to reduce the image to only a few colors.

  8. Select Optimized Octree if your original image contains only a few colors.

Note: Depending on your needs, try both “Optimized” options and select the one that produces the better-looking image or the smaller file size.

  5. In the Options group box, mark Boost selected colors to give selected colors more weight by a factor of the value you enter. Use this if you have made a selection in the image and you want its colors stand out from the rest of the image. After marking the check box, and set the value to determine the amount of color boosting. Mark the Include Windows’ colors check box to include the 16 standard Windows colors in the palette. If the image will be used on the Web, mark this check box.

Related Topics

Optimizing PNG Files

Saving Images for the Web

Embedding a Digital Watermark

Previewing images in a Web Browser


PNG Optimizer Download Times Tab

This tab displays the size of the compressed file and an estimate of the download time at four modem speeds. If the file size is too large, decrease it by clicking the Colors tab and reducing the number of colors.

To save a PNG file:

After you have selected the options, click OK to open the Save As dialog. Navigate to the folder in which you want to save the new image, and type a name for the file. When you click Save, Paint Shop Pro saves a copy of the image and leaves the original image unchanged.

Related Topics

Optimizing PNG Files

Saving Images for the Web

Embedding a Digital Watermark

Previewing images in a Web Browser


PNG Optimizer Format Tab

Use this tab to determine how an image appears as it is downloaded:

  • Non-interlaced The image downloads one line at a time, starting from the top.

  • Interlaced The image is displayed incrementally in several passes, and detail is added each time. Use this option with larger images so that the viewer can get an idea of how the image looks while waiting for it to download.

Related Topics

Optimizing PNG Files

Saving Images for the Web

Embedding a Digital Watermark

Previewing images in a Web Browser


PNG Optimizer Transparency Tab

The option you choose in this tab determines which area of the image becomes transparent. To create a transparency from a selection, make the selection before opening the PNG Optimizer dialog.

  1. For the type of transparency, choose from these options:

  2. No transparency Saves the image without transparency.

  3. Single color transparency Makes one color transparent. If the image contains transparency, then you can then select the Existing Image or Layer Transparency option (described below). If the image does not contain a transparency, then select the Areas that Match this Color option. The Single Color Transparency option usually creates a smaller file than the Alpha Channel Transparency option, but selecting it causes the image to lose existing alpha channel transparency.

  4. Alpha channel transparency Uses the image’s alpha channel transparency. Because paletted images cannot contain alpha channels, this option is available only when you select Greyscale or 16 million color option on the Colors tab.

  2. For the areas of the image to be transparent, choose from these options:

  3. Existing image or layer transparency Uses the current transparency information. For paletted transparency and alpha transparency images, the alpha channel is used to create transparency

  4. Inside the current selection For images with a selection, this option makes transparent everything within the selection.

  5. Outside the current selection For images with a selection, this option makes transparent everything outside the selection.

  6. Areas that match this color Click the color box to select any color. Or, to choose a color from the image, move the cursor over the image, and click the color. In the Tolerance edit box, set a tolerance factor that indicates how closely colors must match the selected color before they become transparent.

Related Topics

Optimizing PNG Files

Saving Images for the Web

Embedding a Digital Watermark

Previewing images in a Web Browser


Reading a Digital Watermark

Whenever Paint Shop Pro opens an image, it automatically checks for a digital watermark. If one is detected, the program displays a copyright symbol in front of the filename on the title bar. View the watermark information by choosing Image > Image Information, and then clicking the Watermark Information tab.

While most watermarks are detected, some may be too weak to read. To do a more thorough search, use the Read Watermark command by choosing Image > Watermarking > Read Watermark. If Paint Shop Pro does not detect a watermark, it displays a message stating that no watermark was found. If it detects a watermark, it opens the Watermark Information dialog.

If your computer is connected to the Web, click the Web Lookup button to open your browser and view the Digimarc database page that displays information about the creator.

Related Topics

Embedding a Digital Watermark

Setting the Watermark Durability

Previewing images in a Web Browser


Saving and Loading Map Settings

Saving and Loading the Map Settings

When you save the map settings, you save the map area arrangement and the information you entered in the Image Mapper dialog. You can then re-load them into the same image, or use the settings with a different image.

To save the map settings:

  1. Click the Save Settings As button to open the Save Map Settings dialog.

  2. Navigate to the folder in which you want to save the settings file. The file is saved in the .JMD format.

  3. Type a name for the file and click Save.

To load the map settings:

  1. Open the image in which you want to load map settings.

  2. Click the Load Settings button. The Load Map Settings dialog opens.

  3. Navigate to and select the .JMD file you want to load.

  4. Click Open.

Related Topics

Saving Image Maps

Previewing Images in a Web Browser

Slicing Images


Saving and Loading Slice Settings

When you save the slice settings, you save the cell arrangement and the information you entered in the Image Slicer dialog. You can then re-load them into the same image or use them with a different image.

To save the slice settings:

  1. Click the Save Settings button. The Save Slice Settings dialog opens.

  2. Navigate to the folder in which you want to save the settings file. The file is saved in the .JSD format.

  3. Type a name for the file and click Save.

To load the slice settings:

  1. Click the Load Settings button. The Load Slice Settings dialog opens.

  2. Select the JSD file you want to load and click Open.

If you are loading a grid to a different image, Paint Shop Pro automatically adjusts the grid size if the dimensions of the image are not the same.

Related Topics

Saving and Loading Slice Settings

Saving Image Slices to the Clipboard

Saving Slices


Saving an Image Map to the Clipboard

Save map settings to the clipboard so you can paste them into the HTML code.

To save an image map to the clipboard:

  1. In the Image Mapper dialog, click the Save to Clipboard button to open the HTML Destination Folder dialog.

  2. Navigate to the folder where the HTML file is saved, and click OK to open the Image Map Save as dialog.

  3. Navigate to the folder where the image file is saved, and click OK.

  4. Open the HTML file, place the cursor where you want to insert the HTML map code, and press Ctrl + P.

Saving Image Maps

Save image maps to a directory on your hard drive so you can use or edit them.

To save image maps:

  1. In the Image Mapper dialog, click the Save or Save as button to open the HTML Save As dialog.

  2. Navigate to the folder where you want to save the HTML code and click OK.

Related Topics

Saving and Loading Slice Settings

Saving Image Slices to the Clipboard

Saving Slices


Saving Image Slices to the Clipboard

Save slice settings to the clipboard so you can paste them into the HTML code.

To save Image Slices to the clipboard:

  1. In the Image Slicer dialog, click the Save to Clipboard button to open the HTML Destination Folder dialog.

  2. Navigate to the folder where the HTML file is saved, and click OK save the slice settings.

  3. Open the HTML file, place the cursor where you want to insert the HTML slice code, and press Ctrl + P.

Related Topics

Creating and Editing Cells

Assigning Slice Cell Properties

Setting Slice Preferences

Saving and Loading Slice Settings

Saving Image Slices to the Clipboard

Saving Slices


Saving Slices

Save slices to a directory on your hard drive so you can use or edit them.

To save slices:

  1. In the Image Slicer dialog, click the Save or Save as button to open the HTML Save As dialog.

  2. Navigate to the folder where you want to save the HTML code and click OK.

Related Topics

Mapping Images

Saving Images for the Web

Using Digital Watermarks


Saving the JPEG File

After you have selected the options, click OK to open the Save As dialog. Navigate to the folder in which you want to save the new image, and type a name for the file. When you click Save, Paint Shop Pro saves the image in the JPEG format.

Related Topics

Saving Images for the Web

Embedding a Digital Watermark

Previewing images in a Web Browser


Setting Map Preferences

Using the Map Preferences dialog to select new colors for the border lines of the active and inactive map areas and enter the number of entries that the URL and Alt text drop-down boxes display.

  1. Click the Preferences button to open the Map Preferences dialog.

  2. For the Active map border color, click the color box and choose a color.

  3. For the Inactive map border color, click the color box and choose a color.

  4. For the Maximum history list, enter the number of entries stored in the URL and Alt text drop-down boxes in the Region Properties group boxes in the Image Mapper dialog.

  5. Click OK.

Related Topics

Saving Images for the Web

Embedding a Digital Watermark

Previewing images in a Web Browser


Setting Slice Preferences

Select new colors for the border lines of the active and inactive areas and enter the number of entries URL and Alt text drop-down boxes display using the Slice Preferences dialog.

To set slice preferences:

  1. Click the Preferences button to open the Slice Preferences dialog.

  2. For the Active tile border color, click the color box and choose a color.

  3. For the Inactive tile border color, click the color box and choose a color.

  4. For the Maximum history list, enter the number of entries listed in the URL and Alt text drop-down boxes in the Cell Properties group boxes in the Image Slicer dialog.

  5. Mark the Prompt for image folder on Save or Save As check box to indicate that you want to be prompted for a file location and name for your slices when you save the HTML code.

  6. Click OK.

Related Topics

Creating and Editing Cells

Assigning Slice Cell Properties

Setting Slice Preferences

Saving and Loading Slice Settings

Saving Image Slices to the Clipboard

Saving Slices


Setting the Watermark Durability

The watermark durability indicates how visible watermarks are on the image. For images to be printed, use stronger watermarks. For images to be displayed on a monitor, use weaker watermarks because they are not as visible. While stronger watermarks are easier to detect, and harder to remove, they are also more visible in the image. You can make two copies of the image and apply a stronger watermark to the copy you are printing and a weaker one to the copy you are displaying electronically.

To set the watermark durability:

  1. For the Target Output drop-down box, choose how the image is to be displayed: Monitor or Print. If you select the Print option for an image with a resolution under 300 dpi, Paint Shop Pro displays a message recommending that you increase the image resolution before embedding the watermark.

  2. To set the watermark strength, in the Watermark Durability box type a number from 1 to 16, drag the slider below it, or use the default values. The default for the Monitor option is 8; for the Print option, it is 12.

  3. To verify that the watermark information is embedded correctly, select the “Verify” check mark. The program checks that the watermark has been applied and displays its attributes and durability.

Related Topics

Saving Images for the Web

Embedding a Digital Watermark

Previewing images in a Web Browser


Using the GIF Wizard

When you click the Use Wizard button on the GIF Optimizer dialog, Paint Shop Pro displays five pages in succession that guide you through the steps of optimizing a GIF file.

To open the GIF Wizard:

choose File > Export > GIF Optimizer to open the GIF Optimizer dialog, and then click the Use Wizard button.

GIF Wizard Page 1:

  1. Choose the color that you want to make transparent. The color box displays the current background color. If the Wizard does not detect transparent information in the image, the page displays the following two options:

  2. No transparency, which you choose to create a GIF file that does not contain a transparency, and

  3. Convert matching colors to transparent, which you choose to create a GIF file containing a transparency.

  2. To choose a color from the image, position the cursor over the color box, press and hold the Ctrl key, move the cursor over the image, and click the color. You can click inside the color box to open the Color dialog (24-bit images) or Image palette (8-bit images).

  3. If the Wizard detects a transparency in the image, it displays a third option. This option, which is for retaining the existing transparency in the final image, is chosen by default. To use a different transparent color, choose the second option and select the new color. Click the Next button to proceed to page 2.

GIF Wizard Page 2:

  1. Enter the background color of the Web page on which you will be using the image. The color box displays the current background color. To choose a color from the image, move the cursor over the image, and click the color. You can also click inside the color box to open the Color dialog (24-bit images) or Image palette (8-bit images), or right-click it to open the Recent Colors dialog.

  2. A GIF image cannot contain partially transparent pixels. If the image contains them, the Wizard blends them with the color you choose. Reducing layer opacity, adding a mask, feathering a selection, and using a brush set at reduced opacity are some of the actions that can produce partially transparent pixels. Click the Next button to proceed to page 3.

GIF Wizard Page 3:

Use the slider on this page to set the file size. As you drag the slider up, you increase the size by adding colors, which creates a better-looking image. As you drag the slider down, you remove colors, decrease the file size, and lower the image quality. Click the Next button to proceed to page 4, where you can view the image.

GIF Wizard Page 4:

This page contains Image palette options. Use the default Web-safe palette option to create an image that looks the best with most browsers. If you choose to use the other palette, some image colors may not display correctly when downloaded. Click the Next button to proceed to page 5.

GIF Wizard Page 5:

The final page displays the result of your settings. To change a setting, click the Back button to return to the previous pages. Click the Finish button to close the Wizard and open the Save As dialog, where you type a name and select a location for saving the GIF file. The original image is not altered.


Using the JPEG Wizard

The first page of the JPEG Wizard opens when you click the Use Wizard button at the bottom left corner of the dialog. It displays two pages that correspond to the tabs of the dialog.

To open the GIF Wizard:

choose File > Export > JPEG Optimizer to open the JPEG Optimizer dialog, and then click the Use Wizard button.

JPEG Wizard Page 1:

Drag the slider to set the compression value. As the saved file size decreases, so does the image quality. Click the Next button to proceed to page 2.

JPEG Wizard Page 2:

The second page displays the compressed image and its file size. To change the compression value, click the Back button to return to the previous page. Click the Finish button to open the Save As dialog, where you type a name and select a location for saving the JPEG file. The original image is not altered.


Using the PNG Wizard

The first page of the PNG Wizard opens when you click the Use Wizard button at the bottom left corner of the dialog.

To open the PNG Wizard:

choose File > Export > PNG Optimizer to open the PNG Optimizer dialog, and then click the Use Wizard button.

PNG Wizard Page 1:

Select the image type: Palette-Based (256 colors or less), Greyscale (8-bit), or 16 million color (24-bit). Click the Next button to proceed to page 2.

PNG Wizard Page 2:

  1. Choose the color that you want to make transparent. The color box displays the current background color. If the Wizard does not detect transparent information in the image, the page displays the following two options:

  2. No transparency, which you choose to create a PNG file that does not contain a transparency, and

  3. Convert matching colors to transparent, which you choose to create a PNG file containing a transparency.

  2. To choose a color from the image, position the cursor over the color box, press and hold the Ctrl key, move the cursor over the image, and click the color. You can click inside the color box to open the Color dialog (24-bit images) or Image palette (8-bit images).

  3. If the Wizard detects a transparency in the image, it displays a third option. This option, which is for retaining the existing transparency in the final image, is chosen by default. To use a different transparent color, choose the second option and select the new color. Click the Next button to proceed to page 3.

PNG Wizard Page 3:

Enter the background color of the Web page on which you will be using the image. The color box displays the current background color. To choose a color from the image, move the cursor over the image, and click the color. You can also click inside the color box to open the Color dialog (24-bit images) or Image palette (8-bit images), or right-click it to open the Recent Colors dialog.

PNG Wizard Page 4:

This page contains Image palette options. Use the default Web-safe palette option to create an image that looks the best with most browsers. If you choose to use the other palette, some image colors may not display correctly when downloaded. Click the Next button to proceed to page 5.

PNG Wizard Page 5:

Use the slider on this page to set the file size. As you drag the slider up, you increase the size by adding colors, which creates a better-looking image. As you drag the slider down, you remove colors, decrease the file size, and lower the image quality. Click the Next button to proceed to page 6, where you can view the image.

PNG Wizard Page 6:

The final page displays the result of your settings. To change a setting, click the Back button to return to the previous pages. Click the Finish button to close the Wizard and open the Save As dialog, where you type a name and select a location for saving the PNG file. The original image is not altered.


Adding and Removing File Format Associations

You can have certain file formats automatically open in Paint Shop Pro. For example, when you associate the JPEG file format with Paint Shop Pro, all JPEG files will open in Paint Shop Pro when you double-click them from the Windows desktop. The associated JPEG files will also display Paint Shop Pro icons. For a list of supported file formats, see Paint Shop Pro 8 Supported File Formats.

To associate a file with Paint Shop Pro:

  1. Choose File > Preferences > File Format Associations to open the File Format Associations dialog. Do any of the following:

  2. To associate a specific file format, mark the format’s check box.

  3. To associate all listed formats, click the Select All button.

  4. To associate all listed formats that are not already associated with other applications, click the Select Unused button.

  5. To associate no file formats with Paint Shop Pro, click the Remove All button.

  2. Click OK.

Note: To add or remove file extensions you want associated with the selected format, see Changing File Format Extensions.

Related Topics

Setting General Program Preferences

Resetting Application Preferences

Using Custom Workspaces

Setting File Locations

Setting File Format Associations

Setting Autosave Preferences

Setting File Format Preferences

Customizing Toolbars and Menus

Adjusting Monitor Display Options


Adding or Deleting File Locations

You can add or delete folders for Paint Shop Pro to store/retrieve specific items. Deleting a folder means that Paint Shop Pro will no longer look in the folder for any items (the folder is not deleted from your computer).

Note: Some of the file types (Cache, CMYK Profiles) can have only one location. You can only change the file location from one folder to another. For more information on changing file locations, see Changing File Locations.

To add file locations:

  1. Choose File > Preferences > File Locations to open the File Locations dialog.

  2. From the File types list, select the file type for which you want to add locations.

  3. Click the Add button. A new blank item will appear in the folder list.

  4. Type the full path name of the folder you want to add, or click the Browse button and navigate to the folder.

  5. Click OK.

To delete file locations:

  1. Choose File > Preferences > File Locations to open the File Locations dialog.

  2. From the File types list, select the file type that you want to change file locations for.

  3. In the list of folders, select the folder you want to delete.

  4. Click the Delete button.

  5. Click OK.

Edit Paths, another way to view file locations: You can open the File Locations dialog by clicking the Edit Paths button which appears in many Paint Shop Pro dialogs.

Related Topics

Setting General Program Preferences

Resetting Application Preferences

Using Custom Workspaces

Setting File Locations

Setting File Format Associations

Setting Autosave Preferences

Setting File Format Preferences

Customizing Toolbars and Menus

Adjusting Monitor Display Options


Assigning and Viewing Shortcut Keys

You can view existing keyboard shortcuts and assign a keyboard shortcut to menu commands, tools, and even scripts.

To assign shortcut keys to commands and tools:

  1. Choose View > Customize to open the Customize dialog.

  2. Click the Keyboard tab.

  3. In the Set Accelerator for drop-down list, pick which application’s shortcuts you want to assign. Choose Browser or Default (Paint Shop Pro’s main workspace).

  4. In the Category drop-down list, select a category. Paint Shop Pro groups related commands into categories. For example, if you pick the File category, all the commands in the file menu are displayed. To list all commands at once, choose All Commands.

  5. In the Command list, select a command name.
    The description of the command and any assigned shortcut keys are displayed.

  6. Click in the Press New Shortcut Key field.

  7. Press the new keyboard shortcut you want to assign to the command. The shortcut will appear in the Press New Shortcut Key field. If the shortcut is already assigned to another command, this will display below the field.

  8. Click Assign to assign the new shortcut to the selected command.

  9. Assign more shortcut keys or click Close.

To assign a shortcut key to a script:

  1. Choose View > Customize to open the Customize dialog.

  2. Click the Keyboard tab.

  3. In the Set Accelerator for drop-down list, pick which application’s shortcuts you want to assign. Choose Browser or Default (Paint Shop Pro’s main workspace).

  4. In the Category drop-down list, select Bound Script. For more information on bound scripts, see About BoundScripts.

  5. In the Command list, select a bound script.

  6. Click in the Press New Shortcut Key field.

  7. Press the new keyboard shortcut you want to assign to the bound script. The shortcut will appear in the Press New Shortcut Key field. If the shortcut is already assigned to another command, this will display below the field.

  8. Click Assign to assign the new shortcut to the selected bound script.

  9. Assign more shortcut keys or click Close.

To view all shortcut keys:

  1. Choose Help > Keyboard Map to open the Help Keyboard dialog.

  2. In the Show Accelerator for drop-down list, pick which application’s shortcuts you want to view. Choose Browser or Default (Paint Shop Pro’s main workspace).

  3. In the Category drop-down list, select a category. Paint Shop Pro groups related commands into categories. For example, if you pick the File category, all the commands in the file menu are displayed. To list all commands at once, choose All Commands.

The commands and their shortcut keys are displayed in the list, sorted by command name. Click any column heading (Command, Keys, or Description) to sort alphabetically by that column.

Note: To print the list of the current category of shortcut keys, click Print [image] in the dialog’s toolbar.
To select commands and copy their information to the clipboard, click Copy [image].

  4. When you are finished viewing keys, click the Close Window button in the upper right corner.

Related Topics

Setting General Program Preferences

Resetting Application Preferences

Using Custom Workspaces

Setting File Locations

Setting File Format Associations

Setting Autosave Preferences

Setting File Format Preferences

Customizing Toolbars and Menus

Adjusting Monitor Display Options


Auto Action Preferences

Common actions that need to be performed in order to further edit an image can be automated.

For example, you can only apply effects to 16-bit images. However, most of the Effects menu items are active even if the active image is 8-bit. When you select an effect in an 8-bit image, the Auto Actions dialog opens telling you Paint Shop Pro must convert the image to 16-bit to proceed with the effect.

To set the preferences for an Auto Action:

Select an Auto Action from the Auto Action Prompt list and do one of the following:

  • Choose one of these options for each action:

  • Never Prevents the action from happening. Choosing Never will make certain menu commands inactive if an Auto Action is required to complete the command. Note that some items in the list do not have this option available.

  • Always Performs the action silently (without prompting you).

  • Prompt Asks if you want perform the action.

  • Set all the actions in the list to a certain option by clicking Always All, Never All, or Prompt All.

  • Reset all the actions in the list to the program’s default settings by clicking Reset.

Related Topics

Undo/Redo Preferences

View Preferences

Display and Caching Preferences

Palettes Preferences

Browser Preferences

Units Preferences

Transparency Preferences

Warnings Preferences

Photo Sharing Preferences

Miscellaneous Preferences


Browser Preferences

The Browser tab controls the appearance and operation of the Browser.

To set Browser preferences:

  1. In the Thumbnail Size group box, enter values (in pixels) for the thumbnail size the Browser displays. The size range is from 50 to 150 pixels. Clear the Symmetric check box to adjust thumbnail width and height independently.

  2. In the Appearance group box, choose an option:

  • Choose Use Windows colors to highlight thumbnails with the current Windows selection color. Or, choose Use classic colors and choose a thumbnail highlight color form the Selection color box.

  • Clear the Display flat style thumbnails check box to display thumbnails that look like raised button bars.

  3. Clear the Display tooltips over thumbnails check box to hide the image information that appears when the cursor is over thumbnails.

  4. Clear the Save browser files to disk check box to stop the Browser from creating a cache file in folders you browse. By default, when you view a folder using the Browser, Paint Shop Pro saves a file called pspbrwse.jbf in that folder. This cache file allows you to view the thumbnails more quickly the next time you browse the folder.

  5. Mark the Automatically update the thumbnails check box to automatically update a folder’s cache file every time the folder is browsed. When you view a folder with the Browser, the Browser displays the contents of the folder’s cache file. If you make changes to the images in the folder, the thumbnails will not show the results unless the cache file is updated.

Related Topics

Undo/Redo Preferences

View Preferences

Display and Caching Preferences

Palettes Preferences

Units Preferences

Transparency Preferences

Warnings Preferences

Photo Sharing Preferences

Auto Action Preferences

Miscellaneous Preferences


Calibrating Your Monitor

To get the best results when working with Paint Shop Pro, you need to properly calibrate your monitor. Calibrating the monitor improves image quality and allows others to view your images as you intend.

To calibrate your monitor, you need an on-screen aid that helps you adjust the monitor’s brightness and contrast. The Jasc’s Web site provides an on-screen aid as well as detailed instructions for calibration. Go to the Product Support section of www.jasc.com.

Related Topics

Setting General Program Preferences

Resetting Application Preferences

Using Custom Workspaces

Setting File Locations

Setting File Format Associations

Setting Autosave Preferences

Setting File Format Preferences

Customizing Toolbars and Menus

Adjusting Monitor Display Options


Changing File Format Associations

Changing File Format Extensions

File format extension changes will not take effect until the next time you start Paint Shop Pro. For a list of supported file formats, see Paint Shop Pro 8 Supported File Formats.

Note: File extensions that have been associated with Paint Shop Pro will have an asterisk (*) after the name.

To set file extensions:

  1. Choose File > Preferences > File Format Associations to open the File Format Associations dialog.

  2. Select the file format that contains the extensions you want to set.

  3. Click the Extensions button to open the Extensions dialog. The preferred extension (the extension that Paint Shop Pro will use to save files) is at the top of the list.

  4. Do one of the following:

  5. To add a file extension, click the Add button. Type in the new extension and click OK.

  • To delete a file extension, select the extension from the list and click Delete.

  • To reset a format to its default extension(s), select the extension from the list and click Reset.

  • To make an extension the preferred choice, select the extension and click Preferred. The extension will move to the top of the list.

  5. Click OK.

Related Topics

Setting General Program Preferences

Resetting Application Preferences

Using Custom Workspaces

Setting File Locations

Setting File Format Associations

Setting Autosave Preferences

Setting File Format Preferences

Customizing Toolbars and Menus

Adjusting Monitor Display Options


Changing File Locations

You can change where Paint Shop Pro to stores and retrieves specific items.

To change file locations:

  1. Choose File > Preferences > File Locations to open the File Locations dialog.

  2. From the File types list, select the file type that you want to change file locations for.

  3. Set the options and settings for listed folders:

  4. Save To Folder [image] Choose one of the listed folders to be the place Paint Shop Pro saves any new files of this type.

  5. Scan Subfolders [image] Mark this check box to have Paint Shop Pro search the folders inside the folder. Subfolders will not be scanned unless the Enable Directory check box is marked.

  6. Enable Directory [image] Mark this check box to have Paint Shop Pro search for files in this folder.

  4. Set the loading order of the folders in the list. Use the arrows [image] move a folder up or down the list of folders. The folder at the top of the list will be searched and loaded first. For example, the brushes in the first folder on the Brushes list will display first in the Tool Options palette drop-down brush window.

Related Topics

Setting General Program Preferences

Resetting Application Preferences

Using Custom Workspaces

Setting File Locations

Setting File Format Associations

Setting Autosave Preferences

Setting File Format Preferences

Customizing Toolbars and Menus

Adjusting Monitor Display Options


Creating a New Toolbar

You can create a custom tool bar with your favorite commands and tools.

To create a new toolbar:

  1. Choose View > Customize to open the Customize dialog.

  2. Click the Toolbars tab.

  3. Click New to open the Toolbar name dialog.

  4. Type a name for the new toolbar and click OK.

A small, empty toolbar will open in the middle of the workspace. To add commands to it, choose the Commands tab, and then drag command icons into the new toolbar. For more information, see Customizing Toolbars.

  5. When you’re done adding commands, Close.

To delete a custom toolbar:

  1. Choose View > Customize to open the Customize dialog.

  2. Click the Toolbars tab.

  3. In the Toolbars list, select the name of the custom toolbar you want to delete.

  4. Click Delete.

  5. Click Close.

Related Topics

Setting General Program Preferences

Resetting Application Preferences

Using Custom Workspaces

Setting File Locations

Setting File Format Associations

Setting Autosave Preferences

Setting File Format Preferences

Customizing Toolbars and Menus

Adjusting Monitor Display Options


Customizing Additional Options

Customize how paint Shop Pro displays icons, screen tips and captions using the Options tab.

Set the following toolbar and palette options:

  1. Choose View > Customize to open the Customize dialog, and then click the Options tab.

  2. Show Screen Tips on toolbars Clear this check box to hide the screen tips that appear over tools and buttons.

  3. Show shortcut keys in Screen Tips Clear this check box to hide the shortcut key (if available) that appear in screen tips.

  4. Large icons Mark this check box to display larger toolbar icons.

  5. In the Personalized Menus and Toolbars group box, set the following options:

  6. Menus show recently used commands first Mark this check box to have Paint Shop Pro simplify its menus to show only recently used commands. You can expand the menus by clicking the expansion button.

  7. Show full menus after a short delay If menus are only showing the most recent items, all items will appear in a moment.

  8. Reset my usage data Click this button to erase the memory of your recently used menu commands.

  5. In the Palettes group box, mark the Show captions on docked palettes check box to give layout captions a different appearance.

Related Topics

Setting General Program Preferences

Resetting Application Preferences

Using Custom Workspaces

Setting File Locations

Setting File Format Associations

Setting Autosave Preferences

Setting File Format Preferences

Customizing Toolbars and Menus

Adjusting Monitor Display Options


Customizing Commands

Customize hoe Paint Shop Pro and choose which commands display on the toolbar.

To move a command button or tool:

Use one of the following methods:

  • Hold down the Alt key while dragging the item to another palette or toolbar.

  • Drag from the Customize dialog’s Commands tab to a toolbar or palette.

To add commands or tools to a toolbar:

  1. To open the Customize dialog, choose View > Customize, and then click the Commands tab.

  2. From the Categories list, select a category. Paint Shop Pro groups related commands into categories. For example, click the File category to display all File menu commands. To list all Paint Shop Pro commands at once, choose All Commands.

  3. From the Commands list, click and drag a command to a toolbar.

To remove commands or tools from a toolbar

Hold down the Alt key while dragging the item to an empty workspace area or an empty area outside a toolbar. Release the mouse button when you see the cursor change to this shape:

Related Topics

Setting General Program Preferences

Resetting Application Preferences

Using Custom Workspaces

Setting File Locations

Setting File Format Associations

Setting Autosave Preferences

Setting File Format Preferences

Customizing Toolbars and Menus

Adjusting Monitor Display Options


Customizing Menus

When you display the Customize dialog, the entire Paint Shop Pro workspace transforms into customize mode. You can click and drag almost any menu command or tool to any other menu or toolbar. You can add or delete commands from the menus on the Menu Bar. All this can be done within the Commands and Toolbars tabs of the Customize dialog.

To customize menu options:

  1. Choose View > Customize to open the Customize dialog, and then click the Menu tab.

  2. In Show Menus For drop-down list, select menus that you want to show application frames.

  3. In the Menu animations group box, choose an animation style for menu opening and closing from the drop-down list.

  4. Clear the Menu icons check box to hide the Menu Bar icons.

To select which Menu Bar is displayed:

  1. Click the Menu tab.

  2. In the Application Frame Menus group box, select an option from the Show Menus for drop down list:

  3. Default This set of commands displays when no images are open.

  4. Image This set of commands displays when images are open.

  5. Browser This set of commands displays when the Browser is the active window.

To reset a Menu Bar:

  1. Click the Menu tab.

  2. In the Application Frame Menus group box, select the menu you want to reset from the Show Menus for drop-down list.

  3. Click the Reset button.

Related Topics

Setting General Program Preferences

Resetting Application Preferences

Using Custom Workspaces

Setting File Locations

Setting File Format Associations

Setting Autosave Preferences

Setting File Format Preferences

Customizing Toolbars and Menus

Adjusting Monitor Display Options


Customizing Toolbars

When you display the Customize dialog, the entire Paint Shop Pro workspace transforms into customize mode. You can click and drag almost any menu command or tool to any other menu or toolbar. You can add or delete commands from the menus on the Menu Bar. All this can be done within the Commands and Toolbars tabs of the Customize dialog.

Right-click access to Customize dialog: Another way to access the Customize dialog is to right-click in the Menu bar, Tool palette, or Tool Options palette, and then choose Customize from the context menu.

To select which toolbars are displayed:

  1. To open the Customize dialog, choose View > Customize, and then click the Toolbars tab.

  2. Mark the check box next to the name of the toolbar you want to display.

Note: The Menu Bar and Layer Palette Toolbar cannot be hidden.

To remove commands or tools from a toolbar

Hold down the Alt key while dragging the item to an empty workspace area or an empty area outside a toolbar. Release the mouse button when you see the cursor change to this shape:

To reset all toolbars:

  1. Click the Toolbars tab.

  2. Click the Reset All button. All toolbars will revert to the program’s default settings.

To reset a specific toolbar:

  1. Click the Toolbars tab.

  2. In the Toolbars list, select the name of the toolbar to reset.

  3. Click the Reset button. The selected toolbar will revert to the program’s default settings.

To add a separator to a toolbar:

  1. Choose View > Customize to display the Customize dialog.

  2. Right-click a button in the toolbar to which you’ll be adding the separator, and then choose Start Group from the context menu that appears. This adds a separator to the left of the button you clicked.

Note: To rearrange a button relation to the separator, hold down Alt and drag the button to the desired location.

To delete a separator from a toolbar:

  1. Choose View > Customize to display the Customize dialog.

  2. Right-click the toolbar button directly to the right of the separator. This displays the context menu. Notice the check mark next to the Start Group item.

  3. Select the Start Group item to remove the check mark and the separator.

Related Topics

Setting General Program Preferences

Resetting Application Preferences

Using Custom Workspaces

Setting File Locations

Setting File Format Associations

Setting Autosave Preferences

Setting File Format Preferences

Customizing Toolbars and Menus

Adjusting Monitor Display Options


Deleting Saved Workspaces

If you no longer want to use a saved workspace, you can easily delete it.

To delete a saved workspace:

  1. Choose File > Workspace > Delete, or press Shift + Alt + D to open the Workspace dialog.

  2. Select the workspace file you want to delete.

  3. Click Delete.

Related Topics

Setting General Program Preferences

Resetting Application Preferences

Using Custom Workspaces

Setting File Locations

Setting File Format Associations

Setting Autosave Preferences

Setting File Format Preferences

Customizing Toolbars and Menus

Adjusting Monitor Display Options


Display and Caching Preferences

The Display and Caching tab controls presentation and caching.

About color pickers: In previous versions of Paint Shop Pro, you could use the Jasc Color Picker or the Windows Color Picker. In Paint Shop Pro 8, the Windows Color Picker is not available.

To set display and caching preferences:

  1. In the Presentation group box choose the following options:

  • Mark the Re-use last type used in save-as dialog check box to use the last file format used to save an image. The file format automatically appears in the Save as type field.

  • Clear the Display all color dropper ToolTips check box to hide the color information that appears next to the dropper tool when it is positioned over a color.

  • Mark the Use precise cursors check box to use a cross hair for tool cursors instead of the tool’s button shape.

  • Clear the Show brush outlines check box to hide the outline (shape, size) of the current brush as the cursor moves over an image.

  • Adjust the Zoom / Rescaling Quality slider to set whether the Zoom tool quality is faster or better.

  2. In the Thumbnail / Preview group box, set the size of the thumbnails in pixels.

  3. In the Caching Options group box choose the following options:

Note: These options allow for faster image redraws after you make changes. By default, they are all marked. Turning these options off will likely slow image redraws.

  • Merged Image: Clear this check box to stop saving an image cache of your entire merged image.

  • Merged Below Active Layer: Clear this check box to stop saving an image cache of all the layers below the active one.

  • Merged Group: Clear this check box to stop saving an image cache of the merged image for each group.

  • Merged Below Active Layer: Clear this check box to stop saving an image cache of all the group layers below the active one.

Related Topics

Setting General Program Preferences

Resetting Application Preferences

Using Custom Workspaces

Setting File Locations

Setting File Format Associations

Setting Autosave Preferences

Setting File Format Preferences

Customizing Toolbars and Menus

Adjusting Monitor Display Options


Loading Custom Workspaces

Loading Workspaces

Workspace files do not include an actual copy of any open images. Workspace files only reference the name and location of an image. If you delete an image from your computer, it will not display in a workspace.

If you had two windows open for the same image when you saved the workspace, they both open again.

If an image from the workspace is already open, Paint Shop Pro applies the workspace settings to the open image.

To load a workspace:

  1. Choose File > Workspace > Load, or press Shift + Alt + L to open the Load Workspace dialog.

  2. Select the workspace file you want to load.

Note: To load a workspace not displayed in the dialog, click Edit Paths. For information on editing paths, please see Setting File Locations.

  3. Click Open.

Related Topics

Setting General Program Preferences

Resetting Application Preferences

Using Custom Workspaces

Setting File Locations

Setting File Format Associations

Setting Autosave Preferences

Setting File Format Preferences

Customizing Toolbars and Menus

Adjusting Monitor Display Options


Miscellaneous Preferences

The Miscellaneous tab controls a variety of preferences.

Recently used file list Set the maximum number of files that will appear when you choose File > Recent Files. For example, if the value is set to four, only the last four saved files will appear on the list.

Note: You must restart Paint Shop Pro before the new settings will take effect.

  • Tolerance to background color when pasting a transparent
    selection     When you paste data as a transparent selection, Paint Shop Pro adds it to the current image, defines it as a selection, and then deselects all the pixels that match the current background color. The tolerance value you enter determines how closely the background color must match the transparent color for it to become transparent. The tolerance scale is 0% to 200%.

  • Zero percent indicates that only image pixels with a perfect match to the current background color are made transparent.

  • 200 percent indicates that all image pixels are made transparent.

Clipboard Data on Exit Choose how Paint Shop Pro will handle any clipboard data when you exit the program. The options in the drop down list are:

  • Ask Whenever you exit, Paint Shop Pro will ask you what to do with the clipboard data.

  • Delete Clipboard data will be deleted on exit.

  • Leave Data will remain in the clipboard on exit.

Force full window redraw when positioning image elements Mark this check box to redraw the information in the active window whenever you move objects in the image.

Show splash screen when application starts Clear this option to hide the Jasc Software, Inc. splash screen which appears at program startup.

Disable pressure support for puck-type pointing devices Mark this check box to turn off the pressure sensitive features of puck-type pointing devices included with graphics tablets.

Related Topics

Undo/Redo Preferences

View Preferences

Display and Caching Preferences

Palettes Preferences

Browser Preferences

Units Preferences

Transparency Preferences

Warnings Preferences

Photo Sharing Preferences

Auto Action Preferences


Palettes Preferences

The Palettes tab controls behaviors of the materials palette as well as how palettes dock.

To set palette preferences:

  1. In the Materials Palette Options group box, choose from the following sets of options:

  • Display colors in RGB format or Display colors in HSL format
    This option controls the color information that appears in the materials palette and with the dropper tool.

  • Decimal display or Hexadecimal display
    This option controls how color values will display throughout the program.

  • Show rainbow picker or Show document palette
    For images with limited palettes (8-bit, 256 color), the document palette shows only colors that are actually in the image.

  2. In the Docking Options group box, clear the check box for each palette that you don't want to dock. This will allow you to drag the palette anywhere in the workspace.

Related Topics

Undo/Redo Preferences

View Preferences

Display and Caching Preferences

Browser Preferences

Units Preferences

Transparency Preferences

Warnings Preferences

Photo Sharing Preferences

Auto Action Preferences

Miscellaneous Preferences


Photo Sharing Preferences

The current photo sharing service provider is shown in the Select a photo sharing service list. When you choose File > Export > PhotoSharing, that provider’s site will be accessed via your Web browser.

Related Topics

Undo/Redo Preferences

View Preferences

Display and Caching Preferences

Palettes Preferences

Browser Preferences

Units Preferences

Transparency Preferences

Warnings Preferences

Auto Action Preferences

Miscellaneous Preferences


Saving Custom Workspaces

When you save a workspace, Paint Shop Pro saves the information in a .PSPWorkspace file. The following information is stored:

  • Ruler, grid, and guide information

  • Menu, palette, and toolbar settings, locations, and docking status

  • Browser window position (if open)

  • Full screen edit mode status

  • Open images, including the images zoom levels and scroll bar locations

Note: Workspace files do not include an actual copy of any open images. Workspace files only reference the name and location of an image. If you delete an image from your computer, it will not display in a workspace.

To save the current workspace:

  1. Choose File > Workspace > Save, or press Shift + Alt + S to open the Save Workspace dialog.

  2. To save the workspace in a folder other than the program default folder, click Edit Paths. For information on editing paths, refer to Setting File Locations.

  3. In the New Workspace Name field, type a name for the new workspace.

  4. Click Save.

  5. If your workspace contains any modified images that you have not saved, you will be prompted to save the changes to your image. Choose from these options:

  6. Yes Saves the image changes and saves the workspace.

  7. No Saves the workspace, but does not save the changes to your image.

  8. Cancel The workspace is not saved.

Related Topics

Setting General Program Preferences

Resetting Application Preferences

Using Custom Workspaces

Setting File Locations

Setting File Format Associations

Setting Autosave Preferences

Setting File Format Preferences

Customizing Toolbars and Menus

Adjusting Monitor Display Options


Selecting a Web Browser

Paint Shop Pro allows you to preview your images with Web browsers. Use the File Locations dialog to select which browser(s) to use.

To delete or edit Web browsers:

  1. Choose File > Preferences > File Locations to open the File Locations dialog.

  2. From the File types list, select Web Browsers.

  3. Select a browser from the list.

  4. Click Edit to change the browsers location or Delete to remove the browser from the list.

  5. Click OK.

To add Web browsers:

  1. Choose File > Preferences > File Locations to open the File Locations dialog.

  2. From the File types list, select Web Browsers.

  3. Click Add to open the Browser Information dialog.

  4. Type the full path name of the Web browser you want to add or click the Browse button to find and select the program.
    Type a different name in the Web Browser Name field if desired and Click OK.

  5. Click OK.

Another way to select Web browsers: Select View > Preview in Web Browser to open the Preview in Web Browser dialog. Click the Edit Web Browser button.

Related Topics

Setting General Program Preferences

Resetting Application Preferences

Using Custom Workspaces

Setting File Locations

Setting File Format Associations

Setting Autosave Preferences

Setting File Format Preferences

Customizing Toolbars and Menus

Adjusting Monitor Display Options


Setting Kodak PhotoCD Preferences

The Kodak PhotoCD format (PCD) is used by many photo developers. This format can provide multiple image resolutions in one file.

To set PCD file format preferences:

  1. Choose File > Preferences > File Format Preferences to open the File Format Preferences dialog.

  2. Click the PCD tab.

  3. Choose:

  4. A default resolution setting. For example, 1536 x 1204 pixels.

  5. Ask when loading each file PSP will ask you to pick a default resolution each time you open a PCD file.

  4. Click OK.

Related Topics

Setting General Program Preferences

Resetting Application Preferences

Using Custom Workspaces

Setting File Locations

Setting File Format Associations

Setting Autosave Preferences

Setting File Format Preferences

Customizing Toolbars and Menus

Adjusting Monitor Display Options


Setting Metafile Preferences

Windows Meta File (WMF) is the Microsoft Windows native vector format.

To set WMF image preferences:

  1. Choose File > Preferences > File Format Preferences to open the File Format Preferences dialog.

  2. Click the Metafile / Import tab.

  3. Choose from the two Load options:

  4. Prompt for size and options each time a file is opened When you choose this option, Paint Shop Pro will ask you to choose settings for each WMF image you open.

  5. Use file header information when available Some WMF files have a file header containing default size information. Choose this option to use the file header default size (if available). If you open a file without a header, the size default to the values you type in the Default size when file header is not available group box.

  6. Choose the following options:

  7. Import vector data Mark this check box to import WMF vector data as objects you can edit with vector tools. Clear this check box to convert all vector objects to raster images.

  8. Apply smoothing Mark this check box to smooth curved polylines (vector data only).

Related Topics

Setting General Program Preferences

Resetting Application Preferences

Using Custom Workspaces

Setting File Locations

Setting File Format Associations

Setting Autosave Preferences

Setting File Format Preferences

Customizing Toolbars and Menus

Adjusting Monitor Display Options


Setting Plug-in Locations

Paint Shop Pro allows you to use Adobe compatible plug-ins. Use the File Locations dialog to choose folders containing plug-ins and control how plug-ins are used.

To control plug-in functions:

  1. Choose File > Preferences > File Locations to open the File Locations dialog.

  2. From the File types list, select Plug-ins.

  3. Set these options:

  4. Enable plug-ins Mark this box to allow Paint Shop Pro to use plug-ins.

  5. Limit Loaded plug-in files to those with an .8B* extension
    The .8B* extension is the most common plug-in extension. Clear this check box to load plug-ins with other extensions.

  6. Allow file format plug-ins to request pre-filtering of support file types Some plug-ins can open files that Paint Shop Pro also supports. Mark this check box to allow a plug-in to try to open (pre-filter) the file before it opens in Paint Shop Pro.

To add plug-in locations:

  1. Choose File > Preferences > File Locations to open the File Locations dialog.

  2. From the File types list, select Plug-ins.

  3. Click the Add button. A new blank item will appear in the folder list.

  4. Type the full path name of the folder you want to add or click the Browse button to find and select the folder.

  5. Set the options and settings for listed folders:

  6. Enable Directory [image] Mark this check box to have Paint Shop Pro search for plug-ins in this folder.

  7. Scan Subfolders [image] Mark this check box to have Paint Shop Pro search the folders inside the folder. Subfolders will not be scanned unless the Enable Directory check box is marked.

  6. Click OK.

Related Topics

Setting General Program Preferences

Resetting Application Preferences

Using Custom Workspaces

Setting File Locations

Setting File Format Associations

Setting Autosave Preferences

Setting File Format Preferences

Customizing Toolbars and Menus

Adjusting Monitor Display Options


Setting Postscript File Preferences

Paint Shop Pro can read PostScript files (including multi-page files) through level 2 and open them as raster images. When converting, Paint Shop Pro can anti-alias objects and retain transparency information.

Note: By default, if a PostScript file has a bounding box, the program will match the canvas size to the bounding box.

To set PostScript file import preferences:

  1. Choose File > Preferences > File Format Preferences to open the File Format Preferences dialog.

  2. Click the PostScript tab.

  3. Choose a prompt setting:

  4. Prompt for size and options each time a PostScript file is opened When you mark this check box, Paint Shop Pro will ask you to choose settings for each PostScript file you open. Clear this check box to use the Size and Options when not prompting settings for all opened PostScript files.

  5. If necessary, choose non-prompting options:

  6. Resolution Set the resolution for the converted raster image

  7. Image mode Select a mode from the drop-down list.

  8. Page Size Select a page size from the drop-down list.

  • Landscape Mark this check box to switch the page orientation to landscape. The default is portrait. This option does not rotate your images; only use this option for landscape PostScript files.

  • Anti-aliasing Mark this box to anti-alias PostScript objects as they are converted to raster images.

  • Render transparency Clear this check box to use a white background instead of the default transparent background.

Related Topics

Setting General Program Preferences

Resetting Application Preferences

Using Custom Workspaces

Setting File Locations

Setting File Format Associations

Setting Autosave Preferences

Setting File Format Preferences

Customizing Toolbars and Menus

Adjusting Monitor Display Options


Setting RAW File Preferences

Paint Shop Pro can read and save RAW image formats.

To set RAW file preferences:

  1. Choose File > Preferences > File Format Preferences to open the File Format Preferences dialog.

  2. Click the RAW tab.

  3. Set the Save options:

  4. Header size Sets header size of the file.

  5. Flip top and bottom Mark this box to flip the image upside down.

  4. Set the 24 bit options:

  5. RGB order or BGR order Choose the color order.

  6. Planar mode Clear this box to turn off planar mode.

Related Topics

Setting General Program Preferences

Resetting Application Preferences

Using Custom Workspaces

Setting File Locations

Setting File Format Associations

Setting Autosave Preferences

Setting File Format Preferences

Customizing Toolbars and Menus

Adjusting Monitor Display Options


Transparency Preferences

The Transparency tab controls the grid representing transparent backgrounds and transparent areas of layers.

  • Grid size Chose a grid size from the drop-down list.

  • Grid Colors Choose a color scheme from the Scheme drop down list. To customize the grid colors, click inside the Color 1 or Color 2 boxes and select new colors.

  • Preview displays your proposed changes to the transparency grid.

Related Topics

Undo/Redo Preferences

View Preferences

Display and Caching Preferences

Palettes Preferences

Browser Preferences

Units Preferences

Warnings Preferences

Photo Sharing Preferences

Auto Action Preferences

Miscellaneous Preferences


Undo/Redo Preferences

The Undo tab controls some settings of the Undo and Redo commands.

  1. To Enable the undo system Mark the Undo/Redo check box to activate the Undo command. Clear the check box to deactivate the Undo and Redo commands.

  2. When the undo system is active, choose from these options:

  3. Limit undo/redo disk usage per open image Sets the maximum amount of disk space each images undo/redo steps can use.

  4. Limit undo/redo steps per open image Sets the number of times you can undo or redo in each open image.

  5. Compress undo/redo information Saves disk space, but slows down undo and redo operations.

  6. Enable the redo system Activates the Redo command.

Related Topics

View Preferences

Display and Caching Preferences

Palettes Preferences

Browser Preferences

Units Preferences

Transparency Preferences

Warnings Preferences

Photo Sharing Preferences

Auto Action Preferences

Miscellaneous Preferences


Units Preferences

The Units tab controls ruler options and the default resolutions for new images.

  1. In the Rulers group box, choose from the following options:

  • Choose a measurement system for the rulers from the Display units drop-down list.

  • Choose Toolbar colors to have the ruler color match Paint Shop Pro’s toolbars or choose Black on White rulers.

  2. In the Default Resolution group box choose a measurement system from the drop-down list and enter the default resolution for images that do not contain resolution information, such as scanned images.

  3. Mark the Vector Coordinates check box to snap objects to the center of pixels while they’re moving. You will have to be zoomed in at a very high percentage in order to see this.

Related Topics

Undo/Redo Preferences

View Preferences

Display and Caching Preferences

Palettes Preferences

Browser Preferences

Transparency Preferences

Warnings Preferences

Photo Sharing Preferences

Auto Action Preferences

Miscellaneous Preferences


Using Windows Color Management

Color Management is a feature in Windows 98 or later that improves color consistency and accuracy between images displayed on monitors and printed on paper. Color Management also allows you to preview how images will look when printed on a specific color printer. Color Management is generally not used for Web images because most Web browsers don’t use Color Management.

You need to use Color Management if any of the following are true:

  • Your pre-press provider requires specific color values for a known set of printing conditions.

  • You are using the same color graphics for printing on a printer and displaying on a monitor.

  • You plan to use international and domestic printing presses.

In order for Windows Color Management to work effectively, you must have proper color profiles for all the devices you are using.

To create proper monitor and printer profiles, you must use third-party color profiling tools that include software or hardware for determining how your monitor and printer produce color. If you do not have custom monitor and printer profiles, using Color Management is not recommend. For more information on Color Management, please refer to your Windows documentation.

To use Color Management:

  1. Choose File > Preferences > Color Management.

  2. Mark the Enable Color Management check box.

  3. Choose an option:

  4. Basic color management Adjusts how the monitor displays colors and how the printer produces colors. Most users should choose this option.

  5. Proofing Previews on the monitor how colors will appear on a particular device. This option is best at representing the limitations of a particular output device, such as a printer.

  4. Select the printer and monitor profiles for your devices in the drop-down lists.

  5. For Rendering Intent, select the approach used to map image colors to the color gamut of your monitor or printer. The available options depend upon your Windows system. For detailed descriptions, see your Windows documentation.

  6. If you selected the Proofing option, select the Emulated device profile (the profile of the output device) and the Rendering Intent.

  7. Click OK.

Related Topics

Setting General Program Preferences

Resetting Application Preferences

Using Custom Workspaces

Setting File Locations

Setting File Format Associations

Setting Autosave Preferences

Setting File Format Preferences

Customizing Toolbars and Menus

Adjusting Monitor Display Options


View Preferences

The View tab controls some image window behaviors.

  • Zooming: These options determine if Paint Shop Pro automatically resizes an image window when you zoom in or zoom out. A window is resized to include as much of the image as will fit.

  • New Images: Mark the Auto size check box is selected, if you open an image that is too large to fit in its image window, Paint Shop Pro automatically resets the image’s magnification so that the entire image is visible.

  • After Changing Size: When the “Fit window to image” check box is selected, Paint Shop Pro automatically resizes the image window whenever you resize an image. When the “Auto Size” check box is selected, if you increase an image’s size to more than can fit in its window, Paint Shop Pro reduces the image’s magnification accordingly.

Related Topics

Undo/Redo Preferences

Display and Caching Preferences

Palettes Preferences

Browser Preferences

Units Preferences

Transparency Preferences

Warnings Preferences

Photo Sharing Preferences

Auto Action Preferences

Miscellaneous Preferences


Warnings Preferences

The Warnings tab controls how warning dialogs will display.

By default, Paint Shop Pro displays a warning dialog whenever you are about to perform an operation that will result in lost information or one that can't be applied to the image in its current state.

To prevent a warning from appearing, clear the check box in front of its description. Click the Enable All button to mark all the check boxes in the list. Click the Disable All button to clear all the check boxes in the list.

Related Topics

Undo/Redo Preferences

View Preferences

Display and Caching Preferences

Palettes Preferences

Browser Preferences

Units Preferences

Transparency Preferences

Photo Sharing Preferences

Auto Action Preferences

Miscellaneous Preferences


Adding Nodes on a Contour

To create more options for editing the shape of a vector object, add, delete, or merge nodes anywhere along the path of a vector object.

Adding Nodes

You can add nodes in all three modes of the Pen tool.

To add nodes on a contour (Drawing and Edit Modes):

  1. From the Tools toolbar, select the Pen tool [image].

  2. From the Tool Options palette, select Edit Mode [image].

  3. Click the contour you want modify.

  4. Press and hold Ctrl as you move the cursor over the contour to where you want to add a node. The cursor displays “+ADD.”

  5. While continuing to press Ctrl, click the line. A symmetric node is added.

To add nodes on a contour (Knife Mode):

  1. From the Tools toolbar, select the Pen tool [image].

  2. From the Tool Options palette, select Knife Mode [image].

  3. Click the contour you want modify.

  4. Press and hold Ctrl. The cursor changes from “CUT” to “ADD.”

  5. Click and drag the cursor across the contour where you want to add nodes.

To add a new start or end node:

  1. From the Tools toolbar, select the Pen tool [image].

  2. From the Tool Options palette, select the Drawing Mode [image] and the Segment Type you want to use.

  3. Select the start or end node of the contour.

  4. Click to draw another node, the contour automatically connects to the new node.

  5. Do one of the following:

  6. Continue drawing new nodes.

  7. To edit the nodes or contour, click the Edit Mode [image].

  8. To finish the changes, choose another tool.

Related Topics

Adding and Closing Contours

Breaking Contours

Editing Paths and Contours

Reversing the Direction of Contours or Paths

Joining Contours

Duplicating a Contour


Aligning Vector Objects

You can align objects in relation to each other. For example, align their top edges.

To align vector objects:

  1. On the Tools toolbar, choose the Object Selection tool [image].

  2. Select the first vector object. All other objects selected will align to this object.

  3. Press the Shift key and select each additional object you want to align.

  4. On the Tool Options palette, click one of the Object Alignment buttons:

Top [image], Bottom [image], Left [image], Right [image], Vertical Center [image], or Horizontal Center [image].

Note: You can also choose Objects > Align and select a command.

Related Topics

Moving a Vector Object

Grouping and Ungrouping Vector Objects

Distributing Vector Objects

Positioning Vector Objects on the Canvas

Arranging Vector Object on the Canvas


Arranging Vector Objects

Each object you draw on a layer is stacked on top of the next (even if they don’t overlap). If you draw 50 objects on a layer, the 50th is at the top and the 1st in on the bottom. When you have overlapping objects, you can move objects up or down the stack of objects.

Using the Layer palette to arrange vector objects: To change an object’s position on a layer: select the object name in the Layer palette, click and drag the object up or down in the list of objects.

To arrange vector objects:

  1. On the Tools toolbar, choose the Object Selection tool [image].

  2. Click an object to select it.

  3. Do one of the following:

  4. To move an object to the top, on the Tool Options palette, click Bring to Top [image].

  5. To move an object to the bottom, click Send to Bottom [image].

  6. To move an object up or down one position, click Move Up [image] or Move Down [image].

Note: All these commands are also available by choosing Objects > Arrange.

Related Topics

Moving a Vector Object

Grouping and Ungrouping Vector Objects

Aligning Vector Objects

Distributing Vector Objects

Positioning Vector Objects on the Canvas


Breaking Contours

You can break a contour at any node. When you break a closed path or contour, you open it. When you break an open path or contour, you create two separate contours.

There are two ways to break contours: at a node or with the Pen tool.

To break a contour at a node:

  1. From the Tools toolbar, select the Pen tool [image].

  2. From the Tool Options palette, select the Edit Mode [image].

  3. Select the node you want to break the contour at.

  4. Do one of the following:

  5. Choose Objects > Edit > Break (Ctrl+K).

  6. Right-click the node and choose Edit > Break from the context menu.

The path or contour breaks and a new node is added on top of the current node. The node square changes to a node-on-node indicator. Drag one node away to separate them.

To break a contour with the Pen tool:

  1. From the Tools toolbar, select the Pen tool [image].

  2. From the Tool Options palette, select the Knife Mode [image].

  3. Select the contour you want to break.

  4. Click and drag across the contour where you want it to break.

Note: The Knife Mode of the Pen tool will cut through all selected contours in an object.

Related Topics

Adding and Closing Contours

Adding or Removing Nodes on a Contour

Editing Paths and Contours

Reversing the Direction of Contours or Paths

Joining Contours

Duplicating a Contour


Changing Curves and Lines

You can adjust the shape of the contour at a node by changing the node type, adjusting the node’s control arms or changing the line segments. For example, to soften a sharp corner, change a cusp node to a symmetrical node.

To adjust a curve by changing the node type:

  1. From the Tools toolbar, select the Pen tool [image].

  2. From the Tool Options palette, select the Edit Mode [image].

  3. Select a node, see Selecting Nodes.

  4. Do one of the following:

  5. Choose Objects > Node Type and select a node type: Asymmetrical (Ctrl+Shift+S), Symmetrical (Ctrl+S), Cusp (Ctrl+U), Smooth

  6. Right-click on the node, choose a Node Type from the context menu.

Adjusting Nodes with Control Arms

The length and direction of a nodes control arms determines the shape of the contour at the node. The arrow control handle indicates the direction of the contour.

To adjust a curve using control arms:

  1. Select a node to display its control arms, see S electing Nodes. Note: Cusp nodes may have no control arms.

  2. Move the cursor over a control handle until the cursor changes to two rotating arrows, and then click and drag the handle. Note: To constrain the control arms to fixed angles (45 degree increments), press and hold Shift as you drag.

Changing Line Segments

Instead of changing node types, you can simply tell Paint Shop Pro what type of line segment you want on each side of the node. You can also convert line segments from curved to straight. The line segment type and node type work together. For example, when you add a straight line before or after a symmetrical curve, the node type changes to asymmetrical.

To change the line segment before or after a node:

  1. Select a node, see Selecting Nodes.

  2. Do one of the following:

  3. Choose Objects > Node Type and select an option:

To straighten the segment before and after a node, choose Convert to Line. (Ctrl+L).

To straighten the segment before or after a node, choose Line Before (Ctrl+B) or Line After (Ctrl+F).

To curve the segment before or after a node, choose Curve Before (Ctrl+1) or Curve After (Ctrl+2).

  • Right-click the node and choose a Node Type from the context menu.

  3. Make a selection. Note: You can also access these commands by choosing Objects > Node Type.

To straighten a curve between two nodes:

  1. Select two consecutive nodes, see Selecting Nodes.

  2. Right-click one node and choose Node Type >Convert to Line from the context menu.

Related Topics

Editing Nodes

Adding or Removing Nodes on a Contour

Drawing and Editing Objects

Drawing Lines and Custom Shapes


Copying, and pasting vector objects

Cut, copy, and paste vector objects just like any other data. Select the object and from the Edit menu, select Cut or Copy.

  • To paste vector objects within the same layer, choose Edit > Paste > As New Vector Selection.

  • To paste vector objects as a new layer, choose Edit > Paste > As New Layer.

  • To paste vector objects as a new image, choose Edit > Paste > As New Image.

Related Topics

Moving a Vector Object

Grouping and Ungrouping Vector Objects

Aligning Vector Objects

Distributing Vector Objects

Positioning Vector Objects on the Canvas

Arranging Vector Object on the Canvas


Dash Segment Style

The Style group box in the Styled Lines dialog controls the length of dashes and gaps in the line style.

The Preview Area at the bottom of the Styled Lines dialog displays the changes you make to the line. The Edit Area has a ruler (in pixels) to help you to size dashes and gaps. Each dash or gap can be selected and adjusted with its Slider.

The Style settings are:

Add Adds dashes or gaps. Set the length of the dashes or gaps with the numeric edit control or by clicking and dragging the sliders.

Delete Deletes the selected dash or gap. Select a dash or gap by clicking on its slider in the edit area.

Clear Removes all dashes and gaps.

Zoom Buttons [image] Click to zoom the view of the edit area in or out.

Undo [image] Click to undo previous changes made in the Style group box.

Related Topics

Moving a Vector Object

Grouping and Ungrouping Vector Objects

Aligning Vector Objects

Distributing Vector Objects

Positioning Vector Objects on the Canvas

Arranging Vector Object on the Canvas


Deleting or Merging Nodes

Merging nodes on a contour removes the nodes from the contour, but retains the line segments on each side. The line segments are combined into one line segment between remaining nodes. If the contour is curved at the node, Paint Shop Pro attempts to retain the curve.

Deleting a node on a contour removes the node and line segments on each side. If you delete a node in the middle of an open contour, the vector object becomes two separate contours. If you delete a node in a closed contour, the contour opens.

To merge one or more nodes:.

  1. Select the node you want to merge, see Selecting Nodes.

  2. Merge the node in one of these ways:

  3. Choose Objects > Edit > Merge (Ctrl + M).

  4. Right-click on the node and choose Edit > Merge from the context menu.

  5. Press Ctrl, move the cursor over the node until “MERGE” displays, and then click the node.

To delete a node and its line segments:

  1. Select the node you want to delete, see Selecting Nodes..

  2. Do one of the following:

  3. Press Delete.

  4. Right-click and choose Edit > Delete from the context menu.

  5. Choose Objects > Edit > Delete.

Note: To delete one line segment, break the path at one node of the line segment, and then delete the new node that is created. For information on breaking paths, see Breaking Contours.

Related Topics

Adding and Closing Contours

Breaking Contours

Editing Paths and Contours

Reversing the Direction of Contours or Paths

Joining Contours

Duplicating a Contour


Distributing Vector Objects

You can evenly distribute vector objects in relation to each other. For example, distribute three objects so that their top edges are evenly spaced from each other. To distribute objects in relation to the canvas, see Positioning Vector Objects on the Canvas.

To evenly distribute objects:

  1. On the Tools toolbar, choose the Object Selection tool [image].

  2. Select one object to select it. Press Shift and select the other objects.

Note: You must have three or more objects selected to distribute them in relation to each other.

  3. To distribute objects in relation to each other, on the Tool Options palette click one of the Object Distribution buttons:

Vertical Top [image], Vertical Center [image], Vertical Bottom [image], Horizontal Right [image], Horizontal Center [image], or Horizontal Left [image].

Another way to distribute: With your objects selected, right-click on an object. From the context menu, select a distribution method from Distribute Object.

Related Topics

Moving a Vector Object

Grouping and Ungrouping Vector Objects

Aligning Vector Objects

Positioning Vector Objects on the Canvas

Arranging Vector Object on the Canvas


Drawing Curved and Straight Lines

Use the Point to Point tool to draw lines and then create curves by editing the line nodes.

To draw using curved and straight lines:

  1. From the Pen tool’s Tool Options palette, choose Point to Point [image].

  2. Click and drag at the start point. When the direction of your line is correct, release the mouse button.

  3. For the next node:

  4. To create a straight line, click where you want the next node.

  5. To create a curved line, click and drag. When the curve is the right shape, release the mouse button.

  4. Add additional nodes, clicking for a straight segments or clicking and dragging for curved segments.

Related Topics

Changing Curves and Lines

Creating Custom Line Shapes

Drawing Lines and Custom Shapes

Setting Line Options


Drawing Freeform Lines

Use the Freehand tool to draw free-form lines.

To draw using free-form lines:

  1. From the Pen tool’s Tool Options palette, choose Freehand [image].

  2. Click and drag the cursor along the path you want the line to take. Release the mouse. Paint Shop Pro creates a contour that matches the path. To adjust how precisely the line follows your cursor, see Drawing Objects.

Related Topics

Changing Curves and Lines

Creating Custom Line Shapes

Drawing Lines and Custom Shapes

Setting Line Options


Drawing Lines and Custom Shapes

Paint Shop Pro lets you draw lines and create custom shapes in three different ways. You can draw straight lines, curved lines, and freehand lines.

While each vector preset shape is drawn as a separate object, the Pen tool can create multiple contours inside a single object.

If you draw three separate line segments without clicking the New Shape button between each one, the three contours will be one object.

Switch segment styles as you draw: In the Tool Options palette, click the Line Segments, Point to Point, or Freehand buttons to choose how the next node will be created.

To draw a line or shape:

  1. On the Tools toolbar, choose the Pen tool [image].

  2. On the Tool Options palette, click Drawing Mode [image].

  3. On the Tool Options palette, click New Shape [image] or press Ctrl+N.

  4. Choose the line (foreground) and fill (background) colors and materials. To draw shapes with no line or no fill, set the color to transparent. For instructions on setting colors, see Using the Materials Palette.

  5. Choose the line options. For more information, see Drawing Objects.

  6. On the Tool Options palette, select a Segment Type to draw with. For more information, see Drawing Straight Lines, Drawing Freeform Lines, Drawing Curved and Straight Lines.

  7. Choose Pen tool settings:

  8. Contiguous Mark this check box to connect each node you draw, forming one contour. Clear this check box to draw unconnected line segments (multiple contours). Note: The contiguous setting only applies to the Freehand and Line Segment styles.

  9. Create as vector Mark this check box to create a vector object. Clear the check box to create a raster object.

  10. Simple Mode Clear this check box to show vector style controls while drawing raster objects.

  8. Click to draw nodes:

  9. Once you have three nodes, Paint Shop Pro will fill the space between them with the current background color.

  10. To close the path of a shape, click Close Path [image]. The Pen tool automatically adds a line to connect the end point with the starting point.

New Shape button tip: If you clicked the New Shape button by mistake, click it again to resume drawing.

  9. When you finish the object, do one of the following:

  10. To add a new contour within the same object, click New Contour [image] and continue drawing.

  11. To draw another object, click New Shape [image] and begin drawing.

  12. Choose a new tool.

Related Topics

Changing Curves and Lines

Creating Custom Line Shapes

Drawing Curved and Straight Lines

Setting Line Options


Drawing Preset Shapes

Use the Preset Shape tool to draw objects (rectangles, ellipses, stars, and more). To create your own custom preset shapes, see Creating New Preset Shapes.

To draw a preset shape:

  1. On the Layer palette, click the layer on which you want to draw.

  2. On the Tools toolbar, choose the Preset Shape tool [image].

Notes:

  1. Choose the line (foreground) and fill (background) colors and materials. To draw shapes with no line or no fill, set the color to transparent. For instructions on setting colors, see Using the Materials Palette.

  2. The color settings are ignored if you mark the Retain Style check box on the Toolbar Options palette.

  3. To view more preset shapes at once: from the View drop-down list, choose Small Icons.

  4. On the Tool Options palette, click the preset shapes drop-down window and choose a shape.

  5. Choose to draw a raster or vector object. Mark the Create as vector check box to draw a vector object. Clear the check box to draw a raster object.

  6. Choose other line options. For more information, see Drawing Objects.

  7. Click and drag to draw the shape. When the shape outline is the size you want, release the mouse button. The final shape appears on the image.

  8. Raster objects become part of the current raster layer.

  9. A vector object will appear on the canvas and on the Layer palette as an object within the current layer. Each vector preset shape you draw is a separate vector object.

Preset Shape Drawing Tips: To place the center of the shape where you click, right-click and drag. To keep the height and width of the shape proportional, hold the Shift key while you click and drag.

Related Topics

Changing Curves and Lines

Creating Custom Line Shapes

Drawing Lines and Custom Shapes

Drawing Curved and Straight Lines

Setting Line Options


Drawing Straight Lines

Use the Pen tool with the Line Segments option to draw straight lines.

To draw using the straight lines:

  1. From the Pen tool Tool Options palette, choose Line Segments [image].

  2. Click and drag from the line starting point to the location of the next node. Release the mouse button.

  3. To extend the line: click, drag, and release again.

Note: To draw lines at fixed angles (45 degree increments), press and hold the Shift key as you drag.

Related Topics

Changing Curves and Lines

Creating Custom Line Shapes

Drawing Lines and Custom Shapes

Drawing Curved and Straight Lines

Setting Line Options


Duplicating a Contour

Once you have created contours, you can easily duplicate contours.

To duplicate a contour:

  1. From the Tools toolbar, select the Pen tool [image].

  2. From the Tool Options palette, select Edit Mode [image].

  3. Select one node on the contour.

  4. From Objects > Edit choose:

Duplicate (Ctrl+D) Copies the selected contour and pastes it directly on top of the original contour.

Note: The overlapping nodes will all show node-on-node indicators.

Duplicate & Offset (Ctrl+Shift+D) Copies the selected contour and pastes it at an offset from the original contour. The default offset is 10 pixels in the X and Y directions.

Note: To adjust the number of pixels contours are offset, type new settings in the Duplication X and Duplication Y fields of the Tool Options palette (for the Pen Tool).

Related Topics

Adding and Closing Contours

Adding or Removing Nodes on a Contour

Breaking Contours

Editing Paths and Contours

Reversing the Direction of Contours or Paths

Joining Contours


End Cap Styles

The Caps group box in the Styled Lines dialog controls the end cap style of each segment in the line style. The settings are:

First Cap From the drop-down list, pick the style for the first segment in the line.

Size Click this button to open the Cap Size dialog and adjust the size of the end cap. To set and adjust height and width equally, select the Link axes check box.

Last Cap From the drop-down list, pick the style for the last segment in the line.

Different Segment Caps Mark this check box to create separate end caps for all the middle segments (dashes) in the line. Clear the check box to use the First Cap and Last Cap settings for each dash.

Segment Start From the drop-down list, pick the style for the beginning of each dash.

Segment End From the drop-down list, pick the style for the end of each dash.

Related Topics

Moving a Vector Object

Grouping and Ungrouping Vector Objects

Aligning Vector Objects

Distributing Vector Objects

Positioning Vector Objects on the Canvas

Arranging Vector Object on the Canvas


Grouping and Ungrouping Vector Objects

To edit several objects in similar ways, group them together. When objects are grouped, you can move, resize, reshape, and change their lines and materials all at once. You can also group several groups of vector objects.

When you group objects on different layers, Paint Shop Pro automatically moves them all to the layer of the first object you selected.

Each group has a label on the layer palette and all the objects in the group are shown as components. Click the plus sign in front of the group name to show the group’s components.

Note: Even if an object belongs to a group, you can still select it on the Layer palette and edit it individually.

There are two ways to group objects: Use the Object Selection tool or use the Layer palette.

How to edit one object within a group:

When you have a group of objects, most Paint Shop Pro commands apply to the entire group. However, there are several ways to edit one object within the group. First, click the object name on the Layer palette (the name becomes bold), then you can:

  • Right-click the object name and choose a command from the context menu.

  • Move the object using the arrow keys.

To group vector objects using the Object Selection tool:

  1. Use the Object Selection tool [image] to select each object you want in the group.

  2. On the Tool Options palette, click Group [image] or choose Objects > Group.

To group objects using the Layer palette:

  1. On the Layer palette, click the name of the first object you want to group.

  2. Press Shift and click each object you want to add to group.

  3. Right-click one of the object names and choose Group from the context menu.

Note: If you group objects from several layers, Paint Shop Pro moves them all to the layer of the first object you selected.

To ungroup all objects in a group:

  1. Select the group.

  2. Do one of the following:

  • Choose Objects > Ungroup.

  • On the Object Selection tool’s Tool Options palette, click the Ungroup button [image].

  • On the Layer palette, right-click the group name and select Ungroup from the context menu.

To remove a single object from a group:

On the Layer palette, drag the object from the group into another group or layer.

Related Topics

Moving a Vector Object

Aligning Vector Objects

Distributing Vector Objects

Positioning Vector Objects on the Canvas

Arranging Vector Object on the Canvas


Joining Contours

You can join two contours by connecting their end points. You can manually drag nodes together to join them, or you can have Paint Shop Pro automatically join two nodes.

To join two contours:

  1. From the Tools toolbar, select the Pen tool [image].

  2. From the Tool Options palette, select the Edit Mode [image].

  3. Select one of the contours to show all nodes in the object.

  4. Select the start or end node of the first contour you want to join.

Note: You can only join contours in the same object.

  5. Do one of the following:

  6. To have Paint Shop Pro draw a contour between the points: Press Shift and select the start or end node of the other contour. Press Ctrl + J, or right-click and choose Edit > Join from the context menu.

  • To join contours manually: Click and drag the node over the other contour’s start or end node. When the cursor displays “JOIN,” release the mouse button.

Note: To avoid joining contours when moving nodes hold down Ctrl while you drag.

Related Topics

Adding and Closing Contours

Adding or Removing Nodes on a Contour

Breaking Contours

Editing Paths and Contours

Reversing the Direction of Contours or Paths

Duplicating a Contour


Moving a Vector Object

You can move one or more vector objects.

To move a vector object:

  1. Select the object(s) you want to move.

  2. Do any of the following:

  3. Click inside a bounding box and drag the object or objects to a new position.

  4. To move one pixel at a time, press Shift or Ctrl and press the Up, Down, Left, or Right arrow keys.

  5. To move 10 pixels at a time, press Ctrl + Shift and press the Up, Down, Left, or Right arrow keys.

Related Topics

Grouping and Ungrouping Vector Objects

Aligning Vector Objects

Distributing Vector Objects

Positioning Vector Objects on the Canvas

Arranging Vector Object on the Canvas


Moving Nodes

Moving a node alters the shape of a vector object. If an object has more than one contour, move a contour by moving all of its nodes. Move the path to move the entire object.

Node moving tips: While you drag a node you can constrain its line segments to 45 degree increments.
Hold down Shift to constrain the previous segment. Hold down Shif+Alt to constrain the next segment.

To move a node:

  1. From the Tools toolbar, select the Pen tool [image].

  2. From the Tool Options palette, select the Edit Mode [image].

  3. Click and drag a node to a new position or press the arrow keys.

Note: To move multiple nodes, select them and click and drag a selected node.

Related Topics

Adding or Removing Nodes on a Contour

Editing Nodes

Node Types

Selecting Nodes

Transforming Nodes


Node Types

Symmetrical Choose this type to create a smooth flowing curve from one side of the node to the other. Any adjustments to one control arm are mirrored by the other.

Asymmetrical Choose this type to obtain a different amount of curve on each side of the node, but still keep a smooth flow through the node. You can independently adjust the length of each control arm, but the not the direction.

Cusp Choose this type for nodes that have extreme changes in direction. You can adjust the length and direction of each control arm independently.

Smooth Choose this type of node to have create a smooth transition between straight and curved line segments.

Related Topics

Adding or Removing Nodes on a Contour

Editing Nodes

Moving Nodes

Selecting Nodes

Transforming Nodes


Positioning Vector Objects on the Canvas

You can align, distribute, and arrange vector object on the canvas. For example you can center an object on the canvas, or bring one object to the top of the canvas.

To align vector objects to the canvas:

  1. On the Tools toolbar, choose the Object Selection tool [image].

  2. Click an object to select it.

  3. On the Tool Options palette, click one of the Position on Canvas buttons:

Center in Canvas [image], Horizontal Center in Canvas [image], or Vertical Center in Canvas [image].

Note: All these commands are also available by choosing Object > Align.

To distribute vector objects on the canvas:

  1. On the Tools toolbar, choose the Object Selection tool [image].

  2. Click an object to select it.

  3. On the Tool Options palette, click one of the Position on Canvas buttons:

Space Evenly Horizontal [image] or Space Evenly Vertical [image].

Note: All these commands are also available by choosing Object > Distribute.

Related Topics

Moving a Vector Object

Grouping and Ungrouping Vector Objects

Aligning Vector Objects

Distributing Vector Objects

Positioning Vector Objects on the Canvas

Arranging Vector Object on the Canvas


Reversing the Direction of Contours or Paths

The direction of a contour flows from the start node to the end node. When you place the cursor over the start node, “START” displays next to the cursor. When you place the cursor over the end node, “END” displays. If the object has an closed path, “CLOSE” displays.

For vector objects, you can reverse an entire path (all the contours in the object) or reverse one contour within a path. The direction of a contour or a path affects two important things:

  • Text flow along a contour. Reverse direction to change how text aligns on a contour.

  • Fill properties of overlapping contours. When contours with different directions overlap, the resulting fill is transparent. Reverse one contour overlapping another contour to create cutout objects.

To reverse a path or contour:

  1. From the Tools toolbar, select the Pen tool [image].

  2. From the Tool Options palette, select the Edit Mode [image].

  3. Click on a contour or path, then select on one node on the contour.

Note: To reverse multiple contours, select one node from each contour.

  4. Right-click on the path or contour, choose Edit from the context menu, and choose:
    Reverse Path (Ctrl+Shit+R)     or Reverse Contour (Ctrl+R).

Note: You can also access these commands by choosing Objects > Edit.

Related Topics

Adding and Closing Contours

Adding or Removing Nodes on a Contour

Breaking Contours

Editing Paths and Contours

Reversing the Direction of Contours or Paths

Duplicating a Contour


Selecting Nodes

The first step in editing nodes it to select the node or nodes that you want to edit.

To select one or more nodes:

  1. From the Tools toolbar, select the Pen tool [image].

  2. From the Tool Options palette, select Edit Mode [image].

  3. Click a vector object. The object becomes an outline with nodes.

  4. Do any of the following:

  5. To select one node, click the node.

  6. To deselect a node, press shift click the node.

  7. To select multiple nodes, press Shift and click each node. Or, click and drag a rectangle over the nodes.

  8. To select all nodes on a contour, double-click one node. If the object has only one contour, this selects all nodes in the path.

  9. To select all nodes in a path (all nodes in the object), press Ctrl + A or right-click and choose Edit > Select All from the context menu.

  10. To select the next or previous node on a contour, press Shift and press an arrow key.

Note: Start or end nodes are easy to find. The cursor will display “START,” “END” when it is over the node. If the shape is closed, the cursor will display “CLOSE.”

Related Topics

Adding or Removing Nodes on a Contour

Editing Nodes

Moving Nodes

Node Types

Transforming Nodes


Setting Line Options

Before you begin drawing an object, set the line options. The line options control how the lines of your object will appear. You can also adjust the line options of existing vector objects.

Note: To see all of the options you may need to click the More button [image] at the end of the Tool Options palette. To draw shapes with no line, set the foreground color (in the Materials palette) to transparent.

The following options appear on the Tool Options palette for the Pen tool and Preset Shape tool.

Line Style Sets line style, such as solid or dashed. To create your own line styles, see Creating Custom Line Styles.

Width Sets the line width, from 0.5 to 255 pixels.

Join Sets the type of corners for the path:

  • Miter Produces mitered (pointed) corners when the width of the corner is within the Miter Limit value and produces beveled corners when the corner width exceeds the limit.

  • Round Produces round corners.

  • Bevel Produces flattened corners.

Miter limit This option is available only when you select Miter in the Join group box. The value determines whether the corner is mitered (pointed) or beveled (flattened). Higher miter limits will create more pointed corners. Lower miter limits will create more beveled corners.

Anti-alias Mark this check box to use anti-aliasing, which smooths the jagged edges of lines by softening the color transition between edge pixels and background pixels.

Curve Tracking (Pen tool only) The distance in pixels between the nodes of a Freehand line. A higher value will create smoother, less precise lines. A lower value will create more segmented, precise lines.

Retain style (Preset Shape tool only) Mark this check box to use the line and fill settings of the preset shape. Clear this check box to use the current foreground and background material for the lines and fill.

Related Topics

Changing Curves and Lines

Creating Custom Line Shapes

Drawing Lines and Custom Shapes

Drawing Curved and Straight Lines


The Anatomy of a Vector Object

Closed object selected with Object Selection tool | Open object selected with Pen tool | Contour Selected with Pen Tool

Object An object is anything you create with the Pen or Preset Shape tool. Each object is represented by its own bounding box. An object has properties you can control such as line style and fill color. Each object contains one path made up of contours and nodes, see Drawing Objects.

Path An object contains one path. The path is all the contours in an object. The properties of the path are controlled by the object’s properties. A path’s direction flows from its start to end point. Some paths are closed (their start and end points are the same), See Editing Paths and Contours.

Contour A path contains at least one contour. A contour contains at least one line segment. A contour’s direction flows from its start to end point. A contour can also be open or closed. The contours in a path do not need to be connected. Some of a contour’s properties are controlled by its object’s properties (e.g. line style, fill color, anti-aliasing). The shape of a contour is controlled by the type and location of its nodes.

Node A contour contains at least two nodes. A node is a point on a contour that define the contour’s shape at that point. For instructions on editing nodes, see Editing Nodes.

Line Segment The straight or curved line between two nodes is a line segment, see Changing Curves and Lines.

Related Topics

Moving a Vector Object

Grouping and Ungrouping Vector Objects

Aligning Vector Objects

Distributing Vector Objects

Positioning Vector Objects on the Canvas

Arranging Vector Object on the Canvas


Transforming Nodes

You can transform selected nodes by changing the shape of a contour by manipulating its nodes in a variety of ways, such as flipping, mirroring, and rotating.

For more information see:

Using the Object Menu to Transform Nodes

Using the Tool Options palette to Transform Nodes

Related Topics

Adding or Removing Nodes on a Contour

Editing Nodes

Moving Nodes

Node Types

Selecting Nodes


Using the Object Menu to Transform Nodes

The Objects menu will transform selected nodes using the current settings for each transformation command.

To transform nodes with the current settings:

  1. Select the nodes you want to transform.

  2. Choose Objects > Transform Selected Nodes and choose a command:

Flip (Ctrl+Shift+F) Moves selected nodes along the vertical axis—those on top go the bottom and vice versa. Applied to a single node, the control arms (if any) will flip.

Mirror (Ctrl+Shift+M) Moves selected nodes along the horizontal axis—those on the left go to the right and vice versa. Applied to a single node, the control arms (if any) will mirror.

Rotate Rotates the selected nodes by the current rotation setting. Applied to a single node, the control arms (if any) will rotate.

Skew X Moves selected nodes to the left or right (along the horizontal axis) using the current skew setting.

Skew Y Moves selected nodes to the left or right (along the vertical axis) using the current skew setting.

Contract (F8) Moves the selected nodes closer to each other by the current contraction setting. Cannot be applied to a single node.

Expand (F9) Moves the selected nodes away from each other by the current expansion setting. Cannot be applied to a single node.

Note: To adjust the transform settings, see Using the Tool Options Palette to Transform Nodes.

Related Topics

Adding or Removing Nodes on a Contour

Editing Nodes

Moving Nodes

Node Types

Selecting Nodes

Transforming Nodes


Using the Tool Options Palette to Transform Nodes

You can set and apply transformations to selected nodes from the Pen tool’s Tool Options palette.

To adjust and apply transformation settings:

  1. From the Tools toolbar, select the Pen tool [image].

  2. From the Tool Options palette, select the Edit Mode [image].

Note: You may need to click the More button [image] to view all the options in the Tool Options palette.

  3. Select the node(s) to transform.

  4. From the Tool Options palette select a transform function:

Expand [image] Sets the number of pixels to expand nodes.

Contract [image] Sets the number of pixels to contract nodes.

Skew X [image] Sets the number of pixels to skew nodes on the horizontal axis.

Skew Y [image] Sets the number of pixels to skew nodes on the vertical axis.

Rotate Sets the degrees nodes will rotate.

  5. Type a value for the selected transformation setting.

  6. Click Apply [image].

Related Topics

Adding or Removing Nodes on a Contour

Editing Nodes

Moving Nodes

Node Types

Selecting Nodes

Transforming Nodes


Adding a Contour to a Preset Shape

Adding a contour
to a preset shape


Adding nodes in drawing or edit modes

Adding Nodes in
Drawing or Edit Modes


Adding nodes in Knife Mode


Adjusting Control Arms


Asymmetrical Node


Breaking a contour at a node


Breaking Countours with the Pen Tool

Breaking contours
with the Pen tool

Breaking multiple contours with the Pen tool


Bringing the circle to the top


Center on Canvas


Changing Line Segments


Corner Join Types


Cusp Node


Deleting versus Merging Nodes

Deleting vs. Merging


Distribute Vertical Tops


Duplicating a contour


From Cusp to Symmetrical


Reshaping Vector Objects

Reshaping Objects


Reversing a path contour


Reversing a path with text


Rotation Controls


Same Size Both


Shape drawn with freehand option

Shape drawn with

Freehand option


Shape drawn with line segment option

Shape drawn with

Line Segment option


Shape Drawn with Point to Point Option

Shape drawn with

Point To Point option


Smooth Node


Symmetrical Node


Transforming Nodes


Copying a Selection or Layer

You can make a selection in an image, and then copy that selection into a new layer.

To copy a selection or a layer:

  1. Select the area or layer you want to copy, see Making Selections in Images.

  2. Do either of the following:

  3. To copy the selection or active layer, choose Edit > Copy or press Ctrl + C.

  4. To copy all layers of the selected area, choose Edit > Copy Merged or press Ctrl + Shift + C.

Related Topics

Pasting a Cut or Copied Selection as a New Image

Pasting a Cut or Copied Selection as a New Layer

Pasting a Cut or Copied Selection into a Layer


Copying One Image into Another Using the Browser

You can copy all the layers of an image in the Browser into an open image by dragging the image thumbnail from the Browser onto the open image.

To use the Browser to copy one image into another:

  1. Open the image into which you want to copy the layers. This target image must be a 16 million color or greyscale image.

  2. On the Layer palette, click the layer which you want to place the new image above.

  3. Open the Browser (choose File > Browse or press Ctrl + B).

  4. Navigate to the folder containing the image you want to copy.

  5. Click the browser thumbnail and drag it into the target image. When you release the mouse button, the layers are added to the image. They are linked automatically.

Note: If a new layer duplicates the name of a layer in the target image, a number is appended to the name.

Related Topics

Pasting a Cut or Copied Selection as a New Image

Pasting a Cut or Copied Selection as a New Layer

Pasting a Cut or Copied Selection into a Layer


Copying Paint Shop Pro Images into Other Applications

Copy a Paint Shop Pro image into other applications (such as word processors or desktop publishing packages) in these ways:

  • Choose File > Save As to save the image to another file format (such as TIF or BMP), and then open the other application and import or place the file.

  • In Paint Shop Pro, copy the image (choose Edit > Copy to copy the current selection or layer or Edit > Copy Merged to copy all layers), and then open the other application and paste the image.

  • Open the Paint Shop Pro Browser, select the image, and then press Alt while clicking and dragging the image to an open document in the other application. A multi-layered image is merged (or flattened) before it is copied into the other document.

Don’t have the other document visible? Drag the image to the application’s icon on the Windows task bar, wait for the application to open, move the cursor over the document, and then release the mouse button.

Note: The copy and browser options are available only for programs that support graphic clipboard data.

Related Topics

Pasting a Cut or Copied Selection as a New Image

Pasting a Cut or Copied Selection as a New Layer

Pasting a Cut or Copied Selection into a Layer


Cropping Based on Opaque Areas

Use this feature to eliminate transparent areas at image edges. The Crop tool can automatically set the crop area to cover just the opaque (non-transparent) area of a single layer or an entire image.

Note: Opaque areas that are not rectangular, may have transparent areas remaining after cropping.

To crop to the opaque area of a layer or image:

  1. Click the Crop tool [image].

  2. On the Tool Options palette, select an option from the Snap crop rectangle to group box:

Layer Opaque [image] Selects opaque areas of the current layer.

Merged Opaque [image] Selects opaque area of all layers.

Note: If any layer or the background has a solid color (non-transparent) background, the entire layer or image is selected as the crop area.

  3. Adjust the crop area as needed. See, To define the crop area:.

  4. To crop the image, double-click the image or click Apply [image].

Related Topics

Cropping Images

Cropping with a Selection

Resizing Images


Cropping with a Selection

In Paint Shop Pro, you can make a selection and then crop the image using that selection.

Note: If you crop to a selection that is feathered, the current background color fills in the feathered region of the selection.

To crop using a selection:

  1. Make a selection in the image, see Making Selections in Images.

Note: The selection can be any shape. Paint Shop Pro places a crop area rectangle around irregularly shaped selections.

  2. Do either of the following:

  3. Choose Image > Crop to Selection.

  4. Click the Crop tool, and then click Current selection [image] in the Snap crop rectangle to group box on the Tool Options palette. Adjust the crop area and click Apply [image].

Related Topics

Cropping Images

Cropping Based on Opaque Areas

Resizing Images


Cutting a Selection or Layer

You can make a selection in an image and then cut to that selection.

To cut a selection or layer:

  1. Select the area or layer you want to cut. For information about making selections, see Making Selections in Images.

  2. Choose Edit > Cut or press Ctrl + X.

Related Topics

Pasting a Cut or Copied Selection as a New Image

Pasting a Cut or Copied Selection as a New Layer

Pasting a Cut or Copied Selection into a Layer


Emptying the Clipboard

Placing large amounts of data in the clipboard can slow your computer’s performance. Emptying the clipboard erases the clipboard data. Note: This command cannot be undone.

To empty the clipboard:

Choose Edit > Empty Clipboard.

Related Topics

Cutting, Copying, and Pasting

Resizing Images

Using the Command History to Undo/Redo Actions


Free Rotating an Image

You can manually rotate a selection or layer using Free Rotate.

To Free Rotate:

  1. To rotate a selection or layer (rather than the whole image), do either of the following:

  2. To rotate a selection, make a selection in the image.

  3. To rotate a layer, on the Layer palette click the layer name.

  2. Choose Image > Rotate > Free Rotate (Ctrl + R) to open the Rotate dialog.

  3. In the Direction group box, select the rotation direction: Right or Left.

  4. In the Degrees group box, select the number of degrees to rotate. To enter a value between 0.01 and 359.99, select the Free option.

  5. To apply the rotation to all layers rather than just the current layer or selection, mark the All layers check box.

  6. Click OK.

Note: When you rotate a selection, the selection becomes a floating selection and the original image is unchanged.

Related Topics

Adding Borders to Images

Changing the Canvas Size

Combining Two Images

Correcting Image Perspective

Flipping and Mirroring Images

Scaling and Transforming Images

Warping Images


Loading a Deformation Map

Once you have saved a deformation map, you can load it into other images.

To load a deformation map:

  1. On the Mesh Warp Tool Options palette, select an option under Edge mode:

  2. Background or transparency fill The areas between the edge of the image and the edge of the warp are filled with: the current background color if the areas are on a background, transparency if the areas are on a layer.

  3. Fixed The edge pixels are replicated to fill in the areas between the edge of the image and the edge of the warp.

  4. Wraparound The areas between the edge of the image and the edge of the warp are filled with material from the opposite side of the image.

Note: The Edge Mode setting determines what happens if there is a gap between the border of the image and the edge of the image.

  2. Click Open Deformation Map [image] to open the Load Deformation Map dialog.

  3. In the Deformation map group box, choose a map from the drop-down list. Click the Edit Paths button to load a map from a different folder.

  4. In the Operation group box, select how you want the map to be added:

  5. Replace current map Replaces the existing mesh nodes with the new map. Any adjustments you have made but not applied are lost.

  6. Add to current map Adds the settings from the new deformation map to the mesh nodes. Any adjustments you have made are retained.

  5. In the Mapping group box, select how Paint Shop Pro should adjust the size of the map to fit to the layer or image:

  6. Fit to canvas The map size adjusts to fit the image canvas.

  7. Fit to layer The map size adjusts to fit the current layer.

  8. Current size centered on The map retains its original size and is positioned in the center of the Canvas or Layer.

  6. In the Preview group box, choose a Checkerboard size from the drop-down list to obtain the best preview of the deformation.

  7. Click Load.

Related Topics

Adding Borders to Images

Changing the Canvas Size

Combining Two Images

Correcting Image Perspective

Flipping and Mirroring Images

Scaling and Transforming Images

Warping Images


More Deform Options

You can precisely control many of the deform settings. The following options appear on the Deform tool’s Tool Options palette:

Pivot X, Pivot Y Sets the X and Y coordinates of the rotation pivot point.

Position X, Position Y Sets the X and Y coordinates of the top left corner handle.

Scale X(%), Scale Y(%) Sets the percentage change for the horizontal (X) and vertical (Y) resize. To resize a floating selection or layer and keep the same proportions, select the Deform tool and right-click and drag a corner handle of the bounding box.

Shear The offset of a side. Enter positive values to shear to the right and negative values to shear to the left. At 0.5, a side shears 50% of its length.

Angle The rotation around the pivot point. The image rotates clock-wise from 0 to 360 degrees.

Reset Rectangle [image] Resets the deformation rectangle to its original shape but keeps any current deformations.

Perspective X, Perspective Y The best way to create and adjust perspective is by dragging the control handles. When you create a perspective effect with the control handles, you are manipulating many variables. Changing the values in the Perspective fields may affect the scale, shear, and position values.


Other Ways to Resize an Image

In addition to resizing an image, you can also change the image size by changing the canvas size, cropping the image, or printing at a different size.

Resizing the image removes pixels to make it smaller or adds pixels to make it larger.

Increasing the canvas size adds pixels at the edge of the image. Decreasing the canvas size hides pixels at the edges of the image (full layer information is kept).

Cropping an image deletes the pixels outside the selected crop area.

Printing through Print Layout resizes the image for printing but the image file remains unchanged. This is the best option if you want to print the image at various sizes.


Pasted Selection Looks out of Porportion

Pasted Selection Looks out of Proportion

When you paste data into another image, the data keeps its original pixel dimensions. If one image is much larger or smaller than the other, the selection may look out of proportion.

After you paste the selection, use the Deform tool to scale the selection. See Using the Deform Tool to Correct Perspective.

Resize the two images to make them similar size before copying and pasting. See Resizing Images.


Pasting a Cut or Copied Selection as a New Image

You can paste a cut or copied selection as a new image.

To paste a cut or copied selection as a new image:

Choose Edit > Paste > Paste As New Image or press Ctrl + V.

Related Topics

Copying a Selection or Layer

Copying One Image into Another Using the Browser

Copying Paint Shop Pro Images into Other Applications


Pasting a Cut or Copied Selection as a New Layer

You can paste a cut or copied selection as a new layer.

To paste a cut or copied selection as a new layer:

  1. Select the image into which you want to paste the selection.

  2. Choose Edit > Paste > Paste As New Layer or press Ctrl + L.

Related Topics

Copying a Selection or Layer

Copying One Image into Another Using the Browser

Copying Paint Shop Pro Images into Other Applications


Pasting a Cut or Copied Selection into a Layer

You can paste a cut or copied selection into an existing layer.

To paste a cut or copied selection into a layer:

  1. On the Layer palette of the target image, click the layer into which you want to paste the selection.

  2. Choose Edit > Paste and choose one of these commands:

Paste As New Selection (Ctrl + E) Pastes the contents of the clipboard as a floating selection above the current layer. If the image already contains a floating selection, it is defloated first.

Paste As Transparent Selection (Ctrl + Shift + E) Use this command to remove a specific color from the selection you are pasting. The command makes transparent any pixels in the clipboard data that exactly match the current background color (in the Materials palette). Then the command pastes the contents of the clipboard as a floating selection above the current layer.

Note: Select the background color before you paste.

Paste Into Selection (Ctrl + Shift + L) Pastes the contents of the clipboard into the current selection. The clipboard contents are resized to fit the current selection.

Related Topics

Copying a Selection or Layer

Copying One Image into Another Using the Browser

Copying Paint Shop Pro Images into Other Applications


Rotating an Image 90 Degrees

Correct the orientation of an image by rotating it 90 degrees clockwise or counter clockwise.

To rotate all layers 90 degrees:

Choose Image > Rotate and pick Rotate 90 Clockwise or Rotate 90 Counter clockwise.

Related Topics

Adding Borders to Images

Changing the Canvas Size

Combining Two Images

Correcting Image Perspective

Flipping and Mirroring Images

Rotating Images

Warping Images


Rotating an Image with the Straighten Tool

Straighten an image or layer using the Straighten tool.

To rotate with the Straighten tool:

  1. To straighten a layer (rather than the whole image), click the layer name on the Layer palette.

  2. On the Tools toolbar, click the Straighten tool [image]. A straightening bar with end handles appears on the image.

  3. Click and drag each handle of the straightening bar to align it with the part of the image that you want to be straight.

  4. On the Tool Options palette, choose from these options:

Auto Paint Shop Pro automatically straightens the image based on the position of the straightening bar.

Make vertical Rotates the image to make the straightening bar vertical.

Make horizontal Rotates the image to make the straightening bar horizontal.

Angle To choose a specific angle for the straightening bar enter a value with the numeric edit control.

Crop image To crop the edges of the image to make it rectangular after straightening, mark the check box. Clear this check box to fill edge areas with the background color.

Rotate all layers To straighten all layers in the image, mark this check box.

  5. To apply the command, double-click the image or click Apply [image].

Related Topics

Adding Borders to Images

Changing the Canvas Size

Combining Two Images

Correcting Image Perspective

Flipping and Mirroring Images

Rotating Images

Warping Images


Rotating Images with the Deform Tool

Use the Deform tool to rotate images.

To rotate with the Deform tool:

  1. Select a layer on the Layer palette.

  2. On the Tools toolbar, choose the Deform tool [image].

  3. To change the center of rotation, drag the rotation pivot point (the circle at the image’s center). Note: In Paint Shop Pro 8, rotation pivot points will snap to grids and guides.

  4. Click and drag the rotation handle (the square connected by a line to the rotation pivot point) to a new position. Keep adjusting the rotation as needed.

Note: Paint Shop Pro hides the image data that is rotated off the canvas. You can view the data by increasing the size of the image canvas. See Changing Canvas Size.

Related Topics

Adding Borders to Images

Changing the Canvas Size

Combining Two Images

Correcting Image Perspective

Flipping and Mirroring Images

Rotating Images

Warping Images


Saving and Loading a Deformation Map

Saving and Loading Deformation Maps

You can save the deformations you have created to warp other images. Paint Shop Pro creates a Deformation Map file that contains the positions of the nodes and the number of mesh lines. Save the mesh during the warping process or after you have applied the deformation. Once you have saved a deformation map, you can load it into other images.

For more information see:

Saving Deformation Maps

Loading a Deformation Map

Related Topics

Adding Borders to Images

Changing the Canvas Size

Combining Two Images

Correcting Image Perspective

Flipping and Mirroring Images

Warping Images


Saving Deformation Maps

You can save the deformations you have created to warp other images. Paint Shop Pro creates a Deformation Map file that contains the positions of the nodes and the number of mesh lines. Save the mesh during the warping process or after you have applied the deformation.

To save a deformation map:

  1. On the Mesh Warp Tool Options palette, in the Deformation map group box, click Save [image] to open the Save Deformation Map dialog.

  2. In the New deformation map group box, type a name for the map file.

  3. In the Checkerboard size drop-down list, choose a checkerboard size that helps you preview the deformation effect. This information is not saved with the map file.

  4. Click Save to add the file to the default Deformation Maps folder. Click the Edit Paths button to choose a different folder for saving the deformation maps.

Related Topics

Adding Borders to Images

Changing the Canvas Size

Combining Two Images

Correcting Image Perspective

Flipping and Mirroring Images

Warping Images


Snapping to Grids and Guides

You can use the Snap features to align your brush strokes and objects precisely to the nearest grid line or guide. The snap influence controls how many pixels away an item must be to snap to guide or grid.

Note: An item’s center point will snap to a guide or grid point if the center point is the closest part of the item to a grid point or guide. Grids or guides must be displayed for items to snap to them.

To snap to the nearest grid line:

Choose View > Snap to Grid (Ctrl + Shift + G).

To snap to the nearest guide:

Choose View > Snap to Guides (Shift + Alt + G).

Note: If a grid point and a guide are equal distances from an item, the item will snap to the guide.

To change the snap influence:

  1. Choose View > Change Grid, Guide, and Snap Properties.

  2. Click the Grid or Guides tab and change the Snap influence value.
    The Default settings group box shows settings for all future guides or grids. The Current image settings group box controls settings for guides in the current image.

  3. Click OK.

Related Topics

Using Rulers

Using Grids

Using Guides


Using Grids

Grids are horizontal and vertical lines that help you position items. You can display or hide grids and set preferences for grid spacing and appearance. When you display grids, they appear in all open image windows.

To display or hide the grid:

Choose View > Grid or press Ctrl + Alt + G.

To modify the grid:

  1. Do either of the following:

  2. Right-click the image’s title bar and from the context menu choose Change Grid, Guide, and Snap Properties.

  3. Choose View > Change Grid, Guide, and Snap Properties.

  2. Click the Grids tab.

The Default settings group box shows settings for all future grids you display. The Current image settings group box shows settings for the grid in the current image.

  3. For either the default or current settings, select from these options:

Horizontal grids Sets the distance between horizontal grid lines (starting from the top of the image).

Vertical grids Sets the distance between vertical grid lines (starting from the left side of the image).

Units The unit of measure for positioning grid lines.

Color Click the color box to select a different color for grid lines.

Snap influence Controls how many pixels away an item must be to snap to a guide or grid. The Snap to Grid option must be selected in the View menu.

Related Topics

Using Rulers

Using Grids

Using Guides

Snapping to Grids and Guides


Using Guides

Guides are horizontal or vertical lines that you drag onto your image to use for positioning items or aligning brush stokes. While grids place a series of horizontal and vertical lines at certain intervals, you place guides at the locations you want.

To place guides, you must display the rulers by choosing View > Rulers.

To display or hide guides:

Choose View > Guides.

To place a horizontal or vertical guide:

  1. Do one of the following:

  2. To place a horizontal guide, click the top ruler and drag a guide to the desired position.

  3. To place a vertical guide, click the left ruler and drag a guide to the desired position.

As you drag, the Status Bar displays the guide’s position in pixels.

To move a guide:

Do either of the following:

  • Click the guide handle on the ruler and drag it to a new position.

  • Double-click or right-click the guide handle to display the Guide Properties dialog, type in a new Guide position value, and click OK.

To change the color and position of a guide:

  1. Double-click or right-click the guide handle to display the Guide Properties dialog.

  2. Select from these options:

Guide color Click the color box to choose a new color for the guides.

Guide position Type values in this field to control the guide’s position (in pixels).

  3. Click OK.

To modify settings for guides:

  1. To open the Grid, Guide, and Snap Properties dialog, do any of the following:

  2. Choose View > Change Grid, Guide, and Snap Properties.

  3. Right-click the image title bar to display a context menu, and choose Change Grid, Guide, and Snap Properties.

  4. Double-click the ruler.

  2. Click the Guides tab.

The Default settings group box shows settings for all the guides you place in the future. The Current image settings group box shows settings for the guides in the current image.

  3. For either the default or current image settings, select from these options:

Color Click in the color box to choose a new guide color. Right-click the color box to pick from the Recent Colors dialog.

Snap influence Controls how many pixels away an item must be to snap to a guide or grid. The Snap to Grid option must be selected in the View menu.

  4. Click OK.

To delete one guide:

Do either of the following:

  • Drag the guide handle in the ruler off the image window.

  • Double-click the guide handle to display the Guide Properties dialog and click Delete.

To delete all guides in an image or all open images:

  1. Choose View > Change Grid, Guide, and Snap Properties.

  2. Click the Guides tab.

  3. Mark the Delete guides check box, and then select From current image only or From ALL open images.

  4. Click OK.

Related Topics

Using Rulers

Using Grids

Using Guides

Snapping to Grids and Guides


Using Mesh Warp

Use the Mesh Warp tool to deform images, layers, and selections. Clicking the tool places a grid, or mesh, on the image. The grid intersections have mesh points, or nodes, that you drag to create deformations.

The Mesh Warp tool is limited to deforming the interior of a selection. Use the Warp brush when you want to blend the selection into the rest of the image.

To use the Mesh Warp tool:

  1. On the Tools toolbar, select the Mesh Warp tool .

  2. Drag the nodes to deform the image:

  3. Click and drag a node to move it.

  4. Press Shift while dragging a node to move the entire row or column.

  5. Press Ctrl while dragging a node to deform the row or column into a smooth curve.

  3. Choose settings from the Tool Options palette:

  4. Draft quality Choose the quality of the preview that displays while you edit the mesh nodes. Increasing the quality can slow the warping process in large images.

  5. Final apply Clear the Best Quality check box to create a finished mesh warp at the lower quality of the mesh preview.

  6. Mesh horizontal and Mesh vertical The values indicate the number of mesh lines within the frame. The border lines are not counted. You can change the grid size as you work. Entering new Mesh values reconfigures the grid and returns it to the original position. The image retains any deformations you have made.

  7. Symmetric Mark this check box to create a grid that evenly covers the image. If you image is not square, there will be different values for Mesh horizontal and Mesh vertical. Clear this check box to adjust the Mesh horizontal and Mesh vertical independently.

  8. Show grid Clear the check box to hide the mesh warp grid.

  4. You can save the position of the mesh nodes (the deformation map) to apply the deformation to other images. For instructions see Saving and Loading a Deformation Map.

  5. Use Edit > Undo to undo changes to the mesh as you edit.

  6. To apply the mesh warp, double-click the image or click Apply . To cancel the mesh warp, click Cancel .

Related Topics

Adding Borders to Images

Changing the Canvas Size

Combining Two Images

Correcting Image Perspective

Flipping and Mirroring Images

Warping Images


Using Rulers

You can hide or display rulers. By default, rulers are hidden. When the cursor is on the image, a thin line appears on each ruler to show the cursor’s position. You can display rulers in pixels, inches, or centimeters and change the color of the ruler.

To display or hide rulers:

Choose View > Rulers or press Ctrl + Alt + R.

To change ruler units and colors:

  1. Choose File > Preferences > General Program Preferences.

  2. Click the Units tab.

  3. In the Display units drop-down list, select Pixels, Inches, or Centimeters.

  4. Choose the ruler color by selecting either Black on white or Toolbar colors.

  5. Click OK.

Related Topics

Using Rulers

Using Grids

Using Guides

Snapping to Grids and Guides


Using the Command History to Undo/Redo Actions

Using the Command History to Undo Actions

Revert to a previous state of an image using the Command History dialog. This dialog displays all the actions you have performed since you opened the image. The number of actions you can undo depends on the settings in the Undo tab in the General Program Preferences dialog. See Undo/Redo Preferences.

The Command History dialog lists the action number, amount of time since you performed the action, and the command performed.

Note: To or redo one command from the list you must undo/redo all commands above it. When you select a command to undo or redo, the program automatically selects all commands above it.

To undo or redo actions with the Command History:

  1. Choose Edit > Command History.

  2. Select the actions you want to undo or redo.

Note: You cannot select undo and redo commands at the same time.

  3. Click Undo or Redo.

Related Topics

Repeating Commands

Using Undo/Redo


Using the Deform Tool to Correct Perspective

When you take pictures of tall objects, the resulting photographs may have perspective distortion—the objects seem to be leaning or angled. This distortion happens when the camera is at an angle to the subjects.

To use the Deform tool to correct perspective:

  1. Select the layer to correct in the Layer palette.

  2. Use grid lines to help you correct lines in your photograph that should be vertical or horizontal. To turn on the grid, choose View > Grid.

  3. On the Tools toolbar, select the Deform tool [image].

  4. Press Ctrl and click and drag a corner handle. The image updates when you release the mouse button. Continue adjusting the perspective until the image looks correct.

Note: If the correction causes some image data to fall outside the image canvas, you can restore that data by increasing the size of the canvas. See Changing Canvas Size.

Related Topics

Using the Perspective Correction Tool

Combining Two Images

Warping Images


Using the Perspective Correction Tool

When you take pictures of tall objects, the resulting photographs may have perspective distortion—the objects seem to be leaning or angled. This distortion happens when the camera is at an angle to the subjects.

To use the Perspective Correction tool to correct perspective:

  1. On the Tools toolbar, select the Perspective Correction tool [image].
    A bounding box with corner handles appears on the image.

  2. On the Tool Options palette, select from these options:

  3. Grid lines To display grid lines in the box, enter the number of lines to display.

  4. Crop image Mark this check box to crop the image back to its original size after the perspective is applied. Areas of the image that fall outside the original image size are deleted.

  3. Drag each handle to the corner of a feature that is supposed to be rectangular. For example, the feature may be a building with sides that are angled but should be straight.

  4. On the Tool Options palette, fine-tune the position of the bounding box by specifying the X and Y positions of the four corner handles.

  5. Double-click the image or click Apply.

Note: To reset the perspective correction box to the original rectangle, click Reset [image] on the Tool Options palette.

Related Topics

Using the Deform Tool to Correct Perspective

Combining Two Images

Warping Images


Adding a colored border


Clipboard

The Windows clipboard is an area of computer memory used for temporary storage. Cut or copied image data is stored in it.


Correcting perspective


Cropping an image


Cropping to Opaque Areas

Cropping to opaque area


Deform Tool rotation


Deforming an image


Flipping an Image


Mirroring an image


Straightening an image


Warping Images using Mesh Warp

Warping with the Mesh Warp tool


Changing the Order of Thumbnails

Drag thumbnails to a new positions, or sort the thumbnails in the Browser.

To change the order of thumbnails:

Click the file’s thumbnail and drag it to a new position within the same folder.

To sort thumbnails by file characteristics:

  1. Choose File > Sort to open the Thumbnail Sort dialog.

  2. On the Primary Sort tab, select the primary sort criteria for thumbnails.

  3. To add additional sort criteria, click the Secondary Sort tab, and select additional criteria.

  4. Select the sort criteria, then click OK.

Note: Sorting thumbnails is a one-time operation. The thumbnails will not remain sorted if you add new images or change the properties of the existing files. New images are always added to the end of the list.

Related Topics

Capturing Images from a Computer Screen

Setting Screen Capture Options

Creating Images

Importing Images from Digital Cameras and Scanners

Saving Images

Using the Paint Shop Pro Browser


Compressing .PspImage Files

Compressing a .PpsImage File

An image file in the .PspImage format can be saved without compression, or it can be compressed to save space. Both of the compression methods that Paint Shop Pro uses are lossless, and reduce the file size without losing any image information. Saving a file without compressing it is the quicker method, but it requires more hard disk space.

Paint Shop Pro uses two compression methods:

Run length encoding (RLE), which is fast and compresses most multi-layered images to about 75% of their original sizes. It works well with images that contain large areas of the same color.

LZ77 compression, which is slower than RLE, but can compress an image to a smaller size than RLE. It works well with photo-realistic images.

Related Topics

Capturing Images from a Computer Screen

Setting Screen Capture Options

Creating Images

Importing Images from Digital Cameras and Scanners

Saving Images

Using the Paint Shop Pro Browser


Creating New Images from Existing Images

You can use a copy of an existing image or a layer to create a new image. You can also create an image from any graphic data copied to the Windows clipboard from Paint Shop Pro.

To duplicate an entire image:

  1. Open the image you want to duplicate.

  2. Choose Window > Duplicate or press Shift + D. A new window containing the image opens in the work space.

To create a new image from a layer of another image:

  1. On the Layer palette, click the layer you want to copy.

  2. Choose Edit > Copy.

Note: If you use the Cut or Copy commands, the current selection or layer is placed on the clipboard.

  3. Choose Edit > Paste > As New Image. A new image window opens in the work space. The layer you copied is now the background of the new image.

To create a new image from a layered image:

  1. On the Layer palette, click the layer you want to copy.

  2. Choose Edit > Copy Merged.

Note: All layers are merged into one layer and placed on the clipboard.

  3. Choose Edit > Paste > As New Image. A new image window opens in the work space. The new image contains all layers merged into one raster layer.

To create a new image from clipboard data:

  1. Cut or copy a selection or layer of an image, or an item from another program.

  2. Choose Edit > Paste > As New Image. The clipboard data is pasted as a new image. If this command is greyed out, then the data you have copied to the clipboard cannot be pasted as a Paint Shop Pro image.

Note: A dialog may appear requesting additional information such as width and height of the new image window. You can change your preferences so that Paint Shop Pro does not prompt for size and options when you paste data. See Setting File Format Preferences.

Related Topics

Capturing Images from a Computer Screen

Setting Screen Capture Options

Creating Images

Importing Images from Digital Cameras and Scanners

Saving Images

Using the Paint Shop Pro Browser

Opening Frames from Animation Shop


Downloading Images From a Mounted Drive

Some cameras, card readers, and scanners display as a separate drive, and assigned a drive letter on your computer. For example, your camera may display as My Computer\Removable Disk (G:).

To download from a camera, card reader, or scanner that appears as a mounted drive:

  1. Choose File > Open to open the Open dialog. Or choose File > Browse and use the browser to locate the images on the mounted drive.

  2. Navigate to the drive for your camera, card reader, or scanner.

  3. Locate the images that you want to download in a folder or sub-folder of that drive.

  4. Select the images that you want to download, and click Open to open the images in Paint Shop Pro.

Related Topics

Capturing Images from a Computer Screen

Setting Screen Capture Options

Creating Images

Importing Images from Digital Cameras and Scanners

Saving Images

Using the Paint Shop Pro Browser


Downloading Images Using Windows XP and a USB Cable

Paint Shop Pro supports the WIA connection protocol. If your computer has the Windows XP or ME operating system, your camera or scanner uses the WIA connection system, and you connect your camera or scanner to the computer using a USB cable, then Paint Shop Pro and Windows XP or ME will automatically detect when you have connected your camera to your computer.

To download from a WIA camera or scanner with Windows XP or ME:

  1. Connect the camera, card reader, or scanner to the computer using the USB cable.

  2. Choose File > Import > From Scanner or Camera to download the images to your computer.

Related Topics

Capturing Images from a Computer Screen

Setting Screen Capture Options

Creating Images

Importing Images from Digital Cameras and Scanners

Saving Images

Using the Paint Shop Pro Browser


Importing Image Using the TWAIN Interface

Importing Images Using the TWAIN Interface

Most cameras and scanners are TWAIN-compliant. Use this setting if your camera, scanner, or card reader is TWAIN-compliant.

To import images using the TWAIN interface:

  1. Choose File > Import > TWAIN > Select Source. The Select Source dialog lists the TWAIN-compliant devices connected to your computer.

Note: You only need to select the source the first time you connect to the camera, card reader, or scanner.

  2. Click the name of the device, then click Select.

  3. Choose File > Import > TWAIN > Acquire to run the device’s software.

  4. Do one of the following:

  5. For scanners, perform the scan using the device’s software. (Refer to the scanner manufacturer’s documentation for details.)

  6. For digital cameras, an Import dialog displays. Select the images that you want to download, and then click Download.

When the device and software finish processing the image, the image is sent to Paint Shop Pro and placed in an image window. The software remains open so you can continue to acquire images or close the software.

  5. Click the Paint Shop Pro icon in the Windows task bar to display Paint Shop Pro and your image.

  6. Choose File > Save As to save the image.

Related Topics

Capturing Images from a Computer Screen

Setting Screen Capture Options

Creating Images

Importing Images from Digital Cameras and Scanners

Saving Images

Using the Paint Shop Pro Browser


Inverting Selected Files

Once you have selected files in the browser, you can invert the selection to select the files you did not originally select.

To invert which files are selected:

Choose Edit > Invert Selection. All selected thumbnails are deselected and all unselected thumbnails are selected.

Related Topics

Changing the Order of Thumbnails

Renaming Files Using the Browser

Pasting Files from the Browser into Another Application

Moving and Deleting Files Using the Browser

Updating Thumbnails


Moving and Deleting Files Using the Browser

Move files into other folders, or delete files using the PSP Browser.

To move files:

Do one of the following:

  • Click the file’s thumbnail and drag it to a different folder in the left pane of the Browse window. You can also select several thumbnails and drag them to a new folder.

  • Select the file or files, then press Ctrl + M or right-click the thumbnail and choose Move To from the context menu. At the Browse for Folder dialog, select the desired folder and click OK.

To delete files:

  1. Select the file or files you want to delete.

  2. Press Ctrl + Delete or right-click the file’s thumbnail and select Delete from the context menu.

Related Topics

Selecting Files Using the Browser

Changing the Order of Thumbnails

Renaming Files Using the Browser

Pasting Files from the Browser into Another Application

Updating Thumbnails


Pasting Files from the Browser into Another Application

Copy and paste images from Paint Shop Pro directly into any application that support meta files, DIBs, and BMPs, such as Microsoft Word. If the image has more than one layer, all layers are automatically merged.

To paste files to other applications that support OLE functions:

Press Alt and click the file’s thumbnail, drag it to the application’s button in the Window task bar until the application opens, then move the cursor to the application and release the mouse button.

Related Topics

Selecting Files Using the Browser

Changing the Order of Thumbnails

Renaming Files Using the Browser

Moving and Deleting Files Using the Browser

Updating Thumbnails


Renaming Files Using the Browser

You can easily rename files using the Browser.

To rename files:

  1. Press Ctrl + R or right-click the thumbnail and select Rename from the context menu.

  2. Type the new filename. The Browser does not automatically add an extension.

  3. Click OK.

Related Topics

Selecting Files Using the Browser

Changing the Order of Thumbnails

Pasting Files from the Browser into Another Application

Moving and Deleting Files Using the Browser

Updating Thumbnails

Rotating Images Using the Browser


Rotating Images Using the Browser

Use the Browser to rotate images with lossless rotation and retain all of the original image data.

To rotate images:

  1. Select the images that you want to rotate.

  2. Choose ImageFile > JPEG Lossless Rotation, and then select an option:

  3. Clockwise 90°

  4. Clockwise 180°

  5. Counter Clockwise 90°

Related Topics

Selecting Files Using the Browser

Changing the Order of Thumbnails

Pasting Files from the Browser into Another Application

Moving and Deleting Files Using the Browser

Updating Thumbnails


Saving a Copy of an Image

When you save an image using the Save Copy As command, you are copying the original file, not saving it. Use this command to save a version of a file without affecting the original. The dialog contains all the same features as the Save As dialog.

Note: When using the Save Copy As command:

  • The modifier tag is not affected. It does not disappear from the title bar.

  • The file name does not change. The copy is titled “Image Name.”

  • Paint Shop Pro saves the copy to the same directory and in the same format that was last used with the Save Copy As command (not the Save As command).

To save a copy of an image:

  1. Choose the File > Save Copy As or press <Ctrl + F12> to open the Save Copy As dialog.

  2. Use the Save In drop-down list to Navigate to a new folder if you want to save the copy in a different folder. If necessary, use the Up One Level button to help navigate, or the Create New Folder button to create a new folder.

  3. In the File Name box, type a name for the file.

  4. To save the file in a different format, select the format from the Save As Type drop-down list.

  5. If the file format has save options, click the Options button to open the Save Options dialog. Select new settings, if appropriate. If you are unsure of the settings, use the default values. Click OK to return to the Save As dialog.

  6. Click Save to save a copy of the file.

Note:

  • For information about saving several images in a new file format see, Processing Multiple Files.

  • For information about optimizing images for the Web, see Saving Images for the Web.

Related Topics

Using AutoSave

Compressing .PspImage Files

Saving an Image

Saving a New Image File

Saving an Image File in its Original Format

Saving an Image File in a New File Format


Saving a New Image File

The first time you save an image, Paint Shop Pro automatically opens the Save As dialog, where you select a location, name, and format for the image. After this, Paint Shop Pro saves changes to the original image without opening the dialog.

To save a new image:

  1. Choose File > Save, press Ctrl + S, or click the Save button [image] on the toolbar. The Save As dialog opens.

  2. Use the Save In drop-down list to navigate to the folder in which you want to save the image file. If you frequently save files to the same folder, click the Favorites folder [image] and select a folder from the list.

  3. In the File Name box, type a name for the file.

  4. To save the file in a new format, select the format from the Save As Type list.

  5. If the file format has save options, click the Options button to open the Save Options dialog. Select new settings, if appropriate. If you are unsure of the settings, use the default values. Click OK to return to the Save As dialog.

  6. Click Save to close the dialog and save the file.

You can have Paint Shop Pro display the last used file type when opening this dialog. Select this option in the Dialogs and Palettes Preferences tab of the General Program Preferences dialog.

Related Topics

Using AutoSave

Compressing .PspImage Files

Saving an Image

Saving an Image File in its Original Format

Saving an Image File in a New File Format

Saving a Copy of an Image


Saving an Image

You can easily save an image with the same file name and location. Note that this will overwrite the original image with the modified image. To save the image using a different name or file format, choose File > Save As.

To save an image:

  • Choose File > Save to automatically save the image with the same file name and location. This will overwrite the original image with the modified image.

  • Press Ctrl + S

  • Click the Save button [image] on the toolbar

Related Topics

Using AutoSave

Compressing .PspImage Files

Saving a New Image File

Saving an Image File in its Original Format

Saving an Image File in a New File Format

Saving a Copy of an Image


Saving an Image File in a New File Format

Saving an Image in a New File Format

If you want to save a file in another format, use the Save As command.

To save a file:

  1. Choose File > Save As or press F12 to open the Save As dialog.

  2. Navigate to and open the folder in which you want to save the image file.

  3. To rename the image file, type a new name in the File name box.

  4. Open the Save as type box, and scroll to select a new format.

  5. If the file format has save options, click the Options button to open the Save Options dialog. Select new settings, if appropriate. If you are unsure of the settings, use the default values. Click OK to return to the Save As dialog.

  6. Click Save to save the image file and close the dialog.

Related Topics

Using AutoSave

Compressing .PspImage Files

Saving an Image

Saving a New Image File

Saving an Image File in its Original Format

Saving a Copy of an Image


Saving an Image File in its Original Format

When you save an image and then edit it, the image title bar displays a Modified tag (an asterisk) after the file’s name to indicate the file has been modified. This tag disappears each time you save the file; it reappears when you again edit the image.

Related Topics

Using AutoSave

Compressing .PspImage Files

Saving an Image

Saving a New Image File

Saving an Image File in a New File Format

Saving a Copy of an Image


Selecting Files Using the Browser

Select all files in a folder, or select files by characteristics using the Browser.

To select all files in a folder:

On the Browser menu, choose Edit > Select All or press Ctrl + A.

To select files by file characteristics:

  1. On the Browser menu, choose File > Select.
    At the Select dialog, you can select files that have specific file or image attributes, such as name, file extension, size, width, bits per pixel, and date.

  2. Select the file and image attributes, then click OK.

To deselect all files in a folder:

On the Browser menu, choose Edit > Select None or press Ctrl + D.

Related Topics

Changing the Order of Thumbnails

Renaming Files Using the Browser

Pasting Files from the Browser into Another Application

Moving and Deleting Files Using the Browser

Updating Thumbnails

Rotating Images Using the Browser


Setting Screen Capture Options

Use the Capture Setup dialog to select how you want to capture, how you activate the screen capture, and to set other options.

To set screen capture options:

  1. Choose File > Import > Screen Capture > Setup to open the Capture Settings dialog.

  2. In the Capture group box, select the type of capture:

  3. Area Captures an area of the screen that you select by clicking once at one corner of the area and clicking again at the opposite corner.

  4. Full screen Captures the entire computer screen.

  5. Client area Captures the contents of the active program.

  6. Window Captures the active window. If a dialog is open, this option captures the dialog. If no dialog is open, this option captures the active application.

  7. Object Captures an object within a program, such as a menu bar, toolbar, icon, or a document window. When you initiate the capture, you move the cursor over an object and it is highlighted with a rectangle.

  3. In the Activate capture using group box, select the method for activating the screen capture:

  4. Right mouse click A right mouse click activates a capture.

  5. Hot key A key (such as F11) or key combination (such as Shift + F1) activates a capture. Select the option, then click the drop-down list to select a key or key combination.

  6. Delay timer The screen capture is taken a certain number of seconds after you start the screen capture.

Note: These options select the method for activating the capture after you have started the screen capture feature. To start the screen capture, you click the Capture Now button on this dialog, or at the Paint Shop Pro work space press Shift + C or choose File > Import > Screen Capture > Start.

  4. In the Options group box, select from the following options:

  5. Include cursor Mark this check box to include the cursor in screen captures. This check box is not available for area captures.

  6. Multiple captures Mark this check box when you want to take multiple captures one after the other. Start the screen capture, and then press the hot key to activate it multiple times. Clear this check box to have Paint Shop Pro display after you take one screen capture.

  5. Do one of the following:

  6. To start the screen capture feature immediately, click Capture Now. Screen capture settings are saved and Paint Shop Pro minimizes to the task bar. Use the hot key to activate the screen capture. See Capturing Images from the Computer Screen.

  7. To save the settings, click OK.

Related Topics

Capturing Images from a Computer Screen

Creating Images

Importing Images from Digital Cameras and Scanners

Saving Images

Using the Paint Shop Pro Browser


Updating Thumbnails

When you open a folder in the Browser, Paint Shop Pro creates thumbnails for all supported graphic images and stores them in a file called PspBrwse.jbf. Every folder you have opened in the Browser has a copy of this thumbnail file. Paint Shop Pro uses this file to display thumbnails more quickly each time you open a folder.

The default preference setting is to have the thumbnails file update automatically every time you open the folder. To change this preference, see Browser Preferences.

Occasionally you may want to update the thumbnails with the Update Thumbnails command. For example, if you have used Windows Explorer to delete or add a file in a folder, you can choose File > Update Thumbnails, or press F5 to update the thumbnails file. (You can also open the folder again in the Browser for Paint Shop Pro to update it automatically.)

After a thumbnail file is created, new files are appended to the end of the thumbnails list. To sort the list alphabetically or by other characteristics, choose File > Sort.

Related Topics

Selecting Files Using the Browser

Changing the Order of Thumbnails

Renaming Files Using the Browser

Pasting Files from the Browser into Another Application

Moving and Deleting Files Using the Browser

Rotating Images Using the Browser


Using Autosave

You can use the Autosave feature to save your files automatically at specified intervals. This can prevent you from losing your work if your computer shuts down unexpectedly. For more information, please refer to Setting Autosave Preferences.

Related Topics

Compressing .PspImage Files

Saving an Image

Saving a New Image File

Saving an Image File in its Original Format

Saving an Image File in a New File Format

Saving a Copy of an Image


Viewing EXIF Data

EXIF stands for Exchangeable Image File Format. If your camera supports this standard, it will record the time & date the image was taken, exposure information (ISO, shutter, aperture) and other camera details in the header of each image file. To view EXIF data, choose Image > Image Information to open the Current Image Information dialog, and then click the EXIF Information tab.

Related Topics

Capturing Images from a Computer Screen

Setting Screen Capture Options

Creating Images

Importing Images from Digital Cameras and Scanners

Saving Images

Using the Paint Shop Pro Browser


Automated Productivity

Presets Create and save custom presets for all filters and effects. Use the presets to recreate a specific look or to share with others.

Brush Presets Paint with creative brush effects such as crayon, charcoal, pencil, and more, designed to provide realistic painting effects. Choose from many artistic presets or create, save, and share your own.

Scripts Use the new scripts feature to repeat any series of commands or steps on any image. Choose from dozens of preset scripts or record your own custom series of steps to save and replay or share with others. Modify your scripts using a text editor.

Enhanced Batch Processing Save time and maximize your processing power with many new enhancements to Batch Processing, such as the ability to rename files and apply a script to a series of images in a folder.

New File Extensions Many of Paint Shop Pro’s native formats have new file extensions that make them easier to recognize. Images are .PspImage files; gradients are .PspGradient files; masks are .pspMask files, and so on. Paint Shop Pro version 8 also reads file formats from previous versions of the software.


Dynamic Personalization

Customizing the User Interface Adapt your workspace to the way you work. Drag and drop any feature, special effect, filter, and tool anywhere on the interface - wherever you want. Place menu items and tools you frequently use on a floating or docked toolbar that you create. You can also create your own keyboard shortcuts, and customize the menus.

Enhanced Workspaces Once you have everything set up just the way you like it, save your workspace - or multiple workspaces. This is perfect if you share a computer with others because each person can have their own personalized workspace that loads instantly and saves time otherwise spent moving things around.


Enhanced User Interface

A New Look Paint Shop Pro includes new icons, palettes, and menu displays to make using the software more intuitive.

Enhanced Tool options The Tool Options palette is now fully dockable, streamlined, and much more intuitive.

Enhanced Materials The Materials palette (formerly the Color palette) includes easy-to-use controls for selecting colors, patterns, gradients, and textures.

Enhanced Tools toolbar The tools on the Tools toolbar are grouped into related categories organized on flyouts.

Enhanced Layer palette The Layer palette allows you to better manage and view image data.


Integrated Learning Tools

Learning Center Window Get started quickly with the new Learning Center window that guides you around Paint Shop Pro. Try out new Quick Guides that lead you through a variety of common projects to help you get up and running fast.

Product Tour Familiarize yourself with Paint Shop Pro by viewing the all-new Product Tour. Nearly 50 topics show you the many results you can achieve using Paint Shop Pro for all of your photo and graphics projects.


New Filters and Special Effects

Black and White Points Feature Set the overall tonal range of photographs and bring out image detail without losing information.

Lens Distortion Correction Quickly correct images that have pincushion, barrel, or fisheye distortions.

Balls and Bubbles Have fun creating realistic transparent bubbles with full control over the reflection.

Halftone Create a trendy dot representation of a photograph.

Soft Focus Create your own “glamorous shot.”

Magnifying Lens Draw focus to an area of the image. This effect simulates placing a lens on the image. Enjoy full control over lighting, reflection, optical distortions, and magnification strength.

Lens Distortion Simulate many lens distortion effects, such as fisheye, barrel, or pincushion.

Offset Precisely define where an image wraps when creating seamless patterns.

Seamless Tiling Professionally prepare high-quality seamless patterns and tiled images.


New Tools to Create Professional Results

Background Eraser Tool Use the new Background Eraser tool to select a colored area of the image and replace it with transparency.

Warp Brush Create fun or dramatic effects by altering your photos. Stretch, pull, push, tug, or swirl to create unlimited effects.

Straighten Tool Align crooked photos. Simply draw a horizontal or vertical line specifying the direction in which to align the image.

Enhanced Deform Tool The new handles that are easier to use. Use the tool to scale, shear, distort, rotate, and apply perspective to images.

Enhanced Painting Engine Enjoy better photo retouching with greater precision and smoother blending of brush strokes.

Enhanced Retouch Brushes All of the retouch brushes that were formerly part of the Retouch tool are now separate brushes. For example, use the Dodge brush to lighten images and bring out details, use the Burn brush to darken areas of images, or use the Saturation brush to increase or decrease the saturation.

Enhanced Crop Tool Choose from preset crop sizes, such as 4 x 6 or 8 x 10. This tool now also provides aspect ratio control to make it even easier to achieve the perfect crop.

Enhanced Selections New Edge Seeker mode adds more intelligence as the Freehand Selection tool automatically seeks an edge between mouse click points along an object. You also have a wide choice of ways to modify selections, such as removing holes and specks and adding an inside feather.

Versatile Tablet Options Explore your freedom and creativity with additional options for pen tablets—vary the color, density, opacity, rotation, size, and thickness of brush strokes based on pressure, tilt, altitude, and more.

Layer Groups Place layers in layer groups to organize the Layer palette, apply settings (such as opacity) to all layers within a group, and have mask and adjustment layers affect only layers within the group (rather than all underlying layers).

Mask Layers Masks are now separate layers rather than attributes of other layers. Mask layers mask all image data below them at the same level; for example, all layers within a layer group.


Share Images with Others

Enhanced Print Layout Use a variety of preset printing templates designed to offer common page layouts and commercial papers, such as 3 x 5’s, 4 x 6’ s, and business cards. Create and save your own custom templates to reuse or share with others.

More File Types Now Paint Shop Pro supports even more file types, such as new JPEG 2000 and PDF, as well as Wireless Bitmap (WBMP).

EXIF Photo Information View detailed EXIF photo information from digital cameras, including date, time, resolution, f-stop, ISO speed, and more. Information is preserved when you save the images in Paint Shop Pro (.PspImage), JPEG, and TIFF file formats.

Windows Image Architecture (WIA) Support Easily import images directly from many digital cameras and scanners using the WIA interface (available only when using Windows ME).


Using Quick Guides to Learn Common Tasks

Using the Quick Guides to Learn Common Tasks

Quick Guides are short, fast tutorials that guide you through new tasks and projects in just a few minutes using your own image. Perform each step yourself, or have the program show you where to find the tools needed to complete the task.

To use Quick Guides:

  1. Choose View > Palettes > Learning Center, or press F10 to pen the Learning Center window.

  2. Click the title of a Quick Guide to view the selected topic.

Related Topics

Using the Help System

Using the Jasc Learning Center

Using Web-Based resources

Viewing the Product Tour


Using the Help System

Paint Shop Pro’s Help system complements this user guide. To use help, choose Help > Contents and Index, or press F1.

Most dialogs also have a Help button; click it to display context-sensitive help.

Related Topics

Using Quick Guides to Learn Common Tasks

Using the Jasc Learning Center

Using Web-Based resources

Viewing the Product Tour


Using the Jasc Learning Center

Using the Jasc Software Learning Center

The Jasc Software Learning Center shows you how to use Paint Shop Pro’s features to create amazing photograph enhancements and sophisticated graphics. Jasc and third-party tutorials walk you through the steps for everything from restoring old photographs to creating metallic text.

To access the Jasc Software Learning Center, browse to www.jasc.com/learncenter.asp. Or, go to Jasc.com, click the Support tab and select Learning Center.

Related Topics

Using the Help System

Using Quick Guides to Learn Common Tasks

Using Web-Based resources

Viewing the Product Tour


Using Web-Based Resources

On the Help menu of Paint Shop Pro, you can access a number of Website pages dedicated to support issues. Choose Help > Jasc Software Online and select one of the following Website links:

  • Jasc Software Website Visit www.jasc.com to preview or buy the latest Jasc products, access the Learning Center or the Support Center, and find answers to your questions.

  • Support Center Access the Jasc Customer Care Center to search for answers in our Knowledge Base, submit questions to Technical Support, or give us feedback.

  • Register Product Online Register your copy of Paint Shop Pro online.

  • Check for Updates Check the Jasc.com Website for updates to Paint Shop Pro. choose Help > Jasc Software Online > Check for Updates.

  • E-mail Technical Support Send an e-mail message to Technical Support.

Getting in Touch with Other Paint Shop Pro Users

Millions of people use and love Paint Shop Pro. There are many independent (non-Jasc) Paint Shop Pro communities where users share tips and tricks, ask questions, and get answers about Paint Shop Pro. There are Websites, newsgroups, and chatrooms devoted to Paint Shop Pro. As a starting point, search online for “Paint Shop Pro.”

One popular newsgroup is the Usenet newsgroup, comp.graphics.apps.paint-shop-pro, which you can access using your favorite news reader such as Microsoft Outlook Express, or an on-line news reader such as GOOGLE Groups.

Related Topics

Using the Help System

Using Quick Guides to Learn Common Tasks

Using the Jasc Learning Center

Viewing the Product Tour


Viewing the Product Tour

Watch the movies in the Quick Tour to see the new tools and features in action. The product tour even links the Help file and the Quick guides.

To view the Product Tour:

  1. In the Windows desktop, click the Start button and choose Programs. The Programs pop-out menu appears to the right.

  2. Choose Jasc Software - Jasc Paint Shop Pro to open Paint Shop Pro.

  3. Choose Help > Product Tour.

  4. When you are finished viewing the Product Tour, click Start Using Paint Shop Pro to return to the main program window.

Related Topics

Using the Help System

Using Quick Guides to Learn Common Tasks

Using the Jasc Learning Center

Using Web-Based resources


Editing Neumeric Values

Editing Numerical Values

To edit numbers in Paint Shop Pro dialogs, you use the Jasc numeric edit controls, which provide an easy way to edit numbers and change settings.

To edit numbers:

Do one of the following:

  • To enter a specific value, click the edit box, use the Delete or Backspace key to delete the number as needed, and then type a new value. You can also double-click the number to highlight it, and then type a new value.

Note: If you type a value in the edit box that is out of range for the control, the box turns red.

  • To increase or decrease the number by one, click the up or down arrow of the spin controls.

  • To choose an approximate value, click once at a position on the meter bar.

  • To choose from the range of possible settings, click and hold the mouse button down on the meter bar or the slider button, and then drag to select a desired setting and release the mouse.

Related Topics

Using Context Menus

Using Toolbars

Using Palettes

Using the Overview Palette

The Status Bar

Using Tools

Setting Tool Options


Magnifying and Reducing the View of Images

Magnifying and Reducing the View

Magnify the view of an image (zoom in) to view and edit image details or reduce the view (zoom out) to see the overall image. The title bar of the image window displays the zoom percentage.

To zoom in:

Do one of the following:

  • Zoom with the mouse wheel, roll the optional wheel on your mouse to zoom in or out quickly.

  • On the Tools toolbar choose the Zoom tool [image] (if necessary, click the down-arrow next to the Pan tool), and then left-click the area you want to magnify. The view magnifies to the next preset percentage with each click, up to the maximum magnification of 5000%.

  • Choose the Zoom tool or the Pan tool, and then in the Tool Options palette select a zoom percentage or click the Zoom In By 1 Step or Zoom in by 5 Steps buttons.

  • Choose View > Zoom In By 1 Step to magnify the view to the next preset percentage.

  • Choose View > Zoom In by 5 Steps to magnify the view to the fifth preset percentage.

To zoom out:

Do one of the following:

  • On the Tools toolbar, select the Zoom tool [image] (if necessary, click the down-arrow next to the Pan tool) and then right-click the area you want to reduce. The view reduces to the previous preset percentage with each click, down to a minimum magnification of 1%.

  • Choose the Zoom tool or the Pan tool, and then in the Tool Options palette select a zoom percentage or click the Zoom Out By 1 Step or Zoom Out by 5 Steps buttons.

  • Choose View > Zoom Out By 1 Step to reduce the view to the next preset percentage.

  • Choose View > Zoom Out by 5 Steps to reduce the fifth preset percentage.

To magnify a specific area:

  1. Choose View > Magnifier.

  2. Click and drag over the part of the image you want to magnify. The selected area is displayed at the highest percentage that will fit within the window.

Automatic resizing: By default, when you zoom in or out the image window is automatically resized to fit the image. To change this preference setting, see View Preferences.

Related Topics

Using Context Menus

Using Toolbars

Using Palettes

Using the Overview Palette

The Status Bar

Using Tools

Setting Tool Options


Opening Other Jasc Programs

If you have other Jasc programs installed on your computer, you can open them directly from Paint Shop Pro.

To open another Jasc Program:

Choose File > Jasc Software Products and select the program that you want to open.

Related Topics

Starting and Exiting Paint Shop Pro

Exploring the User Interface

Using Toolbars and Palettes

Viewing Images

Viewing Image Information

Working with Dialogs

Using Shortcut and Function Keys


Previewing and Editing in Full Screen

Previewing and Editing Using the Full Screen

Use the Full Screen Preview command to preview an image without any of the menus, toolbars, or palettes visible.

Use the Full Screen Edit command to expand the entire workspace, giving you the largest possible space for displaying and editing images. The palettes and toolbars are visible but the menus, Paint Shop Pro title bar, and Status bar are hidden.

To preview an image on the full screen:

  1. Choose View > Full Screen Preview or press Ctrl + Shift +A. The workspace disappears and the image displays at its current magnification.

  2. To return to the Paint Shop Pro workspace, press any key.

To edit using the full screen:

  1. Choose View > Full Screen Edit or press Shift + A. The menu bar and status bar disappear.

To select from a menu when using the full screen, move the cursor to the top of the screen and left-click. The menus appear as you move the mouse along the top.

  2. To return the window to its previous size, press Shift + A.

Related Topics

Using Context Menus

Using Toolbars

Using Palettes

Using the Overview Palette

The Status Bar

Using Tools

Setting Tool Options


Randomizing Parameters

Many correction and effect dialogs have a Randomize parameters button. Click this button to update all dialog settings with random values. To try out a variety of settings, click the button multiple times.

To randomize settings within a dialog:

Click the Randomize parameters button [image].

Related Topics

Using Context Menus

Using Toolbars

Using Palettes

Using the Overview Palette

The Status Bar

Using Tools

Setting Tool Options


Resizing a Dialog

All dialogs contain a Resize Handle [image] in the lower right corner of the dialog. Click and drag the handle to resize the dialog.

Related Topics

Using Context Menus

Using Toolbars

Using Palettes

Using the Overview Palette

The Status Bar

Using Tools

Setting Tool Options


Setting Tool Options

After you select a tool from the Tools toolbar, set its options in the Tool Options palette. Options include such settings as brush size and shape for painting tools and line width for drawing tools. By default, the palette is underneath the standard toolbar. The palette displays options grouped into bands, which you can minimize and drag within the palette. To display a minimized band, click its handle or right-facing arrow.

Set the options before you use the tool. You cannot edit settings in the Tool Options palette for brush strokes or objects you have already created.

Although the items in the Tool Options palette depend upon the active tool, here are the common features:

Presets Scripts that save specific settings for a tool. For more information, see Using and Creating Presets.

Down-Arrow button [image] Shows or hides additional options for the tool.

Apply button [image] Applies the changes you have made.

Cancel button [image] Cancels any changes that you have made.

For information on moving, hiding, and displaying the Tool Options palette, see Using Palettes.

Related Topics

Using Context Menus

Using Toolbars

Using Palettes

Using the Overview Palette

The Status Bar

Using Tools


The Status Bar

The Status bar displays text about the selected tool or menu command, as well as image information including the dimensions, color depth, and cursor position. For more information, see Viewing Image Information.

Related Topics

Using Context Menus

Using Toolbars

Using Palettes

Using the Overview Palette

Using Tools

Setting Tool Options


Using Color Boxes

In some dialogs, a color box displays the currently selected color. When you move the cursor over the color box, the cursor changes to a dropper and displays the RGB values. Click the color box to select another color:

  • Left-click the color box to select from the Color dialog.

  • Right-click the color box to select from recently used colors.

For more information, see Choosing Colors.

Related Topics

Using Context Menus

Using Toolbars

Using Palettes

Using the Overview Palette

The Status Bar

Using Tools

Setting Tool Options


Using Context Menus

Context menus provide quick access to commands specific to the active tool, selection, or palette.

Note: For a complete list of Context menus, choose View > Customize to open the Customize dialog. Click the Menu tab, and select a context menu from the Select context menu drop-down list.

To use a context menu:

  1. Position the cursor over an image, an empty area of a palette, a layer name on the Layers palette, a thumbnail in the Browser, or a toolbar.

  2. Right-click to display the context menu.

  3. Choose a command from the menu.

Related Topics

Using Toolbars

Using Palettes

Using the Overview Palette

The Status Bar

Using Tools

Setting Tool Options


Using Palettes

Use palettes to choose tools and tool options, select colors, and manage layers. Display or hide palettes, or arrange them on the workspace. Dock a palette to snap it into place at an edge of a workspace, or to float it to move it anywhere on the screen.

Paint Shop Pro contains these palettes:

  • Materials palette Select colors and materials for painting, drawing, filling, and retouching. See Using the Materials Palette.

  • Tool Options palette Modify options for the currently selected tool. See Setting Tool Options.

  • Layers palette View, organize, and edit image layers. See About Layers.

  • Learning Center palette Displays tutorials for common tasks. See Using the Quick Guides to Learn Common Tasks.

  • Histogram palette Displays a graph of the distribution of red, green, blue, greyscale, hue, saturation, and lightness values in an image. Analyze the distribution of detail in the shadows, midtones, and highlights to decide how to make corrections. See Using the Histogram to Analyze Images.

  • Overview palette Displays a thumbnail view of the active image, as well as information about the image. See Using the Overview Palette.

  • Script Output palette Displays actions you take and the results of running scripts. See About the Script Output Window.

  • Brush Variance palette Sets additional brush options. This palette is particularly useful if you have a 4D mouse or a pressure-sensitive tablet. For example, you can vary the opacity of a brush stroke by applying pressure with the stylus. You can use some options with a mouse.

To display or hide a palette:

Do one of the following:

  • Choose View > Palette and choose the palette name.

  • Type the palette’s shortcut key (listed to the right of the name).

  • Right-click any palette and choose the palette name from the context menu.

To set a palette roll up options:

On the palette:

  • Click [image] to allow the palette to automatically roll-up.

  • Click [image] to lock the palette open.

For information about setting palette locking preferences, see Palettes Preferences.

To set the docking preference of palettes:

Choose File > Preferences > General Program Preferences, and click the Palettes tab of the dialog. In the Allow docking of group box, mark the check boxes of the palettes you want Paint Shop Pro to dock automatically when you drag them to the edge of the workspace.

Note: You can also open the Palettes tab of the Paint Shop Pro 8 Preferences dialog by right-clicking any toolbar or palette and choose Docking Options or by choosing View > Docking Options.

To resize a palette:

Click and drag a corner or an edge, or use the Minimize and Maximize buttons in the upper right corner.

Related Topics

Using Context Menus

Using Toolbars

Using the Overview Palette

The Status Bar

Using Tools

Setting Tool Options


Using Preview Windows

Most dialogs that correct images, apply effects, or modify selections have two preview windows that show the image before and after changes are applied. Use the window controls to zoom the preview in or out, pan it, or proof changes on the actual image.

You can show or hide the preview windows. When you hide previews, use the main image window to proof changes. In each Paint Shop Pro dialog with preview windows, you can size the dialog by clicking and dragging a corner. Expand a dialog when you want the preview windows to be large enough to see detailed changes. You can also double-click the dialog title bar to maximize the dialog.

To display or hide preview windows:

Click the Show/Hide Previews button [image].

To zoom the image preview:

Click the Zoom In [image] or Zoom Out [image] buttons. The zoom percentage displays next to the Zoom buttons.

To pan the image:

Do either of the following:

  • Move the cursor over either preview window (the cursor changes to a hand), and then click and drag the image.

  • Click and hold the Navigate button [image], and then center the selection rectangle over the part of the image you want to display.

Note: In a few dialogs, the left preview window is used for making selections (such as selecting a red eye in the Red Eye Removal dialog). In these dialogs, the cursor does not change to a hand over the left preview window. Use the right preview window for panning instead.

To proof changes in the main image window:

Click the Proof button [image]. All settings in the dialog are applied to the main image window. Each time you change settings, click the Proof button to view the changes in the main image window.

To set automatic proofing:

Click the Autoproof button [image].

Paint Shop Pro automatically applies all dialog settings to the main image window each time you change a setting.

Related Topics

Using Context Menus

Using Toolbars

Using Palettes

Using the Overview Palette

The Status Bar

Using Tools

Setting Tool Options


Using the Overview Palette

Display the Overview palette to preview the entire active image or to view image information. The Overview palette displays a rectangle over the part of the image visible in the image window. To show other areas of the image, click and drag this rectangle.

The Overview palette contains two tabs:

Preview Displays the image preview. The image updates after you complete an action. Transparent areas of the image appear as white.

Info Displays image status information including height and width, color depth, memory used, cursor position, rotation, and other information.

Related Topics

Using Context Menus

Using Toolbars

Using Palettes

The Status Bar

Using Tools

Setting Tool Options


Using Toolbars

The toolbars display buttons for the most common tasks. Position the cursor over a button to display a ToolTip with its name. The Status bar displays more information about the command.

Display or hide toolbars, or arrange them on the workspace. Dock a toolbar to snap it into place at an edge of a workspace, or to float it to move it anywhere on the screen.

Paint Shop Pro contains these toolbars:

Standard toolbar Displays the most common commands, such as saving images, undoing a command, and cutting items. Paint Shop Pro automatically displays this toolbar when you first run the program.

Tools toolbar Crop, paint, draw, type, and perform other image editing tasks. See Using the Tools.

Browser toolbar Displays commands for using the Paint Shop Pro browser.

Effects toolbar Displays commands for applying effects to your images.

Photo toolbar Displays commands for enhancing photos.

Script toolbar Displays commands for creating and running scripts.

Web toolbar Displays commands for creating and saving images for the Web.

To execute a toolbar command:

Click the command button. If the button is greyed out, it is not available.

To display or hide a toolbar:

Do either of the following:

  • Choose View > Toolbars and choose the toolbar from the menu.

  • Right-click any toolbar or palette, choose Toolbars, and then choose the toolbar from the context menu.

Note: To hide a specific toolbar or the palette, click the close button on its title bar.

Customizing toolbars: You can add and remove buttons from toolbars and create your own toolbars. For more information, see Customizing Toolbars and Menus.

Related Topics

Using Context Menus

Using Palettes

Using the Overview Palette

The Status Bar

Using Tools

Setting Tool Options


Using Tools

Using the Tools

Use the Paint Shop Pro tools to crop, paint, draw, add text, and perform other image editing tasks. Select a tool by clicking its button on the Tools toolbar. A tool button with a small arrow on the right side includes several tools. Click the down-arrow to display a flyout menu, and then choose a tool.

To view information about a tool, pause the cursor over it. A ToolTip displays the tool name and shortcut key, and the Status bar displays hints for using the tool.

To use a tool:

  1. Click its button on the Tools toolbar. For tools that share a flyout with other tools, click the down-arrow next to the tool and select the tool.

  2. Specify options using the Tool Options palette. See Setting Tool Options.

  3. Use the tool on the image. For directions on using a specific tool.

Note: For information on moving, hiding, and displaying the Tools toolbar, see Using Palettes.

Why some tools are inactive (greyed out): Some tools work only on raster or vector layers. For example, the Paint Brush and Clone Brush work only on raster layers; the Object Selection tool works only on vector layers. For information on raster and vector layers, see About Layers.

Related Topics

Using Context Menus

Using Toolbars

Using Palettes

Using the Overview Palette

The Status Bar

Setting Tool Options


Context Menu

A context menu on the Layer palette


Dialog

The Average dialog


Dialog Presets

Presets in a dialog


Docked and floating Materials palette


Image Window

An image window


Numeric Edit Controls

Numeric Edit Control | Numeric Slider


Overview Palette


Palette Flyout Menu

Flyout menu displaying pallets


Palette Rolled Up

Overview palette rolled-up


Preview Windows

The preview windows


Accentuating Edges and Contrast Areas

Use the Edge effects to clarify your image and to accentuate the edges and contrast areas in your image.

Important: These commands work on greyscale and 16 million color images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

To apply an edge effect:

  1. To limit the edge effect to a specific area, make a selection in the image. See Using the Selection Tools.

  2. Choose Effects > Edge Effects, then choose a command.

  3. Dilate Enhances the light areas of the image.

  4. Enhance and Enhance More Increases the contrast along the edges in the image.

  5. Erode Applies a stronger contrast to the edges of the image.

  6. Find All Enhances the contrasts between light and dark in the image by darkening the image and then highlighting the edges.

  7. Find Horizontal Enhances the horizontal edges in the image using the same method as the Find All command.

  8. Find Vertical Enhances the vertical edges in the image using the same method as the Find All command.

  9. Trace Contour Traces a series of single-pixel lines around the areas of contrast and turns the pixels white.

Related Topics

Clarifying Images

Applying Blur Effects

Sharpening Images


Applying Blur Effects

Use the Blur effects to soften a selection or an image. Blur images for photo retouching or to remove noise in the image. The Blur effects smooth transitions and decrease contrast by averaging the pixels near edges and areas of significant color transitions. To increase the effect of any of the Blur effects, apply them multiple times to the same image.

Important: These effects work on greyscale and 16 million color (24-bit) images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

Select from the following Blur effects:

Average Removes noise that occurs throughout an image by adjusting the intensity of each pixel to the average intensity of its surrounding pixels. Also removes color dithering that results from increasing the color depth of an image from paletted to 24 bit.

Blur and Blur More Remove noise by applying smooth transitions and decreasing the contrast in your image. The Blur More effect applies the Blur effect with more intensity. Use either effect to reduce graininess in your image.

Gaussian Blurs an image by an adjustable amount. Blends a specific number of pixels incrementally, following a bell-shaped curve. The blurring is dense in the center and feathers at the edges.

Motion Blur Blurs in a particular direction (from 0 to 359 degrees) and at a particular strength (from 1 to 100). Use this effect to simulate taking a picture of a moving object using a fixed exposure time.

To apply a Blur effect:

  1. On the Layer palette, click the layer containing the area you want to blur.

  2. To limit the blur to a specific area, make a selection in the image.

  3. Choose Adjust > Blur, then choose a effect.

  4. For the Blur and Blur More effects, the effect is applied to the image or selection.

  5. For the Average, Gaussian, and Motion effects, a dialog opens. Choose from the options, then click OK. The effect is applied to the image or selection.

Related Topics

Accentuating Edges and Contrast Areas

Clarifying Images

Sharpening Images


Automatically Balancing Colors

To create natural-looking colors and remove any color cast in your image, use the Automatic Color Balance command. This command works best for correcting images with several colors rather than images with variations of one color. You can apply the command to a selection or an entire image.

To balance colors automatically:

  1. Choose Adjust > Color Balance > Automatic Color Balance.

  2. In the preview window, center an important part of the image (such as a face). Pan the image by clicking and dragging in the preview window; zoom in or out as necessary.

  3. Set the Strength of correction for the image, from 1 (the least) to 100 (the most). Start with 30 and then adjust the strength until the image looks the most natural.

  4. If there is a strong color cast to the image (a particular color added to all colors in the image), mark the Remove color cast check box to remove it.

  5. In the Illuminant temperature group box, adjust the image’s illuminant temperature from warmer tones (oranges) to cooler tones (blues). Type a value or drag the slider. The default setting is 6500K, which gives the effect of a photo taken in typical daylight. Photos taken indoors tend to look more orange, while photos taken in bright sunlight tend to look more blue. Adjust the value to achieve the desired effect or until the colors look natural. If colors do not improve, you may not need to make this adjustment.

  6. Click OK.

Related Topics

Using Source and Target Colors to Correct Colors Manually

Using Greyworld to Adjust Colors

Correcting Faded Images


Clarifying Images

Use the Clarify command to give your images a crisp, focused look so objects stand out. This command adds a sense of depth and clarity to the image. It can make hazy, foggy, or slightly out of focus images look clearer.

Important: This command works on 16 million color or greyscale images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

To clarify images:

  1. Make sure the image has no selections. If necessary, choose Selections > Select None. The Clarify command is not available if the image contains a selection.

  2. Choose Adjust > Brightness/Contrast > Clarify.

  3. In the preview window, center an important part of the image. Pan the image by clicking and dragging in the preview window, zoom in or out as necessary.

  4. For Strength of effect, use the smallest value that gives a satisfying result.

  5. Click OK.

Related Topics

Accentuating Edges and Contrast Areas

Applying Blur Effects

Sharpening Images


Correcting Barrel Distortions

If your image has a barrel distortion, it looks pushed out at the center. Lines that should be straight are curved. You must correct lens distortions before cropping the image. For distortion corrections to work properly, the axis of the camera lens must coincide with the center of the image.

Important: This effect works on greyscale and 16 million color (24-bit) images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

To correct a barrel distortion:

  1. Choose Adjust > Lens Correction > Barrel Distortion Correction.

  2. Set the Strength of the correction. Adjust this value until the distortion disappears. Look for lines in the image that are curved and adjust the Strength Value until they become straight. The image is resized as you adjust this value.

  3. Preserve central scale Whether the scale of the center of the picture remains the same or is adjusted. If you mark this check box, pixels are either added to, or removed from the image. Clear this check box if you do not want to change the size of the image or layer.

Note: Notice the Result size group box. If the Preserve central scale check box is marked, the changes to the original image in the width and height display for the adjusted image.

  4. Click OK.

Related Topics

Correcting Fisheye Distortions

Correcting Pincushion Distortions


Correcting Faded Images

With time and exposure to the elements, especially light, the dyes in a photograph fade. Colors become less vivid, the image acquires an undesirable color cast, and contrast is lost. Use the Fade Correction command to restore color and contrast to faded photographic images. You can apply the command to a selection or an entire image.

The Fade Correction command is a simple, one-step adjustment that corrects both color and contrast. If the resulting image doesn’t look as good as you would like, the image may need different adjustments. Instead, try applying the three automatic adjustments from the submenus of the Adjust menu in this order: Automatic Color Balance, Automatic Contrast Enhancement, Automatic Saturation Enhancement. Note: Black-and-white photos have no colors to correct. Instead, use the Automatic Contrast Enhancement command to restore the photograph. See Automatically Enhancing Contrast.

Important: This command works on 16 million color images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

To use fade correction:

  1. Choose Adjust > Color Balance > Fade Correction.

  2. In the preview window, center an important part of the image (such as a face). Pan the image by clicking and dragging in the preview window; zoom in or out as necessary.

  3. For Amount of correction, start with 45 and adjust the value until the image looks the most natural.

Note: Use the minimum value that produces a good correction. If you apply too much correction, highlight and shadow areas may lose detail and objects may blend together.

  4. Click OK.

Related Topics

Automatically Balancing Colors

Using Source and Target Colors to Correct Colors Manually

Using Greyworld to Adjust Colors


Correcting Fisheye Distortions

If your image has a fisheye distortion, it looks as though it has been pasted onto a sphere or blown up like a balloon. Lines that should be straight are curved and the edges of the image look compressed.

Important: This effect works on greyscale and 16 million color (24-bit) images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

To correct a fisheye distortion:

  1. Choose Adjust > Lens Correction > Fisheye Distortion Correction.

  2. Adjust the image using the following options:

Field of View The strength of the correction. Adjust this value until the distortion disappears.

Preserve central scale Whether the scale of the center of the picture remains the same or is adjusted. If you mark this check box, pixels are either added to, or removed from the image. Clear this check box if you do not want to change the size of the image or layer.

Note: Notice the Result size group box. If the Preserve central scale check box is marked, the changes to the original image in the width and height display for the adjusted image.

Related Topics

Correcting Barrel Distortions

Correcting Pincushion Distortions


Correcting Pincushion Distortions

If your image has a pincushion distortion, it looks pushed in at the center. Lines that should be straight are curved.

Important: This effect works on greyscale and 16 million color (24-bit) images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

To correct a pincushion distortion:

  1. Choose Adjust > Lens Correction > Pincushion Distortion Correction.

  2. Set the Strength of the correction. Adjust this value until the distortion disappears. Look for lines in the image that are curved and adjust the Strength Value until they become straight. The image is resized as you adjust this value.

  3. Mark the Preserve central scale Whether the scale of the center of the picture remains the same or is adjusted. If you mark this check box, pixels are either added to, or removed from the image. Clear this check box if you do not want to change the size of the image or layer.

Note: Notice the Result size group box. If the Preserve central scale check box is marked, the changes to the original image in the width and height display for the adjusted image.

  4. Click OK.

Related Topics

Correcting Barrel Distortions

Correcting Fisheye Distortions


Fixing Line Problems in Video Images

Video images can contain visible scan lines. In these images, lines can be missing or out of alignment with other lines. The resulting image looks excessively blurry.

Use the Deinterlace command to eliminate missing or misaligned lines from your image and to reconstruct missing information. If the image contains noise, it may become more visible after removing scan lines. For information on removing noise, see Removing Image Defects and Noise.

Note: Apply the Deinterlace command before you resize the image. Resizing adds or removes pixels from the image, which makes it more difficult to determine scan lines.

If your image has already been resized, you must return it to as close to the original size as possible so that each scan line is one pixel high. Zoom in until you can see individual pixels to determine how many pixels make up one scan line, and then resize the image so that each scan line is one pixel. For example, if the enlarged image has scan lines that are two pixels high, you would resize it by 50 percent. Keep in mind that the image loses clarity when you resize it.

To deinterlace an image:

  1. Make sure the image has no selections. If necessary, choose Selections > Select None. The Deinterlace command is not available if the image contains a selection.

  2. Choose Adjust > Add/Remove Noise > Deinterlace.

  3. In the preview window, center the area of the image where the scan lines are most apparent.

  4. For Scanlines to retain, select either Odd or Even to determine whether the odd-numbered or even-numbered scan lines are kept.

  5. Click OK.

Related Topics

Removing Artifacts from JPEG Images

Removing Undesirable Patterns in Scanned Images


Removing Artifacts from JPEG Images

When you save a file to the JPEG format from any software package (such as scanning software), the file information is compressed to create a smaller file. The compression produces artifacts—unwanted image problems—that can appear as halos or color leakage beyond the edges of objects, checkerboard problems on smooth backgrounds, or blocky-looking areas in an image. Use Paint Shop Pro’s JPEG Artifact Removal command to restore a JPEG image to its original appearance.

You can apply the JPEG Artifact Removal command to a file in any format. For example, if you have saved a JPEG file as a Paint Shop Pro (.PspImage), you can still apply the command.

Note: Because JPEG compression discards image information, there are limits to how well the image can be restored.

To remove JPEG artifacts:

  1. Make sure the image has no selections. If necessary, choose Selections > Select None. The JPEG Artifact Removal command is not available if the image contains a selection.

  2. Choose Adjust > Add/Remove Noise > JPEG Artifact Removal.

  3. In the preview window, center the area of the image where the artifacts are most apparent.

  4. In the Strength group box, set the strength of correction to Low, Normal, High, or Maximum. For best results, try each option and examine all areas of the image to see which strength setting works best.

  5. Set the Crispness to determine the amount of detail that is restored, from 0 (the least) to 100 (the most). Start with 50 and adjust the value until the image looks the most natural. This option determines how much fine-detail information the artifact removal attempts to create. The recreated information can only be a guess since the original information is lost. Excessive crispness may produce fine dots in the image.

  6. Click OK.

Related Topics

Fixing Line Problems in Video Images

Removing Undesirable Patterns in Scanned Images


Removing Multiple-Pixel Black or White Specks

Use the Salt and Pepper Filter command to remove multiple-pixel black or white specks, such as those caused by dust on film or video. This command compares an area of pixels to the surrounding pixels and adjusts an area that is a speck to match those surrounding pixels.

To remove multiple-pixel specks:

  1. Select the area that contains the specks. See Using the Selection Tools.

  2. Choose Adjust > Add/Remove Noise > Salt And Pepper Filter.

  3. Define the adjustment using the following options:

Speck size The minimum size, in pixels, of the largest speck that can be completely removed. The value is always an odd number.

Sensitivity to specks How different an area must be from its surrounding pixels to be considered a speck.

  4. Mark the Include all lower speck sizes check box to have Paint Shop Pro remove all lower speck sizes. Results are usually better if you mark this check box.

  5. Mark or clear the Aggressive action check box to set whether the strength of correction is normal (if the check box is cleared) or aggressive (if the check box is marked).

  6. Click OK.

Related Topics

Removing Single-Pixel Specks

Removing Noise While Preserving Edge Details

Removing Noise While Preserving Texture Details

Removing Small Areas of Noise

Softening the Images


Removing Noise While Keeping Texture Details

Use the Texture Preserving Smooth command to remove noise or specks in an image while preserving texture details. This command analyze’s an image’s pixels to determine if they display textured or smooth areas. Textured areas are preserved (few noise adjustments are made) and smooth areas are adjusted to remove noise. For example, textures in clothing may be preserved while noise from another area (such as a person’s face) is removed.

You can apply the Texture Preserving Smooth command to a selection or an image. The command is faster and more effective when applied to a selection.

To remove noise while keeping texture details:

  1. Select the area that contains the specks. See Using the Selection Tools.

  2. Choose Adjust > Add/ Remove Noise > Texture Preserving Smooth.

  3. For Amount of correction, set a value to choose the strength of the correction. At lower values, a small amount of noise is removed but textured areas are preserved. At higher values, more noise is removed but textured areas may not be fully preserved.

  4. Click OK.

Related Topics

Removing Single-Pixel Specks

Removing Multiple-Pixel Black and White Specks

Removing Noise While Preserving Edge Details

Removing Small Areas of Noise

Softening the Images


Removing Noise While Preserving Edge Details

Use the Edge Preserving Smooth command to remove noise in an image without losing edge details. This command finds details such as object edges and preserves them, while smoothing the areas between the edges. For example, you can preserve the edges of facial features while removing a blotchy complexion. You can also use the Edge Preserving Smooth command to minimize film grain.

You can apply the Edge Preserving Smooth command to a selection or an image. It is faster and more effective when applied to a selection.

To remove noise while preserving edge details:

  1. Select the area that contains the specks. See Using the Selection Tools.

  2. Choose Adjust > Add/Remove Noise > Edge Preserving Smooth.

  3. For Amount of smoothing, change the value until you are satisfied with the adjustment. Choose the smallest amount of smoothing that removes the specks while retaining image detail.

  4. Click OK.

Related Topics

Removing Single-Pixel Specks

Removing Multiple-Pixel Black and White Specks

Removing Noise While Preserving Texture Details

Removing Small Areas of Noise

Softening the Images


Removing Red Eyes

When you take a flash picture of people or animals, sometimes their eyes look red—the result of the flash’s light reflecting off the retina of the eye. Use the Red-Eye Removal command to return eyes to natural colors. You can also use this command to enhance or change eye colors. If a human eye is partially obscured, select the Auto Human Eye method, and then use the Refine setting to adjust the correction area.

Important: This command works on 16 million color or greyscale images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

To use the Red-Eye Removal command:

  1. Make sure the image has no selections. If necessary, choose Selections > Select None. The Red-Eye Removal command is not available if the image contains a selection.

  2. Choose Adjust > Red-Eye Removal.

  3. In the right preview window, center the red eyes of the subject. Pan the image by clicking and dragging in the preview window; zoom in or out as necessary.

Note: You must use the right preview window for panning the image because you select the subject’s eyes in the left preview window.

  4. From the Method drop-down list, select a correction method:

Auto Human Eye Automatically selects the correction area using a circular selection and chooses settings appropriate to a human eye. If you are correcting human eyes (even partially obscured ones), try this method first.

Auto Animal Eye Automatically selects the correction area using a circular or elliptical selection area and chooses settings appropriate to an animal eye. You can also rotate the selection with this method. If you are correcting animal eyes, try this method first.

Freehand Pupil Outline Manually select the correction area on human or animal eyes using a Freehand Selection tool. Use this method for difficult situations, such as a partially obscured pupil.

Point-to-Point Pupil Outline Manually select the correction area on human or animal eyes using a Point-to-Point Selection tool. Use this method for difficult situations, such as a partially obscured pupil.

  5. In the left preview window, select the first eye to correct:

  6. For the Auto Human Eye or Auto Animal Eye method, click anywhere inside the red area of the eye to select the eye automatically. You can also click and drag from the center of the eye to the outside edge of the red area.

  7. For the Freehand Pupil Outline method, click and drag the cursor around the edge of the red area of the pupil. Release the mouse button when you reach the beginning point of the selection.

  8. For the Point-to-Point Pupil Outline method, left-click at points a few pixels apart around the edge of the red area of the pupil. (Right-click to reverse a click.) When you reach the beginning point, double-click.

Note: To remove a selection, click Delete.

After you select the eye, a circle appears around the selected area and a control box for making adjustments encloses the circle. The right preview window displays the corrected eye.

  6. Make sure the selection is positioned and sized properly over the red area of the eye:

  7. To move the selection, drag it to a new location.

  8. For the Auto Animal Eye method, drag the center rotation handle to rotate the selection. You can also reshape the eye from a circle to an ellipse by dragging its side handles.

  7. Fine-tune the eye correction by adjusting the pupil size and lightness, glint, iris size, and feathering and blurring of the iris. Refer to the fine-tuning steps later in this section.

  8. To correct other red eyes, repeat the previous steps. The settings from the first eye are retained, so the subsequent corrections should be much quicker.

  9. Click OK.

To fine-tune the eye correction on the Red-Eye Removal dialog:

  1. For a human eye, look at the corrected eye to see if you need to adjust the iris area around the pupil. (An animal eye usually does not show an iris.) Sometimes the red eye area covers the iris. If needed, adjust the iris with the following options:

Iris Size The size of the iris. Increasing the iris size decreases the pupil size.

Hue The color of the iris (such as blue, brown, or green). This option is not available for the Freehand Pupil Outline and Point-to-Point Pupil Outline methods because these methods select the pupil, rather than the pupil and iris.

Color The color variation of the iris (such as light blue or deep blue).

  2. For Pupil lightness, adjust the value so that the corrected eye appears the appropriate shade and matches your perception of the natural color.

  3. Examine the glint in the eye. A glint makes the eye look natural and lively; without it the eye looks “dead.” Adjust the glint using the following options:

Glint size The size of the glint.

Glint lightness The lightness of the glint. Lower values darken the glint; higher values lighten it.

Center glint Mark the check box to move the glint to the center of the pupil. Clear it to leave the glint at its original position.

  4. Use Refine when the eye is partially obscured in the original image. For example, if the eyelid covers part of the original eye, it should cover it in the corrected eye. Use the Refine Slider to reduce the correction. Slowly drag the slider to the left to reduce the correction and minimize its overlap with the surrounding skin.

  5. To blend the corrected eye with the rest of the image, set the following options:

Feather Adjusts the edges of the corrected eye. Smaller values make the edges more defined; larger values blend the edges to the surrounding image areas.

Blur Blends the eye with surrounding pixels when the photo has a grainy appearance. Increase the setting one unit at a time until the eye blends naturally with the rest of the image.

Related Topics

Basic Steps in Improving Photographs

How to Approach Color, Contrast, and Saturation Adjustments

Common Problems and How to Solve Them

Improving Colors

Improving Contrast

Improving Saturation

Removing Source Defects

Removing Image Defects and Noise

Correcting Image Distortions

Retouching Photographs

Improving Image Clarity


Removing Scratches with the Automatic Small Scratch Removal Command

The Automatic Small Scratch Remover command finds and eliminates small, line-shaped defects that are either lighter or darker than the surrounding area.

Important: This command works on 16 million color or greyscale images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

To use the Automatic Small Scratch Removal command:

  1. To limit the correction to a specific area, make a selection. See Using the Selection Tools. The command works best on a selection rather than the entire image.

  2. Choose Adjust > Add/Remove Noise > Automatic Small Scratch Removal.

  3. Mark the check box of the type of scratches to remove (you must choose at least one option):

Remove dark scratches Mark this check box to remove scratches that are darker than their background.

Remove light scratches Mark this check box to remove scratches that are lighter than their background.

  4. Specify how scratches are removed with the options in these two group boxes:

Local contrast limits The difference in contrast between a scratch and its background. Use a value that sets the limits to where they achieve the best results. Start with the Lower limit at 0 and the Upper limit at 50. If scratches remain, the Automatic Small Scratch Removal command is unable to remove them. If scratches disappear, then adjust the limits to minimize loss of image detail. Adjust the Lower limit up to the setting just below where scratches reappear. Adjust the Upper limit down to the setting just above where the scratches reappear.

Strength The strength of the scratch removal: Mild, Normal, or Aggressive. Select the lowest setting that removes scratches. Look at all areas of the image to make sure important details are not lost.

  5. Click OK.

Related Topics

Basic Steps in Improving Photographs

How to Approach Color, Contrast, and Saturation Adjustments

Common Problems and How to Solve Them

Improving Colors

Improving Contrast

Improving Saturation

Removing Source Defects

Removing Image Defects and Noise

Correcting Image Distortions

Retouching Photographs

Improving Image Clarity


Removing Scratches with the Scratch Remover Tool

The Scratch Remover tool is one way to remove scratches, cracks, and other defects from your images. Use the tool to enclose the area with the scratch and erase it. The tool works best for scratches on relatively smooth backgrounds. The Scratch Remover tool uses the background image details to create new information to replace the scratch. If the background is relatively smooth, the result is usually satisfying. To remove scratches from a textured background, the Clone tool may be more effective. See Cloning Parts of Images. Note: This tool can be used only on backgrounds; it is not available when you are working on layers.

If there are many small scratches in the image, use the Automatic Small Scratch Remover command. See Removing Scratches with the Automatic Small Scratch Removal Command.

Important: This command works on 16 million color or greyscale images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

To use the Scratch Remover tool:

  1. If necessary, click the background layer on the Layer palette.

  2. To limit the correction to a specific area, make a selection. See Using the Selection Tools. This step works well when you need to be careful not to remove important details near the scratch.

  3. Select the Scratch Remover tool [image].

  4. On the Tool Options palette, set the following options:

Width The width, in pixels, of the tool. Choose a width that is about 3 or 4 pixels wider than the scratch. If the width is considerably larger than the scratch, you will lose image detail. Note that you are also able to modify the width with the PageUp and PageDown keys while you are selecting the scratch.

Selection boxes The shape of the Scratch Remover tool. Select the flat-end option [image] to correct scratches that are perpendicular to object edges in the image or are in an open area (the background is similar and has no objects in it). Select the pointed-end option [image] to correct scratches at an angle to object edges in the image (with this option, you can place the tool closer to the edges).

  5. Center the cursor just outside one end of the scratch, then click and drag the bounding box over the scratch:

  6. If the tool width is 10 or fewer pixels, the box is single-sided. Position the box so that the edges surround, but do not touch, the scratch.

  7. If the tool width is more than 10 pixels, the box is double-sided. Position the box so that the inner edges surround, but do not touch, the scratch.

  6. With the mouse button still pressed, you can adjust the size and position of the rectangle:

  7. Press the Arrow keys to move the starting point of the bounding box by 1 pixel.

  8. Press PageUp or PageDown to increase or decrease the width of the box by 1 pixel.

  7. When the rectangle properly encloses the scratch, release the mouse button. The scratch is removed.
    If you are not satisfied with the result, click Undo [image] to undo the scratch removal, then try selecting the scratch again (perhaps varying the width of the tool).

Achieving the best results: If the scratch background is highly textured or contains many image variations (say, a flower, a face, and a wall), the result may not be as satisfying. Try these tips to get the best results: Before using the tool, select the area that contains the scratch. Use a tool width about 3 or 4 pixels wider than the scratch itself. For scratches over several different backgrounds, try removing the scratch a section at a time. Consider using the Clone Tool instead, see Cloning Parts of Images.

Related Topics

Basic Steps in Improving Photographs

How to Approach Color, Contrast, and Saturation Adjustments

Common Problems and How to Solve Them

Improving Colors

Improving Contrast

Improving Saturation

Removing Source Defects

Removing Image Defects and Noise

Correcting Image Distortions

Retouching Photographs

Improving Image Clarity


Removing Single-Pixel Specks

Use the Despeckle command to remove single-pixel specks that are mostly white or black. This command analyzes the brightness of each pixel and compares it to the surrounding pixels to determine if it should be removed.

To remove single-pixel specks in an image:

  1. Select the area that contains the specks. See Using the Selection Tools.

  2. Choose Adjust > Add/Remove Noise > Despeckle. The selection is despeckled.

Related Topics

Removing Multiple-Pixel Black and White Specks

Removing Noise While Preserving Edge Details

Removing Noise While Preserving Texture Details

Removing Small Areas of Noise

Softening the Images


Removing Small Areas of Noise

Use the Median Filter command to remove small random specks or areas of noise that are distinctly different from the surrounding area. You can also use the command to remove single-pixel colored specks.

The Median Filter command adjusts the intensity of each pixel in the image to the median intensity of surrounding pixels. The median intensity is the middle value (not the average) in the range of values.

To preserve object edges, the Median Filter command adjusts a pixel that is very different from surrounding pixels more than a pixel that is similar to surrounding pixels. You can choose the number of surrounding pixels to use in the calculation. If you choose a large number, more noise is removed and so more detail is lost.

To remove small areas of noise:

  1. Select the area that contains the specks. See Using the Selection Tools.

  2. Choose Adjust > Add/Remove Noise > Median Filter.

  3. For Filter Aperture, choose the number of surrounding pixels to include in determining the median intensity of each pixel. The filter is always an odd number of pixels. To preserve image details, choose the smallest filter that removes the noise. For single-pixel colored specks, set the filter to 3.

  4. Click OK.

Related Topics

Removing Single-Pixel Specks

Removing Multiple-Pixel Black and White Specks

Removing Noise While Preserving Edge Details

Removing Noise While Preserving Texture Details

Softening the Images


Removing Undesirable Patterns in Scanned Images

Scanning printed images can produce undesirable patterns called Moiré patterns. Other patterns may come from scanning photographs printed on textured paper. Paint Shop Pro’s Moiré Pattern Removal command removes these patterns from your images. You can apply the command to a selection or an entire layer.

To remove moiré patterns:

  1. Choose Adjust > Add/Remove Noise > Moiré Pattern Removal.

  2. Magnify the image in the preview window until you can see the fine patterns clearly.

  3. For Fine details, select a value to remove fine patterns. Change the value one number at a time until the pattern just disappears. Higher values may blur the image, so use the lowest value that removes the pattern.

  4. Reduce the image magnification until you can see bands or color blotches clearly in the preview window. Bands or blotches may be visible when the image is at 100%, but may be easier to see at smaller percentages.

  5. For Remove bands, change the value one number at a time until any color bands or blotches are less visible (they may not disappear completely). Use the lowest value possible to avoid desaturation of small objects.

  6. Click OK.

Note: After you have removed the Moiré pattern, you may be able to use the Sharpen commands to restore detail and remove blurriness without reintroducing the pattern. This approach works best when you choose a Fine Details setting in the Moiré Pattern Removal dialog that is slightly higher than needed to remove the pattern. For more information on the Sharpen commands, see Clarifying Images.

Related Topics

Fixing Line Problems in Video Images

Removing Artifacts from JPEG Images


Sharpening Images

Paint Shop Pro contains several commands that sharpen your image by increasing the contrast of adjacent pixels:

Sharpen and Sharpen More Focus the image and improve its clarity by increasing the contrast between adjacent pixels where there are significant color contrasts, usually at the edges of objects. The Sharpen More command sharpens with a stronger effect than the Sharpen command. Both commands are automatically applied to the image.

Unsharp Mask Sharpens the mid- to high-contrast edges in the image without enhancing noise. This command locates adjacent pixels that have a difference in lightness values that you specify and increases their contrast by an amount you specify. This command is typically used in professional color corrections.

To use the Sharpen or Sharpen More command:

Choose Adjust > Sharpness > Sharpen or Adjust > Sharpness > Sharpen More.

To use the Unsharp Mask dialog:

  1. Choose Adjust > Sharpness > Unsharp Mask.

  2. In the preview window, center an important part of the image (such as a face). Pan the image by clicking and dragging in the preview window; zoom in or out as necessary.

  3. Sharpen the image with the following options:

Radius The number of pixels to adjust around each edge. A value between 0.5 and 2 works best, depending on the image. A lower value sharpens only the edge pixels, while a higher value sharpens a wider band of pixels. The effect is much less noticeable in print than on-screen because a small radius (for example, 1 pixel) represents a smaller area in a high-resolution printed image. Therefore, use lower values for on-screen images and higher values for high resolution printed images.

Strength The amount of contrast to increase in the image’s pixels. Start with a low value and increase it gradually.

Clipping The difference in lightness values that adjacent pixels must have before they are sharpened.

  4. Click OK.

Related Topics

Accentuating Edges and Contrast Areas

Clarifying Images

Applying Blur Effects


Softening the Image

The three Softness commands are Soft Focus, Soften, Soften More. Soften applies a uniform blur to your image. Soften More applies the Soften command with more intensity. The Soft Focus command makes the image look as though it was taken with a camera using a soft focus filter.

To use the Soften and Soften More commands, choose Adjust > Softness > and either the Soften or Soften More command.

To use the Soft Focus command:

  1. Choose Adjust > Softness > Soft Focus to open the dialog.

  2. In the preview window, center the important part of the image. Pan the image by clicking and dragging in the preview window; zoom in or out as necessary.

  3. For Softness, set a percentage value or choose the strength of the correction. At lower values, the image is softened only a small amount. At higher values, the image appears to have a blurred effect.

  4. For Edge importance, set a percentage value or choose the strength of the correction. At lower values, the edges of the image is softened. At higher values, the detail of the edges are retained.

  5. Mark the Include scattered light check box if you want bright areas in the background of the image to be softened.

  6. For Amount, set a percentage value or choose the strength of the halo effect. At lower values, the halo is added to only very bright areas in the image. At higher values, a halo effect is created around bright areas.

  7. For Halo size, set a percentage value or choose the size of the halo. At lower values, the halo is small. At higher values, the halo effect is large.

  8. For Halo visibility, set a percentage value or choose the strength of the halo visibility. At lower values, the halo effect is subtle. At higher values, the halo effect is more obvious.

  9. Click OK.

Related Topics

Removing Single-Pixel Specks

Removing Multiple-Pixel Black and White Specks

Removing Noise While Preserving Edge Details

Removing Noise While Preserving Texture Details

Removing Small Areas of Noise


Using Grey World to Adjust Colors

Like the Automatic Color Balance command, the Grey World Color Balance command corrects image colors, but it uses a different mathematical algorithm.

If you average all the colors in a complex, outdoor photograph, the average color turns out to be grey. Grey World color correction uses this fact to determine what a photograph needs to have better looking colors.

As with any of Paint Shop Pro’s color correction commands, the best approach is to try the Grey World command and see if you like its results. You can apply this command to a selection or an entire image.

When not to use Grey World color correction: This color correction may not work well for very simple scenes with few colors, images with a limited range of hues (such as mostly blues), or simple computer-generated graphics.

To correct colors using the Grey World dialog:

  1. Choose Adjust > Color Balance > Grey World Color Balance.
    The right preview window shows the image colors automatically corrected with the Grey World algorithm.

  2. In the preview window, center an important part of the image (such as a face). Pan the image by clicking and dragging in the preview window; zoom in or out as necessary.

  3. In the Illuminant Temperature group box, type a value or drag the slider to change the image’s illuminant temperature from warmer tones (oranges) to cooler tones (blues). The default setting is 6500K, which gives the effect of a photo taken in typical daylight. Photos taken indoors tend to look more orange, while photos taken in bright sunlight tend to look more blue. Adjust the value to achieve the desired effect or until the colors look the most natural.

  4. Click OK.

Related Topics

Automatically Balancing Colors

Using Source and Target Colors to Correct Colors Manually

Correcting Faded Images


Using Source and Target Colors to Correct Colors Manually

When it is particularly important to get a certain color right, use the Manual Color Correction command. Select a color in the image that needs to be corrected (the source color), and then select the color you want it to be (the target color). For the target color, choose from preset color options, a specific color, or a color from another image. Paint Shop Pro then adjusts all colors in the selection or image based on the shift from the source color to the target color.

Use this command when the image has skin tones that need to be corrected or when you want to get a specific color exactly right. This adjustment also works well for images with grossly incorrect colors.

You can apply the command to a selection or an entire image.

To use the Manual Color Correction dialog:

  1. Choose Adjust > Color Balance > Manual Color Correction.

  2. In the right preview window, center the area with the source color. Pan the image by clicking and dragging in the preview window; zoom in or out as necessary.

Note: You must use the right preview window for panning the image because you select the source color in the left preview window.

  3. Define the Source color in the left preview window using one of these methods:

  4. Click once to select a single pixel. Zoom in to make sure you select the correct color.

  5. Click and drag to select a rectangular area.

  6. To select an irregularly shaped area, mark the Freehand check box, then click and drag over the image.

To change your selection, click the Clear button or make another selection.

Choose an area that is mostly one color. You do not have to be overly precise with the selection area because pixels in the selection are averaged to determine the source color.

When you select the source color, the Source color box displays the selected color.

  4. Choose the Target color using one of these methods:

  5. To choose from a preset color category, select the Preset colors option, choose a color category from the list, and then choose a color from within the category.

  6. To choose from the Color dialog, left-click the Target color box. See Choosing Colors.

  7. To choose from recently used colors, right-click the Target color box.

  8. To choose from any open image, move the cursor over the image until it changes into a dropper and then click the color.

  • To choose a color based on its hue, saturation, and lightness (HSL) values, select the Manual option, and then enter the values.

When you select the color, the Target color box displays the target color.

  5. If you are using the Preset colors option or have selected a source color from the Target color box, choose from the following options:

Preserve Lightness Mark this check box to preserve the lightness of the source color in the corrected image. Clear this check box to have the lightness of the corrected image to the target color’s lightness.

Preserve Saturation Mark this check box to preserve the saturation of the source color in the corrected image. Clear this check box to match the saturation of the corrected image to the target color’s saturation.

  6. Click OK.

Choosing Color Categories

The preset color categories of the Manual Color Correction dialog consist of a variety of frequently occurring colors. Most of these categories are called memory colors because people remember them particularly well and notice when they don’t look natural. Typical examples are skin tones and sky colors. Memory color categories in the Color Category list are Beverage, Foliage, Fruits, Grasses, Grays, Hair Colors, Metals, Skintones, Sky, Various Foods, Vegetables, Water, and Woods.

There are other categories that you may find helpful when defining the target colors for your photographs:

Pure Colors The main colors on the color wheel (example, red, orange, yellow).

Standard A set of colors designed to let you make very subtle changes in hue. When you select a source color, the Nearest preset color field above the list displays a number for the color that is the closest match in the Standard category.

To correct an image using Standard Colors:

  1. Choose Adjust > Color Balance > Manual Color Correction.

  2. Click in the left preview window to select a source color.

  3. Select the Preset colors option.

  4. In the list underneath, choose Standard.

The Nearest preset color area above the list box displays the Standard color that is the closest match to the source color. Click the Color box to the right of the list and scroll to view the color.

  5. Modify the target color using one of the following options:

  6. To shift all hues in the image slightly, choose a color from the Preset colors list that is similar to the current color.

  7. To shift all hues in the image drastically, choose a color from the Preset colors list that is quite different from the current color.

  8. Preserve Lightness Mark this check box to preserve the lightness of the source color in the corrected image. Clear this check box to have the lightness of the corrected image to the target color’s lightness.

  9. Preserve Saturation Mark this check box to preserve the saturation of the source color in the corrected image. Clear this check box to match the saturation of the corrected image to the target color’s saturation.

Note: If you mark Preserve Lightness and Preserve Saturation, and the source and target colors are similar hues, you may not notice much change in the adjusted image. Try clearing one or both options. To match the target color exactly, clear Preserve Lightness and Preserve Saturation.

Related Topics

Basic Steps in Improving Photographs

How to Approach Color, Contrast, and Saturation Adjustments

Common Problems and How to Solve Them

Improving Colors

Improving Contrast

Improving Saturation

Removing Source Defects

Removing Image Defects and Noise

Correcting Image Distortions

Retouching Photographs

Improving Image Clarity


Blurring

Applying the Blur command


Entering the HSL Values

Select target colors manually by entering Hue, Saturation, and Lightness values


The Source and Target color boxes


Adjusting Color Channels

Adjusting the Color Channels

Use the Channel Mixer command to increase or decrease the red, blue, or green color channel by a percentage of itself and the other two channels. Use this command when you want to adjust color channels individually.

Important: To apply this command to a selection, the image must be a 16 million (24-bit) color image (otherwise the command is applied to the entire image). To increase the color depth of an image, see Increasing the Color Depth of an Image.

To use the Channel Mixer command

  1. To limit the correction to a specific area, make a selection in the image. See Using the Selection Tools.

  2. Do one of the following:

  3. To modify the image pixels directly, choose Adjust > Brightness and Contrast > Channel Mixer.

  4. To create an adjustment layer, choose Layers > New Adjustment Layer > Channel Mixer. For information on adjustment layers, see Using Adjustment Layers.

  3. Do one of the following:

  4. To maintain a color image, in the Output channel drop-down list, select a color channel to edit: Red, Green, or Blue.

  5. To change the image to a monochrome (which looks like a greyscale but has a color depth of 16 million colors), mark the Monochrome check box. The Channel drop-down list displays Grey. When you adjust the color channels in the next step, you change the amount of each channel that is used to create the monochrome image.

  4. In the Source channels group box, use the Red, Green, and Blue edit boxes or sliders to change the current percentage of that color in the channel you are editing. For example, if you are editing the Red channel and set the Red value to 50%, you reduce the amount of red in the image to 50% of its original amount.

  5. To brighten the color channel, drag the Constant slider to the right. To darken the color channel, drag the slider to the left. The default of zero is the original setting.

  6. Click OK.

Related Topics

Adjusting the Hue Saturation and Lightness in Unison

Changing the Color Balance of Shadows, Midtones, and Highlights

Changing the Overall Color Balance

Correcting Colors by Setting Black and White Points


Adjusting Individual Brightness Values

Use the Curves command to adjust the individual brightness values of your image. You can change any brightness value on the 0–255 scale. For example, you can change all pixels that have a brightness value of 128 to a value of 150. The Curves command gives you enormous flexibility in changing the brightness of your image.

Important: To apply this command to a selection, the image must be a 16 million (24-bit) color image (otherwise the command is applied to the entire image). In addition, adjustment layers are available for 16 million (24-bit) color or greyscale images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

To use the Curves command:

  1. To limit the adjustment to a specific area, make a selection in the image. See Using the Selection Tools.

  2. Do one of the following:

  3. To modify the image pixels directly, choose Adjust > Brightness and Contrast > Curves.

  4. To create an adjustment layer, choose Layers > New Adjustment Layer > Curves. For information on adjustment layers, see Using Adjustment Layers.

  3. To reset the settings, in the Presets drop-down list choose Default.

  4. In the Channel drop-down list, select a color channel to edit. Choose RGB to edit the red, green, and blue channels together. Choose Red, Green, or Blue to edit the individual color channels.

  5. Use the points on the graph to adjust the relationship between the input levels (the brightness of the original pixels) and output levels (the brightness of corrected pixels). At the lower left of the chart, both values are zero (black). At the upper right, both values are 255 (white).

  6. To add a point to the graph, move the cursor over the dotted red line until the cursor changes to an arrowhead and displays “+ADD,” then click the line.

  7. To move the line, drag a point or enter values in the Input or Output edit box.

  8. To remove a point, drag it off the graph.

  6. Click OK.

Related Topics

Adjusting the Brightness and Contrast in Unison

Adjusting the Brightness of the Highlights, Midtones, and Shadows

Adjusting the Lightness Levels

Correcting Images by Adjusting the Histogram

Manually Adjusting Brightness and Contrast


Adjusting the Brightness and Contrast in Unison

Use the Gamma Correction command to adjust the brightness and contrast of an image in unison. The gamma of an image is a standard measure of its contrast and brightness.

The gamma curve has three components: the red, green, and blue of the image. In addition to adjusting the brightness and contrast of the image, with the Gamma Correction command you can adjust the color balance of an image by unlinking the three components and changing them separately. For example, if the image has a red cast to it, you can reduce its red value.

Important: To apply this command to a selection, the image must be a 16 million (24-bit) color image (otherwise the command is applied to the entire image). To increase the color depth of an image, see Increasing the Color Depth of an Image.

To use the Gamma Correction command:

  1. To limit the adjustment to a specific area, make a selection in the image. See Using the Selection Tools.

  2. Choose Adjust > Brightness and Contrast > Gamma Correction.
    In the Gamma Correction dialog, the graph shows the gamma curves for the three colors. If the three colors have the same gamma value, there is one white line representing the three colors. If the gammas are different values, there is a line for each color.
    The left side of the graph represents the shadows of the image; the right side represents the highlights.

  3. Do one of the following:

  4. To adjust the brightness and contrast in unison, mark the Link check box.

  5. To change the color balance of the image rather than the brightness and contrast, clear the Link check box.

  4. For the Red, Green, and Blue values, drag the sliders or type new numbers in the edit boxes. A value of 1 indicates the original gamma. If colors are linked, increasing the value lightens the image and decreasing the value darkens the image. If colors are not linked, increasing or decreasing a individual color value increases or decreases the amount of that color in the image.

  5. Click OK.

Note: The Gamma Correction command can result in an image looking somewhat flat; you may want to increase the contrast after correcting the gamma. See Improving Contrast.

Related Topics

Adjusting Individual Brightness Values

Adjusting the Brightness of the Highlights, Midtones, and Shadows

Adjusting the Lightness Levels

Correcting Images by Adjusting the Histogram

Manually Adjusting Brightness and Contrast


Adjusting the Brightness of the Highlights, Midtones, and Shadows

Adjusting the Brightness of Highlights, Midtones, and Shadows

Use the Highlight/Midtone/Shadow command to separately adjust the light, middle, and dark values (the tonal values) of a photograph.

Important: To apply this command to a selection, the image must be a 16 million (24-bit) color image (otherwise the command is applied to the entire image). To increase the color depth of an image, see Increasing the Color Depth of an Image.

To use the Highlight/Midtone/Shadow command:

  1. To limit the adjustment to a specific area, make a selection in the image. See Using the Selection Tools.

  2. Choose Adjust > Brightness and Contrast > Highlight/Midtone/Shadow.

  3. To adjust values in relation to each other, select:

Linear adjustment method Each value ranges from 0 to 100 and defaults are 0 for Shadow, 50 for Midtone, and 100 for Highlight. To adjust values independently

Dynamic adjustment method Each value ranges from -100 to 100 and zero represents no change for that value.

  4. Adjust these tonal values:

Shadow Removes lightness proportionally to the image. Increasing the value from zero darkens lighter pixels.

Midtone Changes the middle portion of the light scale. Increase the value to darken middle values or decrease the value to lighten middle values.

Highlight Adds lightness proportionally to the image. Decreasing the value from 100 lightens darker pixels.

  5. Click OK.

Related Topics

Adjusting Individual Brightness Values

Adjusting the Brightness and Contrast in Unison

Adjusting the Lightness Levels

Correcting Images by Adjusting the Histogram

Manually Adjusting Brightness and Contrast


Adjusting the Hue, Saturation, and Lightness in Unison

Use the Hue/Saturation/Lightness command to shift all colors in an image and change their strength and lightness. Here’s how the command works:

  • Changing the hue shifts all pixels in an image around the color wheel to a different point. For example, if you change the red pixels to green, the green pixels turn to blue and the yellow pixels turn to cyan.

  • Changing the saturation adjusts the amount of grey in a color. The level of grey increases as the saturation decreases.

  • Changing the lightness adjusts the color’s brightness.

Important: To apply this command to a selection, the image must be a 16 million (24-bit) color image (otherwise the command is applied to the entire image). To increase the color depth of an image, see Increasing the Color Depth of an Image.

To use the Hue/Saturation/Lightness command:

  1. To limit the correction to a specific area, make a selection in the image. See Using the Selection Tools.

  2. Do one of the following:

  3. To modify the image pixels directly, choose Adjust >Hue and Saturation > Hue/Saturation/Lightness.

  4. To create an adjustment layer, choose Layers > New Adjustment Layer > Hue/Saturation/Lightness. For information on adjustment layers, see Using Adjustment Layers.

  3. In the Edit drop-down list, choose the color range to adjust. To edit all colors simultaneously, choose Master. To edit a specific color range, choose Reds, Yellows, Greens, Cyans, Blues, or Magentas.
    The color rings represent the colors in the image. The outer ring represents the original values and the inner ring represents the adjusted values. If you choose a specific color range to edit, a control ring is added between the inner and outer rings where you can change the color range that you adjust.

  4. To turn the image into a duotone (two-color) image, mark the Colorize check box. The image turns into a greyscale image (if you have previews or proofing on). You can now select a hue and adjust the saturation and lightness values to colorize the image.

  5. If you are editing a specific color range (rather than the Master mode), you can change the color range that you adjust using the control ring:

  6. To set the range width, drag the two outer points on the control ring, which mark the beginning and end of the adjustment area.

  7. To change where the adjustment builds to full effect, drag the two inner bars. In the area between the two inner bars, the adjustment is in full effect.

  8. To move the adjustment area, drag the white circle.

  6. To change the hue, drag the Hue slider until the colors appear as you want them. You can also type a value in the Hue edit box.
    The hue value is not on the typical hue scale of 0 to 255. Instead, the value is the number of degrees of rotation around the 360 color wheel from the pixel’s original color. A positive values indicates a clock-wise rotation and a negative value indicates a counter-clockwise rotation. For example, when the Hue value is at 180, blue becomes yellow and green becomes magenta.

  7. Drag the Saturation slider up to increase the saturation or drag it down to decrease the saturation. Values can range from -100 to 100; at zero the saturation is unchanged.

  8. Drag the Lightness slider up to increase the lightness or drag it down to decrease the lightness. Values can range from -100 to 100; at zero the lightness is unchanged.

  9. Click OK.

Note: You can use the Hue/Saturation/Lightness command or the Colorize command to create a duotone image (a greyscale image with one color added). For more information on duotones, see Colorizing Images.

Related Topics

Adjusting Color Channels

Changing the Color Balance of Shadows, Midtones, and Highlights

Changing the Overall Color Balance

Correcting Colors by Setting Black and White Points


Adjusting the Lightness Levels

Use the Levels command to make adjustments to the brightness, contrast, and gamma in the image. Adjusting the gamma changes the brightness values of middle grey tones.

Important: To apply this command to a selection, the image must be a 16 million (24-bit) color image (otherwise the command is applied to the entire image). To increase the color depth of an image, see Increasing the Color Depth of an Image.

To use the Levels command:

  1. To limit the correction to a specific area, make a selection in the image. See Using the Selection Tools.

  2. Do one of the following:

  3. To modify the image pixels directly, choose Adjust > Brightness and Contrast > Levels.

  4. To create a Levels adjustment layer, choose Layers > New Adjustment Layer > Levels. For information on adjustment layers, see Using Adjustment Layers.

  3. In the Channel drop-down list, select a color channel to edit. Choose RGB to edit the red, green, and blue channels together. Choose Red, Green, or Blue to edit the individual color channels.

  4. To increase the contrast of the image, drag the Input levels sliders, which show the image’s brightness values. To darken the darkest values, drag the black diamond to the right; all values below this value become zero (black). To lighten the lightest values, drag the clear diamond to the left; all values above this value become 255 (white). To change the value of medium grey, drag the grey Gamma diamond left or right; the range for of the gamma value is 0 to 7.99, with 1 being in the middle.

  5. To decrease the contrast, drag the Output levels sliders. To lighten the darkest pixels, drag the black diamond to the right. To darken the lightest pixels, drag the clear diamond to the left.

  6. Click OK.

Related Topics

Adjusting Individual Brightness Values

Adjusting the Brightness and Contrast in Unison

Adjusting the Brightness of the Highlights, Midtones, and Shadows

Correcting Images by Adjusting the Histogram

Manually Adjusting Brightness and Contrast


Changing Individual Colors

Use the Hue Map command to replace one or more colors throughout a photograph or other complex image. For example, you can shift all greens to blues.

You can also use the Hue Map command to change the saturation or the lightness of the image. When you adjust these values, all colors (original and shifted colors) are adjusted.

Important: To apply this command to a selection, the image must be a 16 million (24-bit) color image (otherwise the command is applied to the entire image). To increase the color depth of an image, see Increasing the Color Depth of an Image.

To use the Hue Map command:

  1. To limit the correction to a specific area, make a selection in the image. See Using the Selection Tools.

  2. Choose Adjust > Hue and Saturation > Hue Map.
    The Hue Map dialog opens. In the Hue shift group box, the top row of color boxes shows 10 original colors and the bottom row of color boxes represents the shifted colors. Each color is represented in degrees around the 360-degree color wheel.

  3. To reset the colors to their default settings (which is no shift in colors), in the Presets drop-down list choose Default.

  4. For each color that you want to shift, drag its slider to a new color.

  5. To change the saturation of all colors, adjust the Saturation shift value (from -100 to 100). A value of zero represents no change.

  6. To change the lightness of all colors, adjust the Lightness shift value (from -100 to 100). A value of zero represents no change.

  7. Click OK.

Related Topics

Creating Black and White Images

Creating Greyscale Images

Creating Negative Images

Creating Sepia-Tone Images

Reducing or Removing Colors

Reducing the Number of Lightness Levels

Colorizing Images


Changing the Color Balance of Shadows, Midtones, and Highlights

Use the Color Balance command to change the balance of colors in an image. This command provides general color correction and allows you to adjust the color balance in shadows, midtones, and highlights.

Important: To apply this command to a selection, the image must be a 16 million (24-bit) color image (otherwise the command is applied to the entire image). To increase the color depth of an image, see Increasing the Color Depth of an Image.

To use the Color Balance command:

  1. To limit the correction to a specific area, make a selection in the image. See Using the Selection Tools.

  2. Do one of the following:

  3. To modify the image pixels directly, choose Adjust > Color Balance > Color Balance.

  4. To create an adjustment layer, choose Layers > New Adjustment Layer > Color Balance. For information on adjustment layers, see Using Adjustment Layers.

  3. To reset the settings, in the Presets drop-down list, select Default.

  4. In the Tone balance group box, select which lightness level, or tonal range, of colors to adjust: Shadows (dark colors), Midtones (colors in the middle range), and Highlights (bright colors). Adjust each one individually.

  5. To have the corrected image match the lightness of the original image, mark the Preserve luminosity check box.

  6. In the Color balance group box, drag a slider toward a color to increase that color in the image or drag a slider away from a color to decrease the color. Increasing the proportion of one color decreases the proportion of its opposite on the color wheel.
    The values in the Color levels edit boxes show the color changes for the red, green, and blue channels. Values range from -100 to 100. Zero indicates the original color balance.

  7. Click OK.

Related Topics

Adjusting Color Channels

Adjusting the Hue Saturation and Lightness in Unison

Changing the Overall Color Balance

Correcting Colors by Setting Black and White Points


Changing the Overall Color Balance

Use the Red/Green/Blue command to adjust the amount of red, green, and blue in your image to make color corrections by changing the overall color cast. To reduce the amount of a color in the image, you can either increase its opposite color on the color wheel or reduce the amount of adjacent colors on the color wheel. For example, to color correct an image containing too much yellow, either increase the amount of blue or decrease the amount of red and green.

Important: To apply this command to a selection, the image must be a 16 million (24-bit) color image (otherwise the command is applied to the entire image). To increase the color depth of an image, see Increasing the Color Depth of an Image.

To use the Red/Green/Blue command:

  1. To limit the correction to a specific area, make a selection in the image. See Using the Selection Tools.

  2. Choose Adjust > Color Balance > Red/Green/Blue.

  3. In the Red, Green, and Blue edit boxes, select the percentage to change each value. A value of 0% indicates the original value. To add more of a color, use a positive number. To remove some of a color, use a negative number. Keep in mind the following:

  4. Reducing the amount of blue adds a yellow cast to the image.

  5. Reducing the amount of green adds a magenta cast to the image.

  6. Reducing the amount of red adds a cyan cast to the image.

  4. Click OK.

Related Topics

Adjusting Color Channels

Adjusting the Hue Saturation and Lightness in Unison

Changing the Color Balance of Shadows, Midtones, and Highlights

Correcting Colors by Setting Black and White Points


Colorizing Images

Use the Colorize command to replace all colors in a selection or an image with a single color and saturation while leaving the lightness values unchanged. You can use this command to create sepia tones (the brown seen in old photographs) and other single-color effects.

Note: The Colorize command creates an image that looks like a duotone (two-color) image. To create a duotone with more subtle color changes, apply the Greyscale command, increase the color depth to 16 million (24-bit) colors, then apply the Colorize command.

Important: To apply this command to a selection, the image must be a 16 million (24-bit) color image (otherwise the command is applied to the entire image). To increase the color depth of an image, see Increasing the Color Depth of an Image.

To colorize an image:

  1. To limit the correction to a specific area, make a selection in the image. See Using the Selection Tools.

  2. Choose Adjust > Hue and Saturation > Colorize.

  3. To colorize the image, modify the following settings:

Hue The hue that all current colors are changed to. Click the slider button and drag the slider to select the color visually.

Saturation The saturation of the selected hue. Click the slider button and drag the slider to select the saturation visually.

  4. Click OK.

Related Topics

Creating Black and White Images

Creating Greyscale Images

Creating Negative Images

Creating Sepia-Tone Images

Reducing or Removing Colors

Reducing the Number of Lightness Levels

Changing Individual Colors


Correcting Colors by Setting Black and White Points

If an image has a color cast, an effective way to correct it is to select those points that you know are supposed to be black or white and shift all colors based on resetting these points to true black and true white. You can do this with the Black and White Points command. You can also define the grey point too. After you select the points, all colors are shifted.

Important: To apply this command to a selection, the image must be a 16 million (24-bit) color image (otherwise the command is applied to the entire image). To increase the color depth of an image, see Increasing the Color Depth of an Image.

To use the Black and White Points command:

  1. To limit the correction to a specific area, make a selection in the image. See Using the Selection Tools.

  2. Choose Adjust > Color Balance > Black and White Points.

  3. In the right preview window, center the area with the source points (the points that should be black, white, or grey). Pan the image by clicking and dragging in the preview window; zoom in or out as necessary.

Note: You must use the right preview window for panning the image because you select the source colors in the left preview window.

  4. To use a greyscale palette to select all destination colors, mark the Balance to grey check box. If this check box is cleared, you can select any color for the destination points.

  5. For each point that you want to correct, do the following:

  6. Select the source point: click the color’s dropper button [image], then click a color in the left preview window that is supposed to be the color you are correcting (black, grey, or white).

  7. If you want, change the default color: for the Desired color boxes, click the appropriate Color box (black, grey, or white) and select a color from a black-and-white color palette.

Note: To select a destination color from the image window or the desktop, position the cursor over any destination color box, press and hold the Ctrl key, move the cursor over the image or the desktop, and click a color.

  6. To preserve the lightness of the source color, mark the Preserve lightness check box. If this check box is cleared, the lightness of the corrected image matches the target color’s lightness instead.

  7. Click OK.

Related Topics

Adjusting Color Channels

Adjusting the Hue Saturation and Lightness in Unison

Changing the Color Balance of Shadows, Midtones, and Highlights

Changing the Overall Color Balance


Correcting Images by Adjusting the Histogram

Use the Histogram Adjustment command to adjust the contrast and color balance of your image. The Histogram Adjustment dialog graphs one color channel at a time, unlike the Histogram Window which can display all color channels at once. You may want to first display the Histogram Window (choose View > Palettes > Histogram), then use autoproofing on the Histogram Adjustment dialog so you can see changes graphed in the Histogram Window.

Important: This command applies to greyscale and 16 million (24-bit) color images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

Note: When you place the cursor over the histogram, a ToolTip displays the following information: Input is the value on the horizontal axis, Count is the number of pixels that have that value, Integral is the percentage of pixels in the image with that value, and Output is the adjusted value.

The graph in the Histogram Adjustment dialog displays how many pixels are at each value of the selected channel. The vertical axis represents the number of pixels and ranges from zero pixels to the highest number of pixels in the graph. The horizontal axis represents the value from zero to 255 of the selected channel.

When you change the histogram, the graph displays the adjusted histogram as red and the original histogram as grey. To turn off the red overlay, clear the Overlay result histogram check box.

For detailed information on the graph, see Understanding Histogram Values and Guidelines for Analyzing the Histogram.

In the Histogram Adjustment dialog, you can edit the luminance (lightness) and the red, green, and blue color channels. The Histogram Window (opened by choosing View > Palettes > Histogram) also graphs the hue, saturation, and greyscale values, but these cannot be edited by adjusting the histogram.

To use the Histogram Adjustment command:

  1. To limit the adjustment to a specific area, make a selection in the image. See Using the Selection Tools.

  2. Choose Adjust > Brightness and Contrast > Histogram Adjustment to open the Histogram Adjustment dialog.

Click [image] to magnify the histogram or click [image] to reduce the view of the histogram. Click 1:1 to display the histogram at its original size.

  3. For the Edit option, choose a channel:

Luminance Lightness values of the image. If you are correcting contrast, start with this channel.

Color Pick a color channel from the drop-down list: Red, Green, or Blue.

  4. In the Presets drop-down list, choose Default. The default values represent no adjustment to the image.

  5. On the left side of the histogram, look for a gap between the left edge and the point where the graph starts to rise. If there is a gap, it shows that the darkest pixels in the image are not completely black. Click and drag the Low slider (the black triangle) to the point where the graph rises. The top Low edit box displays the low position (from 0 to 255). The bottom edit box displays the percentage of pixels that are between zero and the low value; their contrast will be lost. As a general rule, keep the percentage below 0.1%.

  6. On the right side of the histogram, look for a gap between the right edge of the window and the point where the graph decreases to zero pixels. If there is a gap, click and drag the High slider (the white triangle) to that point on the graph. This changes the lightest pixels in the image to white. As a general rule, keep the High percentage change (the bottom edit box) to below 0.1%.

  7. If the overall image is too dark or too light, adjust the gamma. (Gamma is a standard measure of change in an image’s contrast.) If the image is too dark, drag the Gamma slider (the grey triangle) to the right to increase the gamma (the number changes in the Gamma edit box). If the image is too light, drag the Gamma slider to the left to decrease the gamma.

  8. If the graph has peaks on the left and right sides and contains low points in the center, the midtones need to be compressed. Shadows and highlights need to be expanded to reveal the information they contain. This often occurs in flash photography when a subject is too close to the camera; the subject appears brightly illuminated but the background of the photograph is very dark. To compress the midtones, click and drag the Midtones slider up.

  9. If the graph peaks in the center and has a low number of pixels at the left and right sides, expand the midtones by dragging the Midtones slider down.

  10. If you are improving your image, skip this step. If you are creating artistic effects, use the Output Max and Min sliders on the left side of the histogram to make further adjustments. The Max slider is the white circle within a grey square; the Min slider is the black circle within a grey square. To darken the image’s whites, click and drag the Max slider down. To lighten the image’s blacks, click and drag the Min slider up.

Note: Even though you are dragging sliders along the vertical axis, the Max and Min values actually affect the horizontal axis. They indicate the maximum and minimum value (from 0 to 255) in the image. All pixels outside those values are converted so that they fall within the maximum and minimum.

  11. To adjust another color component, choose it in the Edit drop-down list and follow these steps again.

  12. Click OK.

Related Topics

Adjusting Individual Brightness Values

Adjusting the Brightness and Contrast in Unison

Adjusting the Brightness of the Highlights, Midtones, and Shadows

Adjusting the Lightness Levels

Manually Adjusting Brightness and Contrast


Creating Black-and-White Images

To create a black-and-white image, use the Threshold command. Select the threshold lightness value—below which all pixels are changed to black and above which all pixels are changed to white. This command does not change the color depth of the image.

Note:The Threshold command creates an image with pixels of two colors: black or white. To create a “black-and-white” photograph, which is really made up of many shades of grey, see Creating Greyscale Images. You can also decrease an image’s color depth to 2 colors, which gives you options for how colors are reduced that may result in more natural-looking images than the Threshold command. For more information, see Decreasing Color Depth to 2 Colors (1-bit).

Important: To apply this command to a selection, the image must be a 16 million (24-bit) color image (otherwise the command is applied to the entire image). In addition, adjustment layers are available for 16 million (24-bit) color or greyscale images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

To use the Threshold command:

  1. To limit the correction to a specific area, make a selection in the image. See Using the Selection Tools.

  2. Do one of the following:

  3. To modify the image pixels directly, choose Adjust > Brightness and Contrast > Threshold.

  4. To create an adjustment layer, choose Layers > New Adjustment Layer > Threshold. For information on adjustment layers, see Using Adjustment Layers.

  3. Click the Zoom out button until you can see the entire image in the preview windows.

  4. In the Threshold edit box, select a pixel lightness value that determines which pixels change to white (those above the threshold) and which pixels change to black (those below the threshold). The value ranges from 1 to 255. Adjust the threshold until the image in the preview window is satisfactory.

  5. Click OK.

Related Topics

Creating Greyscale Images

Creating Negative Images

Creating Sepia-Tone Images

Reducing or Removing Colors

Reducing the Number of Lightness Levels

Changing Individual Colors

Colorizing Images


Creating Greyscale Images

A greyscale image looks like a traditional black-and-white photograph. Use the Greyscale command to convert a colored image into a greyscale image with a palette that contains white, black, and 254 shades of grey. Each color in the image is replaced with a grey that matches its lightness value.

The Greyscale command changes the color depth of the image to 8-bit.

To create a greyscale image:

Choose Image > Grey Scale.

Related Topics

Creating Black and White Images

Creating Negative Images

Creating Sepia-Tone Images

Reducing or Removing Colors

Reducing the Number of Lightness Levels

Changing Individual Colors

Colorizing Images


Creating Negative Images

In Paint Shop Pro there are three ways to create a negative image (which looks like a photographic negative):

  • Use the Negative Image command to replace each pixel color with its opposite on the color wheel. You can also use the Negative Image command to create a positive image from a scanned photographic negative.

  • Use an Invert adjustment layer command to create an adjustment layer that has the same effect as the Negative Image command but doesn’t change the original image pixels.

  • Use the Solarize command to produce a negative image in which you control the threshold level. This level is the lightness value above which all colors are inverted. Use this command to create interesting effects.

You can create a negative of a selection or an entire image.

Important: To apply this command to a selection, the image must be a 16 million (24-bit) color image (otherwise the command is applied to the entire image). In addition, adjustment layers are available for 16 million (24-bit) color or greyscale images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

To use the Negative Image command:

Choose Adjust > Negative Image.

To use an Invert adjustment layer:

  1. Choose Layers > New Adjustment Layer > Invert.

  2. Choose the layer properties; there are no additional settings for the adjustment layer. For information on adjustment layers, see Using Adjustment Layers.

  3. Click OK.

To use the Solarize command:

  1. Choose Effects > Artistic Effects > Solarize.

  2. In the Threshold edit box, select a lightness threshold (1 to 254) above which all colors are inverted. At a threshold of 1, all image pixels are inverted and the effect is the same as applying the Negative Image command.

  3. Click OK.

Related Topics

Creating Black and White Images

Creating Greyscale Images

Creating Sepia-Tone Images

Reducing or Removing Colors

Reducing the Number of Lightness Levels

Changing Individual Colors

Colorizing Images


Creating Sepia-Tone Images

Sepia tones are the browns of old black-and-white photographs and newsprint. You can give your photographs and graphics the 19th century look by turning them into sepia-tone images. In Paint Shop Pro you have two ways to do this:

  • Apply the Sepia Tone effect to the image. You select the number of years to age the image. See Applying Artistic Effects.

  • Use the Colorize command and choose a brown hue. For more information, see Colorizing Images.

There’s another way to create an image that looks like a greyscale but maintains its same color depth: Use the Channel Mixer command and mark the Monochrome check box. With this command you can modify how much of the image’s red, green, and blue channels are used to create the monochrome image. For more information, see Adjusting the Color Channels.

Related Topics

Creating Black and White Images

Creating Greyscale Images

Creating Negative Images

Reducing or Removing Colors

Reducing the Number of Lightness Levels

Changing Individual Colors

Colorizing Images


Guidelines for Analyzing the Histogram

Here are guidelines that can help you analyze the histogram and make decisions about how to correct your images:

  • If a line spikes, there are many pixels at that value.

  • If a line is close to the horizontal axis, there are few pixels at that level.

  • If the graph is spread out, the image has a balanced composition and probably has enough detail to be corrected.

  • If the lines are compressed into a narrow area, the image probably doesn’t contain enough detail to be corrected; try a new scan or find another picture.

  • The usefulness of the histogram depends upon the image content as well as its channel values. For example, an image of pale, desaturated skin tones may display a big saturation peak on the left side (in the lower values) of the histogram. An image of a bright red fire engine may display a peak on the right side (in the higher values) of the histogram. If the images were improperly saturated, the saturation histograms might be reversed.

  • If the greyscale graph is mostly at the left side, the image is too dark.

  • If the greyscale graph is mostly at the right side, the image is too light.

  • If the greyscale lines are not spread out enough, you may need to increase the contrast.

Related Topics

Adjusting Individual Brightness Values

Adjusting the Brightness and Contrast in Unison

Adjusting the Brightness of the Highlights, Midtones, and Shadows

Adjusting the Lightness Levels

Manually Adjusting Brightness and Contrast


Manually Adjusting Brightness and Contrast

You can manually adjust the brightness and contrast of an image using the Brightness/Contrast command. This is one of the simplest of the lightness correction commands.

Important: To apply this command to a selection, the image must be a 16 million (24-bit) color image (otherwise the command is applied to the entire image). In addition, adjustment layers are available for 16 million (24-bit) color or greyscale images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

To adjust contrast and brightness manually:

  1. To limit the adjustment to a specific area, make a selection in the image. See Using the Selection Tools.

  2. Do one of the following:

  3. To modify the image pixels directly, choose Adjust > Brightness and Contrast > Brightness/Contrast.

  4. To create an adjustment layer, choose Layers > New Adjustment Layer > Brightness/Contrast. For information on adjustment layers, see Using Adjustment Layers.

  3. In the Brightness edit box, select a negative number to darken the image or select a positive number to lighten image. A value of zero indicates no change.

  4. In the Contrast edit box, select a positive number to increase the contrast or select a negative number to decrease the contrast. A value of zero indicates no change.

  5. Click OK.

Related Topics

Adjusting Individual Brightness Values

Adjusting the Brightness and Contrast in Unison

Adjusting the Brightness of the Highlights, Midtones, and Shadows

Adjusting the Lightness Levels

Correcting Images by Adjusting the Histogram


Reducing the Number of Lightness Levels

Use the Posterize command to reduce the number of lightness levels in the image and create interesting effects. With this command, Paint Shop Pro divides the range of lightness levels (from 2 to 255) into a number of equal increments that you specify. As you lower the number, you increase the effect.

Important: To apply this command to a selection, the image must be a 16 million (24-bit) color image (otherwise the command is applied to the entire image). In addition, adjustment layers are available for 16 million (24-bit) color or greyscale images only. To increase the color depth of an image, see Increasing the Color Depth of an Image

To use the Posterize command:

  1. To limit the correction to a specific area, make a selection in the image. See Using the Selection Tools.

  2. Do one of the following:

  3. To modify the image pixels directly, choose Effects > Artistic Effects > Posterize.

  4. To create a Levels adjustment layer, choose Layers > New Adjustment Layer > Posterize. For information on adjustment layers, see Using Adjustment Layers.

  3. In the Levels edit box, select the number of lightness levels (2 to 255) for the adjusted image. To create a dramatic effect, the number of levels typically must be below 10.

  4. Click OK.

Related Topics

Creating Black and White Images

Creating Greyscale Images

Creating Negative Images

Creating Sepia-Tone Images

Reducing or Removing Colors

Changing Individual Colors

Colorizing Images


Understanding the Histogram Values

Understanding Histogram Values

The value of a selected channel is graphed from 0 to 255 along the horizontal axis of the histogram. The meaning of the value depends on the selected channel:

  • Red, Green, and Blue values represent the amount of red, green, or blue in each color channel. A channel value of zero indicates the color is not present and a value of 255 indicates the color is at full strength. For example, if the graph has a spike at the value 128 for the Red channel, then there are a large number of pixels with a red value of 128 (or middle red).

  • Hue, Saturation, and Lightness values are a different representation of color than the Red, Green, and Blue channels. Hue is the actual color and the value is the number assigned on the color wheel; for example, red is zero, yellow is 43, green is 85, cyan is 128, blue is 170, and magenta is 212. (As a reference, look at the color wheel on the Jasc Color Picker.) Saturation is the level of grey added to the hue; zero is very grey and unsaturated and 255 is no grey and fully saturated. Lightness is the brightness of the hue; zero is no light (black), 128 is middle grey, and 255 is fully light (white). The lightness histogram has information similar to the greyscale histogram.

  • Greyscale values are levels of grey; zero is black, 128 is middle grey, and 255 is white. These represent the brightness or luminosity of an image. The distribution of grey values determines the contrast of an image.

Related Topics

Adjusting Individual Brightness Values

Adjusting the Brightness and Contrast in Unison

Adjusting the Brightness of the Highlights, Midtones, and Shadows

Adjusting the Lightness Levels

Manually Adjusting Brightness and Contrast


Using the Histogram to Fix Contrast Problems

In Paint Shop Pro there are three main ways to use the histogram to fix contrast problems:

  • Use the Histogram Adjustment command to edit the luminosity (or lightness) channel. See Correcting Images by Adjusting the Histogram.

  • To average image brightness, use the Equalize command to distribute the lightness values of pixels more evenly across the lightness spectrum from black to white. This command makes the darkest pixel as close to black as possible and the lightest pixel as close to white as possible, and then distributes the remaining pixels evenly between these two values.

  • To increase contrast, use the Stretch command. If an image’s histogram does not cover the entire lightness spectrum, the image does not contain very dark or very light areas and so it lacks contrast. The Stretch command stretches the graph closer to both ends so that it covers more of the spectrum. (Note that you can also do this manually with the Histogram Adjustment command.)

In some cases the effect of equalizing the histogram of an image may be too strong. You may get better results when you blend the original image with the equalized version. Copy and paste the original as a new layer, then equalize the copied layer and use the layer opacity options to blend the two layers together. For more information on the opacity options, see Changing Opacity of Layers.

To use the Equalize command:

  1. To limit the adjustment to a specific area, make a selection in the images, see Using the Selection Tools.

  2. Choose Adjust > Brightness and Contrast > Equalize. The image updates in the image window.

To use the Stretch command:

  1. To limit the adjustment to a specific area, make a selection in the image.

  2. Choose Adjust > Brightness and Contrast > Stretch. The image updates in the image window.

Related Topics

Adjusting Individual Brightness Values

Adjusting the Brightness and Contrast in Unison

Adjusting the Brightness of the Highlights, Midtones, and Shadows

Adjusting the Lightness Levels

Manually Adjusting Brightness and Contrast


Adding or Removing a Color from a Selection

To add or remove a color from a selection, use the Select Color Range command. You can choose to add or remove a color from the selection border. The color that you choose is either added or removed, and the selection border changes. If you copy and paste the selection, the pasted area has the color added or removed.

To add or remove a color from a selection area:

  1. Make a selection in the image.

  2. Choose Selections > Modify > Select Color Range.

  3. Select either the Add color range or Subtract color range option.

  4. Move the cursor over the image and click a color. The Reference color box, displays the selected color. You can also click this box to open the Color dialog and choose a color. For more information, see Choosing Colors.

  5. In the Tolerance edit box, specify a color tolerance (0 to 200). If the value is 0, no colors are added or removed from the selection area. If you specify a higher value, shades of the color or related colors are added or removed.

  6. In the Softness edit box, specify the amount of softness for the referenced color.

  7. Click OK. The selection borders change to add or exclude the color you specified.

Note: To remove a color from a selection, you can also use the Paste As Transparent Selection command to remove a color when you paste a selection. However, with this command you cannot remove shades of a color, only the exact color you specify. For more information, see Cutting, Copying, and Pasting.

Related Topics

Adding to a Selections

Changing the Feathering of a Selection

Cleaning up the Edges of a Selection

Modifying the Select Selection Borders

Recovering the Anti-alias

Removing Specks and Holes from a Selection

Shape Based Anti-aliasing

Smoothing the Boundary of a Selection

Subtracting from a Selection


Adding to a Selections

Adding to a Selection

You can add to the selection area using the selection tools, either the same selection tool you used to make the original selection or a different selection tool. For example, you have a picture of a person carrying a large sign. You can select the sign with the rectangular Selection tool, then add the person to the selection using the Freehand Selection tool.

You can also use the Expand command to increase a selection by a specific number of pixels or the and Select Similar commands to add to selections based on pixel color values.

To add to a selection using the selection tools:

  1. On the Tools toolbar, choose the selection tool (Selection, Freehand, or Magic Wand tool) that you want to use to add to the selection.

  2. On the Tool Options palette, select the tool options.

  3. Hold down the Shift key as you click the parts of the image you want to add to the selection. The areas do not need to be adjacent.

To expand the selection by a specific number of pixels:

  1. Choose Selections > Modify > Expand.

  2. Select the number of pixels (1 to 100) by which you want to expand the selection.

  3. Click OK. The marquee expands while keeping its original shape.

To add pixels to a selection based on color values:

  1. Choose Selections > Modify > Select Similar.

Note: In the dialog you can click the Transparency button [image] to change between showing only the selection or showing the selection and the rest of the image.

  2. Select from these options:

Tolerance Specifies how closely pixels must match the colors of the initial selection. At low settings, the values must be close. At higher settings, more pixels match.

Sample Merged If the check box is marked, Paint Shop Pro selects matching pixels in the merged image. If the check box is cleared, Paint Shop Pro selects pixels in the active layer only.

Anti-alias Mark this check box to use anti-aliasing, which produces a smooth-edged selection by partially filling in pixels along the edge, making them semi-transparent. Mark whether you want the areas Inside or Outside the selection marquee to be anti-aliased. Clear the Anti-alias check box to keep the original edges.

Contiguous Selects all pixels of a similar color in adjacent areas.

Discontiguous Selects all pixels of a similar color anywhere within the image.

  3. Click OK. The selection changes to include matching pixels.

Related Topics

Adding or Removing a Color from a Selection

Changing the Feathering of a Selection

Cleaning up the Edges of a Selection

Modifying the Select Selection Borders

Recovering the Anti-alias

Removing Specks and Holes from a Selection

Shape Based Anti-aliasing

Smoothing the Boundary of a Selection

Subtracting from a Selection

Using the Deform Tool to Correct Perspective


Changing the Feathering of a Selection

Feathering specifies a width in pixels (0 to 200) that the selection is faded along the edges. When you move or paste the selection, feathering helps blend the selection into the surrounding area and makes it appear more natural. The higher the Feather value, the softer the edges. Set the width to 0 to create a selection with no feathering and distinct edges.

To feather a new selection, choose a selection tool (Selection, Freehand, or Magic Wand) and on the Tool Options palette adjust the Feather value. When you make the new selection, that feathering is used.

Use the Tool Options palette to set the feathering before creating a selection. After you create the selection, you can modify the feathering amount and the feathering position (inside or outside the selection border) using commands from the Selection menu.

To change the feathering amount:

  1. Choose Selections > Modify > Feather.

  2. Select the number of pixels for the feathering width, both inside and outside of the selection.

  3. Click OK.

To adjust the position and amount of feathering:

  1. Choose Selections > Modify > Inside/Outside Feather.

Note: In the dialog you can click the Toggle Selection button [image] to change between showing only the selection or showing the selection and the rest of the image.

  2. Select the feather position: Inside, Outside, or Both (the feather amount is added to each side).

  3. In the Feather amount edit box, enter the width in pixels of the feathering.

  4. Click OK.

To unfeather a selection:

  1. Choose Selections > Modify > Unfeather.

  2. Select the threshold value to remove of the feather.

  3. Click OK.

Related Topics

Adding to a Selections

Adding or Removing a Color from a Selection

Cleaning up the Edges of a Selection

Modifying the Select Selection Borders

Recovering the Anti-alias

Removing Specks and Holes from a Selection

Shape Based Anti-aliasing

Smoothing the Boundary of a Selection

Subtracting from a Selection


Cleaning Up the Edges of a Selection

When you move or copy a selection, some of the pixels surrounding the border are included, especially when the selection is anti-aliased or feathered. Matting cleans up the border by removing these pixels.

There are three Matting commands: Remove Black Matte, Remove White Matte, and Defringe. Use the Remove Black Matte or Remove White Matte command when the selection is from an image with a black or white background. These commands remove the black or white pixels at the selection edges.

Use the Defringe command when the selection is from an image with a colored background. Defringing bleeds non-feathered pixels in the selection edges outward and over the “jaggies” in the feathered part of the selection.

Important: This command works on 16 million color and greyscale images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

To use a Matting command:

  1. If the selection is not floating, choose Selections > Float.

  2. Do one of the following:

  3. To remove the black matte, choose Layers > Matting > Remove Black Matte.

  4. To remove the white matte, choose Layers > Matting > Remove White Matte.

  5. To move a colored matte, choose Layers > Matting > Defringe. The Defringe dialog opens. Enter the number of pixels to defringe and click OK.

Related Topics

Adding to a Selections

Adding or Removing a Color from a Selection

Changing the Feathering of a Selection

Modifying the Select Selection Borders

Recovering the Anti-alias

Removing Specks and Holes from a Selection

Shape Based Anti-aliasing

Subtracting from a Selection

Smoothing the Boundary of a Selection


Creating Raster Selections from Vector Objects

You can select a vector object, convert it to a raster selection, and then copy and paste this selection into another layer or another image. Do this when you want to apply raster-only tools and commands to vector objects.

To create a raster selection from a vector object:

  1. Use the Object Selection tool to select one or more vector objects.

  2. Choose Selections > From Vector Object.
    The selection marquee surrounds each vector object. You can now copy and paste the selection as needed. The original vector objects remained unchanged.

Related Topics

Making Selections with the Freehand Tool

Making Selections with the Magic Wand Tool

Making Selections with the Selection Tool

Selecting All Non-Masked Areas

Selecting all Pixels

Selecting Text

Selecting Vector Objects


Deleting Selections from Alpha Channels

If you saved selections to alpha channels that you no longer need, you can delete them. You can delete alpha channels from the current image only.

To delete an alpha channel:

  1. Choose Image > Delete Alpha Channel to open the Delete Alpha Channel dialog.

  2. Select the alpha channel that you want to delete, or mark the Delete all alpha channels check box.

  3. Click Delete.

Related Topics

Saving Selections to Alpha Channels

Saving Selections to Disk

Loading Selections from Alpha Channel

Loading Selections from Disk


Deselecting a Selection

You can deselect any selection in the image, which removes the marquee and integrates the selection back into the image. If you deselect a floating selection, Paint Shop Pro defloats it and places it in the underlying layer if the layer is raster. If the underlying layer is vector, Paint Shop Pro creates a new raster layer and defloats the selection to it.

To deselect a selection:

Choose Selections > Select None, right-click in the image, or press CTRL + D.

Related Topics

Making Selections with the Freehand Tool

Making Selections with the Magic Wand Tool

Making Selections with the Selection Tool

Selecting All Non-Masked Areas

Selecting all Pixels

Selecting Text

Selecting Vector Objects


Loading Selections from Alpha Channel

Loading Selections from Alpha Channels

When you save a selection as an alpha channel within a .PspImage image, you can load that selection from the alpha channel into the same image or into any other image.

To load a selection from an alpha channel:

  1. Choose Selections > Load/Save Selection > Load Selection from Alpha Channel to open the Load Selection from Alpha dialog.

Note: In the Preview group box, click the Transparency button to show the area around the selection as either transparent [image] or black [image].

  2. In the Load from Document drop-down list, select the image that contains the alpha channel you want to load. To load from another image’s alpha channel, the image must be open in Paint Shop Pro.

  3. In the drop-down list below the document name, choose the alpha channel that contains the selection you want to load.

  4. In the Operation group box, choose whether the selection you load replaces, adds to, or subtracts from the active selection in the image (if there is one).

  5. A message in the Operations group box indicates how the original alpha channel rectangle (which is the saved selection) intersects the canvas of the current image: completely intersects, does not completely intersect (part of the selection is off the canvas), or does not intersect at all. If it partially intersects or does not intersect, mark the Move to Upper Left of Canvas check box to move the selection onto the image canvas.

  6. In the Options group box, choose from these check boxes:

  7. Mark the Move to upper left of canvas check box to place the loaded selection in the upper left. If the check box is cleared, the selection remains in the same position it was on the original image.

  8. Mark the Clip to canvas check box to clip the selection at the places where it goes beyond the image canvas.

  9. Mark the Invert image check box to select everything outside the original selection.

  7. Click the Load button. The selection displays on the current layer.

Related Topics

Saving Selections to Alpha Channels

Saving Selections to Disk

Loading Selections from Disk

Deleting Selections from Alpha Channels


Loading Selections from Disk

Load a selection (with a .PspSelection extension) or image file that you have saved to a hard disk or removable disk. When you load an image, Paint Shop Pro creates a selection based on luminance, non-black pixels, or opacity.

To load a file or selection from disk:

  1. Choose Selections > Load/Save Selections > Load Selection from Disk to open the Load Selection from Disk dialog.
    The Selection Files group box shows selections files in the default directory for selections. To change the default directory, click the Edit Paths button.

  2. Choose the selection file you want to load.

  3. In the Operation group box, select an option to determine whether to replace the selection or add to or subtract from it.

  4. With an image, decide what Paint Shop Pro creates the selection from the Create selection from group box.

  5. Click Load. The selection displays on the current layer.

Related Topics

Saving Selections to Alpha Channels

Saving Selections to Disk

Loading Selections from Alpha Channel

Deleting Selections from Alpha Channels


Making Selections with the Freehand Tool

Making Selections with the Freehand Selection Tool

With the Freehand Selection tool, you can select objects with irregular borders. Use this tool to select everything from the outline of a tree to a child’s hand to the jagged edge of a leaf.

To use the Freehand Selection tool:

  1. If the image has more than one layer, click the layer on which you want to make a selection from the Layer palette.

  2. On the Tools toolbar, choose the Freehand Selection tool [image] from the Selection tool flyout.

  3. On the Tool Options palette, choose the Selection Type to determine how Paint Shop Pro makes the selection:

Edge Seeker Click on the edges of irregularly shaped areas, and Paint Shop Pro finds the edges between two areas with subtle color or light changes between them.

Freehand Click and drag to select the area—like making a freehand drawing. Use this type for irregular shapes when you want to make a selection quickly.

Point to Point Click from point to point and Paint Shop Pro draws a straight border between the points. Use this when you want a selection with straight edges.

Smart Edge Click along the edges of irregularly shaped areas and Paint Shop Pro finds the edges. Use this selection to create a border between two areas of highly contrasting color or light.

  4. On the Tool Options palette, choose from these additional options:

Feather A width in pixels (0 to 200) that the selection is faded along the edges. Feathering controls the sharpness of a selection’s edges. For a detailed description, see Changing the Feathering of a Selection.

Range Specifies the distance (0 to 15) from the point you click that Paint Shop Pro searches for an edge. This option is available only for the Edge Seeker selection type.

Smoothing The amount of smoothing (from 0 to 40) for the selection border. This smooths sharp edges or jagged lines.

Anti-alias Mark this check box to use anti-aliasing, which produces a smooth-edged selection by partially filling in pixels along the edge, making them semi-transparent. Clear the check box to keep the original edges.

Sample Merged If the check box is marked, the tool searches for an edge in all layers of the area you select. If the check box is cleared, the tool searches for edges only in the current layer. If using the Edge Seeker and Smart Edge selection types, this option can only be used on single layered images.

  5. Make the selection:

  6. For the Edge Seeker and Smart Edge selection types, click in the image where you want to start the selection, then click around the area you want to select. After you click each point, a line indicates the selection border. To delete a previous point, press Delete. To complete the selection, double-click or right-click.

  7. For the Freehand selection type, click and drag an outline of the area you want to select. When the line encloses the selection, release the mouse button. If you release too soon, start again or add to the selection as described in Modifying Selections.

  8. For the Point to Point selection type, click where you want the selection border to start and then continue clicking until you return near the starting point. To complete the selection, double-click or right-click. To delete a previous point, press Delete.

For all selection types, the line becomes a marquee indicating the selection border.

  6. To modify the selection area, do either of the following:

  7. To add to the selection, from the Mode drop-down list choose Add, or hold down the Shift button and click and drag another selection area.

  8. To subtract from the selection, from the Mode drop-down list choose Remove, or hold down the Ctrl button and click and drag within the original selection.

Note: You can also switch to another selection tool before adding to or subtracting from the selection.

You can now edit the contents of the selection (move it, copy it, paint in it, correct colors, apply effects, etc.). The selection remains active until you make another selection or right-click to deselect it, or choose Selections > Select None.

Related Topics

Deselecting a Selection

Making Selections with the Magic Wand Tool

Making Selections with the Selection Tool

Selecting All Non-Masked Areas

Selecting all Pixels

Selecting Text

Selecting Vector Objects


Making Selections with the Magic Wand Tool

Use the Magic Wand tool to select content rather than defining edges in the image. It works well for selecting a complex part of an image that has distinctly different pixels from other parts—for example, a pink rose surrounded by green leaves. The tool uses four types of values for making selections—color (RGB value), hue, brightness, or opacity.

With the Magic Wand, you select the type of match you want (such as hue), choose a tolerance that determines how closely pixels must match, and then click once in the image to select the pixel that the other pixels are compared to.

To use the Magic Wand tool:

  1. If the image has more than one layer, on the Layer palette click the layer name which contains the part of the image you want to select.

  2. On the Tools toolbar, choose the Magic Wand tool [image] from the Selection tool flyout.

  3. On the Tool Options palette, choose the Match mode to determine how Paint Shop Pro creates the selection:

None Chooses all pixels.

RGB Value Chooses pixels that match the red, green, and blue value of the color that you select in the image.

Color Chooses pixels of the same color.

Hue Chooses pixels based on the position in the color wheel of the hues you select within the image.

Brightness Chooses pixels based on the brightness of the color you select within the image. For example, use this option to select dark areas of an image.

All Opaque Chooses only areas containing pixels. No transparent areas are selected.

Opacity Chooses pixels based on their opacity.

  4. On the Tool Options palette, choose from these additional options:

Tolerance Controls how closely the selected pixels must match the initial pixel you click. At low settings, the values must be close. At higher settings, the Magic Wand tool selects a wider range of pixels.

Feather A width in pixels (0 to 200) that the selection is faded along the edges. Feathering controls the sharpness of a selection’s edges. For a detailed description, see Changing the Feathering of a Selection.

Sample Merged Mark this check box to have the Magic Wand tool search for matching pixels in the merged image. Clear this check box to limit the selection to the active layer.

Anti-alias Choose whether you want to anti-alias inside or outside of the selection marquee.

  5. Click the part of the image that has pixels you want to match. The selection marquee surrounds all matching pixels.
    If the Magic Wand tool selected more pixels or fewer pixels than you wanted, adjust the Tolerance value and make a new selection.

  6. To modify the selection, from the Mode drop-down list, choose:

  7. Replace to replace an existing selection with a new selection.

  8. Add to add to the selection, click another area of the image.

  9. Remove to subtract from the selection, click within the original selection to remove the selection.

Note: Use the Expand or Select Similar commands to add to the selection. See Modifying Selections.

You can now edit the contents of the selection (move it, copy it, paint in it, correct colors, apply effects, etc.). The selection remains active until you make another selection or right-click to deselect it.

Note: Sometimes the easiest way to select a complicated part of an image is to select the part of the image that you don’t want and then invert the selection. For example, if you have a picture of a tree silhouetted against a blue sky, use the Magic Wand tool to select the sky and then invert the selection to select the tree. For more information, see Selecting Everything Outside the Selection.

Related Topics

Deselecting a Selection

Making Selections with the Freehand Tool

Making Selections with the Selection Tool

Selecting All Non-Masked Areas

Selecting all Pixels

Selecting Text

Selecting Vector Objects


Making Selections with the Selection Tool

Use the Selection tool to select a portion of a raster layer, or to create a raster selection of objects on a vector layer. You can make a selection of a specific shape: rectangle, square, rounded rectangle, rounded square, ellipse, circle, triangle, pentagon, hexagon, octagon, star, or arrow.

Note: If you select a Feather value in the Tool Options palette, that value affects the next selection that you make with the Selection tool. You can also change the feathering of an existing selection; choose Selections > Modify > Feather or Selections > Modify > Inside/Outside Feather.

To use the Selection tool:

  1. On the Tools toolbar, choose the Selection tool [image] from the Selection tool flyout.

  2. On the Tool Options palette, choose from these options:

Selection Type Choose the shape of the selection area (such as rectangle or circle).

Mode Specifies whether you want to Replace, Add, or Remove from an existing selection.

Feather Specifies a width in pixels (0 to 200) that the selection is faded along the edges. When you move or paste the selection, feathering helps blend the selection into the surrounding area and makes it appear more natural. The higher the Feather value, the softer the edges. Set the width to 0 to create a selection with no feathering and distinct edges.

Anti-alias Mark this check box to use anti-aliasing, which produces a smooth-edged selection by partially filling in pixels along the edge, making them semi-transparent. Clear the check box to keep the original edges.

Note: After you create a selection, you cannot change the Selection Type or the Anti-alias setting. Changing these options applies to the next selection you make. You can change the feathering; see Changing the Feathering of a Selection.

  3. To make the selection, click and drag in the image. As you drag, a border indicates the selection. When you release the mouse, the selection border becomes a marquee. If you select a Feather value, that portion of the selection is added to the marquee.

  4. To make a selection of a specific size, choose the Custom Selection tool [image] and then enter the selection position in pixels for the left, top, right, and bottom positions.

  5. To modify the selection, on the Snap Section to area of Tools toolbar do one of the following:

  6. Choose the Surround current selection button [image] to have a new selection surround the current selection. This option is helpful if you have an unusual selection shape (perhaps created with the Freehand Selection tool) and you want to place a rectangular selection boundary around it.

  7. Choose the Layer opaque button [image] to select opaque areas (the non-transparent area that has data) of the current layer, select Select opaque area-current layer.

  8. Choose the Merged opaque button [image] to select the opaque area of all layers within the image. This option is unavailable if the image has only one layer.

  6. To modify the selection borders, do any of the following:

  7. To add to the selection, from the Mode drop-down list, choose Add, or hold down the Shift key and click and drag another selection area (it does not need to be part of the original selection).

  8. To subtract from the selection, from the Mode drop-down list, choose Remove, or hold down the Ctrl key and click and drag within the original selection.

  9. To move the selection marque, choose the Mover tool [image] and right-click and drag within the selection.

Note: You can also switch to another selection tool before adding to or subtracting from the selection.

You can now edit the contents of the selection (move it, copy it, paint it, correct colors, apply effects, and so on). The selection remains active until you make another selection or right-click to deselect it while one of the selection tools is active, or choose Selections > Select None.

Related Topics

Deselecting a Selection

Making Selections with the Freehand Tool

Making Selections with the Magic Wand Tool

Selecting All Non-Masked Areas

Selecting all Pixels

Selecting Text

Selecting Vector Objects


Modifying the Select Selection Borders

Use the Select Selection Borders command to add a border around the selection. This command is useful when you want to add a border around the selection, and then fill that border using the Flood Fill tool.

To change the shape-based anti-alias:

  1. Choose Selections > Modify > Select Selection Borders to open the Select Selection Borders dialog.

  2. Choose whether you want to add a selection border Inside, Outside, or on Both sides of the selection border.

  3. Mark the Anti-alias check box if you want to smooth the edges of the selection border.

  4. Enter the width of the border in pixels.

  5. Click OK to add a selection border.

Related Topics

Adding to a Selections

Adding or Removing a Color from a Selection

Changing the Feathering of a Selection

Cleaning up the Edges of a Selection

Recovering the Anti-alias

Removing Specks and Holes from a Selection

Shape Based Anti-aliasing

Subtracting from a Selection

Smoothing the Boundary of a Selection


Recovering the Anti-alias

Use the Recover Anti-alias command when you want to restore the original anti-aliasing of an object that was pasted into an image. This command is useful if you made the selection without anti-aliasing, and now want the edges of the selection to be smooth.

To recover the anti-alias:

  1. Choose Selections > Modify > Recover Anti-alias to open the Recover Anti-alias dialog. the selection with the anti-alias added in the right preview window.

  2. To apply the anti-alias to all layers of the selection, mark the Sample merged check box.

  3. To apply the anti-alias and copy the result to a new layer mark the Result on new layer check box.

  4. For the Anti-alias mark an option:

  5. Inside to anti-alias the inside of the selection marquee.

  6. Outside to anti-alias outside of the selection marquee.

  5. Click OK to anti-alias the selection edges.

Related Topics

Adding to a Selections

Adding or Removing a Color from a Selection

Changing the Feathering of a Selection

Cleaning up the Edges of a Selection

Modifying the Select Selection Borders

Removing Specks and Holes from a Selection

Shape Based Anti-aliasing

Smoothing the Boundary of a Selection

Subtracting from a Selection


Removing Specks and Holes from a Selection

To fill the specks and holes that may occur in a selection. The Remove Specks and Holes dialog removes specks and holes from the area that you define in square pixels. For example: If you have an area of specs and/or holes in an image that is 20 pixels wide by 20 pixels high, then in the number of pixels field, enter 5 and a scale factor of 100. Because 20 x 20 = 400, and 5 X 100 = 500 then all specs and/or holes in a pixel area less than 500 will be removed.

To remove holes and specks from a selection:

  1. Choose Selections > Modify > Remove Specks and Holes to open the Remove Specks and Holes dialog.

  2. Do one of the following:

  3. Choose the Remove Specks option to remove only specks from the selection.

  4. Choose the Remove Holes option to remove only holes from the selection.

  5. Choose the Remove Specks and Holes option to remove both specks and holes from the edges of the selection.

Note: In the dialog you can click the Toggle Selection button [image] to change between showing only the selection or showing the selection and the rest of the image.

  3. For the Square area smaller than, enter the number of pixels and the scale factor. Start at low values, and increase them as necessary until the specks and/or holes are removed.

  4. Click OK. The holes and specks in the selection are removed.

Related Topics

Adding to a Selections

Adding or Removing a Color from a Selection

Changing the Feathering of a Selection

Cleaning up the Edges of a Selection

Modifying the Select Selection Borders

Recovering the Anti-alias

Shape Based Anti-aliasing

Smoothing the Boundary of a Selection

Subtracting from a Selection


Saving Selections to Alpha Channels

Save a selection to an alpha channel within the current image or within another image. An alpha channel is a data storage area in an image that holds selections and masks. Alpha channels are like secret compartments within a suitcase—use them to store things you may need later. Selections and masks stored in alpha channels have no effect on the look of an image. To use the stored selections or masks, load them into the same image or another image.

When you save the image to a file format other than .PspImage format, the alpha channels are not saved. Always keep a master copy of your image in .PspImage format.

To save a selection to an alpha channel:

  1. Make a selection in the image.

  2. Choose Selections > Load/Save Selections > Save Selection to Alpha Channel to open the Save Selection to Alpha Channel dialog.
    The Add to document drop-down list displays the image name and below it are the alpha channels in the image (if any).

  3. To save a selection to another image’s alpha channel, select the image name in the Add to document drop-down list. The image must be open in Paint Shop Pro.

  4. To edit the default name for the new alpha channel, type a new name in the Name edit box.

  5. To move the selection to the upper left corner of the image canvas, mark the Move to upper left of canvas check box. This option is helpful when the selection is larger than the current image and may not otherwise show up on the image.

  6. Click Save. The selection is saved to the alpha channel.

Related Topics

Saving Selections to Disk

Loading Selections from Alpha Channel

Loading Selections from Disk

Deleting Selections from Alpha Channels


Saving Selections to Disk

When you save a selection to a hard disk or a removable disk, Paint Shop Pro saves the selection as a separate file with a .PspSelection extension. You can then load this selection into the current image or another image.

To save a selection file:

  1. Make a selection in the image.

  2. Choose Selections > Load/Save Selection > Save Selection to Disk to open the Save Selection to Disk dialog.
    The Selection files group box shows selections files in the default directory for selections. To change the default directory, or to add another directory, click the Edit Paths button.

  3. In the File name edit box, type a name for the selection.

  4. Click Save.

Related Topics

Saving Selections to Alpha Channels

Loading Selections from Alpha Channel

Loading Selections from Disk

Deleting Selections from Alpha Channels


Selecting All Non-Masked Areas

Create a selection from a mask that selects all non-masked (non-black) areas and omits all masked (black) areas. The selection is clipped to the canvas rectangle.

Note: You can also use a selection to create a mask. For more information, see Creating Masks from Selections.

To select all non-masked areas:

  1. Create a mask as described in Creating Masks.

  2. On the Layer palette, select the mask layer.

  3. Choose Selections > From Mask. The selection marque surrounds the non-masked areas.

Note: If you saved a mask to an alpha channel, you can load it as a selection by choosing Selections > Load from Alpha Channel.

Related Topics

Deselecting a Selection

Making Selections with the Freehand Tool

Making Selections with the Magic Wand Tool

Making Selections with the Selection Tool

Selecting all Pixels

Selecting Text

Selecting Vector Objects


Selecting All Pixels

Use the Select All command to select all pixels on a single layer or in the entire image if the image has only one layer. The Select All command selects all pixels on the image canvas, but does not include pixels that have been moved off the canvas.

To select all pixels in a layer or an image:

  1. If the image has more than one layer, on the Layer palette click the name of layer.

  2. Choose Selections > Select All or press Ctrl + A. A marquee appears around the layer on the canvas.

Related Topics

Deselecting a Selection

Making Selections with the Freehand Tool

Making Selections with the Magic Wand Tool

Making Selections with the Selection Tool

Selecting All Non-Masked Areas

Selecting Text

Selecting Vector Objects


Selecting Text

You can make two types of selections with text:

  • Use the Object Selection tool to select vector text so that you can edit it.

  • Use the Text tool to create a raster text selection (a selection marquee shaped like text) that you can use to create interesting effects. For example, create a text selection on a solid colored layer and then delete the selection so the letters become transparent and are outlined in the solid color.

To select vector text:

  1. On the Layer palette, click the layer name that contains the text.

  2. On the Tools toolbar, choose the Object Selection tool [image].

  3. Click the text. A bounding box with editing handles surrounds the text.
    You can now move or resize the text. Double-click to edit the vector properties (such as the color or texture). To edit the words themselves, click the Text tool and then double-click the text.

To create a text selection with the Text tool:

  1. Select the Text tool [image] .

  2. On the Tool Options palette, in the Create as group box choose Selection (which creates a selection shaped like the text rather than text as a painted object).

  3. Click where you want to start the text selection to open the Text Entry dialog.

  4. Select the text options and type the text.

  5. Click Apply.

Related Topics

Deselecting a Selection

Making Selections with the Freehand Tool

Making Selections with the Magic Wand Tool

Making Selections with the Selection Tool

Selecting All Non-Masked Areas

Selecting all Pixels

Selecting Vector Objects


Selecting Vector Objects

To edit a vector object such as a preset shape or vector text, you must first select the object with the Object Selection tool. You can select one or several objects, on the same layer or on different layers. You can also select vector objects from the Layer palette.

To select vector objects with the Object Selection tool:

  1. On the Tools toolbar, choose the Object Selection tool [image].

  2. Do one of the following:

  3. Click the object you want to select. To select multiple objects, press Shift and click on each additional object.

  4. Drag the cursor to create a rectangle around the object(s). The rectangle must enclose all objects completely to select them.

A bounding box with handles surrounds the objects you selected. For information on using these handles to edit the objects, see Resizing and Reshaping Vector Objects.

To select vector objects from the Layer palette:

  1. On the Layer palette, click the plus sign (+) to next to a layer to expand the layer to display the objects within the layer.

  2. Click the name of the object. To select multiple objects, press Shift and click each object name. A bounding box in the image surrounds the objects you selected.

To select all objects on all visible layers:

  1. On the Layer palette, make visible the each object you want to select. If there are objects you don’t want selected, make their layers invisible. For more information, see Showing and Hiding Layers, Groups, and Vector Objects.

  2. Click the plus sign to expand a vector layer. Right-click the name of a vector object and choose Select All from the context menu.

Note: In addition to selecting vector objects, use the Object Selection tool to: Move, resize, reshape, and rotate vector objects and vector text. Align and distribute vector objects. Group and ungroup vector objects. Apply Edit menu commands such as copying and pasting. For more information, see Drawing and Editing Objects.

Related Topics

Deselecting a Selection

Making Selections with the Freehand Tool

Making Selections with the Magic Wand Tool

Making Selections with the Selection Tool

Selecting All Non-Masked Areas

Selecting all Pixels

Selecting Text


Shape-Based Anti-aliasing

Use the Shape-Based Anti-alias command to anti-alias a selection based on its shape.

To anti-alias based on shape:

  1. Choose Selections > Modify > Shape-Based Anti-alias to open the Shape-based Anti-alias dialog.

  2. For the Anti-alias mark an option:

  3. Inside to anti-alias the inside of the selection marquee.

  4. Outside to anti-alias outside of the selection marquee.

  3. Click OK to anti-alias the selection edges.

Related Topics

Adding to a Selections

Adding or Removing a Color from a Selection

Changing the Feathering of a Selection

Cleaning up the Edges of a Selection

Modifying the Select Selection Borders

Recovering the Anti-alias

Removing Specks and Holes from a Selection

Subtracting from a Selection

Smoothing the Boundary of a Selection


Smoothing the Boundary of a Selection

Use the Smooth command to smooth the edges of a selection.

To smooth the boundary of a selection:

  1. Choose Selections > Modify > Smooth to open the Smooth Selection dialog.

  2. For Smoothing amount enter a number for the level of smoothing for the corners of the selection.

Note: In the dialog you can click the Toggle Selection button [image] to change between showing only the selection or showing the selection and the rest of the image.

  3. For Corner scale enter the number of pixels at the corners of the selection to smooth.

  4. Anti-alias mark this check box to smooth the edges of the selection.

  5. Preserve Corners mark this check box if you want the corners preserved. Clear this check box if you want the corners to be smoothed.

  6. Click OK. The corners of the selection are smoothed.

Related Topics

Adding to a Selections

Adding or Removing a Color from a Selection

Changing the Feathering of a Selection

Cleaning up the Edges of a Selection

Modifying the Select Selection Borders

Recovering the Anti-alias

Removing Specks and Holes from a Selection

Shape Based Anti-aliasing

Subtracting from a Selection

Smoothing the Boundary of a Selection


Subtracting from a Selection

You can subtract from the selection area using the selection tools, either the same selection tool you used to make the original selection or a different selection tool. You can also use the Contract command to contract a selection by a specific number of pixels.

To subtract from a selection using the selection tools:

Hold down the Ctrl key as you click the parts of the image you want to remove from the selection.

To contract the selection by a specific number of pixels:

  1. Choose Selections > Modify > Contract.

  2. Select the number of pixels by which you want to contract the selection.

  3. Click OK. The marquee contracts while keeping its original shape.

Related Topics

Adding to a Selections

Adding or Removing a Color from a Selection

Changing the Feathering of a Selection

Cleaning up the Edges of a Selection

Modifying the Select Selection Borders

Recovering the Anti-alias

Removing Specks and Holes from a Selection

Shape Based Anti-aliasing

Smoothing the Boundary of a Selection


Description of Retouch Brushes

Brush

Effect

Dodge

Lightens and brings out the details in areas that are in shadow. This tool mimics the traditional photographic darkroom technique of holding back some of the light when printing photographs to produce lighter areas. The Dodge tool is the opposite of the Burn tool.

Burn

Darkens areas of the image that are too light.

Smudge

Spreads color and image details from the starting point and picks up new color and image details as it moves; the effect is similar to smearing paint.

Push

Spreads color and image details from the starting point but does not pick up any new color or image details.

Soften

Smooths edges and reduces contrast.

Sharpen

Heightens edges and accentuates contrasts.

Emboss

Causes the foreground to appear raised from the background by suppressing color and tracing edges in black.

Lighten/Darken

Lightening increases brightness; darkening decreases brightness. (Choose to affect the RGB or Lightness value of pixels).

Saturation Up/Down

Increases or decreases the saturation (affects the HSL value of pixels).

Hue Up/Down

Increases or decreases the hue (affects the HSL value of pixels).

Change-to-Target

Changes pixels based on a characteristic of the current foreground color (on the Materials palette): color, hue, saturation, or lightness.

If you choose the color as the target, the tool applies the foreground color without affecting the luminance.

If you choose the hue, saturation, or lightness as the target, it applies the foreground color’s hue, saturation, or lightness value without changing the other values.


Using the Background Eraser Tool

Use the Background Eraser tool to selectively erase pixels. For example, in a photograph of a mountain range, you can erase the sky.

To use the Background Eraser tool:

  1. On the Tool palette, choose the Background Eraser tool [image]. (It may be hidden under the Eraser tool.)

  2. On the Tool Options palette, choose the brush tip, size, opacity, hardness and other options. See Setting Brush and Paint Options. For the opacity setting, 100% erases pixels to complete transparency and a lower opacity erases pixels to partial transparency.

  3. Choose from these additional options:

  4. Tolerance How closely the selected pixels must match the sampled pixel. The range is 0 to 200. At lower settings, only pixels with very similar colors are erased. At higher settings, more pixels are erased. (Note that this edit box is unavailable if the Auto Tolerance check box is marked.)

  5. Sampling How the tool determines what pixels to erase:

Once samples at the center of the brush where you first click and erases all matching pixels for the duration of the stroke. Continuous samples at the center of the brush at every step and erases all matching pixels.

BackSwatch erases all pixels that match the current background color on the Materials palette rather than sampling from the image.

ForeSwatch erases all pixels that match the current foreground color on the Materials palette rather than sampling from the image.

  • Limits Whether erased pixels must be adjacent to each other:

Discontiguous erases all pixels in the tool’s path that match the sampled pixels, even if they are discontiguous (non-adjacent). Use this mode on images that show the background through holes in the image.

Contiguous erases only contiguous pixels that match sampled pixels. Use this mode when the background pixels are close in color to the edges of the object you want to isolate.

FindEdges finds restricts the brush erasing according to the edge information.

  • Auto Tolerance Mark this check box to have the tool determine the tolerance based on the pixels in the Background Eraser tool’s path; the tolerance may change continuously as the tool moves over different parts of the layer. Clear this check box to have the tool use the Tolerance setting that you choose.

  • Sample merged Mark this check box to sample data from all layers merged together; only pixels in the current layer are erased. Clear the check box to sample data from the current layer only.

  • Ignore lightness Mark this check box when the colors in the object that you want to isolate are strongly saturated and the background is unsaturated, or vice versa.

  4. If the image has more than one layer, on the Layer palette click the layer that has an object that you want to isolate by erasing the background.

Note: The Background Eraser cannot be applied on the background, which does not support transparency. If you apply the tool to the background, you are prompted to promote it to a full layer.

  5. Drag on the layer, around the edges of the subject to erase the background area as follows:

  6. To erase pixels, drag with the left mouse button.

  7. To erase a straight line, click once at the beginning point, then press Shift and click the end point. To continue the straight line, move to the next point and press Shift and click.

  8. To restore erased pixels, drag with the right mouse button.

Related Topics

Cloning Parts of Images

Creating Brush Tips

Erasing

Painting with the Paint Brush or Airbrush

Replacing Colors

Setting Brush and Paint Options

Using Brush Tips


Using the Eraser Tool

When you use the Eraser tool to erase on a raster layer, all pixels in the tool’s path become transparent. When you erase on the background (which does not support transparency), the Eraser tool acts like a paintbrush; all pixels in the tool’s path become the current foreground (left-clicking) or background color or material (right-clicking).

To use the Eraser tool:

  1. On the Tool palette, choose the Eraser tool [image]. (It may be hidden under the Background Eraser tool.)

  2. On the Tool Options palette, choose the brush tip, size, opacity, and other options. See Setting Brush and Paint Options. For the opacity setting, 100% erases pixels to complete transparency and a lower opacity erases pixels to partial transparency.

  3. Drag in the image to erase as follows:

  4. To erase pixels, drag with the left mouse button.

  5. To restore erased pixels, drag with the right mouse button.

  6. To erase a straight line, click once at the beginning point, then press Shift and click the end point. To continue the straight line, move to the next point and press Shift and click.

Note: If you erase on the background, the eraser strokes change to the background color when you use the left mouse button or to the foreground color when you use the right mouse button.

Related Topics

Cloning Parts of Images

Creating Brush Tips

Erasing

Painting with the Paint Brush or Airbrush

Replacing Colors

Setting Brush and Paint Options

Using Brush Tips


Background Eraser

Before and after applying the Background Eraser


Brush Impression

A brush impression is one click of the painting tool. For example, if you click once with the Paint Brush tool using a round brush, the impression is a circle. The same round paint brush makes many impressions as you drag the cursor, which results in a stroke of color.


Brush Tip vs. Tool Presets

Brush Tips versus Tool Presets

When you create a brush tip, you are saving all of the options selected for the brush, including the brush shape, step, density, thickness, size, hardness, and rotation settings. You can also include the variance settings. The brush tip settings that you save can be applied to any tool that has a brush tip control in the Tool Options palette. When you create a tool preset, you are savings all the settings that you specified for a particular tool, including all of the parameters and variance settings. The tool preset is available only when you select that particular tool.


Cloning an Image

Original image and image after cloning


Contiguous Pixels

Contiguous means “near, next, or adjacent.” Contiguous pixels are like continuous chains of matching pixels radiating from the initial pixel you click. When the Flood Fill tool finds a pixel that doesn’t match, it breaks the chain. Even if a pixel is just one pixel away from a matching pixel, it is discontiguous.


Picture Tubes

Two examples of picture tubes


Automatically Arranging Images in a Layout

Use the Auto Arrange command to automatically size and position images on the page of the Print Layout window. Paint Shop Pro divides the page into sections of equal size and places each image in a section. Only images on the page or in the workspace are used.

Before automatically arranging images, specify these preferences:

  • To include borders between arranged images, choose Preferences > Options to set the border width (the default is 0.5 inches or 1.27 centimeters). Then choose Preferences > Use Borders or click the Use Borders button [image]. If you do not use borders, Paint Shop Pro may arrange images with touching edges.

  • To have Paint Shop Pro enlarge (stretch) images to fit their sections of the page layout, choose Preferences > Stretch to Fit or click the Stretch to fit button [image]. If you do not choose this option, when Paint Shop Pro automatically arranges photos, it keeps them the same size or, if necessary, makes them smaller to fit.

To automatically arrange images:

  1. Drag each image that you want to arrange onto the page or the workspace.

  2. Choose Preferences > Auto Arrange, or click the Auto Arrange button [image].

Related Topics

About Printing

Saving Images for Printing

Printing a Single Image

About Printing Options

Printing Multiple Images on a Page

Printing Images Using a Template

Printing Images from the Browser

Printing with CMYK Color Separations


Defining CMYK Profiles

In a CMYK (Cyan, Magenta, Yellow, and Black) conversion, Paint Shop Pro replaces the RGB (Red, Green, and Blue) colors you see on the monitor with the CMYK colors used in printing. You can then print a separate page for each CMYK color by selecting the CMYK Separations option in the Page Setup dialog box. This is useful if you are using a pre press shop and doing high-end printing.

Before printing the separations, configure the CMYK preferences to determine how Paint Shop Pro handles the conversion from RGB to CMYK. Save these preferences in a file called a profile.

To set the current profile:

  1. Choose File > Preferences CMYK Conversion Preferences to open the CMYK Conversion Preferences dialog.

  2. Choose the name of the profile from the Current Profile drop down list.

  3. Click OK.

To create a new profile:

Paint Shop Pro uses the program’s default settings until you create a profile.

  1. Choose File > Preferences > CMYK Conversion Preferences to open the CMYK Conversion Preferences dialog.

  2. Do one of the following:

  3. Choose the name of a profile from the Current Profile drop down list and click New. This will base the new profile on the settings of the selected profile.

  4. Click New. This will base the new profile on the program’s defaults.

The New CMYK Profile dialog will open.

  3. Type a name for the new profile in the Enter profile name field.

  4. Choose the initial setting:

Reset to defaults Base the new profile on the program’s defaults.

Use current settings Base the new profile on the settings in the current profile.

  5. Click OK.

To remove a profile:

  1. Choose File > Preferences > CMYK Conversion Preferences to open the CMYK Conversion Preferences dialog.

  2. Choose the name of the profile from the Current Profile drop down list.

  3. Click OK.

Related Topics

About Printing

Saving Images for Printing

Printing a Single Image

About Printing Options

Printing Multiple Images on a Page

Printing Images Using a Template

Printing Images from the Browser

Printing with CMYK Color Separations


Deleting a Print Template

If you have saved a print template that you no longer need, you can easily delete it.

To delete a template:

  1. Do one of the following:

  2. From the Paint Shop Pro workspace, choose File > Print Layout.

  3. From the Paint Shop Pro Browser, choose File > Print Layout.

  2. In the Print Layout window, choose File > Open Template or click Open Template [image] to open the Templates dialog.

  3. Choose a category from the Select a category list.

  4. Select the thumbnail of the template you want to delete.

  5. Click Delete.

Related Topics

About Printing

Saving Images for Printing

Printing a Single Image

About Printing Options

Printing Multiple Images on a Page

Printing Images Using a Template

Printing Images from the Browser

Printing with CMYK Color Separations


Editing Template Cells

You cannot move or resize cells in a template. A cell’s position and size is locked when a layout is saved as a template.

However, if you saved images with a template, you can revert the template back to a layout.

To revert a template (with images) to a layout:

  1. Open the template you want to edit. For more information, see Working with Templates.

  2. Choose File > New Template or click the New Template button [image]. A dialog will open asking, “Do you want to keep the current images in the new template?”

  3. Click Yes.
    The Print Layout window will display a new layout that contains all the images that were in the template.

Related Topics

About Printing

Saving Images for Printing

Printing a Single Image

About Printing Options

Printing Multiple Images on a Page

Printing Images Using a Template

Printing Images from the Browser

Printing with CMYK Color Separations


Image Color and Lightness

Computer monitors display color by combining red, green, and blue light on the screen. Color printers, however, use a combination of cyan, magenta, yellow, and black inks. The difference in these two color modes can cause images to appear darker on paper than on the screen. As you become familiar with how your printer handles color, adjust your images to compensate. If the printed image appears too dark, use the Brightness/Contrast command to adjust it.

Related Topics

About Printing

Saving Images for Printing

Printing a Single Image

About Printing Options

Printing Multiple Images on a Page

Printing Images Using a Template

Printing Images from the Browser

Printing with CMYK Color Separations


Image Resolution

Laser and ink-jet printers work by applying dots of black or colored ink to paper. While the image resolution is measured in pixels per inch (ppi), the printer resolution is measured in dots per inch (dpi). To determine the printed image size in inches, the printer divides the image size in pixels by the pixels per inch. An image with a high resolution appears smaller when printed at its original size than an image with a low resolution.

You can scale images when you use Print Layout to print multiple images. However, this can lower the quality of the print, as it enlarges each pixel. You will get better results if you create the image using a resolution that is appropriate for the printer. Use the following guidelines to determine the image size for printing:

  • For a 300 dpi printer, use a 72 to 120 ppi image.

  • For a 600 dpi printer, use a 125 to 170 ppi image.

  • For a 1200 dpi printer, use a 150 to 200 ppi image.

Related Topics

About Printing

Saving Images for Printing

Printing a Single Image

About Printing Options

Printing Multiple Images on a Page

Printing Images Using a Template

Printing Images from the Browser

Printing with CMYK Color Separations


Modifying the CMYK Profile

Modifying a CMYK Profile

Use the tabs on the CMYK Profile dialog to configure the CMYK black generation, transfer and components, and to adjust the for color shifts.

Note: Clicking Default in any of the profile tabs will reset the tab to the program’s default settings.

To open the CMYK Profile dialog:

  1. Choose File > Preferences > CMYK Conversion Preferences to open the CMYK Conversion Preferences dialog.

  2. Choose the name of the profile from the Current Profile drop down list.

  3. Click Modify to open the CMYK Profile dialog

To configure the Black Generation tab:

  1. In the CMYK Profile dialog click the Black Generation tab.

  2. In the Method group box, choose from the following options:

UCR - Undercolor Removal Replaces some of the cyan, magenta, and yellow components of neutral grey and shadow areas with black. This helps compensate for some of the trapping problems that occur in multi-color printing.

GCR - Grey Component Replacement Replaces grey components in colored areas with black. The least prominent color is reduced or removed completely, along with proportional amounts of the other two colors, to define a grey component, which is then replaced with black ink.

  3. In the Parameters group box, configure the following settings:

Total coverage limit This can range from 200 to 400%

Blank ink coverage limit This can range from 0 to 200%

Black starts at This can range from 0 to 100%

GCR Black Gamma This can range from 1 to 4. This option is inactive unless the GCR option is selected.

Note: The black line in the graph represents the black value and updates as you change the settings.

To configure the Transfer and Components tab:

  1. In the CMYK Profile dialog click the Transfer and Components tab.

The left panel of the Transfer and Components tab displays a graph of the transfer curves for cyan, magenta, yellow, and black. The right panels display parameters for grey and color components.

  2. In the Transfer Curves group box, adjust the transfer curves by highlighting the name of a curve in the Transfer Curves drop-down list, and then dragging the points of the curve up or down.

Each transfer curve contains five adjustable points that define the curve based on its zero-tone, quarter-tone, mid-tone, three-quarter-tone, and full-tone percentages. The default curve is a straight line from 0 to 100%. A curve that slopes above this 45º line produces darker tones.

  3. In the Grey Component group box, set the percentages by typing values into the corresponding fields. Values can range from 0 to 100%.

  4. In the Color Component group box, set the percentages by typing values into the corresponding fields. Values can range from 0 to 100%.

To configure the Ink Calibration tab:

  1. In the CMYK Profile dialog click the Ink Calibration tab.

  2. In the Hue and Greyness group box, click in the color box of the color you want to change to open the Color dialog. Adjust the color settings and click OK.

  3. In the Grey Balance group box , type values in the text fields to adjust the individual CMY percentages.

Related Topics

About Printing

Saving Images for Printing

Printing a Single Image

About Printing Options

Printing Multiple Images on a Page

Printing Images Using a Template

Printing Images from the Browser

Printing with CMYK Color Separations


Paper Quality

The texture and color of the paper affects the quality of the printed image. Porous paper can cause colors to bleed into each other; colored paper can alter the image colors; off-white paper can reduce the contrast and vibrancy of colors. For the best results, refer to your printer’s owner manual for paper recommendations.

Related Topics

About Printing

Saving Images for Printing

Printing a Single Image

About Printing Options

Printing Multiple Images on a Page

Printing Images Using a Template

Printing Images from the Browser

Printing with CMYK Color Separations


Positioning and Sizing Images in a Layout

You can position and size individual or multiple images in a layout.

To rotate an image in a layout:

  1. Select the image or images.

  2. On the toolbar, click Rotate 90+ [image] or Rotate 90- [image]. Or, select the same commands from the Image menu.

To resize an image in a layout:

  1. Select the image.

  2. Drag a corner handle until the image is the size you want it. The image maintains its aspect ratio.

To position an image in a layout:

  1. Click and drag the image to a new position on the page. You can also temporarily place images in the workspace around the page. You can also position an image by clicking one of the command buttons. These buttons align the selected image to the layout page.

  2. Position image at X,Y Click this button to open the Place Image dialog. Enter values to set the position of the image’s top left corner.

Related Topics

About Printing

Saving Images for Printing

Printing a Single Image

About Printing Options

Printing Multiple Images on a Page

Printing Images Using a Template

Printing Images from the Browser

Printing with CMYK Color Separations


Saving Templates with Images

For a layout with certain images that you want to print repeatedly, save the layout as a template with links to the images. Every time you open the template, it will open and display the images you placed in your layout. If you modify images linked to a template, the modified images will appear the next time you open the template.

To save a layout:

  1. Choose File > Save Template or click the Save Template button [image] to open the Save dialog.

  2. Enter a name for the new template in the Name field.

  3. Choose a save option:

  4. Mark the Save with Images check box to save image links with the template. When you open the template the images currently on the page will appear. Clear this check box to create a blank template.

  4. Click OK.

Note: To delete a print layout, navigate to the Print Templates folder in the Paint Shop Pro program directory, and delete the layout from the folder.

Related Topics

About Printing

Saving Images for Printing

Printing a Single Image

About Printing Options

Printing Multiple Images on a Page

Printing Images Using a Template

Printing Images from the Browser

Printing with CMYK Color Separations


Setting Print Layout Options

Use the options in the Print Layout dialog to set auto arrange options, units of measurement, grid settings and template options.

To change Print Layout window settings:

  1. In the Print Layout window, choose Preferences > Options to open the Print Layout dialog.

  2. Choose the Units, either inches or centimeters from the drop down list. The dialog’s measurements will change to match.

  3. Mark the Center to full page check box to have Paint Shop Pro calculate the page center based on the actual size of the page. Clear this check box to have the page center calculated based on the printer’s margins.

  4. In the Auto Arrange group box, choose from the following:

  5. Use borders Mark this box to have the Auto Arrange function leave a specified border around all images. Enter values for the horizontal and vertical border sizes.

  6. Stretch to fit Mark this box to have the auto arrange function enlarge images as much as possible (while keeping their aspect ratios).

  5. In the Template options group box,

  6. Mark the Apply to current template check box to apply the new default placement option to all the cells of the open template

  7. Choose the Default Placement to determine how images will be placed in template cells by default.

  6. In the Grid settings group box, set the following options:

  7. Show Grid Mark the check box to show the grid, or clear it to hide the grid.

  8. Dot Grid Mark the check box to use a dotted-line grid, or clear it to use a solid line grid.

  9. Grid Color Click the color box to choose another color for grid lines.

  10. Horizontal Spacing Sets spacing between horizontal grid lines.

  11. Vertical Spacing Sets spacing between vertical grid lines.

  12. Snap-to-Grid Mark the check box to snap images to grid lines when you position them. Clear the check box to position images freely on the page.

  7. Click OK to apply the settings and close the Print Layout window.

Related Topics

About Printing

Saving Images for Printing

Printing a Single Image

About Printing Options

Printing Multiple Images on a Page

Printing Images Using a Template

Printing Images from the Browser

Printing with CMYK Color Separations


Setting Print Layout Preferences

Use the options in the Preferences menu, or choose an option from the toolbar, to show and hide grids, snap images to grids, arrange, position, and size images in the Print Layout window. For more information, see: Using Grids, Automatically Arranging Images in a Layout, Positioning and Sizing Images in a Layout, and Setting Print Layout Options.

Related Topics

About Printing

Saving Images for Printing

Printing a Single Image

About Printing Options

Printing Multiple Images on a Page

Printing Images Using a Template

Printing Images from the Browser

Printing with CMYK Color Separations


Using Grids

Use the grid to align images evenly on the page.

To display or hide the grid:

Choose Preferences > Show Grid, or click the Show Grid button [image].

To snap images to the grid:

  1. Display the grid.

  2. Choose Preferences > Snap to Grid, or click the Snap to Grid button [image].
    When you click and drag an image to position it, Paint Shop Pro snaps it to the nearest grid line when you release the mouse.

To change the grid settings:

  1. Choose Preferences > Options to open the Print Layout dialog.

  2. Set the grid options.

  3. Click OK.

Related Topics

About Printing

Saving Images for Printing

Printing a Single Image

About Printing Options

Printing Multiple Images on a Page

Printing Images Using a Template

Printing Images from the Browser

Printing with CMYK Color Separations


Using the Print Layout Zoom Commands

To zoom in or out:

Do any of the following:

  • To zoom in on a specific area, click the Zoom to Rectangle button [image]. Then click and drag within the page layout to choose an area to zoom in on (make sure you click on a blank part of the page to begin).

  • To zoom in, click Zoom In 10% [image].

  • To zoom out, click Zoom Out 10% [image].

  • To make the page layout fill the workspace, click Zoom to Page [image].

You can also choose any of these commands from the Zoom menu.

Related Topics

About Printing

Saving Images for Printing

Printing a Single Image

About Printing Options

Printing Multiple Images on a Page

Printing Images Using a Template

Printing Images from the Browser

Printing with CMYK Color Separations


About Color Reduction Methods

When you decrease an image’s color depth, you must select a color reduction method. Depending upon the color depth you select, two or three of these methods are available:

Nearest Color Replaces the original color of a pixel with the color in the newly generated palette that is closest to the original RGB value. This method eliminates dithering and produces a high-contrast image. Simple graphics may look better with this method.

Error Diffusion Replaces the original color of a pixel with the most similar color in the palette, but spreads the discrepancy between the original and new color to the surrounding pixels. As it replaces a color (working from the top left to the bottom right of the image), it adds the “error,” or discrepancy to the next pixel, before selecting the most similar color. This method produces a naturally looking image and often works best for photographs or complex graphics.

Ordered Dither Adjusts adjacent pixels so that two colors give the illusion of a third color and intermingles pixels to produce patterns based on a known palette. Use this method to give the image the appearance of containing more colors than it actually does. Images may appear to be composed of cross-hatches and dots and may have distinct patterns of light and dark areas.

About Palette Options

When you decrease an image’s color depth, you must select a palette option. Depending upon the color depth you select, two or three of these methods are available:

Optimized Median Cut Measures and ranks each color by how frequently it occurs in the image, then uses the most frequently occurring colors to determine the new palette. Even if your image contains fewer colors than the palette that is generated, this method may not represent each color exactly. The method, therefore, is not as accurate as the Optimized Octree method, but it is better at weighting color importance.

Optimized Octree Creates an eight-level “tree” with eight branching nodes totaling 256 individual “leaves” or colors to determine the new palette. This method attempts to reproduce each color in the original image, so if your image contains fewer colors than the palette that is generated, every color in the image is represented. This method is faster and more accurate than Optimized Median Cut, but it is not as good at weighting color importance.

Windows Changes each pixel’s color to the nearest color in the Windows palette.

Standard/Web-Safe Palette Changes each pixel’s color to the nearest color in the standard Web-safe palette. Use this method to create images for the Web that can be viewed without color distortion on most monitors.

Related Topics

Using the Materials Palette

Understanding Color and Color Models

How Monitor and Print Colors Differ

Working with Color Channels

Understanding Color Depth

Working with Image Palettes

Making a Palette Color Transparent


Choosing Colors from an Image or the Desktop

Use the Dropper tool to choose a foreground or background color from any open image. Or use a special feature of Color and Material boxes to select from any color within Paint Shop Pro (such as a color on a toolbar). If you have Windows 2000 or later, you can choose a color from other applications (such as a color displayed in a word processor).

Note

You can also use the Jasc Color Picker to choose a color from any open image.

To use the Dropper tool to choose a color:

  1. On the Tools toolbar, choose the Dropper tool [image]. The tool may be hidden under the Color Replacer tool.

  2. Position the cursor over the color in the image.

  3. Left-click to make the color the foreground color or right-click to make it the background color.

To choose a color from the active image:

  1. Position the cursor over the active image.

Note: This applies to the brush and eraser tools and picture tubes.

  2. Hold down the Ctrl key and left-click to choose the color as the foreground color or right-click to choose the color as the background color.

To choose a color from an image or the desktop:

  1. Make sure the color you want to choose is displayed on the screen.

  2. Position the cursor over a Color or Material box (on the Materials palette or in a dialog).

Note: On the Materials palette, you must assign the foreground and background color separately. Position the cursor over one or the other, follow the steps, and then start over for the other color.

  3. Hold down the Ctrl key and continue to hold it down until you've completed the following steps.

  4. Move the cursor over the area of the desktop that has the color you want to choose. The cursor is a dropper [image] over any area that you can choose from. For Windows 2000 or later systems, the cursor remains a dropper when you move off Paint Shop Pro onto another application.

  5. Left-click to select the color. The Color box or Material box updates with the color.

  6. To change the color selection, continue to hold the Ctrl key and click on different parts of the desktop.

  7. Release the Ctrl key.

Related Topics

Choosing Colors from the Image Palette

Choosing Colors from the Jasc Color Picker

Specifying the HTML Code for Colors


Choosing Colors from the Image Palette

Images that have a color depth less than 24-bit (16 million colors) are called paletted images the available colors are a subset of all the colors your computer can display. The palette varies from 2 to 256 colors, depending upon the color depth of your image. With these images, you must choose foreground and background colors from the palette rather than from the Jasc Color Picker.

Note

If you select the Rainbow Picker as your preference setting, the Available Colors panel of the Materials palette shows all colors for both paletted and non-paletted (16 million color) images. For paletted images, when you select a color on the Available Colors panel Paint Shop Pro chooses the nearest color in the palette. For more information on the Rainbow Picker, see Display and Caching Preferences.

To choose colors from the palette:

  1. On the Materials palette, do one of the following:

  2. To choose the foreground color, click the Foreground Color or Foreground Material box.

  3. To choose the background color, click the Background Color or Background Material box.

Clicking a Color box opens the Color dialog and displays the palette. Clicking a Material box opens the Material dialog; click the Color tab to display the palette.

  2. In the Sort order drop-down list, select the way the colors are sorted: Palette (in order by the way the palette stores the colors), Hue (in order by color) or Luminance (in order by lightness).

  3. Click the desired color. The colors index number within the palette, color value (RGB or HSL), and HTML code are displayed.

  4. Click OK.

Related Topics

Choosing Colors from an Image or the Desktop

Choosing Colors from the Jasc Color Picker

Specifying the HTML Code for Colors


Choosing Colors from the Jasc Color Picker

The Jasc Color Picker is the default color picker and displays when you click a Color or Material box on the Materials palette. You also choose from this color picker when you click a Color box in some Paint Shop Pro dialogs (such as the New Image dialog).

The Jasc Color Picker offers a variety of ways to select colors:

  • Select from the Color wheel and Saturation/Lightness box, which offer visual ways to select a color based on its hue, saturation, and lightness.

  • Select from the Basic Colors panel, which displays commonly used colors.

  • Select RGB or HSL values to choose a color based on its red, green, and blue values or its hue, saturation, and lightness values.

  • Enter an HTML color code.

  • Select a color from the active image.

Note

If the active image has a color depth less than 24-bit (16 million colors), you must select colors from a palette rather than the Jasc Color Picker.

To display the Jasc Color Picker:

On the Materials palette, do one of the following:

  • To choose the foreground color, click the Foreground Material box or Foreground Color box.

  • To choose the background color, click the Background Material box or Background Color box.

If you clicked a Material box, the Material dialog opens (here you can choose colors, gradients, patterns, and textures); click the Color tab to display the Jasc Color Picker.

If you clicked a Color box, the Color dialog opens and displays the Jasc Color Picker; here you can choose colors only.

To choose a color using the Color wheel:

  1. On the Color wheel, click the approximate color or drag the selection ring around the color wheel to select the color.
    The Color wheel represents the hue. Notice that the Hue edit box updates with a value between 0 and 255 as you go around the wheel.

  2. On the Saturation/Lightness box, click to choose a color variation or drag the selection ring. Move from left to right to increase the saturation. Move from top to bottom to increase the lightness.

To choose a color from the Basic Colors panel:

  1. Move the cursor over the Basic Colors panel. A ToolTip displays the color value.

  2. Click the color you want. Notice that the RGB and HSL values update with the current color values and the selection rings on the Color wheel and the Saturation/Lightness box move to the selected color.

To choose a color using its RGB or HSL value:

For each value you want to change, do one of the following:

  • Click the slider button [image] and drag the slider to a new position.

  • Drag the meter bar [image] to a new position.

  • Click the edit box and type a new value.

  • To change the value by one, click the up or down arrows [image].

Note: Mark the Link Colors check box to have the slider visually represent all settings of the color (red, green, and blue or hue, saturation, and lightness), not just the selected value (such as just the hue or just the red value).

To choose a color from the active image:

  1. Make sure the Jasc Color Picker is displayed.

  2. Move the cursor over the active image. The cursor turns into a dropper and a ToolTip displays the color values.

  3. Click the part of the image that has the color you want. The Jasc Color Picker updates with that color.

Note: You can also choose a color from an image using the Dropper tool or a special feature of Color or Material boxes.

Related Topics

Choosing Colors from an Image or the Desktop

Choosing Colors from the Image Palette

Specifying the HTML Code for Colors


CMYK Model

The CMYK model is based on the fact that ink on paper both absorbs and reflects light. As white light strikes the ink, part of the color spectrum is absorbed and part is reflected back to your eyes (resulting in the color you see).

In this model, the primary colors cyan (C), magenta (M), and yellow (Y) combine in varying proportions to produce a variety of colors. When the three colors are combined, they produce black. Because impurities in the ink make it difficult to produce a true black, a fourth color, black (K), is added.

Combining inks in this way is called four-color process printing. It is used by printing services and high-end color printers.

Although you cannot create images in Paint Shop Pro using the CMYK model, you can produce color separations that can be printed on CMYK printers. There are two ways to do this: You can split the images into CMYK channels or you can print color separation pages.

CMYK channels are simply four separate greyscale images that represent the percentage and location of cyan, magenta, yellow, and black in the image. For more information, see Working with Color Channels.

When you print CMYK separations, Paint Shop Pro prints a separate greyscale page for each primary color. You can then use these pages as “color plates” to give to a printing service. For more information, see Printing with CMYK Color Separations.

Related Topics

Using the Materials Palette

Understanding Color and Color Models

How Monitor and Print Colors Differ

Working with Color Channels

Understanding Color Depth

Working with Image Palettes

Making a Palette Color Transparent


Decreasing Color Depth to 2 Colors (1-bit)

To create a black-and-white image, you can decrease an image’s color depth to 2 colors. If your image is already black and white (perhaps it is a line drawing or a photograph to which you applied the Threshold command), decreasing the color depth to 2 colors can drastically reduce the file size.

When you decrease color depth to 2 colors, choosing from the variety of options is not an exact science. Try out several different combinations and see which produces your desired result.

To decrease the color depth to 2 colors:

  1. Choose Image > Decrease Color Depth > 2 Colors (1-bit).

  2. In the Palette component group box, choose the color channel to use for the final image: Grey (the lightness values), Red, Green, or Blue. Choosing Grey produces the best results in most cases. However, if the image consists mostly of a single color, selecting that color channel may produce the best results.

  3. In the Reduction method group box, choose a color reduction method. See About Color Reduction Methods.

Note: With the Error Diffusion method, you must also select the Floyd-Steinberg, Burkes, or Stucki option, which are algorithms for the dithering pattern. Try them out to see what result you like best.

  4. In the Palette weight group box, select an option:

Weighted A weighted palette produces less dithering and produces sharper edges.

Non-weighted A non-weighted palette produces more dithering and softer edges.

Note: Dithering places pixels of different colors or grey levels next to each other to simulate missing colors or greys.

  5. Click OK.

Related Topics

Using the Materials Palette

Understanding Color and Color Models

How Monitor and Print Colors Differ

Working with Color Channels

Understanding Color Depth

Working with Image Palettes

Making a Palette Color Transparent


Decreasing Color Depth to 16 Colors (4-Bit)

To reduce the file size of images with few colors, decrease the color depth of an image to 16 colors (4-bit). This color depth is especially useful for simple graphics on Web pages that you want to load quickly.

Note: When you decrease color depth to 16 colors, the resulting image has an image palette that contains 16 specific colors. You can change any of those colors (and create interesting effects) by editing the image palette. See Working with Image Palettes.

To decrease the color depth to 16 colors:

  1. To emphasize the importance of certain colors in the conversion, select an area of your image (optional).

  2. Choose Image > Decrease Color Depth > 16 Colors (4-bit).

  3. In the Palette group box, choose a palette option. See About Palette Options.

  4. In the Reduction Method group box, choose a color reduction method. See About Color Reduction Methods.

Note: The Ordered Dither option is available only for the Windows color palette.

  5. In the Options group box, mark or clear these check boxes:

Boost marked colors by If you selected an area of your image, you can mark this check box to make the colors in the selection more important by a factor of the value you enter. The selected colors will stand out from the rest of the image.

Reduce color bleeding If you chose the Optimized Median Cut or the Optimized Octree palette and the Error Diffusion reduction method, you can mark this check box to make the left-to-right bleed effect of colors less noticeable.

  6. Click OK.

Related Topics

Using the Materials Palette

Understanding Color and Color Models

How Monitor and Print Colors Differ

Working with Color Channels

Understanding Color Depth

Working with Image Palettes

Making a Palette Color Transparent


Decreasing Color Depth to 32K or 64K Colors (24-bit)

Decreasing Color Depth to 32K or 64K Colors
(24-Bit)

To reduce the number of colors used in a 24-bit image, decrease the color depth of an image to 32K (32,000) or 64K (64,000) colors. Displaying images with 32K or 64K colors on older monitors results in better refresh rates than displaying 24-bit images with 16 million colors.

To decrease the color depth to 32K or 64K colors:

  1. Choose Image > Decrease Color Depth and then choose 32K Colors or 64K Colors.

  2. In the Reduction method group box, select the method. See About Color Reduction Methods.

  3. Click OK.

Related Topics

Using the Materials Palette

Understanding Color and Color Models

How Monitor and Print Colors Differ

Working with Color Channels

Understanding Color Depth

Working with Image Palettes

Making a Palette Color Transparent


Decreasing Color Depth to 256 Colors (8-Bit)

To limit your image to colors most monitors can display and to reduce file size, decrease the color depth of the image to 256 colors (8-bit). You can choose a Web-safe palette that assures your image displays properly on a variety of computer monitors.

To decrease the color depth to 256 colors:

  1. To emphasize the importance of certain colors in the conversion, select an area of your image (optional).

  2. Choose Image > Decrease Color Depth > 256 Colors (8-bit).

  3. In the Palette group box, choose a palette option. See About Palette Options.

  4. In the Reduction method group box, choose a color reduction method. See About Color Reduction Methods.

Note: The Ordered Dither option is available only for the Standard/Web-safe color palette.

  5. In the Options group box, mark or clear these check boxes:

Boost marked colors by If you selected an area of your image and you are using the Optimized Median Cut method, mark this check box to make the colors in the selection more important by a factor from 1 to 10. The selected colors will stand out from the rest of the image.

Include Windows’ colors If you chose the Optimized Median Cut or the Optimized Octree palette, you can mark this check box if you want the 16 standard Windows colors included in the converted image’s palette.

Reduce color bleeding If you chose the Optimized Median Cut or the Optimized Octree palette and the Error Diffusion reduction method, you can mark this check box to make the left-to-right bleed effect of colors less noticeable.

  6. Click OK.

Related Topics

Using the Materials Palette

Understanding Color and Color Models

How Monitor and Print Colors Differ

Working with Color Channels

Understanding Color Depth

Working with Image Palettes

Making a Palette Color Transparent


Decreasing Color Depth to a Selected Number of Colors

To select the number of colors in an image, use the X Colors command to decrease the color depth of an image and reduce the file size. If you specify 16 or fewer colors, the image is saved as a 4-bit image. If you specify 17 to 256 colors, the image is saved as an 8-bit image. For some file formats, particularly GIF, file compression is sensitive to the number of colors in the image. For example, using 100 colors instead of 256 colors produces a smaller file size (and produces faster download times), even though both files are 8-bit images.

To decrease the color depth to a selected number of colors:

  1. To emphasize the importance of certain colors in the conversion, select an area of your image (optional).

  2. Choose Image > Decrease Color Depth > X Colors (4/8-bit).

  3. In the Number of colors edit box, enter the number of colors (from 2 to 256) for the converted image’s palette.

  4. In the Palette group box, select the palette options. See About Palette Options.

  5. In the Reduction method group box, choose a color reduction method. See About Color Reduction Methods.

  6. In the Options group box, mark or clear these check boxes:

Boost marked colors by If you selected an area of your image and you are using the Optimized Median Cut or Optimized Octree methods, mark this check box to make the colors in the selection more important by a factor from 1 to 10. The selected colors will stand out from the rest of the image.

Include Windows’ colors Mark this check box if you want the 16 standard Windows colors included in the converted image’s palette.

Reduce color bleeding If you chose the Error Diffusion reduction method, you can mark this check box to make the left-to-right bleed effect of colors less noticeable.

  7. Click OK.


Decreasing the Color Depth of an Image

If you are creating an image for on-screen viewing, you may want to decrease the number of colors to make sure most monitors can display the image properly. Also, when you have finished editing an image, you may want to decrease color depth to save memory space.

Note

If you are creating images for the Web, we recommend that you work with 16 million colors (24-bit) images so that all Paint Shop Pro commands are available. When you are ready to save the images, use the GIF optimizer or JPEG optimizer, which automatically decreases the color depth in the saved image but doesn’t change the color depth or layers of your original .PspImage file.

Depending upon the current color depth of your image, you can decrease its color depth to the following:

2 colors (1-bit) Converts to a black and white image and drastically reduces file size. See Decreasing Color Depth to 2 Colors (1-bit).

16 colors (4-bit) Converts to a color image with very limited colors. Use this option if your image uses a small number of colors and you want a smaller file size. See Decreasing Color Depth to 16 Colors (4-Bit).

256 colors (8-bit) Converts to a color image that works well for on-screen viewing when your image will be viewed on a variety of monitor types. This is a helpful color depth for images viewed on the Web. See Decreasing Color Depth to 256 Colors (8-Bit).

32K or 64K colors (24-bit) Converts to 32,000 or 64,000 colors within a 24-bit image. For images viewed on older monitors, this color depth results in better refresh rates. See Decreasing Color Depth to 32K or 64K Colors (24-Bit).

X colors Converts to a color image with a number of colors that you specify (from 2 to 256). This color depth can produce smaller file sizes and faster download times for file formats such as GIF. See Decreasing Color Depth to a Selected Number of Colors.

Note: When you change the color depth, you permanently change the colors of the image’s pixels. Before decreasing the color depth, do as much editing as possible in your original image and save a backup copy of the image that includes all layers.

Related Topics

Using the Materials Palette

Understanding Color and Color Models

How Monitor and Print Colors Differ

Working with Color Channels

Understanding Color Depth

Working with Image Palettes

Making a Palette Color Transparent


Editing Gradients

You can change the colors, transition points, and transparency of gradients on the Gradient Editor dialog. You can edit Paint Shop Pros default gradients or create your own gradients. You can also rename, delete, import, and export gradients.

To specify the colors and transition points of the gradient, use settings in the Gradient group box. To change the transition points, edit the location of markers and midpoints on the gradient bar:

  • Markers [image] indicate points of solid color.

  • Midpoints [image] indicate the positions where two colors are equally blended. Each pair of markers has a midpoint that can be located anywhere between the markers.

To specify the transparency of the gradient, including opacity values and transition points, use the settings in the Transparency group box. Markers and midpoints indicate the places where the transparency changes. You change and add markers and midpoints on the transparency bar, which represents the transparency of the gradient across its width.

To display the Gradient Editor dialog:

  1. On the Materials palette, click the Foreground Material box or the Background Material box.
    The Material dialog opens.

  2. Click the Gradient tab.

  3. Choose the gradient you want to edit, then click the Edit button.

To change the location of markers and midpoints:

Do one of the following:

  • Click and drag the marker or midpoint to a new location.

  • Click the marker or midpoint to select it, then enter a value in the Location field.

To add a new marker:

Click a position under the gradient bar or the transparency bar.

For the gradient bar, the markers initial color is determined by the currently highlighted Fore, Back, or Custom button. Click another color button to change the color.

For the transparency bar, the markers initial opacity is 100%. Change this value in the Opacity edit box.

To delete a marker:

Click the marker and drag it away from the gradient bar or the transparency bar.

To change the color for a marker:

  1. Click the marker below the gradient bar to select it. The triangle at the top of the marker turns black.

  2. Choose a color by doing one of the following:

  3. To use the foreground color, click the Fore button [image].

  4. To use the background color, click the Back button [image].

  5. To use the currently defined custom color, click the Custom button [image].

  6. To choose a new custom color, left-click the Custom color box to select from the Color Picker or right-click to select from recently used colors.

  7. To select a color from within the gradient itself, click the gradient bar.

To change marker transparency:

  1. Click the marker below the transparency bar to select it. The triangle at the top of the marker turns black.

  2. Change the value in the Opacity edit box. Values range from 0% (completely transparent) to 100% (opaque the underlying pixels are covered completely).

Saving Edited Gradients

After you edit a gradient on the Gradient Editor dialog, you can save the gradient in two ways:

  • Click the Save button to overwrite the previously saved gradient with the current gradient. If you make changes to a Paint Shop Pro default gradient, its best to use the Save As option rather than overwrite the default gradient.

  • Click the Save As button to save the current gradient to a new gradient name, which creates a copy of the current gradient. This is a helpful way to save a gradient that you want to use frequently and is also a good way to maintain Paint Shop Pros default gradients you can make your changes to the copy rather than the original gradient.

When you click the Save As button, the Save Gradient As dialog opens and displays a suggested gradient name (usually the current gradient plus a number). Type a name for the new gradient or leave the suggested name, then click OK.

Creating New Gradient Types

You can create a new gradient type that is selectable from the drop-down list of the Gradient tab of the Material dialog. If you use the foreground and background colors to define the gradient, the images current foreground and background colors are used when you apply the gradient. To create a gradient type that always uses the same colors, use custom colors for all markers.

To create a new gradient type:

  1. Display the Gradient Editor dialog.

  2. Click the New button.

  3. Type a name for the new gradient.

  4. Click the Save button.

The gradient is initially defined with two markers at 0 and 100% that use the custom color. You can now edit the gradient.

Exporting Gradients

After creating a new gradient, you may want to export it to use in another program. Although Paint Shop Pros default gradients are stored in .PspGradient format, you export gradients as .GRD format, which is commonly used in other applications.

To export a gradient:

  1. Display the Gradient Editor dialog.

  2. If you have not already selected the gradient to export, choose it from the Types box and edit its settings as desired.

  3. Click the Export button.

  4. Select the folder in which to save the gradient. Paint Shop Pros default gradients are stored in the Gradients folder within the Paint Shop Pro program folder.

  5. In the File name edit box, type a name for the new gradient.

  6. Click the Export button.

Importing Gradients

You can import gradients in the .GRD file format, which is a format used in other applications.

To import a .GRD gradient:

  1. Display the Gradient Editor dialog.

  2. Click the Import button.

  3. Select the folder containing the gradient you want to import. All .GRD files are listed.

  4. Select the gradients file name.

  5. Click OK.

Renaming and Deleting Gradients

You can rename or delete gradient types.

To rename a gradient:

  1. Display the gradient you want to rename in the Gradient Editor dialog.

  2. Click the Rename button.

  3. Type the new name.

  4. Click OK.

To delete a gradient:

  1. Display the gradient you want to delete in the Gradient Editor dialog.

  2. Click the Delete button.

Note: If you accidentally delete a gradient you want to keep, click the Cancel button to undo the deletion (and any changes you made to gradients).

  3. Click Save to close the Gradient Editor dialog and delete the gradient.

Related Topics

Using the Materials Palette

Understanding Color and Color Models

How Monitor and Print Colors Differ

Working with Color Channels

Understanding Color Depth

Working with Image Palettes

Making a Palette Color Transparent


HSL Model

The HSL model is based on how the human eye perceives color using the characteristics of hue, saturation, and lightness. Each characteristic is assigned a value from 0 to 255. The three characteristics are described as follows:

Hue The color reflected from an object, such as red, yellow, or orange. Each hue value is assigned based on its position on the color wheel. On the Jasc Color Picker’s Color wheel, colors are assigned counter-clockwise from the top. Red is at the top (value 0) and as you move around the wheel the colors go through orange, yellow, green, blue, purple, and back to red.

Saturation The purity or vividness of the color. Saturation represents the amount of grey in the color, from 0 (entirely grey) to 255 (fully saturated color).

Lightness The perceived amount or intensity of light in the color. Lightness ranges from 0 (no light, or black) to 255 (total lightness, or white). At 50 percent lightness, or a value of 128, a color is considered pure. For example, pure red has a hue of 255, a saturation of 255 (100 percent) and a lightness of 128 (50 percent). For pure blue, the hue is 170, saturation is 255 and lightness is 128.

Related Topics

Using the Materials Palette

Understanding Color and Color Models

How Monitor and Print Colors Differ

Working with Color Channels

Understanding Color Depth

Working with Image Palettes

Making a Palette Color Transparent


Increasing the Color Depth of an Image

If an image has a color depth less than 24-bit, you may want to increase the color depth while editing the image. Many of Paint Shop Pro’s effect and correction commands work only on images with 16 million colors. Depending on the color depth of your image, you can also increase an image to 16 colors (4-bit) or 256 colors (8-bit).

Because all colors are available in a 16 million colors (24-bit) image, increasing the color depth to 16 million colors (24-bit) automatically loads the Rainbow Color Picker. If your image has its own palette and you need to keep those exact colors, you may want to save the palette before increasing the color depth. After editing the image, reload its original palette. For more information, see Working with Image Palettes.

To increase the color depth of an image:

Choose Colors > Increase Color Depth and choose the desired color depth: 16 Colors (4-Bit), 256 Colors (8-Bit), or 16 Million Colors (24-bit). Color depths not available for the active image are greyed out.

Related Topics

Using the Materials Palette

Understanding Color and Color Models

How Monitor and Print Colors Differ

Working with Color Channels

Understanding Color Depth

Working with Image Palettes

Making a Palette Color Transparent


RGB Model

All colors on your computer screen are created by mixing red, green, and blue light in varying proportions and intensities. When these primary colors are mixed in equal proportions, they create yellow, cyan, and magenta. Adding all the colors together creates white.

Each primary color (red, green, and blue) is assigned a value from 0 (none of the color present) to 255 (the color at full strength). For example, pure red is produced by combining a red value of 255, a green value of 0, and a blue value of 0. Yellow is a combination of a red value of 255, a green value of 255, and a blue value of 0. Setting all three values to 255 produces white; setting all three values to 0 produces black. When all three colors are set to the same value (such as 120, 120, 120), the result is grey.

Related Topics

Using the Materials Palette

Understanding Color and Color Models

How Monitor and Print Colors Differ

Working with Color Channels

Understanding Color Depth

Working with Image Palettes

Making a Palette Color Transparent


Specifying the HTML Code for Colors

With the Jasc Color Picker, you can view the HTML (Hypertext Markup Language) code for each color you select. You can also specify a color by entering the HTML code.

Note

By default, Paint Shop Pro displays decimal (base 10) numbers in the Jasc Color Picker. You can also display hexadecimal (base 16) numbers the format of HTML color codes. For more information, see Display and Caching Preferences.

To specify or view HTML code for colors:

  1. Display the Jasc Color Picker.

  2. Do one of the following:

  3. To specify a color using its HTML code, type the code in the HTML edit box.

  4. To view the HTML code of a particular color, choose a color by other methods (such as entering RGB values or selecting from the color wheel), and then view the number in HTML edit box.

Related Topics

Choosing Colors from an Image or the Desktop

Choosing Colors from the Image Palette

Choosing Colors from the Jasc Color Picker


Understanding the Difference Between Patterns and Textures

On the Materials palette you can select both a pattern and a texture as part of a material. Whats the difference between the two?

A pattern is an opaque, repeated image with specific colors and details. A pattern is a style just like solid color or gradient. Thus, patterns do not use the current foreground or background colors. Lets say you select the pattern called Bricks and then apply brushstrokes with the Paintbrush tool. Each brush stroke paints the brick pattern.

A texture gives the effect of having textured canvas or paper. Textures use the current style (such as a solid color). Lets say the foreground color is yellow and you select the texture called Crumpled Paper. When you apply a brush stroke, each brush stroke paints yellow with the texture of crumpled paper.

Unlike patterns, textures can be applied at the same time as styles solid color, gradient, or pattern. That means you can have both a pattern and a texture selected at the same time. Heres an example of the pattern Bricks and the texture Crumpled Paper both selected.

Related Topics

Using the Materials Palette

Understanding Color and Color Models

How Monitor and Print Colors Differ

Working with Color Channels

Understanding Color Depth

Working with Image Palettes

Making a Palette Color Transparent


Using the Web-Safe Color Palette

Paint Shop Pro includes a Safety palette with 256 colors that are Web-safe—your images can be viewed without color distortion on most computer monitors. There are three ways to use this palette on an image:

  • Load the Safety palette into your image. For 16 million color (24-bit) images, this flattens the layers, reduces the image’s color depth to 256 colors (8-bit), and makes many of Paint Shop Pro’s effect and correction commands unavailable.

  • Decrease the image’s color depth to 256 colors and select the Standard/Web-Safe Palette option. Decreasing the color depth also flattens layers and makes some Paint Shop Pro commands unavailable. For more information, see Decreasing Color Depth to 256 Colors (8-Bit).

  • Edit the image in 16 million colors (saving it in .PspImage format), then use the GIF or PNG optimizer to export a copy of the image. These optimizers use the Web-safe palette by default and decrease the color depth in the saved image. We recommend this alternative because it does not change the color depth or flatten the layers of your original .PspImage file and keeps all Paint Shop Pro effect and commands available. For more information, see Saving Images for the Web.

To load the Web-safe color palette:

  1. Choose Image > Palette > Load Palette.

  2. Select the Palettes folder of the Paint Shop Pro program folder.

  3. Select the palette Safety.pal.

  4. In the Apply palette using group box, select an option:

Nearest color matching Changes each image color to the color in the palette that is the closest match.

Error diffusion dithering Attempts to maintain the image’s appearance by dithering colors that are not in the palette. Dithering places pixels of different colors next to each other to simulate missing colors.

Maintain indexes Assigns each color in the palette a sequential index number and does the same for each color in the image, then changes each color in the image to the like-numbered color in the palette. This option is not available for 16 million color images.

  5. Click Open.

Related Topics

Using the Materials Palette

Understanding Color and Color Models

How Monitor and Print Colors Differ

Working with Color Channels

Understanding Color Depth

Working with Image Palettes

Making a Palette Color Transparent


Additive and Subtractive Colors

Additive colors | Subtractive colors


Transparent Background

Two logos displayed on a Web page: without a transparent color (top) and with a transparent color (bottom)


About Adjustment Layer Types

Making Color and Tonal Corrections describes in detail each type of adjustment layer. The table shows specific sections to refer to within that chapter.

Type of Correction | Adjustment Layer | For More Information
Adjust color balance | Color Balance | See Changing the Color Balance of Shadows, Midtones, and Highlights.
 | Hue/Saturation/Lightness | See Adjusting the Hue, Saturation, and Lightness in Unison.
 | Channel Mixer | See Adjusting the Color Channels.
Adjust brightness and contrast | Brightness/Contrast | See Manually Adjusting Brightness and Contrast.
 | Curves | See Adjusting Individual Brightness Values.
 | Levels | See Adjusting the Lightness Levels.
Reduce or remove colors | Invert | See Creating Negative Images.
 | Threshold | See Creating Black-and-White Images.
 | Posterize | See Reducing the Number of Lightness Levels.


About Blend Modes

The table describes each of the blend modes. In the table, “selected layer” refers to the layer for which you are setting the blend mode.

Note: Several of the blend modes have been enhanced, the transfer of color channels has been improved. These blend modes may not be compatible with other applications. Use the Legacy blend modes for compatibility with other applications.

Blend Mode | Result
Normal | Displays pixels of underlying layers based on the opacity of pixels on the selected layer. If data is fully opaque, no pixels show through. As the opacity decreases, more pixels from underlying layers show through.
Darken | Displays pixels in the selected layer that are darker than the underlying layers. Pixels lighter than the underlying layers disappear.
Lighten | Displays pixels in the selected layer that are lighter than the underlying layers. Pixels darker than the underlying layers disappear.
Hue | Applies the hue of the selected layer to the underlying layers (without changing the saturation or lightness).
Hue (Legacy) | Applies the hue of the selected layer to the underlying layers (without changing the saturation or lightness).
Saturation | Applies the saturation of the selected layer to the underlying layers (without affecting the hue or lightness).
Saturation (Legacy) | Applies the saturation of the selected layer to the underlying layers (without affecting the hue or lightness).
Color | Applies the hue and saturation of the selected layer to the underlying layers (without affecting the lightness).
Color (Legacy) | Applies the hue and saturation of the selected layer to the underlying layers (without affecting the lightness).
Luminance | Applies the luminance (or lightness) of the selected layer to the underlying layers (without affecting the hue or saturation).
Luminance (Legacy) | Applies the luminance (or lightness) of the selected layer to the underlying layers (without affecting the hue or saturation).
Multiply | Combines the colors of the selected layer with the underlying layers to produce a darker color. Multiplying any color with black produces black. Multiplying any color with white leaves the color unchanged.
Screen | Lightens the colors of underlying layers by multiplying the inverse of the selected and underlying layers. The result is a color that is the same or a lightened version of the selected layer.
Dissolve | Randomly replaces the colors of some pixels on the selected layer with those of the underlying layers to create a speckled effect. The selected layer’s opacity determines the number of pixels replaced; the lower the opacity, the more pixels that are replaced.
Overlay | Combines the Multiply and Screen blend modes. If the color channel value of underlying layers is less than half the maximum value, the Multiply blend mode is used. If the color channel value is greater than or equal to half the value, the Screen blend mode is used. The Overlay blend mode shows patterns or colors of the selected layer while preserving the shadows and highlights of underlying layers.
Hard Light | Combines the Multiply and Screen blend modes. If the color channel value of the selected layer is less than 128, the Multiply blend mode is used. If the color channel value is greater than or equal to 128, the Screen blend mode is used. In general, use the Hard Light blend mode to add highlights or shadows.
Soft Light | Combines the Burn and Dodge blend modes. If the color channel value of the selected layer is less than 128, the Burn blend mode is used. If the color channel value is greater than or equal to 128, the Dodge blend mode is used. In general, use the Soft Light blend mode to add soft highlights or shadows.
Difference | Subtracts the selected layer’s color from the color of the underlying layers.
Dodge | Lightens the image by having the lightness values of the colors in the selected layer lighten the colors of underlying layers. Light colors produce the most lightening; black has no effect.
Burn | Darkens the image by having the lightness values of the selected layer reduce the lightness of underlying layers.
Exclusion | Creates an effect similar to but softer then the Difference blend mode.


Arranging the Stacking Order of Layers

The arrangement of layers within your image is critical to what the image looks like. If one layer is above another one, that layer’s data can cover data below it.

To change the stacking order of layers—which changes the resulting image—move layers on the Layer palette. If a layer or a layer group has components, such as vector objects or group layers, all the components move with it.

To move one layer, layer group, or vector object:

  1. On the Layer palette, click the name of the layer, layer group, or vector object and drag it to a new position. A black line shows the position until you release the mouse button.

  2. To arrange the stacking order, either:

  3. Drag the layer, to the desired position. The cursor changes into a hand [image]. If it displays a null symbol [image], you cannot move the selected item to a particular position. For example: The background layer cannot be moved. There can never be a layer below the background layer. A vector object cannot be moved in to a raster layer. Mask and Adjustment layers cannot be at the bottom of an image or a layer group.

  4. Choose Layers > Arrange > and then choose either: Bring to Top, Move Up, Move Down, Send to Bottom, Move into Group, Move out of Group.

To move multiple vector objects:

  1. On the Layer palette, click the first vector object.

  2. Press Shift and click each additional vector object, or right-click and choose Select all.

  3. Use the Layers > Arrange commands or drag the selected objects to a new position. A black line shows the position until you release the mouse button.

Related Topics

Moving Layers within the Image Canvas

Merging Layers

Cleaning up the Edges of Layers Created from Selections

Deleting Layers or their Contents


Blending Layers

Create interesting effects by changing the way pixels of one layer blend with pixels of underlying layers. Paint Shop Pro contains a variety of blend modes that specify how it blends pixels. The image displays the blended pixels, but layers are not actually combined.

By default, each layer has a blend mode of Normal, which blends pixels based on the opacity of the selected layer. The pixels of the selected layer are blended with the combination of all underlying layers, not just the layer directly beneath it.

To limit the pixels that the blend mode affects, set the blend range. See Setting Blend Ranges.

To set the blend mode of a layer:

On the Layer palette, click the Blend Mode drop-down list of the layer you want to set and select the blend mode from the list. For descriptions of the blend modes, see About Blend Modes.

Related Topics

Changing the Opacity of Layers

Cleaning up the Edges of Layers Created from Selections

Duplicating Layers

Editing Layer Properties

Modifying Layers

Using the Layer palette


Changing the Opacity of Layers

To create interesting effects, vary the opacity of a layer from the default of 100 percent (fully opaque) down to 0 percent (transparent). When a layer is partially transparent, layers below it show through.

To change the opacity of all layers within a group, set the opacity of the group layer.

The Opacity setting of the Layer palette displays the opacity of each layer. The overall opacity of a layer and the opacity of individual pixels are independent of each other. For example, if a pixel starts at 50% opacity and the layer is set to 50% opacity, the pixel will appear 25% opaque. If the layer is in a layer group that is set to 50% opacity, then the pixel opacity will be 12.5 % opaque.

To set the opacity of a layer or layer group:

  1. On the Layer palette, click the name of the layer.

  2. Do one of the following:

  3. Drag the Opacity slider [image] to the desired percentage.

  4. Double-click the layer name to display the Layer Properties dialog, change the Opacity setting, and click OK.

Related Topics

Blending Layers

Changing the Opacity of Layers

Cleaning up the Edges of Layers Created from Selections

Duplicating Layers

Editing Layer Properties

Modifying Layers

Using the Layer palette


Cleaning up the Edges of Layers Created from Selections

When you promote or paste a selection to create a layer, some of the pixels surrounding the selection border are included, especially when the selection is anti-aliased or feathered. The Layers > Matting commands clean up the border by removing these pixels.

There are three Matting commands: Remove Black Matte, Remove White Matte, and Defringe. Use the Remove Black Matte or Remove White Matte command when the selection came from an image with a black or white background. These commands remove the black or white pixels at the layer edges. Note: To clean up the edges of a selection before you promote or copy it, use the Selections > Matting command, see Cleaning Up the Edges of a Selection.

Use the Defringe command when the selection came from an image with a colored background. Defringing bleeds non-feathered pixels in the layer edges outward and over the “jaggies” in the feathered part of the layer.

Important: This command works on 16 million color and greyscale images only. To increase the color depth of an image, see Increasing the Color Depth of an Image.

To use a Matting command:

  1. On the Layer palette, click the name of the layer that was created from a selection.

  2. Do one of the following:

  3. To remove the black matte, choose Layers > Matting > Remove Black Matte.

  4. To remove the white matte, choose Layers > Matting > Remove White Matte.

  5. To remove a colored matte, choose Layers > Matting > Defringe to open the Defringe dialog. Enter the number of pixels to defringe and press Enter.

Related Topics

Arranging the Stacking Order of Layers

Moving Layers within the Image Canvas

Merging Layers

Deleting Layers or their Contents


Creating New Layers

Create new layers to use for placing new elements in your images.

To create a new layer:

  1. On the Layer palette, click the layer below which you want to add a layer.

  2. Do one of the following:

  3. To create a new raster layer, click the New Raster Layer button [image] or choose Layers > New Raster Layer.

  4. To create a new vector layer, click the New Vector Layer button [image] or choose Layers > New Vector Layer.

  5. To create a new mask layer, click the New Mask Layer button [image] or choose Layers > New Mask Layer > Show or Hide. For information on mask show or hide layers, see Creating New Mask Layers.

  6. To create a new adjustment layer, choose Layers > New Adjustment Layer and choose a type of adjustment layer. For information on adjustment layers, see Using Adjustment Layers.

  3. Edit the layer properties as desired and click OK. For more information, see Editing Layer Properties.

The new layer is added above the active layer. It is named with the type of layer and a number, such as “Vector Layer 1.” To rename the layer, see Renaming Layers.

Alternative ways to create new layers: For all layer types, place the cursor over a layer name on the Layer palette, and then right-click and select the new layer type from the context menu. To create a layer with default layer properties, press Shift and click one of the new layer buttons on the Layer palette: New Raster Layer, New Vector Layer, or New Mask Layer.

Related Topics

Duplicating Layers

Creating Raster Layers from Selections

Promoting a Background Layer to a Regular Raster Layer

Using Adjustment Layers


Creating Raster Layers from Selections

Use the Selections > Promote to Layer command to promote a selection to a layer. Use the Selection, Freehand Selection, or Magic Wand tool to make a raster selection of raster or vector data. The new layer is always a raster layer. You can also copy a raster selection and paste it as a new layer.

How to start a new vector layer with a vector selection: Use the Object Selection tool to select one or more vector objects, choose Edit > Copy to copy the object(s), and then choose Edit > Paste > As New Layer.

To create a raster layer from a selection:

  1. Use the Selection, Freehand Selection, or Magic Wand tool to make a selection on the image.

  2. Do one of the following:

  3. Choose Selections > Promote to Layer the new layer is named Promoted Selection.

  4. Choose Edit > Copy to copy the selection, and then choose Edit > Paste > As New Layer the new layer is named Raster plus a number (Raster 1).

Cleaning up selection edges: When you promote a selection, some of the pixels surrounding the selection border may be included, especially when the selection is anti-aliased or feathered. Use the Matting commands to clean up the border by removing these pixels. To clean up a selection before you copy or promote it, see Cleaning Up the Edges of a Selection. To clean up a layer created from a selection, see Cleaning up the Edges of Layers Created from Selections.

Related Topics

Creating New Layers

Duplicating Layers

Promoting a Background Layer to a Regular Raster Layer

Adding Adjustment Layers


Deleting Layers or their Contents

To remove a layer from an image, delete the entire layer. Or, delete the contents of a layer to keep the layer within the image; raster and vector layers become transparent and the background layer is filled with the current background color and material.

To delete a layer:

  1. On the Layer palette, click the name of the layer you want to delete.

  2. Click the Delete Layer button on the Layer palette toolbar, right-click and choose Delete from the context menu, or drag the layer to the Delete Layer button [image].

To delete the contents of a layer:

  1. On the Layer palette, click the name of the layer.

  2. Press the Delete key or choose Edit > Clear.

Related Topics

Displaying the Layer Palette

Expanding and Contracting Layers and Layer Groups

Renaming Layers

Selecting Layers

Viewing the Contents of Layers

Arranging the Stacking Order of Layers

Moving Layers within the Image Canvas

Merging Layers

Cleaning up the Edges of Layers Created from Selections


Displaying the Layer palette

Display or hide the Layer palette, or move it anywhere on the screen. For information on moving, docking, and undocking the Layer palette, see Using Palettes.

To display or hide the Layer palette:

Choose View > Layer palette or press F8.

Related Topics

Deleting Layers or their Contents

Expanding and Contracting Layers and Layer Groups

Renaming Layers

Selecting Layers

Viewing the Contents of Layers


Duplicating Layers

Duplicate a layer within an image to use as a starting point for a new layer, or to try out edits and effects while keeping the original layer intact. Or, copy a layer to another image.

To duplicate a layer within the same image:

Do one of the following:

  • Click its name on the Layer palette, then choose Layers > Duplicate.

  • Right-click its name on the Layer palette, then choose Duplicate from the context menu.

  • Click its name on the Layer palette, choose Edit > Copy to copy the layer, and then choose Edit > Paste > As New Layer.

The duplicated layer is added just above the current layer.

To copy a layer to another image:

Do either of the following:

  • On the Layer palette, click and drag the name of the layer or layer group onto an open image, and then release the mouse button. Paint Shop Pro adds the layer above the selected layer of the second image.

  • On the Layer palette, click the name of the layer or layer group that you want to copy, choose Edit > Copy, select the image to copy to, and then choose Edit > Paste > As New Layer. The layer is pasted to the center of the canvas.

Copying all layers to another image: Use the Browse window to copy all layers of an image into another image. For more information, see Copying One Image into Another Using the Browser.

Related Topics

Creating New Layers

Creating Raster Layers from Selections

Promoting a Background Layer to a Regular Raster Layer

Adding Adjustment Layers


Editing an Adjustment Layer

Edit an adjustment layer to change the color or tonal correction. Or, change the layer properties such as layer name and opacity.

To edit an adjustment layer:

  1. On the Layer palette, double-click the name of the adjustment layer that you want to edit. Or, choose Layers > Properties.
    The Layer Properties dialog opens.

  2. On the Adjustment tab, modify the color or tonal correction settings. For detailed information, refer to the appropriate section as listed in About Adjustment Layer Types.

  3. Click the General tab to modify the general layer properties such as layer name, blend mode, and opacity. Change these properties here or on the Layer palette. For more information, see Editing Layer Properties.

  4. Click OK.

Note: To delete an adjustment layer, click the layer name and then click the Delete Layer button on the Layer palette toolbar. To undo a deletion, click the Undo button or press Ctrl + Z.

Related Topics

Creating New Layers

Duplicating Layers

Creating Raster Layers from Selections

Promoting a Background Layer to a Regular Raster Layer

.


Expanding and Contracting Layers and Layer Groups

The Layer palette displays its components like the “tree” of folders and directories in Windows Explorer. Items that have sub-components have a minus sign in front of them when expanded or a plus sign when contracted.

Expand a vector layer or layer group to see the names of its sub-components. Contract a vector layer or layer group to make the Layer palette easier to navigate.

To expand a layer or layer group:

On the Layer palette, click the plus sign [image] in front of the vector layer or layer group name.

To contract a layer or layer group:

On the Layer palette, click the minus sign [image] in front of the vector layer or layer group name.

Related Topics

Deleting Layers or their Contents

Displaying the Layer Palette

Renaming Layers

Selecting Layers


Grouping Layers

Create layer groups to group multiple layers together. Layer groups allow you to do the following:

  • Organize the Layer palette.

  • Set layer properties, such as opacity and blend mode, for the whole group.

  • Limit the effect of adjustment layers to layers below them in a group rather than in the entire image.

  • Move all grouped layers in the stacking order by clicking and dragging the layer group name.

  • Move layers together on the image canvas—if the group is linked. (Otherwise grouped layers move independently.) For more information, see Linking Layers and Layer Groups.

Layer groups can contain raster, vector, mask, and adjustment layers, and must contain at least one layer. Layer groups can also contain other layer groups (called nested groups). If you move all of the layers out of a layer group, Paint Shop Pro deletes the layer group.

Note

  • Adjustment and mask layers cannot be the bottom layer.

  • Vector objects cannot be moved from their layer group.

To create a layer group:

  1. On the Layer palette, click the first layer to be in the layer group.

  2. Do one of the following:

  3. On the Layer palette, click the Layer Group button [image].

  4. Choose Layers > New Layer Group. The Layer Properties dialog opens. Make changes as necessary and click OK.

  5. Choose Layers > Arrange > Move Into Group.

The layer group is created, and the selected layer becomes part of the layer group. By default, the layer group is named Group with a number (for example, Group 1).

  3. To add a layer to the layer group, click its name and drag it into the layer group. A black line shows the position until you release the mouse button.

Note: You can also add a layer group within layer group (called a nested group).

To remove a layer from the group:

Drag the layer to a new position outside the layer group, or choose Layers > Arrange > Move Out of Group.

To ungroup layers:

Select the layer group that you want to ungroup, and then choose Layers > Ungroup Layers.

Related Topics

Blending Layers

Changing the Opacity of Layers

Cleaning up the Edges of Layers Created from Selections

Duplicating Layers

Editing Layer Properties

Modifying Layers

Using the Layer palette


Linking Layers and Layer Groups

Use layer linking to have layers move together on the image canvas when you move one layer with the Move tool. To link individual layers, use the Layer Link button on the Layer palette. By default, this button says “None.” Change each layer that you want to link to the same number, say “1” or “2.” Left-click to increase the number; right-click to decrease it.

Use group linking to have all layers within a layer group move together on the image canvas. The Group Link button on the Layer palette displays a blue icon [image] when the group is linked or a grey icon [image] when the group is not linked.

Layer links take precedence over group links. For example, Layer Group 1 is linked and contains Layer1, Layer2, and Layer3. Layer1 is set to link number 1. Layer4 (outside of the layer group) is also set to link number 1. If you move Layer4, Layer1 will move. If you move Layer2, Layer1 will not move.

To link layers:

For each layer you want to link, change its link set number to the same number. Do either of the following on the Layer palette:

  • Left-click the Layer Link button [image] to increase the number. Right-click the Layer Link button to decrease the number.

  • Double-click each layer name to display the Layer Properties dialog, change the Link Set number, and then click OK.

To unlink layers:

For each layer you want to remove from the link set, do either of the following on the Layer palette:

  • Left-click or right-click the Layer Link button until it displays None.

  • Double-click the layer name to display the Layer Properties dialog, change the Link Set number to 0, and then click OK.

To link or unlink layer groups:

Do either of the following on the Layer palette:

  • Click the Group Link button [image]. A grey button means the group is unlinked.

  • Double-click the layer name to display the Layer Properties dialog, mark or clear the Group is Linked check box, and then click OK.

Related Topics

Blending Layers

Changing the Opacity of Layers

Cleaning up the Edges of Layers Created from Selections

Duplicating Layers

Editing Layer Properties

Modifying Layers

Using the Layer palette

Grouping Layers


Merging Layers

Merging layers is also called flattening an image. You can merge selected layers, or all of the layers in an image. Merging layers decreases the memory requirements for the image. Paint Shop Pro merges layers based on the blend modes, converts vector data and vector text to raster data, and replaces transparent areas of the background layer with white.

Always make a backup copy of the original .PspImage image before you merge layers. Once you merge layers, you cannot edit the layers separately. Unless you are certain you have finished editing the image, it’s best not to merge layers.

To merge two layers together:

  1. Make sure one layer is located directly above the other on the Layer palette.

  2. Click the name of the layer above the one you want to merge it with.

  3. Choose Layers > Merge > Merge Down to merge the two layers. The following table describes how layer types are merged:

Top Layer | Any layer | Vector | Mask | Any Layer | Any Layer
Merged with | Raster | Vector | Mask | Background | Mask / Adjustment
Creates | Raster | Vector | Mask | Background | Not Permitted

To merge all layers:

Choose Layers > Merge > Merge All (Flatten) to merge the layers into one background layer.

To merge all visible layers:

  1. On the Layer palette, click the Visibility toggle for each layer that you do not want to merge.

  2. Choose Layers > Merge > Merge Visible to merge all visible layers in a layer group into a raster layer named Merged. Invisible layers are not affected. The new raster layer, which maintains the transparency information of the original layers, is placed at the position of the active layer.

Note: If the selected layer is in a group, only the visible layers in that group will be merged. If the layer group is marked invisible (making all layers within the group invisible), then none of the layers within the group will be merged.

To merge all layers in a group:

  1. On the Layer palette, click the layer group, or a layer within the group, that you want to merge.

  2. Choose Layers > Merge > Merge Group to merge all layers in the group into one raster layer.

Related Topics

Arranging the Stacking Order of Layers

Grouping Layers

Moving Layers within the Image Canvas

Cleaning up the Edges of Layers Created from Selections

Deleting Layers or their Contents


Moving Layers within the Image Canvas

Use the Move tool to move the contents of an entire layer anywhere within the image canvas. If you move part of a layer off the canvas, Paint Shop Pro does not crop it. You can move it back to the canvas, or increase the canvas size to show the additional data.

Note

You cannot use the Move tool on the background layer. To move the contents of the background layer, promote it to a regular raster layer first. See Promoting a Background Layer to a Regular Raster Layer.

To move a layer within the image canvas:

  1. On the Layer palette, select the layer you want to move.

  2. On the Tools toolbar, click the Move tool [image].

  3. Click and drag in the image to move the layer to a new position.

To move a layer using the Smart Mover tool:

  1. On the Layer palette, select the layer you want to move.

  2. On the Tools toolbar, click the Move tool [image].

  3. To limit the Mover tool to the current layer, press and hold the Shift key while you click the image and drag the layer.

Where’s the layer? If you move a layer off the image canvas, you can no longer see it. To get the data back, press the Shift key while dragging it with the Mover tool or, increase the canvas size enough so that the layer appears. Move it to where you want, then decrease the canvas size again.

Related Topics

Arranging the Stacking Order of Layers

Merging Layers

Cleaning up the Edges of Layers Created from Selections

Deleting Layers or their Contents


Promoting a Background Layer to a Regular Raster Layer

When you want the background layer to function like a regular raster layer, promote it to a layer. Unlike the background layer, raster layers support transparency and can be moved anywhere within the stacking order. For more information, see Background Layer.

To promote a background layer:

Choose Layers > Promote to Layer, or right-click on the layer and select Promote to Layer.

Related Topics

Creating New Layers

Duplicating Layers

Creating Raster Layers from Selections

Adding Adjustment Layers


Protecting Transparent Areas

To apply tools and effects only to areas of a raster layer with data, use the Lock Transparency feature on the Layer palette. Transparent areas remain protected when you paint, apply effects, paste selections, or perform other edits.

Note

This feature applies to raster layers only. You cannot lock the transparency of vector, adjustment, mask, or group layers, as well as the Preset Shapes and Pen tools. Also, background layers do not support transparency.

When transparency is locked, the Lock Transparency button displays [image]. When a transparency is not locked, the Lock Transparency button is grey [image].

To lock or unlock the transparency:

Do one of the following:

  • On the Layer palette, click the Lock transparency button of the appropriate raster layer.

  • Double-click the layer name to display the Layer Properties dialog, mark or clear the Lock transparency check box, and click OK.

Related Topics

Blending Layers

Changing the Opacity of Layers

Cleaning up the Edges of Layers Created from Selections

Duplicating Layers

Editing Layer Properties

Modifying Layers

Using the Layer palette


Renaming Layers

As you add layers to an image, you may find it convenient to rename the layers so they are easy to identify on the Layer palette.

To rename a layer:

  1. On the Layer palette, right-click the name of the layer and choose Rename from the context menu.

  2. Type the name and press Enter.

Related Topics

Deleting Layers or their Contents

Displaying the Layer Palette

Expanding and Contracting Layers and Layer Groups

Selecting Layers

Viewing the Contents of Layers


Selecting Layers

When an image has more than one layer, you must select the layer you want to work on. Changes to the image affect only the selected layer (also called the active layer). You can select only one layer at a time.

To select a layer:

On the Layer palette, click the name of the layer to highlight the selected layer.

Related Topics

Deleting Layers or their Contents

Displaying the Layer Palette

Expanding and Contracting Layers and Layer Groups

Renaming Layers

Viewing the Contents of Layers


Setting Blend Ranges

In addition to setting the blend mode of a layer, you can set the blend range. This range limits the pixels that the blend mode affects. By default, the blend mode applies to all pixels. Blend ranges set the opacity based on brightness or color channel to drop colors out of the selected layer and make other colors show through.

To set the blend range:

  1. On the Layer palette, select a layer and set its blend mode, see Blending Layers.

  2. Double-click the layer name to open the Layer Properties dialog.

  3. Click the Blend Ranges tab.

  4. In the Blend Channel drop-down list, select a channel to use when blending layers. Select Grey Channel to have the lightness values of layers determine opacity. Select Red Channel, Green Channel, or Blue Channel to have the respective color values determine opacity.

  5. Set the opacity ramp for the channel as follows:

  6. First, drag the upper arrows to indicate the values at which the opacity is 100 percent.

  7. Next, drag the lower arrows to indicate the values at which the opacity is 0 percent.

Note that the values on the left side indicate the ramp up values, while the values on the right side indicate the ramp down values.

For example, in the graphic in the left column, the selected layer’s opacity is 100 percent between lightness values of 43 and 126, and falls off at the lightest and darkest areas.

  6. Click OK.

Paint Shop Pro applies the blend only to the pixels that fall within the range you selected. The right panel of the Layer palette displays the Blend Range icon [image] to indicate that a blend range is being used.

Related Topics

Blending Layers

Changing the Opacity of Layers

Cleaning up the Edges of Layers Created from Selections

Duplicating Layers

Editing Layer Properties

Modifying Layers

Using the Layer palette


Setting Icon Highlight Colors

To organize the Layer palette visually, specify the highlight colors for layers and layer groups. The highlight color displays as the background of the icon to the left of the layer or group name. It has no effect on the image itself.

In a layer group, layers that have not been assigned individual highlight colors inherit the color of the parent layer. As an example, use the same highlight color for all layers in layer group and use a different color to highlight other layers or layer groups.

To set the highlight color of an icon:

  1. On the Layer palette, double-click the name of the layer to open the Layer Properties dialog.

  2. Mark the Highlight in Layer palette check box.

  3. Do one of the following:

  4. To select a new color, click the color box next to the check box. Choose a color and click OK.

  5. To choose from recently used colors, right-click the color box and click a color.

  4. At the Layer Properties dialog, click OK. The icon now displays the highlight color.

Related Topics

Blending Layers

Changing the Opacity of Layers

Cleaning up the Edges of Layers Created from Selections

Duplicating Layers

Editing Layer Properties

Modifying Layers

Using the Layer palette


Showing and Hiding Layers, Groups, and Vector Objects

Use the Visibility buttons on the Layer palette to make layers, layer groups, or vector objects visible or invisible in the image. These items remain in the image but are hidden. When a layer is visible, the Visibility button displays [image]. When a layer is hidden, the Visibility button displays [image].

To show or hide individual layers:

Do one of the following on the Layer palette:

  • Click the Visibility button for each layer or Layer Group you want to show or hide.

Note: Hiding a layer group hides all of the layers within that group.

  • To show one layer only, right-click a layer name and choose View > Current Only.

To show all layers:

Choose Layers > View > All, or right-click a layer name and choose View > All from the context menu.

To invert which layers are shown or hidden:

  • Right-click a layer name and choose View > Invert from the context menu. All previously visible items become invisible and all invisible items become visible.

  • Right-click the layer name of a linked group and choose View > Invert.

To show or hide layer groups or vector objects:

On the Layer palette, click the Visibility button for each layer group or vector object you want to show or hide.

Related Topics

Blending Layers

Changing the Opacity of Layers

Cleaning up the Edges of Layers Created from Selections

Duplicating Layers

Editing Layer Properties

Modifying Layers

Using the Layer palette


Types of Layers

There are five types of layers: background, raster, vector, mask, and adjustment. The icon before the layer name on the Layer palette shows the type of layer. In addition, you can create layer groups, and promote selections to layers. Paint Shop Pro supports up to 500 layers. The actual number of layers allowed in an image may be limited by the amount of memory in your computer. For more information on raster and vector data, see About Raster and Vector Graphics.

Note: Only greyscale and 16 million color images can have multiple raster layers. Images of any color depth can include multiple vector layers.

Raster Layers

Raster layers [image] are layers with raster data only. Raster data is composed of individual elements, called pixels, arranged in a grid. Each pixel has a specific location and color. Photographic images are composed of raster data. If you magnify raster data, you can see the individual pixels as squares of colors.

Use raster layers for displaying subtle changes in tones and colors. Or, use raster layers for objects and raster text on which you want to apply raster-only commands and tools. The effects commands, the painting tools, and many other tools apply only to raster layers.

Saving multi-layered images: When you create multi-layered images, you must save them in .PspImage format (Paint Shop Pro’s native format) to maintain all layer information. When you save to most other formats, all layers are merged into one background layer. When you save to .PSD (PhotoShop) format, the image maintains raster and adjustment layers, but vector layers are converted to raster layers. Raster data must be on raster layers (a regular raster layer or the background layer). If you try to use a raster tool while a vector layer is selected, Paint Shop Pro prompts you to convert the vector layer into a raster layer.

Adjustment Layers

Adjustment layers are correction layers that adjust the color or tone of underlying layers. Each adjustment layer makes the same correction as an equivalent command on the Colors > Adjust menu, but does not change image pixels like the command does.

Adjustment layers cannot be the bottom layer. You will not be able to delete other layers if deleting them causes an adjustment layer to become the bottom layer. For more information, see Using Adjustment Layers.

Mask Layers

Mask layers [image] show or hide portions of underlying layers. A mask is basically an adjustment layer that modifies opacity. Use masks to create sophisticated effects. For example, mask all details around the main subject in a photograph, or use a mask to create a picture frame that fades away at the center to reveal the subject.

Mask layers cannot be the bottom layer. You will not be able to delete other layers if deleting them causes a mask layer to become the bottom layer. For more information, see Working with Masks.

Vector Layers

Vector layers [image] are layers with only vector objects (lines and shapes), vector text, or vector groups. Vector objects and text are composed of geometric characteristics—lines, curves, and their locations. When you edit vector objects and text, you edit these lines and curves, rather than editing individual pixels. Vector graphics and vector text maintain their clarity and detail when scaled to any size or printed at any resolution.

Use vector layers to create objects or text that you can easily edit. To display the names of vector objects on a vector layer, click the plus sign in front of the layer name on the Layer palette.

Vector objects must be on vector layers. If you create a vector object while a raster layer is selected, Paint Shop Pro creates a vector layer just above the current layer. In addition, you cannot move a vector layer to a non-vector layer.

Background Layer

The background layer [image] is the bottom layer of an image. It is named “Background” on the Layer palette and cannot be renamed. When you import file formats such as JPEG, GIF, or PNG into Paint Shop Pro, they are one layer—the background layer.

The background layer contains raster data but cannot display transparency. You cannot change its order in the stack, its blend mode, or its opacity.

To move a background layer higher in the stacking order, promote it to a regular raster layer; see Promoting a Background Layer to a Regular Raster Layer.

If you create a new image with a transparent background, it does not have a background layer and its bottom layer is a raster layer named “Raster Layer 1”. You may move this layer anywhere within the stacking order, or change its opacity or blend mode.

Related Topics

Deleting Layers or their Contents

Displaying the Layer Palette

Expanding and Contracting Layers and Layer Groups

Renaming Layers

Viewing the Contents of Layers


Using Layers with Illustrations

Layers are invaluable for illustrations. Here are some of the many ways to use layers:

Task | How to Do It with Layers
Make changes easier. | Create individual components on separate layers to make them easy to edit together. For example, if you have an illustration of a car speeding down a highway in the mountains, create the car, the driver, the highway, and the mountains on separate layers.
Move multiple layers together on the image canvas. | Link or group layers that need to move together. For example, link the car and the driver in this example so that when you move the car to the left, the driver moves too.
Edit graphical elements. | Create objects you need to fine-tune or edit as vector objects on vector layers.
Apply raster-only commands and effects to vector objects. | Create a new layer with raster copies of the vector objects. To do this, duplicate the vector layer and then convert it to a raster layer. Turn off the visibility of the vector layer.
Experiment with changes. | Make a copy of a layer and try out changes. Turn the visibility of a layer off and on to see which works best in the overall image.
Save work-in-progress. | Keep a copy of the intermediate steps of transformations, then turn off the visibility of those layers. If you need to go back a few steps at a later date, you’ve got the data.


Using Layers with Photographic Images

When you open a digital photograph or scanned image in Paint Shop Pro, the image is on the background layer. For most photographic enhancements, such as cropping, correcting colors, or retouching, you can work on this background layer without ever adding another layer.

However, there are many ways to use layers with your photographic images to make changes easier and create interesting effects:

Task

How to Do It with Layers

Preserve the original image before making changes.

Make a duplicate copy of the background layer (choose Layers > Duplicate). Turn off the visibility of the background layer (click the layer’s Visibility button [image] ) and make all changes to the duplicate layer.

Make color and tonal corrections.

Use adjustment layers instead of changing the image directly. For more information, see Using Adjustment Layers.

Add text or graphics.

Add them as vector objects to a new vector layer. (If you add them to the raster layer with the image, you must add them as raster data and they’ll be difficult to edit.)

Create interesting effects.

Duplicate the background layer, apply an effect to the duplicate, and then change the opacity or blend range of the modified layer to blend the two layer.

Create a photo collage.

Place each photograph on a separate layer. (For each image, choose Edit > Copy to copy the image, select the collage image, and choose Edit > Paste as New Layer. Position each layer with the Move tool.

Use each layer’s opacity setting and blend mode to control how much of each layer shows through. Use a mask to hide parts of a layer or create soft edges around a layer.

Create a panoramic photograph.

Take a series of photographs with overlapping subject matter, then stitch the photographs together using layers.

Create an image with a canvas large enough to display the panorama, then copy each photograph onto a separate layer. Decrease the opacity of one layer to see though it as you use the Move tool to match up the edges of the other photograph. Do this with each layer, then return the layers to 100 percent opacity.


Viewing the Contents of Layers

The image window shows all visible layers in the image. To view a thumbnail of a layer’s contents, use the Layer palette.

To turn off or on the visibility of layers in the image window, see Showing and Hiding Layers, Groups, and Vector Objects.

To view the contents of one layer:

On the Layer palette, move the cursor over a layer name to display a thumbnail of the layer contents.

Related Topics

Deleting Layers or their Contents

Displaying the Layer Palette

Expanding and Contracting Layers and Layer Groups

Renaming Layers

Selecting Layers


Blend Ranges

Blend ranges: normal, 50%, 60%, and 75%


Blending Layers

Blend modes: Normal, Darken, Luminance, and Dissolve


Making a Photo Collage with Layers

Original photographs and the resulting photo collage


Making Compositions with Layers

Creating image compositions with layers


Making Illustrations with Layers

Individual layers and the final illustration


Moving Layers

Original image, and with one layer moved to the right


Showing and Hiding Layers

Original image, and image with all layers but one made invisible


Changing the Mask Overlay Color

By default, the mask overlay displays red semi-transparent pixels to show the mask on the image. If a different color or opacity would make the overlay easier to see on an image, change the color or opacity for the mask layer.

To change the mask overlay color and opacity:

  1. On the Layer palette, double-click the mask layer button, right-click the mask layer button and choose Properties, or choose Layers > Properties to open the Layer Properties dialog.

  2. Click the Overlay tab and change the following:

Overlay Color The default overlay color is pure red (RGB 255, 0, 0). Click the color box and choose a new color.

Opacity The opacity of the overlay. The default is 50 percent.

  3. Click OK.

Related Topics

Inverting Masks

Creating Gradient, Pattern or Texture Masks


Creating Gradient, Pattern, or Texture Masks

Use a gradient, pattern, or texture mask to create interesting effects. A gradient mask varies the opacity of an image from fully hidden to fully shown. Use a gradient mask to fade an image in or out. A pattern or texture mask varies the image opacity in a repeated pattern throughout the image.

To create any of these masks, on the Materials palette select the material (gradient, pattern, or texture) and then fill the mask layer with it. When you choose a colored material, Paint Shop Pro converts it to greyscale before applying it.

To create a gradient, pattern, or texture mask:

  1. Create a new mask. See Creating Masks.

  2. Click the Mask Overlay toggle [image] on the Layer palette to display the mask overlay.

  3. On the Tools toolbar, click the Flood Fill tool [image].

Note: To fill all pixels in the mask, on the Tool Options palette set the Match Mode to None.

  • On the Materials palette, select a gradient, texture, or pattern. See Choosing Gradients, Choosing Patterns, or Choosing Textures.

  4. Left-click the mask to apply the foreground material; right-click the mask to apply the background material.

Related Topics

Changing the Mask Overlay Color

Inverting Masks


Creating Masks from Channels

When you split an image into its RGB, HSL, or CMYK channels, Paint Shop Pro creates a greyscale image for each channel. Use one of these channel images to create a mask for the original image or another image.

To create a mask from a channel:

  1. Split the image into channels using one of the Image > Split Channel commands, and leave the resulting greyscale images open in the workspace. For more information, see Working with Color Channels.

  2. Select the image where you want to create the mask layer.

  3. Choose Layers > New Mask Layer > From Image to open the Add Mask From Image dialog.

  4. In the Source window drop-down list, select which channel to use for the mask.

  5. In the Create mask from group box, select the Source opacity option.

  6. To reverse the transparency of the mask data, mark the Invert mask data check box.

  7. Click OK.

The mask layer and the selected layer are added to a new layer group. The mask layer applies to the selected layer only. To apply it to all underlying layers, drag it from the layer group to the main level.

For information on editing the mask, see Editing Masks.

To view the mask on the image, on the Layer palette click the Mask Overlay toggle [image].

Related Topics

Creating New Mask Layers

Creating Masks from Images

Creating Masks from Selections

Creating Masks from Images

Displaying the Mask Overlay


Creating Masks from Images

Use any image as a mask for another image. Paint Shop Pro converts the image into greyscale raster data and uses it for the mask. The original, or source, image is not altered.

Note: Another way to create a mask from an image is to load the image file from disk; see Loading Masks from Disk.

To create a mask from an image:

  1. Open the image that you want to use for the mask.

  2. Select the image in which you want to create the mask layer.

  3. On the Layer palette, click the layer you want to mask.

  4. Choose Layers > New Mask Layer > From Image to open the Add Mask From Image dialog.

  5. In the Source window drop-down list, select the image to use for the mask.

  6. In the Create mask from group box, select an option:

Source luminance The luminance value of the pixel color determines the degree of masking. Lighter colors produce less masking; darker colors produce more masking. Transparent areas completely mask the layer.

Any non-zero value Transparent areas completely mask the layer. There is no gradation to the masking. Pixels with data (opacity of 1-255) become white pixels in the mask; transparent pixels become black in the mask.

Source opacity The opacity of the image determines the degree of masking. Fully opaque pixels produce no masking; partially transparent pixels create more masking; transparent pixels produce full masking.

  7. To reverse the transparency of the mask data, mark the Invert mask data check box. Black pixels become white, white pixels become black, and greys are assigned their mirror value.

  8. Click OK.

The mask layer and the selected layer are added to a new layer group. The mask layer applies to the selected layer only. To apply it to all underlying layers, drag it from the layer group to the main level.

For information on editing the mask, see Editing Masks.

To view the mask on the image, on the Layer palette click the Mask Overlay toggle [image].

Related Topics

Creating New Mask Layers

Creating Masks from Images

Creating Masks from Selections

Creating Masks from Channels

Displaying the Mask Overlay


Creating Masks from Selections

Use a raster selection to create a mask that shows or hides the selection. Use this mask as a starting point for creating artistic effects.

To create masks from selections on vector layers, use the Selection, Freehand Selection, and Magic Wand tools. You cannot use the Object Selection tool.

To create a mask from a selection:

  1. Use the Selection, Freehand Selection, or Magic Wand tool to make a selection on a raster or vector layer in the image.

  2. Do either of the following:

  3. To mask the selection, choose Layers > New Mask Layer > Hide Selection.

  4. To mask everything except the selection, choose Layers > New Mask Layer > Show Selection.

The mask layer and the selected layer are added to a new layer group. The mask layer applies to the selected layer only. To apply it to all underlying layers, drag it from the layer group to the main level.

For information on editing the mask, see Editing Masks.

To view the mask on the image, on the Layer palette click the Mask Overlay toggle [image].

Related Topics

Creating New Mask Layers

Creating Masks from Images

Creating Masks from Images

Creating Masks from Channels

Displaying the Mask Overlay


Creating New Mask Layers

To show or hide the underlying layers completely with the new mask, choose from the Show All or Hide All Layer menu commands.

Other ways to create a new mask layer: On the Layer palette, right-click the layer to which you want to add a mask and choose New Mask Layer > Show All to show all underlying pixels or Hide All to hide all underlying pixels. (Or, click the Show All button on the Layer palette.)

To create a new mask layer:

  1. On the Layer palette, click the layer you want to mask.

  2. Choose Layers > New Mask Layer and then choose the type of mask:

Show All Shows all underlying pixels. All pixels of the mask are white. Paint the mask with greys or black to hide portions of the underlying layers.

Hide All Hides all underlying pixels. All pixels of the mask are black. Paint the mask with white or greys to show portions of underlying layers.

The mask layer and the selected layer are added to a new layer group. The mask layer applies to the selected layer only. To apply it to all underlying layers, drag it from the layer group to the main level.

To view the mask on the image, on the Layer palette click the Mask Overlay toggle [image].

If you chose a show mask layer, the underlying layer appears unchanged; paint on the image to hide portions of the underlying layers. If you chose a hide mask layer, the mask completely hides the underlying layer; paint on the image to show portions of the underlying layer. For more information on editing the mask, see Editing Masks.

Related Topics

Creating Masks from Images

Creating Masks from Selections

Creating Masks from Images

Creating Masks from Channels

Displaying the Mask Overlay


Displaying the Mask Overlay

When you create a mask, the image window shows the effect of the mask, but does not display the mask automatically. Use the Mask Overlay toggle [image] on the Layer palette to display the mask overlay. By default, the overlay is a 50 percent opacity red color for completely masked pixels and lower opacity red for partially masked pixels. When you paint or modify the mask, this overlay shows what is painted or changed. To change the color and opacity of the mask overlay, see Changing the Mask Overlay Color .

When the mask overlay is displayed, the Mask Overlay toggle displays [image] . When the overlay is hidden, the Mask Overlay toggle displays [image].

To display or hide the mask overlay:

Click the Mask Overlay toggle [image], or choose Layers > View Overlay.

Related Topics

Creating New Mask Layers

Creating Masks from Images

Creating Masks from Selections

Creating Masks from Images

Creating Masks from Channels


Inverting a Mask

Inverting Masks

To reverse the transparency of a mask, invert it. Black pixels become white and white pixels become black. Greys become their mirror value—the maximum value (255) minus the current value.

To invert a mask:

  1. On the Layer palette, select the name of the mask layer.

  2. Choose Layers > Invert Mask/Adjustment.

Related Topics

Changing the Mask Overlay Color

Creating Gradient, Pattern or Texture Masks


Loading Mask from Disk

Loading Masks from Disk

Load a mask file that you have saved or load one of the sample masks that come with Paint Shop Pro. Mask files have a .PspMask extension. Use the Layers > Load Mask > From Disk command to load mask files or load image files as masks.

To load a mask from disk:

  1. On the Layer palette, click the layer you want to mask.

  2. Choose Layers > Load/Save Masks > Load Mask From Disk to open the Load Mask From Disk dialog.
    The Mask group box shows all masks in all directories listed in your file locations for masks. To change the default directory, click the Edit Paths button. For more information, see Setting File Locations.

  3. In the Mask group box, click the drop-down list to choose from mask and image files.
    The Preview group box displays the selected mask on the image canvas.

  4. In the Orientation group box, select from the following options:

Fit to canvas Adjusts the mask to fit the current image canvas (stretching or contracting as needed).

Fit to layer Adjusts the mask to fit the current layer data (stretching or contracting as needed). If the layer has not been shifted beyond the edges of the canvas, this option is identical to the Fit to Canvas option.

As is Places the mask starting in the top left corner of the current layer; this option does not change the mask proportions. If the mask image is smaller than the current layer, Paint Shop Pro by default masks all pixels outside of the mask image boundaries.

  5. In the Options group box, choose whether Paint Shop Pro shows or hides pixels surrounding the loaded mask data (if there are any). These options affect the mask only if the Orientation option is As Is and the loaded mask is smaller than the current image canvas.

Invert transparency To invert the transparency of the mask image.

Hide all mask Makes surrounding pixels black to hide underlying pixels.

Show all mask Makes surrounding pixels white to show underlying pixels.

Use image value Makes surrounding pixels white or black depending upon whether the original mask was a show all mask or a hide all mask.

  6. Click Load.

Paint Shop Pro adds the mask layer and the selected layer to a new layer group. The mask layer applies to the selected layer only. To apply it to all underlying layers, drag it from the layer group to the top of the main level.

Related Topics

Loading Masks from Alpha Channels

Saving Masks


Loading Masks from Alpha Channels

When you save a mask to an alpha channel within a .PspImage image, you can load that mask from the alpha channel into the same image or into any other image.

To load a mask from an alpha channel:

  1. On the Layer palette, click the layer you want to mask.

  2. Choose Layers > Load/Save Mask > Load Mask From Alpha Channel to open the Load Mask from Alpha dialog.

  3. In the Document drop-down list, select the image which contains the alpha channel you want to load. (Choose from open images with existing alpha channels only.)

  4. In the drop-down list below the document name, choose the alpha channel which contains the mask you want to load.

  5. In the Orientation group box, select from the following options: Fit to canvas, Fit to layer, or As is.

  6. In the Options group box, select whether Paint Shop Pro hides or shows pixels surrounding a loaded mask that is smaller than the current image canvas. Choose Hide all mask or Show all mask. To invert the transparency of the mask image, mark the Invert transparency check box.

  7. Click Load.

Paint Shop Pro adds the mask layer and the selected layer to a new layer group. The mask layer applies to the selected layer only. To apply it to all underlying layers, drag it from the layer group to the main level.

Related Topics

Loading Masks from Disk

Saving Masks


Saving Masks to Alpha Channels

Save a mask to an alpha channel within the current image or within another image. An alpha channel is a data storage area in an image which stores masks and selections. Alpha channels are like secret compartments within a suitcase—use them to store things you may need later. Masks and selections stored in alpha channels have no effect on the look of an image. To use the stored masks or selections, load them into the same image or another image.

For information on saving or loading selections in alpha channels, see Saving Selections to Alpha Channels.

When you save the image to a file format other than .PspImage format, the alpha channels are not saved. Always keep a master copy of your image in .PspImage format.

To save a mask to an alpha channel:

  1. On the Layer palette, click the name of the mask layer.

  2. Choose Layers > Load/Save Mask > Save Mask To Alpha Channel to open the Save Mask to Alpha dialog.
    The Add to document drop-down list displays all open documents and below it are the alpha channels in the image (if any).

  3. To save a mask to another image’s alpha channel, select the image name in the Add to document drop-down list. The image must be open in Paint Shop Pro.

  4. To edit the default name for the new alpha channel, type a new name in the Name group box.

  5. Click Save. Paint Shop Pro saves the mask to an alpha channel.

Related Topics

Saving Masks to Disk

Loading Masks

Creating Masks


Saving Masks to Disk

When you save a mask to a hard disk or a removable disk, Paint Shop Pro saves the mask as a separate file with a .PspMask extension. You can then load this mask into other images without opening the original image.

To save a mask to disk:

  1. On the Layer palette, click the name of the mask layer.

  2. Choose Layers > Load/Save Mask > Save Mask to Disk to open the Save Mask To Disk dialog.
    The Mask files group box displays the current masks in the default Masks directory. The New mask group box displays the current mask.

  3. To change the folder where the mask file is saved, click the Edit Paths button. By default, mask files are stored in the Masks folder of the Paint Shop Pro program folder. For more information, see Setting File Locations.

  4. In the File name edit box, type a name for the mask file.

  5. Click Save. Paint Shop Pro saves the mask file.

Related Topics

Saving Masks to Alpha Channels

Loading Masks

Creating Masks


Masked image with and without overlay


Original and masked images


Using a gradient mask


Using a pattern mask


Using a selection as a mask


Using an image as a mask


Using the greyscale channel as a mask


About Vector, Floating, and Selection Text

The Text tool creates vector text, a text selection, or floating (raster) text. Choose an option from the Create As drop-down list:

Vector Creates vector text, which is the only type of text you can edit by changing the words, font type, style, and alignment. Use this setting in most cases. When you want to apply raster-only tools (such as the Paint Brush or Deform tool) or commands (such as applying a 3D or artistic effect), merge the vector layer to a raster layer.

If you create vector text while a raster layer is active, Paint Shop Pro adds a new vector layer with the text.

Selection Creates a selection marquee in the shape of text, rather than creating text as a painted object. Move, copy, fill, or otherwise edit it just like any other selection. For example, use the Paint Brush to paint the selection with a texture. You can also use a text selection to create special effects. Delete the text selection to create words that are cut out of the image. Or, create a text selection on a photographic image, and then copy and paste the selection to a new image; the result is text filled with the image.

Floating (Raster) Creates raster text that is a floating selection. You cannot exit raster text, so use this type when you know that the words and formatting will not change. Use raster text when you want to apply raster-only tools, such as the Paint Brush or Deform tool, or commands such as applying a 3D or artistic effects.

It’s best to create raster text on a new raster layer. That way, you can easily select the text and make changes such as stretching it with the Deform tool.

When Paint Shop Pro defloats the raster text selection (such as when you click another tool), the raster text is merged with the underlying raster layer. If a vector layer is active, Paint Shop Pro creates a new raster layer.

Related Topics

Aligning and Spacing Text on Object Paths

Applying Effects to Text

Converting Text to Curves

Creating Text

Creating Text on Object Paths

Creating Text with Image Patterns

Editing Text

Formatting Text

Moving Text

Scaling and Transforming Text


Aligning and Spacing Text on Object Paths

When you create text along a path, the text placement depends upon the where you click to insert the text, the alignment, direction, and the spacing between the text and the path.

Feature

How it affects text on a path

Text alignment (left, center, or right).

Set the alignment on the Text tool’s Tool Options palette.

For new text on a path:

Paint Shop Pro aligns the text using the position where you clicked to insert the text. Left-aligned text begins at that position. Center-aligned text is centered on that position. Right-aligned text ends at that position. See Creating Text on Object Paths.

For existing text fit to a path:

Paint Shop Pro aligns the text using the start and end nodes of the path. Left-aligned text begins at the start node. Center-aligned text is placed equidistant between the start and end nodes. Right-aligned text ends at the end node. See Creating Text on Object Paths.

Direction of path

The text goes in the direction from the start node to the end node. The direction determines whether the text aligns right-side-up above the path or upside-down below the path.

Reverse the path to change the direction. See Reversing the Direction of Contours or Paths.

Spacing between text and path

The leading of the text determines the spacing between the text and the path. Set the leading on the Text tool’s Tool Options palette. Use positive values to position the text above the path and negative values to position the text below the path. See Editing Text

In addition, whether a path is open or closed affects the text position. Lines are open paths (the start and end nodes do not meet). Shapes like a circle, square, or rectangle are closed paths.

  • On open paths, text that is longer than the path hangs from the end. The angle of the last line segment determines the direction it hangs.

  • On closed paths, text that is longer than the path wraps around itself.

For more information editing nodes, see Editing Paths and Contours.

Related Topics

About Vector Floating and Selection Text

Applying Effects to Text

Converting Text to Curves

Creating Text

Creating Text on Object Paths

Creating Text with Image Patterns

Editing Text

Formatting Text

Moving Text

Scaling and Transforming Text


About Ems

Em’s are a unit of measurement used in typesetting, where 1000 em’s equals 72 points.


Aligning Text on a path


Example of Formatted Text

Text with several formatting options


Text Converted to Curves

Regular text, and text converted to curves and modified with the Node Edit tool


Text filled with a pattern


Text in images


Text with Effects

Text with buttonize effect and drop shadow effect